/*
SQLyog Ultimate v13.1.1 (32 bit)
MySQL - 5.5.60 : Database - medtver
*********************************************************************
*/

/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
/*Table structure for table `xcoef` */

DROP TABLE IF EXISTS `xcoef`;

CREATE TABLE `xcoef` (
  `xcoef_id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `cod_inf` smallint(5) unsigned DEFAULT NULL,
  `kod_vpr` smallint(5) unsigned DEFAULT NULL COMMENT 'дней, интервал между вакцинациями повторн',
  `coef_pl` decimal(7,3) DEFAULT '1.000',
  `coef_plr` decimal(7,3) DEFAULT NULL,
  `kolmes` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'мес., интервал между прививками',
  `akt` tinyint(1) NOT NULL DEFAULT '1',
  `st` date NOT NULL DEFAULT '2000-10-01',
  `en` date NOT NULL DEFAULT '2000-10-31',
  `vzmin` smallint(4) NOT NULL DEFAULT '6' COMMENT 'мес., минимально',
  `vzdo` smallint(4) NOT NULL DEFAULT '168' COMMENT 'мес., максимально',
  PRIMARY KEY (`xcoef_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=cp1251;

/*Data for the table `xcoef` */

insert  into `xcoef`(`xcoef_id`,`cod_inf`,`kod_vpr`,`coef_pl`,`coef_plr`,`kolmes`,`akt`,`st`,`en`,`vzmin`,`vzdo`) values 
(0,1,100,1.000,0.000,0,1,'2000-10-01','2000-11-30',6,168),
(1,42,21,1.000,0.000,6,1,'2000-01-01','2000-12-31',216,2000);

/*Table structure for table `xf5` */

DROP TABLE IF EXISTS `xf5`;

CREATE TABLE `xf5` (
  `xf5` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ns` varchar(6) NOT NULL DEFAULT '',
  `name` varchar(50) NOT NULL DEFAULT '',
  `kol` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`xf5`)
) ENGINE=InnoDB AUTO_INCREMENT=64 DEFAULT CHARSET=cp1251;

/*Data for the table `xf5` */

insert  into `xf5`(`xf5`,`ns`,`name`,`kol`) values 
(1,'01','Вакцинация против коклюша',0),
(2,'02','Ревакцинация против коклюша',0),
(3,'03','Вакцинация против дифтерии - всего',10),
(4,'04','    из них детей',0),
(5,'05','Ревакцинация против дифтерии - всего',134),
(6,'06','    из них детей',0),
(7,'07','Вакцинация против столбняка - всего',10),
(8,'08','    из них детей',0),
(9,'09','Ревакцинация против столбняка - всего',138),
(10,'10','    из них детей',0),
(11,'11','Вакцинация против полиомиелита',0),
(12,'12','Ревакцинация против полиомиелита',0),
(13,'13','Вакцинация против кори - всего',1),
(14,'14','    из них детей',0),
(15,'15','Ревакцинация против кори - всего',0),
(16,'16','    из них детей',0),
(17,'17','Вакцинация против эпидемического паротита',0),
(18,'18','Ревакцинация против эпидемического паротита',0),
(19,'19','Вакцинация против краснухи',0),
(20,'21','Ревакцинация против краснухи',0),
(21,'23','Прививки против брюшного тифа',0),
(22,'24','Прививки против туберкулеза - всего',0),
(23,'25','    из них новорожденным',0),
(24,'26','Вакцинация против вирусного гепатита В - всего',3),
(25,'27','    из них детей',0),
(26,'28','Прививки против вирусного гепатита А - всего',0),
(27,'29','    из них детей',0),
(28,'30','Вакцинация против туляремии',0),
(29,'32','Ревакцинация против туляремии',0),
(30,'34','Вакцинация против бруцеллеза',0),
(31,'35','Ревакцинация против бруцеллеза',0),
(32,'36','Вакцинация против сибирской язвы',0),
(33,'37','Ревакцинация против сибирской язвы',0),
(34,'38','Прививки против чумы',0),
(35,'39','Прививки против желтой лихорадки',0),
(36,'40','Прививки против гриппа - всего',294),
(37,'41','    из них детей',0),
(38,'42','Вакцинация против клещевого энцефалита',286),
(39,'44','Ревакцинация против клещевого энцефалита',396),
(40,'46','Прививки против лептоспироза',0),
(41,'47','Прививки против менингококкововой инфекции',0),
(42,'58','Вакцинация против бешенства',0),
(43,'59','Ревакцинация против бешенства',0),
(44,'60','Прививки против лихорадки Ку',0),
(45,'43','    из них детей',0),
(46,'45','    из них детей',0),
(47,'49','Вакцинация против гемофильной инфекции',0),
(48,'51','Прививки против ветряной оспы',0),
(49,'53','Вакцинация против пневмококковой инфекции - всего',6),
(50,'54','    из них детей',0),
(51,'55','Ревакцинация против пневмококковой инфекции-всего',0),
(52,'56','    из них детей',0),
(53,'57','Прививки против вируса папилломы человека',0),
(54,'61','Прививки против дизентерии Зонне',195),
(55,'20','    из них детей',0),
(56,'22','    из них детей',0),
(57,'48','    из них детей',0),
(58,'50','Ревакцинация против гемофильной инфекции',0),
(59,'62','Вакцинация против ротавирусной инфекции',0),
(60,'31','    из них детей',0),
(61,'33','    из них детей',0),
(62,'52','    из них детей',0),
(63,'63','Прививки против Covid 19',1);

/*Table structure for table `xf6` */

DROP TABLE IF EXISTS `xf6`;

CREATE TABLE `xf6` (
  `xf6_id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `typ` tinyint(1) NOT NULL DEFAULT '1',
  `name` varchar(100) NOT NULL DEFAULT '',
  `ns` varchar(2) NOT NULL DEFAULT '',
  `_3` int(11) NOT NULL DEFAULT '0',
  `_4o` int(11) NOT NULL DEFAULT '0',
  `_4m` int(11) NOT NULL DEFAULT '0',
  `_4i` int(11) NOT NULL DEFAULT '0',
  `_4b` int(11) NOT NULL DEFAULT '0',
  `_4` int(11) NOT NULL DEFAULT '0',
  `_5` int(11) NOT NULL DEFAULT '0',
  `_6` int(11) NOT NULL DEFAULT '0',
  `_7` int(11) NOT NULL DEFAULT '0',
  `_8` int(11) NOT NULL DEFAULT '0',
  `_9o` int(11) NOT NULL DEFAULT '0',
  `_9md` int(11) NOT NULL DEFAULT '0',
  `_9mk` int(11) NOT NULL DEFAULT '0',
  `_9b` int(11) NOT NULL DEFAULT '0',
  `_9` int(11) NOT NULL DEFAULT '0',
  `_10` int(11) NOT NULL DEFAULT '0',
  `_11o` int(11) NOT NULL DEFAULT '0',
  `_11md` int(11) NOT NULL DEFAULT '0',
  `_11mk` int(11) NOT NULL DEFAULT '0',
  `_11b` int(11) NOT NULL DEFAULT '0',
  `_11` int(11) NOT NULL DEFAULT '0',
  `_12` int(11) NOT NULL DEFAULT '0',
  `_13` int(11) NOT NULL DEFAULT '0',
  `_14` int(11) NOT NULL DEFAULT '0',
  `_15o` int(11) NOT NULL DEFAULT '0',
  `_15m` int(11) NOT NULL DEFAULT '0',
  `_15` int(11) NOT NULL DEFAULT '0',
  `_16` int(11) NOT NULL DEFAULT '0',
  `_17` int(11) NOT NULL DEFAULT '0',
  `_18o` int(11) NOT NULL DEFAULT '0',
  `_18m` int(11) NOT NULL DEFAULT '0',
  `_18b` int(11) NOT NULL DEFAULT '0',
  `_18` int(11) NOT NULL DEFAULT '0',
  `_19` int(11) NOT NULL DEFAULT '0',
  `_20` int(11) NOT NULL DEFAULT '0',
  `_20p` int(11) NOT NULL DEFAULT '0',
  `_20i` int(11) NOT NULL DEFAULT '0',
  `_20mo` int(11) NOT NULL DEFAULT '0',
  `_21o` int(11) NOT NULL DEFAULT '0',
  `_21` int(11) NOT NULL DEFAULT '0',
  `_22` int(11) NOT NULL DEFAULT '0',
  `_23` int(11) NOT NULL DEFAULT '0',
  `_24` int(11) NOT NULL DEFAULT '0',
  `_24i` int(11) NOT NULL DEFAULT '0',
  `_24mo` int(11) NOT NULL DEFAULT '0',
  `_25o` int(11) NOT NULL DEFAULT '0',
  `_25` int(11) NOT NULL DEFAULT '0',
  `_26` int(11) NOT NULL DEFAULT '0',
  `_27` int(11) NOT NULL DEFAULT '0',
  `_28` int(11) NOT NULL DEFAULT '0',
  `_28o` int(11) NOT NULL DEFAULT '0',
  `_28i` int(11) NOT NULL DEFAULT '0',
  `_28mo` int(11) NOT NULL DEFAULT '0',
  `_29o` int(11) NOT NULL DEFAULT '0',
  `_29` int(11) NOT NULL DEFAULT '0',
  `_30` int(11) NOT NULL DEFAULT '0',
  `_41name` varchar(30) NOT NULL DEFAULT '',
  `_43ns` varchar(2) NOT NULL DEFAULT '',
  `_44` int(11) NOT NULL DEFAULT '0',
  `_45` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`xf6_id`)
) ENGINE=InnoDB AUTO_INCREMENT=36 DEFAULT CHARSET=cp1251;

/*Data for the table `xf6` */

insert  into `xf6`(`xf6_id`,`typ`,`name`,`ns`,`_3`,`_4o`,`_4m`,`_4i`,`_4b`,`_4`,`_5`,`_6`,`_7`,`_8`,`_9o`,`_9md`,`_9mk`,`_9b`,`_9`,`_10`,`_11o`,`_11md`,`_11mk`,`_11b`,`_11`,`_12`,`_13`,`_14`,`_15o`,`_15m`,`_15`,`_16`,`_17`,`_18o`,`_18m`,`_18b`,`_18`,`_19`,`_20`,`_20p`,`_20i`,`_20mo`,`_21o`,`_21`,`_22`,`_23`,`_24`,`_24i`,`_24mo`,`_25o`,`_25`,`_26`,`_27`,`_28`,`_28o`,`_28i`,`_28mo`,`_29o`,`_29`,`_30`,`_41name`,`_43ns`,`_44`,`_45`) values 
(1,1,'0 - 11 месяцев 29 дней','01',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'','',0,0),
(2,1,'в т.ч.:  6 мес. - 11 мес. 29 дней','02',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'','',0,0),
(3,1,'1 год - 1 г. 11 месяцев 29 дней','03',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'','',0,0),
(4,1,'2 года - 2 г. 11 месяцев 29 дней','04',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'','',0,0),
(5,1,'3 года - 3 г. 11 месяцев 29 дней','05',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'','',0,0),
(6,1,'4 года - 4 г. 11 месяцев 29 дней','06',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'','',0,0),
(7,1,'5 лет - 5 лет 11 месяцев 29 дней','07',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'','',0,0),
(8,1,'6 лет - 6 лет 11 месяцев 29 дней','08',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'','',0,0),
(9,1,'7 лет - 7 лет 11 месяцев 29 дней','09',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'','',0,0),
(10,1,'8 лет - 8 лет 11 месяцев 29 дней','10',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'','',0,0),
(11,1,'9 лет - 9 лет 11 месяцев 29 дней','11',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'','',0,0),
(12,1,'10 лет - 10 лет 11 месяцев 29 дней','12',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'','',0,0),
(13,1,'11 лет - 11 лет 11 месяцев 29 дней','13',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'','',0,0),
(14,1,'12 лет - 12 лет 11 месяцев 29 дней','14',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'','',0,0),
(15,1,'13 лет - 13 лет 11 месяцев 29 дней','15',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'','',0,0),
(16,1,'14 лет - 14 лет 11 месяцев 29 дней','16',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'','',0,0),
(17,1,'15 лет - 15 лет 11 месяцев 29 дней','17',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'','',0,0),
(18,1,'16 лет - 16 лет 11 месяцев 29 дней','18',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'','',0,0),
(19,1,'17 лет - 17 лет 11 месяцев 29 дней','19',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'','',0,0),
(20,1,'18 лет - 35 лет 11 месяцев 29 дней','20',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'','',0,0),
(21,1,'36 лет - 59 лет 11 месяцев 29 дней','21',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'','',0,0),
(22,1,'60 лет и старше - всего *','22',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'','',0,0),
(23,2,'Вакцинация против дифтерии','01',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'12 мес.','01',0,0),
(24,2,'Первая ревакцинация против дифтерии','02',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'24 мес.','02',0,0),
(25,2,'Вакцинация против коклюша','03',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'12 мес.','03',0,0),
(26,2,'Ревакцинация против коклюша','04',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'24 мес.','04',0,0),
(27,2,'Вакцинация против полиомиелита','05',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'12 мес.','05',0,0),
(28,2,'Вторая ревакцинация против полиомиелита','06',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'24 мес.','06',0,0),
(29,2,'Вакцинация против кори','07',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'24 мес.','07',0,0),
(30,2,'Вакцинация против эпидемического паротита','08',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'24 мес.','08',0,0),
(31,2,'Вакцинация против краснухи','09',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'24 мес.','09',0,0),
(32,2,'Вакцинация против туберкулеза','10',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'новорожденные (30 дней)','10',0,0),
(33,2,'Вакцинация против вирусного гепатита В','11',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'12 мес.','11',0,0),
(34,2,'Вакцинация против пневмококковой инфекции','12',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'12 мес.','12',0,0),
(35,2,'Ревакцинация против пневмококковой инфекции','13',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'24 мес.','13',0,0);

/*Table structure for table `xosmotr` */

DROP TABLE IF EXISTS `xosmotr`;

CREATE TABLE `xosmotr` (
  `osm_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `adr_id` int(10) unsigned NOT NULL,
  `dt` date NOT NULL DEFAULT '0000-00-00',
  `vr` varchar(40) DEFAULT NULL,
  `zakl` text,
  PRIMARY KEY (`osm_id`),
  KEY `FK_osmotradr` (`adr_id`),
  CONSTRAINT `FK_osmotradr` FOREIGN KEY (`adr_id`) REFERENCES `adrbook` (`adr_id`) ON DELETE NO ACTION ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=cp1251;

/*Data for the table `xosmotr` */

/* Function  structure for function  `delete_one_lpu` */

/*!50003 DROP FUNCTION IF EXISTS `delete_one_lpu` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `delete_one_lpu`(
    	_adr int, _lpuvr smallint) RETURNS tinyint(3)
BEGIN
	DECLARE yn smallint;
	call update_uch_adrbook_one(_adr,9999);
	SET yn=IFNULL((SELECT uch FROM adrbook a1 WHERE adr_id=_adr),99);
	
	IF yn<>99 THEN
	    begin
		return 0;
	    end;
	ELSE 
		BEGIN
			select count(flu_id) into @kkol from karta where vr<>_lpuvr and adr_id=_adr;
			if @kkol>0 then 
				begin
					delete from karta where adr_id=_adr and vr=_lpuvr;
					return 1;
				end;
			else 
				DELETE FROM karta WHERE adr_id=_adr AND vr=_lpuvr;
				DELETE FROM adrbook WHERE adr_id=_adr;
				RETURN 2;
			end if;
		END;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `find_A_city` */

/*!50003 DROP FUNCTION IF EXISTS `find_A_city` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_A_city`(st INT,tw INT,mc varchar(40)) RETURNS varchar(40) CHARSET cp1251
BEGIN
	return IFNULL((SELECT `name` FROM city WHERE tw>0 AND city.flu=tw and adr_name=@_orgkod),
	IFNULL((SELECT `name` FROM city,zastreetflu WHERE zastreetflu.citynum=city.city_id AND zastreetflu.id=st AND zastreetflu.adr_name=@_orgkod),mc)) ;
END */$$
DELIMITER ;

/* Function  structure for function  `find_A_diagn` */

/*!50003 DROP FUNCTION IF EXISTS `find_A_diagn` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_A_diagn`(di INT) RETURNS varchar(10) CHARSET utf8
BEGIN
	DECLARE _main int;
	DECLARE _mkb varchar(10) CHARSET utf8;
	IF di<=>NULL OR di=0 THEN 
		RETURN 'P-0';
	END IF;
	SELECT main INTO _main FROM mkb10 WHERE di>0 AND flu=di and adr_name=@_orgkod LIMIT 1;
	SELECT mkb10_id INTO _mkb FROM mkb10 WHERE di>0 AND flu=di AND adr_name=@_orgkod LIMIT 1;
	if _main in (99999,99999999) then 
		RETURN 'P-0';
	else 
		IF _main > 0 THEN 
			begin
				return IFNULL((SELECT mkb10_id FROM mkb10 WHERE SUBSTRING(mkb10_id,3,8)+0=_main limit 1),'P-0');
			end;
		ELSE 
			IF _main<=>NULL THEN
				RETURN 'P-0';
			ELSE 
				RETURN TRIM(_mkb);
			END IF;
		END IF;
	end if;
END */$$
DELIMITER ;

/* Function  structure for function  `find_A_diagn2` */

/*!50003 DROP FUNCTION IF EXISTS `find_A_diagn2` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_A_diagn2`(di INT,di2 INT) RETURNS varchar(10) CHARSET utf8
BEGIN
	DECLARE _main INT;
	DECLARE _mkb,_mkb0 VARCHAR(10) CHARSET utf8;
	IF (di=0 and di2=0) or (di<=>null AND di2<=>NULL) THEN 
		RETURN 'P-0';
	END IF;
	set _mkb0:=find_A_diagn(di);
	if (di=di2 or di2<=>NULL OR di2=0) and _mkb0>'' then 
		return _mkb0;
	end if;
	SELECT main INTO _main FROM mkb10 WHERE di2>0 AND flu=di2 AND adr_name=@_orgkod limit 1;
	SELECT mkb10_id INTO _mkb FROM mkb10 WHERE di2>0 AND flu=di2 AND adr_name=@_orgkod LIMIT 1;
	IF _main IN (99999,99999999) THEN 
		RETURN 'P-0';
	ELSE 
		IF _main > 0 THEN 
			BEGIN
				RETURN IFNULL((SELECT mkb10_id FROM mkb10 WHERE SUBSTRING(mkb10_id,3,8)+0=_main limit 1),'P-0');
			END;
		ELSE 
			if _mkb>'' then
				RETURN _mkb;
			else 
				RETURN 'P-0';
			end if; 
		END IF;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `find_A_diagn2text` */

/*!50003 DROP FUNCTION IF EXISTS `find_A_diagn2text` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_A_diagn2text`(di INT,di2 INT) RETURNS varchar(150) CHARSET cp1251
BEGIN
	DECLARE _main INT;
	DECLARE _mkb,_mkb0 VARCHAR(150);
	IF (di=0 AND di2=0) OR (di<=>NULL AND di2<=>NULL) THEN 
		RETURN NULL;
	END IF;
	SET _mkb0:=find_A_diagntext(di);
	SET _mkb:=find_A_diagntext(di2);
	IF di=di2 OR di2<=>NULL OR di2=0 THEN 
		RETURN _mkb0;
	END IF;
	IF _mkb>'' AND _mkb0>'' THEN
		RETURN CONCAT(TRIM(_mkb),'; ',TRIM(_mkb0));
	ELSE 
		IF (_mkb='' AND _mkb0<>NULL) or (_mkb<=>NULL AND _mkb0>'') or (_mkb='' AND _mkb0<>NULL) THEN
			RETURN _mkb0  ;
		ELSE 
			IF (_mkb0<=>NULL AND _mkb<>NULL) or (_mkb0<=>NULL AND _mkb>'') THEN
				RETURN _mkb  ;
			ELSE 
				RETURN null;
			END IF ; 
		END IF ; 
	END IF ; 
END */$$
DELIMITER ;

/* Function  structure for function  `find_A_diagntext` */

/*!50003 DROP FUNCTION IF EXISTS `find_A_diagntext` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_A_diagntext`(di INT) RETURNS varchar(150) CHARSET cp1251
BEGIN
	DECLARE _main INT;
	DECLARE _mkb VARCHAR(150);
	IF di<=>NULL OR di=0 THEN 
		RETURN NULL;
	END IF;
	SELECT main INTO _main FROM mkb10 WHERE di>0 AND flu=di AND adr_name=@_orgkod limit 1;
	SELECT `name` INTO _mkb FROM mkb10 WHERE di>0 AND flu=di AND adr_name=@_orgkod LIMIT 1;
	IF _main IN (99999,99999999) THEN 
		RETURN 'Норма';
	ELSE 
		IF _main > 0 THEN 
			BEGIN
				RETURN IFNULL((SELECT `name` FROM mkb10 WHERE SUBSTRING(mkb10_id,3,8)+0=_main LIMIT 1),NULL);
			END;
		ELSE 
			RETURN _mkb;
		END IF;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `find_A_Job` */

/*!50003 DROP FUNCTION IF EXISTS `find_A_Job` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_A_Job`(ka INT) RETURNS smallint(6)
BEGIN
	RETURN IFNULL((SELECT works_id FROM works WHERE ka>0 and wrkpl=ka AND adr_name=@_orgkod limit 1),NULL);
END */$$
DELIMITER ;

/* Function  structure for function  `find_A_kat` */

/*!50003 DROP FUNCTION IF EXISTS `find_A_kat` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_A_kat`(ka INT) RETURNS smallint(6)
BEGIN
	RETURN IFNULL((SELECT kat_id FROM kat join zadecretgrflu z1 on kat_id=z1.flu WHERE ka>0 AND z1.flu=ka and id=ka AND z1.adr_name=@_orgkod),NULL);
END */$$
DELIMITER ;

/* Function  structure for function  `find_A_mo` */

/*!50003 DROP FUNCTION IF EXISTS `find_A_mo` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_A_mo`(_dep smallint) RETURNS tinyint(4)
BEGIN
	IF EXISTS(SELECT mo FROM vr WHERE flu=_dep AND mo=1 AND adr_name=@_orgkod LIMIT 1) THEN
		RETURN 1;
	ELSE 
		RETURN 0;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `find_A_rentgen` */

/*!50003 DROP FUNCTION IF EXISTS `find_A_rentgen` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_A_rentgen`(bo varchar(8)) RETURNS char(2) CHARSET cp1251
BEGIN
	DECLARE _re tinyint;
	SELECT `rentgen` INTO _re FROM r_type WHERE id=bo AND adr_name=@_orgkod LIMIT 1;
	IF _re=1 THEN 
		RETURN 'Р';
	else 
		RETURN '';
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `find_A_stelag` */

/*!50003 DROP FUNCTION IF EXISTS `find_A_stelag` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_A_stelag`(di INT,di2 INT,bo VARCHAR(8)) RETURNS varchar(150) CHARSET cp1251
BEGIN
	DECLARE _main INT;
	DECLARE _mkb,_mkb0 VARCHAR(150);
	IF (di=0 AND di2=0 AND bo='') OR (di<=>NULL AND bo<=>NULL AND di2<=>NULL) THEN 
		RETURN NULL;
	END IF;
	SET _mkb0:=find_A_diagn2text(di,di2);
	SELECT `string` INTO _mkb FROM r_type WHERE id=bo AND adr_name=@_orgkod LIMIT 1;
	IF bo<=>NULL OR bo=0 THEN 
		RETURN _mkb0;
	END IF;
	return CASE WHEN _mkb>'' AND _mkb0>'' THEN CONCAT(TRIM(_mkb0),'; ',TRIM(_mkb))
		    WHEN _mkb='' AND _mkb0<>NULL THEN _mkb0 
		    WHEN _mkb<=>NULL AND _mkb0>'' THEN _mkb0 
		    WHEN _mkb='' AND _mkb0<>NULL THEN _mkb0 
		    WHEN _mkb0<=>NULL AND _mkb<>NULL THEN _mkb 
		    WHEN _mkb0<=>NULL AND _mkb>'' THEN _mkb 
		    ELSE NULL END ;
END */$$
DELIMITER ;

/* Function  structure for function  `find_A_stname` */

/*!50003 DROP FUNCTION IF EXISTS `find_A_stname` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_A_stname`(st INT) RETURNS varchar(30) CHARSET cp1251
BEGIN
	RETURN IFNULL((SELECT `name` FROM st,zastreetflu WHERE zastreetflu.flunum=st.street_id AND zastreetflu.id=st AND zastreetflu.adr_name=@_orgkod),NULL);
END */$$
DELIMITER ;

/* Function  structure for function  `find_A_street` */

/*!50003 DROP FUNCTION IF EXISTS `find_A_street` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_A_street`(st INT) RETURNS smallint(6)
BEGIN
	RETURN IFNULL((SELECT street_id FROM st,zastreetflu WHERE zastreetflu.flunum=st.street_id AND zastreetflu.id=st and zastreetflu.adr_name=@_orgkod),NULL);
END */$$
DELIMITER ;

/* Function  structure for function  `find_A_streetdop` */

/*!50003 DROP FUNCTION IF EXISTS `find_A_streetdop` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_A_streetdop`(st INT,tw int,mc VARCHAR(40)) RETURNS varchar(100) CHARSET cp1251
BEGIN
	DECLARE numtw,numst int;
	set numtw=(SELECT trim(`name`) FROM zatown WHERE zatown.id=tw AND tw>0 AND adr_name=@_orgkod) ;
	set numtw=IFNULL(numtw,mc);
	SEt numst=(SELECT `name` FROM zastreet WHERE zastreet.id=st AND st>0 AND adr_name=@_orgkod);
	if numst<=>null then
		return numtw;
	else 
		RETURN CONCAT(numtw,', ',numst);
	end if ;
END */$$
DELIMITER ;

/* Function  structure for function  `find_A_town` */

/*!50003 DROP FUNCTION IF EXISTS `find_A_town` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_A_town`(tw INT,mc VARCHAR(40)) RETURNS varchar(40) CHARSET cp1251
BEGIN
	RETURN IFNULL((SELECT `name` FROM city,zatownflu WHERE zatownflu.flunum=city.city_id AND zatownflu.id=tw AND zatownflu.adr_name=@_orgkod),mc) ;
END */$$
DELIMITER ;

/* Function  structure for function  `find_A_vr` */

/*!50003 DROP FUNCTION IF EXISTS `find_A_vr` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_A_vr`(_dep smallint,_uch tinyint) RETURNS varchar(30) CHARSET cp1251
BEGIN
	DECLARE yn tinyINT;
	SET yn=IFNULL((SELECT fio FROM vr WHERE flu=_dep and adr_name=@_orgkod LIMIT 1),0);
	IF exists(SELECT fio FROM vr WHERE flu=_dep LIMIT 1) THEN
		RETURN (SELECT fio FROM vr WHERE flu=_dep AND adr_name=@_orgkod LIMIT 1);
	ELSE 
		RETURN (SELECT fio FROM vr WHERE uch=_uch and _uch BETWEEN 1 and 98 LIMIT 1);
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `find_f_city` */

/*!50003 DROP FUNCTION IF EXISTS `find_f_city` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_f_city`(tw smallint,mc VARCHAR(40)) RETURNS varchar(40) CHARSET cp1251
BEGIN
	RETURN IFNULL((SELECT `name` FROM city WHERE tw>0 AND flu=tw AND adr_name=@_orgkod),mc) ;
END */$$
DELIMITER ;

/* Function  structure for function  `find_F_diagn` */

/*!50003 DROP FUNCTION IF EXISTS `find_F_diagn` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_F_diagn`(_no TINYINT, _na varchar(125)) RETURNS varchar(10) CHARSET utf8
BEGIN
	DECLARE _vid TINYINT;
	DECLARE _id VARCHAR(10) DEFAULT '';
	if trim(_na)='' then
	   begin
		SELECT flu INTO _vid FROM zfnorm,zfnormflu WHERE zfnorm.id=zfnormflu.id and zfnorm.adr_name=@_orgkod AND zfnormflu.adr_name=@_orgkod AND zfnorm.id=_no limit 1; 
		IF _vid=1 THEN 
			RETURN 'P-0';
		ELSE 
			RETURN 'P-86';
		END IF ;
	   end;
	else 
	    begin
		if upper(_na) like '%НОРМА%' then
			return 'P-0';
		else 
			return 'P-86';
		END IF ;
	    end;
	end if;
END */$$
DELIMITER ;

/* Function  structure for function  `find_F_doobsled` */

/*!50003 DROP FUNCTION IF EXISTS `find_F_doobsled` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_F_doobsled`(_no TINYINT) RETURNS tinyint(1)
BEGIN
	DECLARE _vid TINYINT;
	SELECT flu INTO _vid FROM zfnorm,zfnormflu WHERE zfnorm.id=zfnormflu.id AND zfnorm.adr_name=@_orgkod AND zfnormflu.adr_name=@_orgkod AND zfnorm.id=_no LIMIT 1; 
	IF _vid=3 THEN 
		RETURN 1;
	ELSE 
		RETURN 0;
	END IF ;
    END */$$
DELIMITER ;

/* Function  structure for function  `find_F_mo` */

/*!50003 DROP FUNCTION IF EXISTS `find_F_mo` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_F_mo`(_no TINYINT) RETURNS tinyint(1)
BEGIN
	DECLARE _vid TINYINT;
	SELECT flu INTO _vid FROM zftypeisled,zftypeisledflu 
	WHERE zftypeisled.id=zftypeisledflu.id AND zftypeisled.adr_name=@_orgkod AND zftypeisledflu.adr_name=@_orgkod AND zftypeisled.id=_no; 
	IF _vid=1 THEN 
		RETURN 1;
	ELSE 
		RETURN 0;
	END IF ;
    END */$$
DELIMITER ;

/* Function  structure for function  `find_F_stelag` */

/*!50003 DROP FUNCTION IF EXISTS `find_F_stelag` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_F_stelag`(_flu tinyint) RETURNS text CHARSET cp1251
BEGIN
	DECLARE _body VARCHAR(50);
	SELECT `string` INTO _body FROM r_type WHERE id+0=_flu and LENGTH(id)<3 AND adr_name=@_orgkod LIMIT 1;
	IF _body<=>NULL THEN 
		RETURN '';
	END IF;
	return lower(TRIM(_body));
   END */$$
DELIMITER ;

/* Function  structure for function  `find_main_mkb10` */

/*!50003 DROP FUNCTION IF EXISTS `find_main_mkb10` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_main_mkb10`(di varchar(10) CHARSET utf8) RETURNS varchar(10) CHARSET utf8
BEGIN
	DECLARE _main INT;
	DECLARE _mkb VARCHAR(10) CHARSET utf8;
	IF di<=>NULL OR di='' THEN 
		RETURN 'P-0';
	END IF;
	SELECT main INTO _main FROM mkb10 WHERE mkb10_id=di;
	SELECT mkb10_id INTO _mkb FROM mkb10 WHERE mkb10_id=di;
	IF _main IN (99999,99999999) THEN 
		RETURN 'P-0';
	ELSE 
		IF _main > 0 THEN 
			BEGIN
				RETURN IFNULL((SELECT mkb10_id FROM mkb10 WHERE SUBSTRING(mkb10_id,3,8)+0=_main LIMIT 1),'P-0');
			END;
		ELSE 
			if _main<=>NULL then
				RETURN 'P-0';
			else 
				RETURN TRIM(_mkb);
			end if;
		END IF;
	END IF;
    END */$$
DELIMITER ;

/* Function  structure for function  `find_ma_mkb_all` */

/*!50003 DROP FUNCTION IF EXISTS `find_ma_mkb_all` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_ma_mkb_all`() RETURNS tinyint(1)
BEGIN
	UPDATE karta SET mkb10=find_main_mkb10(mkb10) WHERE orelnew=1 and adr_name=@_orgkod;   
	RETURN 1; 
END */$$
DELIMITER ;

/* Function  structure for function  `find_ma_mkb_all_lpu` */

/*!50003 DROP FUNCTION IF EXISTS `find_ma_mkb_all_lpu` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_ma_mkb_all_lpu`(_lpu smallint) RETURNS tinyint(1)
BEGIN
	UPDATE karta SET mkb10=find_main_mkb10(mkb10o) WHERE orelnew=1 AND lpu=_lpu;   
	RETURN 1; 
END */$$
DELIMITER ;

/* Function  structure for function  `find_ma_mkb_all_lpu_all` */

/*!50003 DROP FUNCTION IF EXISTS `find_ma_mkb_all_lpu_all` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_ma_mkb_all_lpu_all`(_lpu SMALLINT) RETURNS tinyint(1)
BEGIN
	UPDATE karta SET mkb10=find_main_mkb10(mkb10o) WHERE lpu=_lpu;   
	RETURN 1; 
END */$$
DELIMITER ;

/* Function  structure for function  `find_mo` */

/*!50003 DROP FUNCTION IF EXISTS `find_mo` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_mo`(_dep SMALLINT) RETURNS tinyint(4)
BEGIN
	IF EXISTS(SELECT mo FROM vr WHERE vr_id=_dep AND mo=1 LIMIT 1) THEN
		RETURN 1;
	ELSE 
		RETURN 0;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `find_O_bodypart` */

/*!50003 DROP FUNCTION IF EXISTS `find_O_bodypart` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_O_bodypart`(_flu SMALLINT) RETURNS varchar(10) CHARSET cp1251
BEGIN
	DECLARE _id varchar(10);
	SELECT id into _id FROM r_type WHERE TRIM(id)=TRIM(_flu) AND adr_name=@_orgkod LIMIT 1;
	RETURN _id;
END */$$
DELIMITER ;

/* Function  structure for function  `find_O_city` */

/*!50003 DROP FUNCTION IF EXISTS `find_O_city` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_O_city`(tw VARCHAR(40),mc VARCHAR(40)) RETURNS varchar(40) CHARSET cp1251
BEGIN
	if @_place='town' then
		RETURN IFNULL((SELECT city.`name` FROM city,zoplace z1 WHERE tw>'' AND z1.name=tw and z1.city=city_id AND z1.adr_name=@_orgkod),mc) ;
	else 
		RETURN mc ;
	end if;
END */$$
DELIMITER ;

/* Function  structure for function  `find_O_Job` */

/*!50003 DROP FUNCTION IF EXISTS `find_O_Job` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_O_Job`(ka INT,_place VARCHAR(40)) RETURNS smallint(6)
BEGIN
	RETURN IFNULL((SELECT works_id FROM works WHERE ka>0 AND wrkpl=ka AND adr_name=@_orgkod LIMIT 1),
	IFNULL((SELECT works_id FROM works,zoplace z2 WHERE _place>'' AND z2.name=_place AND z2.works=works_id AND z2.adr_name=@_orgkod),NULL)
	);
END */$$
DELIMITER ;

/* Function  structure for function  `find_O_kat` */

/*!50003 DROP FUNCTION IF EXISTS `find_O_kat` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_O_kat`(ka INT,_place varchar(40)) RETURNS smallint(6)
BEGIN
	RETURN IFNULL((SELECT kat_id FROM kat JOIN zoGroupflu z1 ON kat_id=z1.flu WHERE ka>0 AND z1.flu=ka AND id=ka AND z1.adr_name=@_orgkod),
	IFNULL((SELECT kat_id FROM kat,zoplace z2 WHERE _place>'' AND z2.name=_place AND z2.kat=kat_id AND z2.adr_name=@_orgkod),NULL)
	);
END */$$
DELIMITER ;

/* Function  structure for function  `find_O_mo` */

/*!50003 DROP FUNCTION IF EXISTS `find_O_mo` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_O_mo`(_id SMALLINT) RETURNS tinyint(4)
BEGIN
	IF EXISTS(SELECT mo FROM zodiagnflu WHERE id=_id and mo=1 AND adr_name=@_orgkod) THEN
		RETURN 1;
	ELSE 
		RETURN 0;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `find_O_rentgen` */

/*!50003 DROP FUNCTION IF EXISTS `find_O_rentgen` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_O_rentgen`(bo smallint) RETURNS char(2) CHARSET cp1251
BEGIN
	IF EXISTS(SELECT rentgen FROM r_type WHERE TRIM(id)=TRIM(bo) AND rentgen=1 AND adr_name=@_orgkod LIMIT 1) THEN 
		RETURN 'Р';
	ELSE 
		RETURN '';
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `find_O_stelag` */

/*!50003 DROP FUNCTION IF EXISTS `find_O_stelag` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_O_stelag`(re1 smallINT,re2 smallINT,co text,de text, di varchar(30)) RETURNS text CHARSET cp1251
BEGIN
	DECLARE _re1,_re2,_re varchar(100);
	SELECT `name` INTO _re1 FROM zoregi1 WHERE id=re1 AND adr_name=@_orgkod LIMIT 1;
	SELECT `name` INTO _re2 FROM zoregi2 WHERE id=re2 AND adr_name=@_orgkod LIMIT 1;
	set _re=concat(IFNULL(CONCAT(_re1,'; '),''),IFNULL(CONCAT(_re2,'; '),''));
	RETURN CONCAT(IFNULL(CONCAT(di,'; '),''),IFNULL(co,''),IFNULL(de,''),_re) ;
END */$$
DELIMITER ;

/* Function  structure for function  `find_O_stname` */

/*!50003 DROP FUNCTION IF EXISTS `find_O_stname` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_O_stname`(st INT) RETURNS varchar(30) CHARSET cp1251
BEGIN
	RETURN IFNULL((SELECT `name` FROM st,zostreetflu WHERE zostreetflu.flunum=st.street_id AND zostreetflu.id=st AND zostreetflu.adr_name=@_orgkod),NULL);
END */$$
DELIMITER ;

/* Function  structure for function  `find_O_street` */

/*!50003 DROP FUNCTION IF EXISTS `find_O_street` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_O_street`(st INT) RETURNS smallint(6)
BEGIN
	RETURN IFNULL((SELECT street_id FROM st,zostreetflu WHERE zostreetflu.flunum=st.street_id AND zostreetflu.id=st AND zostreetflu.adr_name=@_orgkod),NULL);
END */$$
DELIMITER ;

/* Function  structure for function  `find_O_streetdop` */

/*!50003 DROP FUNCTION IF EXISTS `find_O_streetdop` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_O_streetdop`(_street VARCHAR(40),_adr_city VARCHAR(40),_place1 VARCHAR(40)) RETURNS varchar(100) CHARSET cp1251
BEGIN
	IF @_place='town' THEN
		SET _place1:=TRIM(REPLACE(_place1,'; ',' '));
		RETURN IFNULL(CONCAT(_place1,', ',_street),_place1) ;
	ELSE 
		RETURN IFNULL(CONCAT(_adr_city,', ',_street),_adr_city) ;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `find_place_all` */

/*!50003 DROP FUNCTION IF EXISTS `find_place_all` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `find_place_all`(_wh varchar(10),_kak tinyint,_days smallint) RETURNS smallint(6)
BEGIN
    DECLARE _kol int;
	if _wh='works' then
		begin
		    if _kak=1 then
		    begin
			SELECT count(DISTInct a1.adr_id) into _kol FROM adrbook a1,zoplace zpl,zoadr zad  
			WHERE a1.adr_name=@_orgkod AND zpl.adr_name=@_orgkod AND zad.adr_name=@_orgkod 
			AND a1.adr_id=zad.adr_id AND zpl.name=zad.place AND zpl.works>0 AND (a1.works<>zpl.works OR a1.works<=>NULL)  ;
			UPDATE adrbook a1,zoplace zpl,zoadr zad SET a1.works=zpl.works 
			WHERE a1.adr_name=@_orgkod AND zpl.adr_name=@_orgkod AND zad.adr_name=@_orgkod 
			AND a1.adr_id=zad.adr_id AND zpl.name=zad.place AND zpl.works>0 AND (a1.works<>zpl.works OR a1.works<=>NULL)  ;
			UPDATE karta a1,zoplace zpl,zoadr zad SET a1.works=zpl.works 
			WHERE a1.adr_name=@_orgkod AND zpl.adr_name=@_orgkod AND zad.adr_name=@_orgkod 
			AND a1.adr_id=zad.adr_id AND zpl.name=zad.place AND zpl.works>0 AND (a1.works<>zpl.works OR a1.works<=>NULL)
			AND dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days DAY);
			RETURN _kol;
		    end;
		    END IF;
		    IF _kak=2 THEN
		    BEGIN
			SELECT COUNT(DISTINCT a1.adr_id) INTO _kol FROM adrbook a1,zoplace zpl,zoadr zad  
			WHERE zpl.adr_name=@_orgkod AND zad.adr_name=@_orgkod 
			AND a1.adr_id=zad.adr_id AND zpl.name=zad.place AND zpl.works>0 AND a1.works<=>NULL  ;
			UPDATE adrbook a1,zoplace zpl,zoadr zad SET a1.works=zpl.works 
			WHERE zpl.adr_name=@_orgkod AND zad.adr_name=@_orgkod 
			AND a1.adr_id=zad.adr_id AND zpl.name=zad.place AND zpl.works>0 AND a1.works<=>NULL  ;
			
			UPDATE karta a1,zoplace zpl,zoadr zad SET a1.works=zpl.works 
			WHERE zpl.adr_name=@_orgkod AND zad.adr_name=@_orgkod 
			AND a1.adr_id=zad.adr_id AND zpl.name=zad.place AND zpl.works>0 AND a1.works<=>NULL
			AND dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days DAY);
			RETURN _kol;
		    END;
		    END IF;
		    IF _kak=3 THEN
		    BEGIN
			SELECT COUNT(DISTINCT a1.adr_id) INTO _kol FROM adrbook a1,zoplace zpl,zoadr zad  
			WHERE zpl.adr_name=@_orgkod AND zad.adr_name=@_orgkod 
			AND a1.adr_id=zad.adr_id AND zpl.name=zad.place AND zpl.works>0 AND (a1.works<>zpl.works OR a1.works<=>NULL)  ;
			UPDATE adrbook a1,zoplace zpl,zoadr zad SET a1.works=zpl.works 
			WHERE zpl.adr_name=@_orgkod AND zad.adr_name=@_orgkod 
			AND a1.adr_id=zad.adr_id AND zpl.name=zad.place AND zpl.works>0 AND (a1.works<>zpl.works OR a1.works<=>NULL)  ;
			
			UPDATE karta a1,zoplace zpl,zoadr zad SET a1.works=zpl.works 
			WHERE zpl.adr_name=@_orgkod AND zad.adr_name=@_orgkod 
			AND a1.adr_id=zad.adr_id AND zpl.name=zad.place AND zpl.works>0 AND (a1.works<>zpl.works OR a1.works<=>NULL)
			AND dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days DAY);
			RETURN _kol;
		    END;
		    END IF;
		end;
	end if;
	IF _wh='kat' THEN
		BEGIN
		    IF _kak=1 THEN
		    BEGIN
			SELECT COUNT(DISTINCT a1.adr_id) INTO _kol FROM adrbook a1,zoplace zpl,zoadr zad  
			WHERE a1.adr_name=@_orgkod AND zpl.adr_name=@_orgkod AND zad.adr_name=@_orgkod 
			AND a1.adr_id=zad.adr_id AND zpl.name=zad.place AND zpl.kat>0 AND (a1.kat<>zpl.kat OR a1.kat<=>NULL)  ;
			UPDATE adrbook a1,zoplace zpl,zoadr zad SET a1.kat=zpl.kat 
			WHERE a1.adr_name=@_orgkod AND zpl.adr_name=@_orgkod AND zad.adr_name=@_orgkod 
			AND a1.adr_id=zad.adr_id AND zpl.name=zad.place AND zpl.kat>0 AND (a1.kat<>zpl.kat OR a1.kat<=>NULL)  ;
			UPDATE karta a1,zoplace zpl,zoadr zad SET a1.kat=zpl.kat 
			WHERE a1.adr_name=@_orgkod AND zpl.adr_name=@_orgkod AND zad.adr_name=@_orgkod 
			AND a1.adr_id=zad.adr_id AND zpl.name=zad.place AND zpl.kat>0 AND (a1.kat<>zpl.kat OR a1.kat<=>NULL)
			AND dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days DAY);
			RETURN _kol;
		    END;
		    END IF;
		    IF _kak=2 THEN
		    BEGIN
			SELECT COUNT(DISTINCT a1.adr_id) INTO _kol FROM adrbook a1,zoplace zpl,zoadr zad  
			WHERE zpl.adr_name=@_orgkod AND zad.adr_name=@_orgkod 
			AND a1.adr_id=zad.adr_id AND zpl.name=zad.place AND zpl.kat>0 AND a1.kat<=>NULL  ;
			UPDATE adrbook a1,zoplace zpl,zoadr zad SET a1.kat=zpl.kat 
			WHERE zpl.adr_name=@_orgkod AND zad.adr_name=@_orgkod 
			AND a1.adr_id=zad.adr_id AND zpl.name=zad.place AND zpl.kat>0 AND a1.kat<=>NULL  ;
			
			UPDATE karta a1,zoplace zpl,zoadr zad SET a1.kat=zpl.kat 
			WHERE zpl.adr_name=@_orgkod AND zad.adr_name=@_orgkod 
			AND a1.adr_id=zad.adr_id AND zpl.name=zad.place AND zpl.kat>0 AND a1.kat<=>NULL
			AND dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days DAY);
			RETURN _kol;
		    END;
		    END IF;
		    IF _kak=3 THEN
		    BEGIN
			SELECT COUNT(DISTINCT a1.adr_id) INTO _kol FROM adrbook a1,zoplace zpl,zoadr zad  
			WHERE zpl.adr_name=@_orgkod AND zad.adr_name=@_orgkod 
			AND a1.adr_id=zad.adr_id AND zpl.name=zad.place AND zpl.kat>0 AND (a1.kat<>zpl.kat OR a1.kat<=>NULL)  ;
			UPDATE adrbook a1,zoplace zpl,zoadr zad SET a1.kat=zpl.kat 
			WHERE zpl.adr_name=@_orgkod AND zad.adr_name=@_orgkod 
			AND a1.adr_id=zad.adr_id AND zpl.name=zad.place AND zpl.kat>0 AND (a1.kat<>zpl.kat OR a1.kat<=>NULL)  ;
			
			UPDATE karta a1,zoplace zpl,zoadr zad SET a1.kat=zpl.kat 
			WHERE zpl.adr_name=@_orgkod AND zad.adr_name=@_orgkod 
			AND a1.adr_id=zad.adr_id AND zpl.name=zad.place AND zpl.kat>0 AND (a1.kat<>zpl.kat OR a1.kat<=>NULL)
			AND dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days DAY);
			RETURN _kol;
		    END;
		    END IF;
		END;
	END IF;
 
	IF _wh='city' THEN
		BEGIN
		    IF _kak=1 THEN
		    BEGIN
			SELECT COUNT(DISTINCT a1.adr_id) INTO _kol FROM adrbook a1,zoplace zpl,zoadr zad, city  
			WHERE a1.adr_name=@_orgkod AND zpl.adr_name=@_orgkod AND zad.adr_name=@_orgkod 
			AND city_id=zpl.city AND a1.adr_id=zad.adr_id AND zpl.name=zad.place AND zpl.city>0 AND (a1.adr_city<>zpl.name OR a1.adr_city<=>NULL)  ;
			UPDATE adrbook a1,zoplace zpl,zoadr zad,city SET a1.adr_city=upper(city.name)
			WHERE a1.adr_name=@_orgkod AND zpl.adr_name=@_orgkod AND zad.adr_name=@_orgkod 
			AND city_id=zpl.city AND a1.adr_id=zad.adr_id AND zpl.name=zad.place AND zpl.city>0 AND (a1.adr_city<>zpl.name OR a1.adr_city<=>NULL)  ;
			RETURN _kol;
		    END;
		    END IF;
		    IF _kak=2 THEN
		    BEGIN
			SELECT COUNT(DISTINCT a1.adr_id) INTO _kol FROM adrbook a1,zoplace zpl,zoadr zad, city    
			WHERE zpl.adr_name=@_orgkod AND zad.adr_name=@_orgkod 
			AND city_id=zpl.city AND a1.adr_id=zad.adr_id AND zpl.name=zad.place AND zpl.city>0 AND  a1.adr_city<=>NULL  ;
			UPDATE adrbook a1,zoplace zpl,zoadr zad,city SET a1.adr_city=UPPER(city.name)
			WHERE zpl.adr_name=@_orgkod AND zad.adr_name=@_orgkod 
			AND city_id=zpl.city AND a1.adr_id=zad.adr_id AND zpl.name=zad.place AND zpl.city>0 AND  a1.adr_city<=>NULL  ;
			RETURN _kol;
		    END;
		    END IF;
		    IF _kak=3 THEN
		    BEGIN
			SELECT COUNT(DISTINCT a1.adr_id) INTO _kol FROM adrbook a1,zoplace zpl,zoadr zad, city  
			WHERE zpl.adr_name=@_orgkod AND zad.adr_name=@_orgkod 
			AND city_id=zpl.city AND a1.adr_id=zad.adr_id AND zpl.name=zad.place AND zpl.city>0 AND  (a1.adr_city<>zpl.kat OR a1.adr_city<=>NULL)  ;
			UPDATE adrbook a1,zoplace zpl,zoadr zad,city SET a1.adr_city=UPPER(city.name)
			WHERE zpl.adr_name=@_orgkod AND zad.adr_name=@_orgkod 
			AND city_id=zpl.city AND a1.adr_id=zad.adr_id AND zpl.name=zad.place AND zpl.city>0 AND  (a1.adr_city<>zpl.kat OR a1.adr_city<=>NULL)  ;
			RETURN _kol;
		    END;
		    END IF;
		END;
	END IF;
   END */$$
DELIMITER ;

/* Function  structure for function  `insert_adru` */

/*!50003 DROP FUNCTION IF EXISTS `insert_adru` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `insert_adru`(_adr INT,_uch tinyint) RETURNS int(11)
BEGIN
	IF EXISTS(SELECT adr_id FROM adruch WHERE adr_id=_adr) THEN
		RETURN 0;
	ELSE
		BEGIN
			INSERT INTO adruch SET adr_id=_adr,ut=_uch;
			RETURN _adr;
		END;
	END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
    END */$$
DELIMITER ;

/* Function  structure for function  `insert_adruch` */

/*!50003 DROP FUNCTION IF EXISTS `insert_adruch` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `insert_adruch`(_adr int,_ut tinyint,_wh tinyint) RETURNS int(11)
BEGIN
	if exists(select adr_id from adruch where adr_id=_adr) then
		if _wh=1 then
			BEGIN
				update adruch set ut=_ut where adr_id=_adr ;
				RETURN 0;
			END;
		else 
			RETURN -1;
		end if ;
	else
		BEGIN
			insert into adruch set adr_id=_adr,ut=_ut;
			RETURN _adr;
		END;
	END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
    END */$$
DELIMITER ;

/* Function  structure for function  `insert_adrx` */

/*!50003 DROP FUNCTION IF EXISTS `insert_adrx` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `insert_adrx`(_adr INT) RETURNS int(11)
BEGIN
	IF EXISTS(SELECT v_adr_id FROM xadrbook WHERE v_adr_id=_adr) THEN
		RETURN 0;
	ELSE
		BEGIN
			INSERT INTO xadrbook SET v_adr_id=_adr,adr_name=@_orgkod,v_id=_adr+1000000;
			RETURN _adr;
		END;
	END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
    END */$$
DELIMITER ;

/* Function  structure for function  `insert_A_bodypart` */

/*!50003 DROP FUNCTION IF EXISTS `insert_A_bodypart` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `insert_A_bodypart`(_name VARCHAR(70),_flu CHAR(10),_lpu SMALLINT) RETURNS smallint(6)
BEGIN
	DECLARE yn TINYINT;
	SET yn=IFNULL((SELECT code1 FROM r_type WHERE TRIM(id)=TRIM(_flu) AND adr_name=@_orgkod LIMIT 1),0);
	IF yn=0 THEN
		BEGIN
			INSERT INTO r_type (STRING,id,adr_name) VALUES (_name,_flu,@_orgkod);
			return LAST_INSERT_ID();
		END;	
	ELSE 
		BEGIN
			UPDATE r_type SET STRING=_name,lpu=_lpu  WHERE TRIM(id)=TRIM(_flu) AND adr_name=@_orgkod;
			return 0;
		END;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `insert_A_vr` */

/*!50003 DROP FUNCTION IF EXISTS `insert_A_vr` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `insert_A_vr`(
    	_name 	VARCHAR(70),
    	_flu	SMALLINT) RETURNS smallint(6)
BEGIN
	DECLARE yn,aa INT;
	SET yn=IFNULL((SELECT vr_id FROM vr WHERE flu=_flu AND adr_name=@_orgkod LIMIT 1),0);
	IF yn=0 THEN
		BEGIN				
			SET aa = (SELECT MAX(vr_id) FROM vr WHERE LPU<1)+1;
			SET aa = IFNULL(aa,1);
			INSERT INTO vr (vr_id,fio,uch,cex,mo,dir1,dir2,dir3,flu,lpu,orel,adr_name) VALUES (aa,_name,0,0,0,0,0,0,_flu,0,1,@_orgkod);
			return aa;
		END;
	ELSE 
		BEGIN
			UPDATE vr SET fio=_name WHERE flu=_flu AND adr_name=@_orgkod;
			return 0;
		END;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `insert_city_lpu` */

/*!50003 DROP FUNCTION IF EXISTS `insert_city_lpu` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `insert_city_lpu`(
     	_flu		SMALLINT,
   	_name 		VARCHAR(70),
    	_lpu		SMALLINT,
     	_gs		tinyINT,
    	_rn		SMALLINT  	) RETURNS smallint(6)
BEGIN
	DECLARE yn,aa INT;
	
	SET yn=IFNULL((SELECT city_id FROM city WHERE city_id=_flu AND lpu=_lpu LIMIT 1),-1);
	IF yn=-1 THEN
		BEGIN				
			INSERT INTO city (city_id,NAME,lpu,adr_name,gorselo,rn) VALUES (_flu,_name,_lpu,REPEAT('.',10),_gs,_rn);
			RETURN _flu;
		END;
	ELSE 
		BEGIN
			UPDATE city SET NAME=_name,gorselo=_gs,rn=_rn WHERE domestic_id=_flu AND lpu=_lpu;
			RETURN -1;
		END;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `insert_dispmkb_lpu` */

/*!50003 DROP FUNCTION IF EXISTS `insert_dispmkb_lpu` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `insert_dispmkb_lpu`(
    	_flu		SMALLINT,
   	_name 		VARCHAR(70),
    	_lpu		SMALLINT) RETURNS smallint(6)
BEGIN
	DECLARE yn,aa INT;
	
	SET yn=IFNULL((SELECT dispmkb_id FROM dispmkb WHERE dispmkb_id=_flu AND lpu=_lpu LIMIT 1),-1);
	IF yn=-1 THEN
		BEGIN				
			INSERT INTO dispmkb (dispmkb_id,NAME,lpu,orel,adr_name) VALUES (_flu,_name,_lpu,1,REPEAT('.',10));
			RETURN _flu;
		END;
	ELSE 
		BEGIN
			UPDATE dispmkb SET NAME=_name WHERE dispmkb_id=_flu AND lpu=_lpu;
			RETURN -1;
		END;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `insert_domestic` */

/*!50003 DROP FUNCTION IF EXISTS `insert_domestic` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `insert_domestic`(
    	_name 	VARCHAR(70),
    	_flu		SMALLINT,
    	_lpu		SMALLINT,
    	_orel	SMALLINT) RETURNS smallint(6)
BEGIN
	DECLARE yn,aa INT;
	
	IF _orel=1 THEN
		BEGIN
			SET yn=IFNULL((SELECT domestic_id FROM domestic WHERE flu=_flu AND adr_name=@_orgkod LIMIT 1),0);
			IF yn=0 THEN
				BEGIN				
					SET aa = (SELECT MAX(domestic_id) FROM domestic WHERE LPU<1)+1;
					SET aa = IFNULL(aa,1);
					INSERT INTO domestic (domestic_id,`desc`,flu,lpu,orel,adr_name) VALUES (aa,_name,_flu,_lpu,1,@_orgkod);
					RETURN aa;
				END;
			ELSE 
				BEGIN
					UPDATE domestic SET `desc`=_name WHERE flu=_flu AND adr_name=@_orgkod;
					RETURN 0;
				END;
			END IF;
		END;
	ELSE 
		BEGIN
			SET aa = (SELECT MAX(domestic_id) FROM domestic WHERE LPU<1)+1;
			INSERT INTO domestic (domestic_id,`desc`,flu,lpu,orel,adr_name) VALUES (aa,_name,_flu,_lpu,_orel,@_orgkod);
			RETURN aa;
		END;
	END IF;
    END */$$
DELIMITER ;

/* Function  structure for function  `insert_domestic_lpu` */

/*!50003 DROP FUNCTION IF EXISTS `insert_domestic_lpu` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `insert_domestic_lpu`(
     	_flu		SMALLINT,
   	_name 		VARCHAR(70),
    	_lpu		SMALLINT) RETURNS smallint(6)
BEGIN
	DECLARE yn,aa INT;
	
	SET yn=IFNULL((SELECT domestic_id FROM domestic WHERE domestic_id=_flu AND lpu=_lpu LIMIT 1),-1);
	IF yn=-1 THEN
		BEGIN				
			INSERT INTO domestic (domestic_id,`desc`,lpu,orel,adr_name) VALUES (_flu,_name,_lpu,1,REPEAT('.',10));
			RETURN _flu;
		END;
	ELSE 
		BEGIN
			UPDATE domestic SET `desc`=_name WHERE domestic_id=_flu AND lpu=_lpu;
			RETURN -1;
		END;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `insert_kat_lpu` */

/*!50003 DROP FUNCTION IF EXISTS `insert_kat_lpu` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `insert_kat_lpu`(
     	_flu		SMALLINT,
   	_name 		VARCHAR(70),
    	_lpu		SMALLINT) RETURNS smallint(6)
BEGIN
	DECLARE yn,aa INT;
	
	SET yn=IFNULL((SELECT kat_id FROM kat WHERE kat_id=_flu AND lpu=_lpu LIMIT 1),-1);
	IF yn=-1 THEN
		BEGIN				
			INSERT INTO kat (kat_id,NAME,lpu,orel,adr_name) VALUES (_flu,_name,_lpu,1,REPEAT('.',10));
			RETURN _flu;
		END;
	ELSE 
		BEGIN
			UPDATE kat SET NAME=_name WHERE kat_id=_flu AND lpu=_lpu;
			RETURN -1;
		END;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `insert_mkb10` */

/*!50003 DROP FUNCTION IF EXISTS `insert_mkb10` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `insert_mkb10`(
    	_name 	VARCHAR(125),
    	_flu		INT,
    	_lpu		SMALLINT,
    	_orel	TINYINT
    	) RETURNS int(11)
BEGIN
	DECLARE yn,aa INT;
	
	IF _orel=1 THEN
		BEGIN
			SET yn=IFNULL((SELECT SUBSTRING(mkb10_id,3,8)+0 FROM mkb10 WHERE flu=_flu AND adr_name=@_orgkod LIMIT 1),0);
			IF yn=0 THEN
				BEGIN				
					SET aa = (SELECT MAX(SUBSTRING(mkb10_id,3,8)+0) FROM mkb10 WHERE LPU<1)+1;
					INSERT INTO mkb10 (mkb10_id,NAME,flu,lpu,orel,vibor,adr_name) VALUES (CONCAT('P-',aa),_name,_flu,_lpu,1,1,@_orgkod);
					return aa;
				END;
			ELSE 
				BEGIN
					UPDATE mkb10 SET NAME=_name WHERE flu=_flu AND adr_name=@_orgkod;
					RETURN 0;
				END;
			END IF;
		END;
	ELSE 
		BEGIN
			SET aa = (SELECT MAX(SUBSTRING(mkb10_id,3,8)+0) FROM mkb10 WHERE LPU<1)+1;
			INSERT INTO mkb10 (mkb10_id,NAME,flu,lpu,orel,vibor,adr_name) VALUES (CONCAT('P-',aa),_name,0,_lpu,0,1,@_orgkod);
			RETURN  aa;
		END;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `insert_mkb10_lpu` */

/*!50003 DROP FUNCTION IF EXISTS `insert_mkb10_lpu` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `insert_mkb10_lpu`(
     	_id		char(10),
   	_name 		VARCHAR(70),
    	_flu		INT,
     	_main		INT,
   	_lpu		SMALLINT
    	) RETURNS char(10) CHARSET utf8
BEGIN
	DECLARE yn char(10);
	
	SET yn=IFNULL((SELECT mkb10_id FROM mkb10 WHERE mkb10_id=_id AND lpu=_lpu LIMIT 1),'-1');
	IF yn='-1' THEN
		BEGIN				
			INSERT INTO mkb10 (mkb10_id,NAME,flu,lpu,orel,vibor,main,adr_name) VALUES (_id,_name,_flu,_lpu,1,1,_main,REPEAT('.',10));
			RETURN _id;
		END;
	ELSE 
		BEGIN
			UPDATE mkb10 SET NAME=_name,main=_main WHERE mkb10_id=_id AND lpu=_lpu;
			RETURN '-1';
		END;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `insert_orgkod` */

/*!50003 DROP FUNCTION IF EXISTS `insert_orgkod` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `insert_orgkod`(_org CHAR(10)) RETURNS char(10) CHARSET cp1251
BEGIN
	DECLARE yn char(10);
	SET yn=IFNULL((SELECT orgkod_id FROM orgkod WHERE TRIM(orgkod_id)=TRIM(_org) LIMIT 1),'-1');
	IF yn='-1' THEN
		BEGIN
			INSERT INTO orgkod (orgkod_id) VALUES (_org);
			RETURN _org;
		END;	
	ELSE 
		BEGIN
			RETURN '-1';
		END;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `insert_O_bodypart` */

/*!50003 DROP FUNCTION IF EXISTS `insert_O_bodypart` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `insert_O_bodypart`(_name VARCHAR(70),_flu smallint,_lpu SMALLINT) RETURNS smallint(6)
BEGIN
	DECLARE yn TINYINT;
	SET yn=IFNULL((SELECT code1 FROM r_type WHERE TRIM(id)=TRIM(_flu) AND adr_name=@_orgkod LIMIT 1),0);
	IF yn=0 THEN
		BEGIN
			INSERT ignore INTO r_type (STRING,id,adr_name) VALUES (_name,_flu,@_orgkod);
			RETURN LAST_INSERT_ID();
		END;	
	ELSE 
		BEGIN
			UPDATE r_type SET STRING=_name,lpu=_lpu  WHERE TRIM(id)=TRIM(_flu) AND adr_name=@_orgkod;
			RETURN 0;
		END;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `insert_risk` */

/*!50003 DROP FUNCTION IF EXISTS `insert_risk` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `insert_risk`(
    	_name 	VARCHAR(70),
    	_flu		SMALLINT,
    	_lpu		SMALLINT,
    	_orel	SMALLINT) RETURNS smallint(6)
BEGIN
	DECLARE yn,aa INT;
	
	IF _orel=1 THEN
		BEGIN
			SET yn=IFNULL((SELECT risk_id FROM risk WHERE flu=_flu AND adr_name=@_orgkod LIMIT 1),0);
			IF yn=0 THEN
				BEGIN				
					SET aa = IFNULL((SELECT MAX(risk_id) FROM risk WHERE LPU<1),0)+1;
					INSERT INTO risk (risk_id,NAME,flu,lpu,orel,adr_name) VALUES (aa,_name,_flu,_lpu,1,@_orgkod);
					return aa;
				END;
			ELSE 
				BEGIN
					UPDATE risk SET NAME=_name WHERE flu=_flu AND adr_name=@_orgkod;
					RETURN 0;
				END;
			END IF;
		END;
	ELSE 
		BEGIN
			SET aa = IFNULL((SELECT MAX(risk_id) FROM risk WHERE LPU<1),0)+1;
			INSERT INTO risk (risk_id,NAME,flu,lpu,orel,adr_name) VALUES (aa,_name,_flu,_lpu,_orel,@_orgkod);
			RETURN aa;
		END;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `insert_risk_lpu` */

/*!50003 DROP FUNCTION IF EXISTS `insert_risk_lpu` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `insert_risk_lpu`(
    	_flu		SMALLINT,
   	_name 		VARCHAR(70),
    	_lpu		SMALLINT) RETURNS smallint(6)
BEGIN
	DECLARE yn,aa INT;
	
	SET yn=IFNULL((SELECT risk_id FROM risk WHERE risk_id=_flu AND lpu=_lpu LIMIT 1),-1);
	IF yn=-1 THEN
		BEGIN				
			INSERT INTO risk (risk_id,NAME,lpu,orel,adr_name) VALUES (_flu,_name,_lpu,1,repeat('.',10));
			RETURN _flu;
		END;
	ELSE 
		BEGIN
			UPDATE risk SET NAME=_name WHERE risk_id=_id AND lpu=_lpu;
			RETURN -1;
		END;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `insert_r_type_lpu` */

/*!50003 DROP FUNCTION IF EXISTS `insert_r_type_lpu` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `insert_r_type_lpu`(
    	_flu		char(10),
     	_code1		SMALLINT,
      	_code2		SMALLINT,
 	_name 		VARCHAR(70),
      	_rentgen	tinyINT,
      	_maincode1	SMALLINT,
  	_lpu		SMALLINT) RETURNS smallint(6)
BEGIN
	DECLARE yn,aa INT;
	
	SET yn=IFNULL((SELECT code1 FROM r_type WHERE code1=_code1 AND lpu=_lpu LIMIT 1),0);
	IF yn=0 THEN
		BEGIN				
			INSERT INTO r_type (code1,code2,`string`,rentgen,id,lpu,maincode1,adr_name) VALUES (_code1,_code2,_name,_rentgen,_flu,_lpu,_maincode1,REPEAT('.',10));
			RETURN _flu;
		END;
	ELSE 
		BEGIN
			UPDATE code1 SET `string`=_name,rentgen=_rentgen,maincode1=_maincode1 WHERE code1=_code1 AND lpu=_lpu;
			RETURN 0;
		END;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `insert_street` */

/*!50003 DROP FUNCTION IF EXISTS `insert_street` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `insert_street`(_st smallint, _na varchar(50), _ci VARCHAR(50)) RETURNS tinyint(4)
BEGIN
	DECLARE yn INT;
	
	SET yn=IFNULL((SELECT street_id FROM st WHERE street_id=_st LIMIT 1),0);
	IF yn=0 THEN
		begin
			insert into st select * from z_st where z_st.street_id=_st;
			return 0;
		end;
	else 
		BEGIN
			update st set st.name=_na, st.adr_city=_ci where st.street_id=_st;
			return 1;
		END;
	end if ;
    END */$$
DELIMITER ;

/* Function  structure for function  `insert_town` */

/*!50003 DROP FUNCTION IF EXISTS `insert_town` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `insert_town`(_name VARCHAR(70),_flu SMALLINT,_lpu SMALLINT) RETURNS smallint(6)
BEGIN
	DECLARE yn TINYINT;
	SET yn=IFNULL((SELECT city_id FROM city WHERE city.flu=_flu AND adr_name=@_orgkod LIMIT 1),0);
	IF yn=0 THEN
		BEGIN
			INSERT INTO city (name,lpu,flu,adr_name) VALUES (_name,_lpu,_flu,@_orgkod);
			RETURN LAST_INSERT_ID();
		END;	
	ELSE 
		BEGIN
			UPDATE city SET name=_name  WHERE city.flu=_flu AND adr_name=@_orgkod;
			RETURN 0;
		END;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `insert_works` */

/*!50003 DROP FUNCTION IF EXISTS `insert_works` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `insert_works`(_name VARCHAR(200), _flu	INT, _orel TINYINT) RETURNS int(11)
BEGIN
	DECLARE yn,aa,_id INT;
	
	IF _orel=1 THEN
		BEGIN
			SET yn=IFNULL((SELECT works_id FROM works WHERE wrkpl=_flu AND adr_name=@_orgkod LIMIT 1),0);
			IF yn=0 THEN
				BEGIN				
					SET aa = IFNULL((SELECT works_id FROM works WHERE works_id AND works_id<>250 AND works_id<>3996 ORDER BY works_id DESC LIMIT 1),0);
					if aa IN (249,3995) then
						SET _id = aa+2;
					else 
						SET _id = aa+1;
					end if ;
					INSERT INTO works VALUES (_id,_name,0,1,1,_flu,0,0,0,@_orgkod);
					return _id;
				END;
			ELSE 
				BEGIN
					UPDATE works SET NAME=_name WHERE wrkpl=_flu AND adr_name=@_orgkod;
					RETURN 0;
				END;
			END IF;
		END;
	ELSE 
		BEGIN
			SET aa = IFNULL((SELECT MAX(works_id)+0 FROM works WHERE works_id NOT IN (250,3996)),0);
			IF aa  IN (249,3995) THEN
				SET _id = aa+2;
			ELSE 
				SET _id = aa+1;
			END IF ;
			INSERT INTO works VALUES (_id,_name,0,0,0,0,0,0,0,@_orgkod);
			RETURN _id;
		END;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `insert_works_lpu` */

/*!50003 DROP FUNCTION IF EXISTS `insert_works_lpu` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `insert_works_lpu`(
    	_flu		INT,
   	_name 		VARCHAR(70),
     	_wrkpl		INT,
    	_main		INT,
    	_mainid		INT,
   	_lpu		SMALLINT) RETURNS int(11)
BEGIN
	DECLARE yn,aa,_id INT;
	
	SET yn=IFNULL((SELECT works_id FROM works WHERE works_id=_flu AND lpu=_lpu LIMIT 1),-1);
	IF yn=-1 THEN
		BEGIN				
			INSERT INTO works VALUES (_flu,_name,0,1,1,_wrkpl,_lpu,_main,_mainid,REPEAT('.',10));
			RETURN _id;
		END;
	ELSE 
		BEGIN
			UPDATE works SET NAME=_name,wrkpl=_wrkpl,main=_main,main_id=_mainid WHERE works_id=_flu AND lpu=_lpu;
			RETURN -1;
		END;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `insert_works_name` */

/*!50003 DROP FUNCTION IF EXISTS `insert_works_name` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `insert_works_name`(_na varchar(40)) RETURNS int(11)
BEGIN
	DECLARE yn,aa,_id INT;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
																																																																																																											  
	SET yn=IFNULL((SELECT works_id FROM works WHERE name=_na LIMIT 1),0);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
	IF yn=0 THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
		BEGIN				                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
			SET aa = IFNULL((SELECT MAX(works_id)+0 FROM works WHERE works_id NOT IN (250,3996)),0);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
			IF aa IN (249,3995) THEN
				SET _id = aa+2;
			ELSE 
				SET _id = aa+1;
			END IF ;
			INSERT INTO works VALUES (_id,_na,0,1,1,0,0,0,0,@_orgkod);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
			RETURN _id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
		END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
	ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
		BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
			RETURN aa;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
		END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
	END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
    END */$$
DELIMITER ;

/* Function  structure for function  `obmen_street_works_dop_one` */

/*!50003 DROP FUNCTION IF EXISTS `obmen_street_works_dop_one` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `obmen_street_works_dop_one`() RETURNS int(11)
BEGIN
	drop TEMPORARY tables if EXISTS tmp;
	create TEMPORARY TABLE tmp 
	select adr_id,street_dop,works_dop,space(150) obmen from adrbook a1 where a1.orelnew=1 and (uch=99 or uch<=>NULL);
	update tmp set obmen=trim(street_dop), street_dop=trim(works_dop),works_dop=trim(obmen);
	UPDATE adrbook a1,tmp SET a1.street_dop=TRIM(tmp.street_dop), a1.works_dop=TRIM(tmp.works_dop) where a1.adr_id=tmp.adr_id;
	DROP TEMPORARY TABLES IF EXISTS tmp;
	return 0;
    END */$$
DELIMITER ;

/* Function  structure for function  `pri_14_nepriv` */

/*!50003 DROP FUNCTION IF EXISTS `pri_14_nepriv` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `pri_14_nepriv`(_pers INT, _dpr date,_st date,_en date) RETURNS date
BEGIN
    DECLARE _dpl DATE DEFAULT NULL;
    if exists(SELECT datk FROM xnepriv x1 WHERE adr_id=_pers AND (cod_inf=14 OR cod_inf=99) AND datn<=_dpr AND datk='0000-00-00' LIMIT 1) then 
	return '0000-00-00';
    else 
	    begin
		    SET _dpl=DATE_ADD((SELECT datk FROM xnepriv x1 WHERE adr_id=_pers AND (cod_inf=14 OR cod_inf=99) AND datn<=_dpr AND datk>=_dpr LIMIT 1),INTERVAL 1 DAY);
		    IF _dpl<=>NULL THEN RETURN _dpr;
		    ELSEif _dpl>_en THEN RETURN '0000-00-00';
		    else RETURN _dpl;
		    END IF;
	    end;
    end if;
END */$$
DELIMITER ;

/* Function  structure for function  `pri_42_nepriv` */

/*!50003 DROP FUNCTION IF EXISTS `pri_42_nepriv` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `pri_42_nepriv`(_pers INT, _dpr date,_st date,_en date) RETURNS date
BEGIN
    DECLARE _dpl DATE DEFAULT NULL;
    if exists(SELECT datk FROM xnepriv x1 LEFT JOIN xsinf ON cod_inf=cod AND pcod<=>NULL WHERE adr_id=_pers AND (n_socr='COVID-19' OR cod_inf=99) AND datn<=_dpr AND datk='0000-00-00' LIMIT 1) then 
	return '0000-00-00';
    else 
	    begin
		    SET _dpl=DATE_ADD((SELECT datk FROM xnepriv x1 left join xsinf on cod_inf=cod and pcod<=>null WHERE adr_id=_pers AND (n_socr='COVID-19' OR cod_inf=99) AND datn<=_dpr AND datk>=_dpr LIMIT 1),INTERVAL 1 DAY);
		    IF _dpl<=>NULL THEN RETURN _dpr;
		    ELSEif _dpl>_en THEN RETURN '0000-00-00';
		    else RETURN _dpl;
		    END IF;
	    end;
    end if;
END */$$
DELIMITER ;

/* Function  structure for function  `pri_dpr_interval` */

/*!50003 DROP FUNCTION IF EXISTS `pri_dpr_interval` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `pri_dpr_interval`(_inf SMALLINT,_kod_vpr SMALLINT, _sxe tinyint) RETURNS char(8) CHARSET cp1251
BEGIN
	IF _sxe=0  THEN 
		SET _sxe:=1;
	END IF ;
	IF EXISTS(select kod_vpr from  xalgpl WHERE cod_inf=_inf and kod_vpr<_kod_vpr and sxema=_sxe order by kod_vpr desc limit 1) THEN
		BEGIN
			select concat(LPAD(dat_miy,2,'0'),LPAD(dat_mim,2,'0'),LPAD(dat_mid,2,'0')) into @_ymd from xalgpl WHERE cod_inf=_inf AND kod_vpr<_kod_vpr AND sxema=_sxe ORDER BY kod_vpr DESC LIMIT 1;
			return @_ymd;
		END;
	ELSE 
		RETURN '000000';
	END IF;
    END */$$
DELIMITER ;

/* Function  structure for function  `pri_dpr_next` */

/*!50003 DROP FUNCTION IF EXISTS `pri_dpr_next` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `pri_dpr_next`(_inf SMALLINT,_kod_vpr SMALLINT,_dr date,_lastpr date,_pers INT,_sxe TINYINT) RETURNS date
BEGIN
	IF _sxe=0  THEN 
		SET _sxe:=1;
	END IF ;
	if exists(select * from xalgpl where cod_inf=_inf and kod_vpr=_kod_vpr AND sxema=_sxe) then
	begin
		declare _lastpr11 date default '0000-00-00';
		DECLARE _isbirth tinyint(1) default 0;
		set @tinterval=-1;		
		SELECT (dat_miy*365+dat_mim*30+dat_mid) INTO @tinterval2 FROM xalgpl WHERE cod_inf=_inf AND kod_vpr=_kod_vpr AND sxema=_sxe;
		SELECT (dat_miy+dat_mim+dat_mid) into @tinterval from xalgpl where cod_inf=_inf AND kod_vpr=_kod_vpr AND sxema=_sxe and min_iny=0;
 		if exists(SELECT dat_mid FROM xalgpl WHERE cod_inf=_inf AND kod_vpr=_kod_vpr AND sxema=_sxe and cod_s=1) then
			begin
				set _lastpr=_dr;
				set _isbirth=1;
 			end;
 		end if;
		if @tinterval>=0 then
			begin
				if @tinterval2=1	then				
					set @_maxtmp1:=(SELECT DATE_ADD(DATE_ADD(_dr,INTERVAL dat_miy*12+dat_mim MONTH), INTERVAL dat_mid-1 DAY) 
					FROM xalgpl WHERE cod_inf=_inf AND kod_vpr=_kod_vpr AND sxema=_sxe);
				else 
					SET @_maxtmp1:=(SELECT DATE_ADD(DATE_ADD(_dr,INTERVAL dat_miy*12+dat_mim MONTH), INTERVAL dat_mid DAY) 
					FROM xalgpl WHERE cod_inf=_inf AND kod_vpr=_kod_vpr AND sxema=_sxe);
				end if;
				IF @_maxtmp1<=_lastpr THEN 
					BEGIN
						SET @_qqq:=(SELECT pri_dpr_interval(_inf,_kod_vpr,_sxe));
						SET @_maxtmp1:=(SELECT DATE_ADD(DATE_ADD(_lastpr,INTERVAL dat_miy*12+dat_mim MONTH), INTERVAL dat_mid DAY) 
						FROM xalgpl WHERE cod_inf=_inf AND kod_vpr=_kod_vpr AND sxema=_sxe);
						SET @_maxtmp1:=DATE_SUB(DATE_SUB(@_maxtmp1,INTERVAL LEFT(@_qqq,2)*12+SUBSTRING(@_qqq,3,2) MONTH), INTERVAL SUBSTRING(@_qqq,5,2) DAY) ;
						SET @_lastpr:=@_maxtmp1;
						call pri_dpr_nepriv(_pers,_inf,_kod_vpr);
						RETURN IFNULL(@_maxtmp1,'0000-00-00');
					end;
				else 
					begin
						if _isbirth=0 then
						begin					
							SET @_qqq:=(SELECT pri_dpr_interval(_inf,_kod_vpr,_sxe));
							SET @_maxtmp1:=(SELECT DATE_ADD(DATE_ADD(_lastpr,INTERVAL dat_miy*12+dat_mim MONTH), INTERVAL dat_mid DAY) 
							FROM xalgpl WHERE cod_inf=_inf AND kod_vpr=_kod_vpr AND sxema=_sxe);
							SET @_maxtmp1:=DATE_sub(DATE_sub(@_maxtmp1,INTERVAL left(@_qqq,2)*12+SUBSTRING(@_qqq,3,2) MONTH), INTERVAL SUBSTRING(@_qqq,5,2) DAY) ;
						end;
						end if;
						SET @_lastpr:=@_maxtmp1;
						CALL pri_dpr_nepriv(_pers,_inf,_kod_vpr);
						RETURN IFNULL(@_maxtmp1,'0000-00-00');
					end;
				end if ;
			end;
		else 
			begin
				
				SELECT (min_iny) INTO @tinterval1 FROM xalgpl WHERE cod_inf=_inf AND kod_vpr=_kod_vpr AND sxema=_sxe;
				IF @tinterval1>0 THEN 
					BEGIN
						if @_maxtmp1<=_lastpr then 
						begin
							SET @_maxtmp1:=(SELECT DATE_ADD(_lastpr,INTERVAL min_iny*12 MONTH) 
							FROM xalgpl WHERE cod_inf=_inf AND kod_vpr=_kod_vpr AND sxema=_sxe);
							CALL pri_dpr_nepriv(_pers,_inf,_kod_vpr);
							RETURN IFNULL(@_maxtmp1,'0000-00-00');
						end;
						else 
						BEGIN
							IF EXISTS(SELECT dat_mid FROM xalgpl WHERE cod_inf=_inf AND kod_vpr=_kod_vpr AND sxema=_sxe AND cod_s=1) THEN
								SET _lastpr11=CONCAT(YEAR(@_maxtmp1),SUBSTR(_dr,5,6));
								SET @_maxtmp1:=(SELECT DATE_ADD(_lastpr11,INTERVAL min_iny*12 MONTH) 
								FROM xalgpl WHERE cod_inf=_inf AND kod_vpr=_kod_vpr AND sxema=_sxe);
							else 
								SET @_maxtmp1:=(SELECT DATE_ADD(@_maxtmp1,INTERVAL min_iny*12 MONTH) 
								FROM xalgpl WHERE cod_inf=_inf AND kod_vpr=_kod_vpr AND sxema=_sxe);
							end if;
							CALL pri_dpr_nepriv(_pers,_inf,_kod_vpr);
							RETURN IFNULL(@_maxtmp1,'0000-00-00');
						END;
						end if;
					end;
				else 
					RETURN '0000-00-00';
				end if ;
			end;
		end if;
	end;
	else 
		RETURN '0000-00-00';
	end if;
    END */$$
DELIMITER ;

/* Function  structure for function  `pri_dpr_next_1` */

/*!50003 DROP FUNCTION IF EXISTS `pri_dpr_next_1` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `pri_dpr_next_1`(_inf SMALLINT,_kod_vpr SMALLINT,_dr DATE,_lastpr DATE,_pers INT,_sxe tinyint) RETURNS date
BEGIN
	DECLARE _lastpr11 DATE DEFAULT '0000-00-00';
	DECLARE _isbirth TINYINT(1) DEFAULT 0;
	IF EXISTS(SELECT * FROM xalgpl WHERE cod_inf=_inf AND kod_vpr=_kod_vpr and sxema=_sxe) THEN
	BEGIN
		set @tinterval2=0,@tinterval=0;
		if _sxe=0 then 
			set _sxe:=1;
		end if ;
		
		SET @tinterval=-1;		
 		IF EXISTS(SELECT dat_mid FROM xalgpl WHERE cod_inf=_inf AND kod_vpr=_kod_vpr AND sxema=_sxe AND cod_s=1) THEN
			BEGIN
				SET _lastpr=_dr;
				SET _isbirth=1;
 			END;
 		END IF;
		IF (SELECT (dat_miy+dat_mim+dat_mid) FROM xalgpl WHERE cod_inf=_inf AND kod_vpr=_kod_vpr AND sxema=_sxe AND min_iny=0 LIMIT 1)>=0 THEN 
			BEGIN
				IF (SELECT dat_mid FROM xalgpl WHERE cod_inf=_inf AND kod_vpr=_kod_vpr and sxema=_sxe and dat_miy=0 AND dat_mim=0 LIMIT 1)=1	THEN				
					SET @_maxtmp1:=(SELECT DATE_ADD(DATE_ADD(_dr,INTERVAL dat_miy*12+dat_mim MONTH), INTERVAL dat_mid-1 DAY) 
					FROM xalgpl WHERE cod_inf=_inf AND kod_vpr=_kod_vpr LIMIT 1);
				ELSE 
					SET @_maxtmp1:=(SELECT DATE_ADD(DATE_ADD(_dr,INTERVAL dat_miy*12+dat_mim MONTH), INTERVAL dat_mid DAY) 
					FROM xalgpl WHERE cod_inf=_inf AND kod_vpr=_kod_vpr AND sxema=_sxe LIMIT 1);
				END IF;
				IF _isbirth=0 THEN
				BEGIN					
					SET @_qqq:=(SELECT pri_dpr_interval(_inf,_kod_vpr,_sxe));
					SET @_maxtmp1:=(SELECT DATE_ADD(DATE_ADD(_lastpr,INTERVAL dat_miy*12+dat_mim MONTH), INTERVAL dat_mid DAY) 
					FROM xalgpl WHERE cod_inf=_inf AND kod_vpr=_kod_vpr AND sxema=_sxe);
					SET @_maxtmp1:=DATE_SUB(DATE_SUB(@_maxtmp1,INTERVAL LEFT(@_qqq,2)*12+SUBSTRING(@_qqq,3,2) MONTH), INTERVAL SUBSTRING(@_qqq,5,2) DAY) ;
				END;
				END IF;
				
				SET @_lastpr:=@_maxtmp1;
				CALL pri_dpr_nepriv(_pers,_inf,_kod_vpr);
				RETURN ifnull(@_maxtmp1,'0000-00-00');
			END;
		ELSE 
			BEGIN
				SELECT (min_iny) INTO @tinterval1 FROM xalgpl WHERE cod_inf=_inf AND kod_vpr=_kod_vpr AND sxema=_sxe LIMIT 1;
				IF @tinterval1>0 THEN 
					BEGIN
						IF @_maxtmp1<=_lastpr THEN 
							BEGIN
								SET @_maxtmp1:=(SELECT DATE_ADD(DATE_ADD(_lastpr,INTERVAL min_iny*12+min_inm MONTH), INTERVAL min_ind DAY) 
								FROM xalgpl WHERE cod_inf=_inf AND kod_vpr=_kod_vpr AND sxema=_sxe LIMIT 1);
							END;
						ELSE 
							BEGIN
								IF EXISTS(SELECT dat_mid FROM xalgpl WHERE cod_inf=_inf AND kod_vpr=_kod_vpr AND sxema=_sxe AND cod_s=1) THEN
									SET _lastpr11=CONCAT(YEAR(@_maxtmp1),SUBSTR(_dr,5,6));
									SET @_maxtmp1:=(SELECT DATE_ADD(_lastpr11,INTERVAL min_iny*12 MONTH) 
									FROM xalgpl WHERE cod_inf=_inf AND kod_vpr=_kod_vpr AND sxema=_sxe);
								ELSE 
									SET @_maxtmp1:=(SELECT DATE_ADD(@_maxtmp1,INTERVAL min_iny*12 MONTH) 
									FROM xalgpl WHERE cod_inf=_inf AND kod_vpr=_kod_vpr AND sxema=_sxe);
								END IF;
							END;
						END IF;
						CALL pri_dpr_nepriv(_pers,_inf,_kod_vpr);
						RETURN IFNULL(@_maxtmp1,'0000-00-00');
					END;
				ELSE 
					RETURN '0000-00-00';
				END IF ;
			END;
		END IF;
	END;
	ELSE 
		RETURN '0000-00-00';
	END IF;
    END */$$
DELIMITER ;

/* Function  structure for function  `pri_isfind_xsinf` */

/*!50003 DROP FUNCTION IF EXISTS `pri_isfind_xsinf` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `pri_isfind_xsinf`(
    	_who 	varchar(5),
    	_inf 	SMALLINT,
    	_vpr	SMALLINT) RETURNS tinyint(4)
BEGIN
if _who='vpr'	then 
	IF exists(select * from xpri where cod_inf=_inf and kod_vpr=_vpr limit 1) THEN
		return 1;
	ELSE 
		IF EXISTS(SELECT * FROM xalgpl WHERE cod_inf=_inf AND kod_vpr=_vpr limit 1) THEN
			RETURN 1;
		ELSE 
			IF EXISTS(SELECT * FROM xcoef WHERE cod_inf=_inf AND kod_vpr=_vpr LIMIT 1) THEN
				RETURN 1;
			ELSE 
				IF EXISTS(SELECT * FROM xintpri WHERE cod_inf=_inf AND kod_vpr=_vpr LIMIT 1) OR EXISTS(SELECT * FROM xintpri WHERE cod_inf1=_inf AND kod_vpr=_vpr LIMIT 1) THEN
					RETURN 1;
				ELSE 
					RETURN 0;
				END IF;
			END IF;
		END IF;
	END IF;
else 
	IF EXISTS(SELECT * FROM xpri WHERE cod_inf=_inf LIMIT 1) THEN
		RETURN 1;
	ELSE 
		IF EXISTS(SELECT * FROM xalgpl WHERE cod_inf=_inf LIMIT 1) THEN
			RETURN 1;
		ELSE 
			IF EXISTS(SELECT * FROM xcoef WHERE cod_inf=_inf LIMIT 1) THEN
				RETURN 1;
			ELSE 
				IF EXISTS(SELECT * FROM xintpri WHERE cod_inf=_inf LIMIT 1) OR EXISTS(SELECT * FROM xintpri WHERE cod_inf1=_inf LIMIT 1) THEN
					RETURN 1;
				ELSE 
					IF EXISTS(SELECT * FROM xsinf WHERE pcod=_inf LIMIT 1) THEN
						return 1;
					else 
						return 0;
					end if ;
				END IF;
			END IF;
		END IF;
	END IF;
end if ;
END */$$
DELIMITER ;

/* Function  structure for function  `reg_find_pol` */

/*!50003 DROP FUNCTION IF EXISTS `reg_find_pol` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `reg_find_pol`(_tal int,_tp tinyint,_ser VARCHAR(12),_num VARCHAR(18),_comp SMALLINT,_sta SMALLINT,_dw date,_pers INT) RETURNS tinyint(4)
BEGIN
	declare _st tinyint;
	set _st=0;
	IF _tp=2 THEN
		BEGIN
		    IF EXISTS(SELECT * FROM polis.polis p1 WHERE (p1.policy_num=_num or p1.new_policy=_num)  and conditoin IN (1,2)) THEN
			IF EXISTS(SELECT * FROM polis.polis p1 WHERE (p1.policy_num=_num OR p1.new_policy=_num)  AND p1.comp=_comp) THEN
				IF EXISTS(SELECT * FROM polis.polis p1 WHERE (p1.policy_num=_num OR p1.new_policy=_num)  AND p1.comp=_comp AND date_chang<=_dw) THEN
					IF EXISTS(SELECT STATUS  FROM polis.polis p1 WHERE (p1.policy_num=_num OR p1.new_policy=_num)  AND p1.comp=_comp AND date_chang<=_dw AND STATUS<>_sta) THEN
						BEGIN
							SELECT STATUS INTO _st FROM polis.polis p1 WHERE (p1.policy_num=_num OR p1.new_policy=_num)  AND p1.comp=_comp AND date_chang<=_dw AND STATUS<>_sta limit 1;
							INSERT INTO yprotokol SET talon_id=_tal,err_cod=12,sta=_st,adr_id=_pers;
							RETURN 0;
						END;
					ELSE 
						BEGIN
							RETURN 0;
						END;
					END IF; 
				ELSE 
				    BEGIN
					INSERT INTO yprotokol SET talon_id=_tal,err_cod=11,adr_id=_pers;
					RETURN 1;
				    END;		    
				END IF ;
			ELSE 
			    BEGIN
				INSERT INTO yprotokol SET talon_id=_tal,err_cod=10,adr_id=_pers;
				RETURN 1;
			    END;		    
			END IF; 
		    ELSE 
			    BEGIN
				IF EXISTS(SELECT * FROM polis.polis p1 WHERE (p1.policy_num=_num OR p1.new_policy=_num)  AND conditoin>2 and date_chang<=_dw) THEN
					begin
						INSERT INTO yprotokol SET talon_id=_tal,err_cod=16,adr_id=_pers;
						RETURN 1;
					end;
				else 
					IF EXISTS(SELECT * FROM polis.polis p1 WHERE (p1.policy_num=_num OR p1.new_policy=_num)  AND conditoin>2 AND date_chang>_dw) THEN
						BEGIN
							RETURN 1;
						END;
					ELSE 
						BEGIN
							INSERT INTO yprotokol SET talon_id=_tal,err_cod=9,adr_id=_pers;
							RETURN 1;
						END;
					END IF;
				end if;
			    END;		    
		    END IF ;
		END;
	END IF;
 	IF _tp=1 THEN
		BEGIN
		    if exists(SELECT * FROM polis.polis p1 WHERE p1.new_policy=_num AND conditoin IN (1,2)) then
			IF EXISTS(SELECT * FROM polis.polis p1 WHERE p1.new_policy=_num and p1.comp=_comp) THEN
				IF EXISTS(SELECT * FROM polis.polis p1 WHERE p1.new_policy=_num AND p1.comp=_comp and date_chang<=_dw) THEN
					IF EXISTS(SELECT STATUS  FROM polis.polis p1 WHERE p1.new_policy=_num AND p1.comp=_comp AND date_chang<=_dw and status<>_sta) THEN
						begin
							SELECT STATUS INTO _st FROM polis.polis p1 WHERE p1.new_policy=_num AND p1.comp=_comp AND date_chang<=_dw AND STATUS<>_sta limit 1;
							INSERT INTO yprotokol SET talon_id=_tal,err_cod=12,sta=_st,adr_id=_pers;
							RETURN 0;
						end;
					else 
						BEGIN
							RETURN 0;
						END;
					end if; 
				else 
				    BEGIN
					INSERT INTO yprotokol SET talon_id=_tal,err_cod=11,adr_id=_pers;
					RETURN 1;
				    END;		    
				end if ;
			else 
			    BEGIN
				INSERT INTO yprotokol SET talon_id=_tal,err_cod=10,adr_id=_pers;
				RETURN 1;
			    END;		    
			end if; 
		    ELSE 
			    BEGIN
				IF EXISTS(SELECT * FROM polis.polis p1 WHERE (p1.policy_num=_num OR p1.new_policy=_num)  AND conditoin>2 AND date_chang<=_dw) THEN
					BEGIN
						INSERT INTO yprotokol SET talon_id=_tal,err_cod=16,adr_id=_pers;
						RETURN 1;
					END;
				ELSE 
					IF EXISTS(SELECT * FROM polis.polis p1 WHERE (p1.policy_num=_num OR p1.new_policy=_num)  AND conditoin>2 AND date_chang>_dw) THEN
						BEGIN
							RETURN 1;
						END;
					ELSE 
						BEGIN
							INSERT INTO yprotokol SET talon_id=_tal,err_cod=9,adr_id=_pers;
							RETURN 1;
						END;
					END IF;
				END IF;
			    END;		    
		    END IF ;
		END;
	END IF;
	RETURN 0;
END */$$
DELIMITER ;

/* Function  structure for function  `reg_insert_comp` */

/*!50003 DROP FUNCTION IF EXISTS `reg_insert_comp` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `reg_insert_comp`(_fio VARCHAR(50),_fwr SMALLINT) RETURNS smallint(6)
BEGIN
	DECLARE aa INT;
	SET aa = (SELECT MAX(comp_id) FROM comp WHERE comp_id<>98)+1;
	INSERT INTO comp (compr_id,name,ree_num) VALUES (aa,_fio,_fwr);
	RETURN aa;
    END */$$
DELIMITER ;

/* Function  structure for function  `reg_insert_vr` */

/*!50003 DROP FUNCTION IF EXISTS `reg_insert_vr` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `reg_insert_vr`(_fio varchar(50),_fwr SMALLINT) RETURNS smallint(6)
BEGIN
	DECLARE aa INT;
	SET aa = (SELECT MAX(vr_id) FROM vr WHERE LPU<1)+1;
	INSERT INTO vr (vr_id,fio,uch,cex,mo,dir1,dir2,dir3,flu,lpu,orel,adr_name,fwr) VALUES (aa,_fio,0,0,0,0,0,0,0,0,1,@_orgkod,_fwr);
	RETURN aa;
    END */$$
DELIMITER ;

/* Function  structure for function  `reg_orz` */

/*!50003 DROP FUNCTION IF EXISTS `reg_orz` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `reg_orz`(_adr int,_ta int,_dz varchar(5),_dw date,_dayskol tinyint) RETURNS tinyint(1)
BEGIN
	IF @_ad0=_adr AND @_dz1=_dz then
		IF date_add(@_dw1, INTERVAL _dayskol day) >= @_dw then
			update ytalon set r_tksg = 1 where talon_id=_ta;
		ELSE 
			UPDATE ytalon SET r_tksg = 0 WHERE talon_id=_ta;
		END IF ;
	ELSE
		UPDATE ytalon SET r_tksg = 1 WHERE talon_id=_ta;
	END IF ;
	SELECT adr_id into @_ad0 from zzorz where talon_id=_ta;
	SELECT left(dz,5) INTO @_dz1 FROM zzorz WHERE talon_id=_ta;
	SELECT dw INTO @_dw1 FROM zzorz WHERE talon_id=_ta;
	RETURN 1;
    END */$$
DELIMITER ;

/* Function  structure for function  `reg_ree_calc_one` */

/*!50003 DROP FUNCTION IF EXISTS `reg_ree_calc_one` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `reg_ree_calc_one`(_wz tinyint,_fl tinyint,_ye smallint,_mon TINYINT,_spec smallint,_vz_child tinyint,_altlpu VARCHAR(4)) RETURNS decimal(8,2)
BEGIN
	declare _mn DECIMAL(8,2) DEFAULT 0;
	if _altlpu>' ' then 
		begin 
			if _fl=1 then
				begin
					if _mon=1 then
						select stp_1 into _mn from ymoney where spec_cod=_spec AND ye=_ye AND altlpu>' ' and mon_type=2;
					else 
					IF _mon=2 THEN
						SELECT stp_2 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=2;
					else
					IF _mon=3 THEN
						SELECT stp_3 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=2;
					ELSE 
					IF _mon=4 THEN
						SELECT stp_4 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=2;
					ELSE 
					IF _mon=5 THEN
						SELECT stp_5 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=2;
					ELSE 
					IF _mon=6 THEN
						SELECT stp_6 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=2;
					ELSE 
					IF _mon=7 THEN
						SELECT stp_7 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=2;
					ELSE 
					IF _mon=8 THEN
						SELECT stp_8 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=2;
					ELSE 
					IF _mon=9 THEN
						SELECT stp_9 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=2;
					ELSE 
					IF _mon=10 THEN
						SELECT stp_10 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=2;
					ELSE 
					IF _mon=11 THEN
						SELECT stp_11 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=2;
					ELSE 
					IF _mon=12 THEN
						SELECT stp_12 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=2;
					END IF;
					END IF;
					END IF;
					END IF;
					END IF;
					END IF;
					END IF;
					END IF;
					END IF;
					END IF;
					END IF;
					end if;
					SET _wz=0;
				end;
			else 
				BEGIN
					IF _wz<=_vz_child THEN
						BEGIN
							IF _mon=1 THEN
								SELECT stp_1 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=1;
							ELSE 
							IF _mon=2 THEN
								SELECT stp_2 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=1;
							ELSE
							IF _mon=3 THEN
								SELECT stp_3 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=1;
							ELSE 
							IF _mon=4 THEN
								SELECT stp_4 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=1;
							ELSE 
							IF _mon=5 THEN
								SELECT stp_5 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=1;
							ELSE 
							IF _mon=6 THEN
								SELECT stp_6 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=1;
							ELSE 
							IF _mon=7 THEN
								SELECT stp_7 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=1;
							ELSE 
							IF _mon=8 THEN
								SELECT stp_8 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=1;
							ELSE 
							IF _mon=9 THEN
								SELECT stp_9 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=1;
							ELSE 
							IF _mon=10 THEN
								SELECT stp_10 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=1;
							ELSE 
							IF _mon=11 THEN
								SELECT stp_11 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=1;
							ELSE 
							IF _mon=12 THEN
								SELECT stp_12 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=1;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							set _wz=1;
						END;
					ELSE 
						BEGIN
							IF _mon=1 THEN
								SELECT stp_1 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=0;
							ELSE 
							IF _mon=2 THEN
								SELECT stp_2 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=0;
							ELSE
							IF _mon=3 THEN
								SELECT stp_3 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=0;
							ELSE 
							IF _mon=4 THEN
								SELECT stp_4 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=0;
							ELSE 
							IF _mon=5 THEN
								SELECT stp_5 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=0;
							ELSE 
							IF _mon=6 THEN
								SELECT stp_6 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=0;
							ELSE 
							IF _mon=7 THEN
								SELECT stp_7 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=0;
							ELSE 
							IF _mon=8 THEN
								SELECT stp_8 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=0;
							ELSE 
							IF _mon=9 THEN
								SELECT stp_9 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=0;
							ELSE 
							IF _mon=10 THEN
								SELECT stp_10 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=0;
							ELSE 
							IF _mon=11 THEN
								SELECT stp_11 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=0;
							ELSE 
							IF _mon=12 THEN
								SELECT stp_12 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu>' ' AND mon_type=0;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							SET _wz=0;
						END;
					END IF ;
				END;
			end if ;
			set _mn=IFNULL(_mn,0);
			if _mn=0 then
				insert ignore into zyerrcalc set spec=_spec,fl=_fl,wz=_wz,mon=_mon,ye=_ye;
			end if; 
		end;
	else 
		BEGIN
			IF _fl=1 THEN
				BEGIN
					IF _mon=1 THEN
						SELECT stp_1 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=2;
					ELSE 
					IF _mon=2 THEN
						SELECT stp_2 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=2;
					ELSE
					IF _mon=3 THEN
						SELECT stp_3 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=2;
					ELSE 
					IF _mon=4 THEN
						SELECT stp_4 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=2;
					ELSE 
					IF _mon=5 THEN
						SELECT stp_5 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=2;
					ELSE 
					IF _mon=6 THEN
						SELECT stp_6 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=2;
					ELSE 
					IF _mon=7 THEN
						SELECT stp_7 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=2;
					ELSE 
					IF _mon=8 THEN
						SELECT stp_8 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=2;
					ELSE 
					IF _mon=9 THEN
						SELECT stp_9 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=2;
					ELSE 
					IF _mon=10 THEN
						SELECT stp_10 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=2;
					ELSE 
					IF _mon=11 THEN
						SELECT stp_11 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=2;
					ELSE 
					IF _mon=12 THEN
						SELECT stp_12 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=2;
					END IF;
					END IF;
					END IF;
					END IF;
					END IF;
					END IF;
					END IF;
					END IF;
					END IF;
					END IF;
					END IF;
					END IF;
					SET _wz=0;
				END;
			ELSE 
				BEGIN
					IF _wz<=_vz_child THEN
						BEGIN
							IF _mon=1 THEN
								SELECT stp_1 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=1;
							ELSE 
							IF _mon=2 THEN
								SELECT stp_2 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=1;
							ELSE
							IF _mon=3 THEN
								SELECT stp_3 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=1;
							ELSE 
							IF _mon=4 THEN
								SELECT stp_4 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=1;
							ELSE 
							IF _mon=5 THEN
								SELECT stp_5 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=1;
							ELSE 
							IF _mon=6 THEN
								SELECT stp_6 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=1;
							ELSE 
							IF _mon=7 THEN
								SELECT stp_7 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=1;
							ELSE 
							IF _mon=8 THEN
								SELECT stp_8 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=1;
							ELSE 
							IF _mon=9 THEN
								SELECT stp_9 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=1;
							ELSE 
							IF _mon=10 THEN
								SELECT stp_10 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=1;
							ELSE 
							IF _mon=11 THEN
								SELECT stp_11 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=1;
							ELSE 
							IF _mon=12 THEN
								SELECT stp_12 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=1;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							SET _wz=1;
						END;
					ELSE 
						BEGIN
							IF _mon=1 THEN
								SELECT stp_1 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=0;
							ELSE 
							IF _mon=2 THEN
								SELECT stp_2 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=0;
							ELSE
							IF _mon=3 THEN
								SELECT stp_3 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=0;
							ELSE 
							IF _mon=4 THEN
								SELECT stp_4 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=0;
							ELSE 
							IF _mon=5 THEN
								SELECT stp_5 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=0;
							ELSE 
							IF _mon=6 THEN
								SELECT stp_6 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=0;
							ELSE 
							IF _mon=7 THEN
								SELECT stp_7 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=0;
							ELSE 
							IF _mon=8 THEN
								SELECT stp_8 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=0;
							ELSE 
							IF _mon=9 THEN
								SELECT stp_9 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=0;
							ELSE 
							IF _mon=10 THEN
								SELECT stp_10 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=0;
							ELSE 
							IF _mon=11 THEN
								SELECT stp_11 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=0;
							ELSE 
							IF _mon=12 THEN
								SELECT stp_12 INTO _mn FROM ymoney WHERE spec_cod=_spec AND ye=_ye AND altlpu='' AND mon_type=0;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							END IF;
							SET _wz=0;
						END;
					END IF ;
				END;
			END IF ;
			SET _mn=IFNULL(_mn,0);
			IF _mn=0 THEN
				INSERT IGNORE INTO zyerrcalc SET spec=_spec,fl=_fl,wz=_wz,mon=_mon,ye=_ye;
			END IF; 
		END;
	end if;
	RETURN _mn;
    END */$$
DELIMITER ;

/* Function  structure for function  `reg_return_polis` */

/*!50003 DROP FUNCTION IF EXISTS `reg_return_polis` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `reg_return_polis`(
    _fam VARCHAR(30)  CHARSET cp1251,
    _im VARCHAR(20)  CHARSET cp1251,
    _ot VARCHAR(20)  CHARSET cp1251,
    _dr DATE,
    _dw date) RETURNS varchar(16) CHARSET cp1251
BEGIN
	IF _dr<>'0000-00-00' THEN
		IF EXISTS(SELECT new_policy FROM polis WHERE fam=_fam  AND im=_im  AND ot=_ot  AND datebirth=_dr AND _dw>=date_chang AND conditoin IN (1,2) LIMIT 1) THEN
		BEGIN
			SELECT new_policy INTO @_po FROM polis WHERE fam=_fam  AND im=_im  AND ot=_ot  AND datebirth=_dr AND _dw>=date_chang AND conditoin IN (1,2) LIMIT 1;
			RETURN @_po;
		END;
		END IF;
		IF EXISTS(SELECT new_policy FROM polis WHERE fam=_fam  AND im=_im  AND ot=_ot  AND LEFT(datebirth,4)=LEFT(_dr,4) AND _dw>=date_chang AND conditoin IN (1,2) LIMIT 1) THEN
		BEGIN
			SELECT new_policy INTO @_po FROM polis WHERE fam=_fam  AND im=_im  AND ot=_ot  AND LEFT(datebirth,4)=LEFT(_dr,4) AND _dw>=date_chang AND conditoin IN (1,2) LIMIT 1;
			RETURN @_po;
		END;
		END IF;
	ELSE
		RETURN '';
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `return_init_con` */

/*!50003 DROP FUNCTION IF EXISTS `return_init_con` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `return_init_con`() RETURNS char(10) CHARSET cp1251
BEGIN
	RETURN @_orgkod;
    END */$$
DELIMITER ;

/* Function  structure for function  `return_orgkod` */

/*!50003 DROP FUNCTION IF EXISTS `return_orgkod` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `return_orgkod`() RETURNS char(10) CHARSET cp1251
BEGIN
	return @_orgkod;
    END */$$
DELIMITER ;

/* Function  structure for function  `update_wouch` */

/*!50003 DROP FUNCTION IF EXISTS `update_wouch` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `update_wouch`(_id SMALLINT,_va1 SMALLINT,_va2 SMALLINT) RETURNS tinyint(4)
BEGIN
	DECLARE yn TINYINT;
	SET yn=IFNULL((SELECT wouch_id FROM wouch WHERE wouch_id=_id LIMIT 1),0);
	IF yn=0 THEN
		BEGIN				
			INSERT INTO wouch (wouch_id,u1,u2) VALUES (_id,_va1,_va2);
			RETURN _va1;
		END;
	ELSE 
		BEGIN
			UPDATE wouch SET u1=_va1, u2=_va2 WHERE wouch_id=_id;
			RETURN 0;
		END;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `update_zaDecrKat` */

/*!50003 DROP FUNCTION IF EXISTS `update_zaDecrKat` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `update_zaDecrKat`(_id SMALLINT,_va SMALLINT) RETURNS tinyint(4)
BEGIN
	DECLARE yn,aa INT;
	SET yn=IFNULL((SELECT id FROM zadecretgrflu WHERE id=_id AND adr_name=@_orgkod LIMIT 1),0);
	IF yn=0 THEN
		BEGIN				
			INSERT INTO zadecretgrflu (id,flu,adr_name) VALUES (_id,_va,@_orgkod);
			RETURN _va;
		END;
	ELSE 
		BEGIN
			UPDATE zadecretgrflu SET flu=_va WHERE id=_id AND adr_name=@_orgkod;
			RETURN 0;
		END;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `update_zastflu` */

/*!50003 DROP FUNCTION IF EXISTS `update_zastflu` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `update_zastflu`(_id smallint,_va SMALLINT,_wh SMALLINT) RETURNS tinyint(4)
BEGIN
	DECLARE yn,aa INT;
	
	IF _wh=1 THEN
		BEGIN
			SET yn=IFNULL((SELECT id FROM zastreetflu WHERE id=_id AND adr_name=@_orgkod LIMIT 1),0);
			IF yn=0 THEN
				BEGIN				
					INSERT INTO zastreetflu (id,flunum,adr_name) VALUES (_id,_va,@_orgkod);
					RETURN _va;
				END;
			ELSE 
				BEGIN
					UPDATE zastreetflu SET flunum=_va WHERE id=_id AND adr_name=@_orgkod;
					RETURN 0;
				END;
			END IF;
		END;
	ELSE 
			SET yn=IFNULL((SELECT id FROM zastreetflu WHERE id=_id AND adr_name=@_orgkod LIMIT 1),0);
			IF yn=0 THEN
				BEGIN				
					INSERT INTO zastreetflu (id,citynum,adr_name) VALUES (_id,_va,@_orgkod);
					RETURN _va;
				END;
			ELSE 
				BEGIN
					UPDATE zastreetflu SET citynum=_va WHERE id=_id AND adr_name=@_orgkod;
					RETURN 0;
				END;
			END IF;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `update_zatownflu` */

/*!50003 DROP FUNCTION IF EXISTS `update_zatownflu` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `update_zatownflu`(_id SMALLINT,_va SMALLINT) RETURNS tinyint(4)
BEGIN
	DECLARE yn,aa INT;
	
	SET yn=IFNULL((SELECT id FROM zatownflu WHERE id=_id AND adr_name=@_orgkod LIMIT 1),0);
	IF yn=0 THEN
		BEGIN				
			INSERT INTO zatownflu (id,flunum,adr_name) VALUES (_id,_va,@_orgkod);
			RETURN _va;
		END;
	ELSE 
		BEGIN
			UPDATE zatownflu SET flunum=_va WHERE id=_id AND adr_name=@_orgkod;
			RETURN 0;
		END;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `update_zfisled` */

/*!50003 DROP FUNCTION IF EXISTS `update_zfisled` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `update_zfisled`(_id SMALLINT,_va SMALLINT) RETURNS tinyint(4)
BEGIN
	DECLARE yn,aa INT;
	SET yn=IFNULL((SELECT id FROM zfisledflu WHERE id=_id AND adr_name=@_orgkod LIMIT 1),0);
	IF yn=0 THEN
		BEGIN				
			INSERT INTO zfisledflu (id,flu,adr_name) VALUES (_id,_va,@_orgkod);
			RETURN _va;
		END;
	ELSE 
		BEGIN
			UPDATE zfisledflu SET flu=_va WHERE id=_id AND adr_name=@_orgkod;
			RETURN 0;
		END;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `update_zodocdflu` */

/*!50003 DROP FUNCTION IF EXISTS `update_zodocdflu` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `update_zodocdflu`(_id SMALLINT,_va SMALLINT,_wh SMALLINT) RETURNS tinyint(4)
BEGIN
	DECLARE yn,aa INT;
	
	IF _wh=1 THEN
		BEGIN
			SET yn=IFNULL((SELECT id FROM zodocd1flu WHERE id=_id AND adr_name=@_orgkod LIMIT 1),0);
			IF yn=0 THEN
				BEGIN				
					INSERT INTO zodocd1flu (id,dir1,adr_name) VALUES (_id,_va,@_orgkod);
					RETURN _va;
				END;
			ELSE 
				BEGIN
					UPDATE zodocd1flu SET dir1=_va WHERE id=_id AND adr_name=@_orgkod;
					RETURN 0;
				END;
			END IF;
		END;
	END IF;
	IF _wh=2 THEN
			SET yn=IFNULL((SELECT id FROM zodocd2flu WHERE id=_id AND adr_name=@_orgkod LIMIT 1),0);
			IF yn=0 THEN
				BEGIN				
					INSERT INTO zodocd2flu (id,dir2,adr_name) VALUES (_id,_va,@_orgkod);
					RETURN _va;
				END;
			ELSE 
				BEGIN
					UPDATE zodocd2flu SET dir2=_va WHERE id=_id AND adr_name=@_orgkod;
					RETURN 0;
				END;
			END IF;
	END IF;
	IF _wh=3 THEN
			SET yn=IFNULL((SELECT id FROM zodocd3flu WHERE id=_id AND adr_name=@_orgkod LIMIT 1),0);
			IF yn=0 THEN
				BEGIN				
					INSERT INTO zodocd3flu (id,dir3,adr_name) VALUES (_id,_va,@_orgkod);
					RETURN _va;
				END;
			ELSE 
				BEGIN
					UPDATE zodocd3flu SET dir3=_va WHERE id=_id AND adr_name=@_orgkod;
					RETURN 0;
				END;
			END IF;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `update_zoGroup` */

/*!50003 DROP FUNCTION IF EXISTS `update_zoGroup` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `update_zoGroup`(_id SMALLINT,_va SMALLINT) RETURNS tinyint(4)
BEGIN
	DECLARE yn,aa INT;
	SET yn=IFNULL((SELECT id FROM zoGroupflu WHERE id=_id AND adr_name=@_orgkod LIMIT 1),0);
	IF yn=0 THEN
		BEGIN				
			INSERT INTO zoGroupflu (id,flu,adr_name) VALUES (_id,_va,@_orgkod);
			RETURN _va;
		END;
	ELSE 
		BEGIN
			UPDATE zoGroupflu SET flu=_va WHERE id=_id AND adr_name=@_orgkod;
			RETURN 0;
		END;
	END IF;
END */$$
DELIMITER ;

/* Function  structure for function  `update_zostflu` */

/*!50003 DROP FUNCTION IF EXISTS `update_zostflu` */;
DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` FUNCTION `update_zostflu`(_id SMALLINT,_va SMALLINT,_wh SMALLINT) RETURNS tinyint(4)
BEGIN
	DECLARE yn,aa INT;
	
	IF _wh=1 THEN
		BEGIN
			SET yn=IFNULL((SELECT id FROM zostreetflu WHERE id=_id AND adr_name=@_orgkod LIMIT 1),0);
			IF yn=0 THEN
				BEGIN				
					INSERT INTO zostreetflu (id,flunum,adr_name) VALUES (_id,_va,@_orgkod);
					RETURN _va;
				END;
			ELSE 
				BEGIN
					UPDATE zostreetflu SET flunum=_va WHERE id=_id AND adr_name=@_orgkod;
					RETURN 0;
				END;
			END IF;
		END;
	ELSE 
			SET yn=IFNULL((SELECT id FROM zostreetflu WHERE id=_id AND adr_name=@_orgkod LIMIT 1),0);
			IF yn=0 THEN
				BEGIN				
					INSERT INTO zostreetflu (id,citynum,adr_name) VALUES (_id,_va,@_orgkod);
					RETURN _va;
				END;
			ELSE 
				BEGIN
					UPDATE zostreetflu SET citynum=_va WHERE id=_id AND adr_name=@_orgkod;
					RETURN 0;
				END;
			END IF;
	END IF;
END */$$
DELIMITER ;

/* Procedure structure for procedure `bdname` */

/*!50003 DROP PROCEDURE IF EXISTS  `bdname` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `bdname`()
BEGIN
    SELECT DATABASE() bd;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `big_op` */

/*!50003 DROP PROCEDURE IF EXISTS  `big_op` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `big_op`(in _op varchar(1),in _typ tinyint(1),in _sten tinyint(1))
BEGIN
	insert into zzzbigop set op=_op,typ=_typ,sten=_sten,dt=now();
    END */$$
DELIMITER ;

/* Procedure structure for procedure `calc_stat` */

/*!50003 DROP PROCEDURE IF EXISTS  `calc_stat` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `calc_stat`(
    in _ty smallint,
    in _st date,
    in _en date,
    in _wh TINYINT,
    IN _ku TINYINT,
    in _u  VARCHAR(50)    
    )
BEGIN
    IF _ty=1 and (_ku=1 or _ku=2) THEN
        IF _wh=0 THEN
           SELECT COUNT(*) AS doze FROM karta,adrbook a1 WHERE karta.adr_id=a1.adr_id and dt BETWEEN _st AND _en AND karta.uch=_u+0 AND nouch=0;
        ELSE        
           SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,dt,snimok,doze,p_gr,works.name AS worksname,
           a1.adr_city,a1.adr_street,adr_home,adr_flat,street,street_dop,a1.lpu,mkb10,stelag 
           FROM karta JOIN adrbook a1 ON karta.adr_id=a1.adr_id
           LEFT JOIN works ON karta.works=works.works_id 
           WHERE dt BETWEEN _st AND _en AND karta.uch=_u+0 and nouch=0 ORDER BY fio,dt;
        END IF;
    else
        IF _ty=1 AND _ku=4 THEN
            IF _wh=0 THEN
               SELECT COUNT(*) AS doze,CONCAT(fam,' ',im,' ',ot) AS fio FROM karta JOIN adrbook a1 ON karta.adr_id=a1.adr_id
               LEFT JOIN works ON karta.works=works.works_id 
               LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
               WHERE dt BETWEEN _st AND _en AND city.ou=1 AND nouch=0 ORDER BY fio,dt;
            ELSE        
               SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,dt,snimok,doze,p_gr,works.name AS worksname,
               a1.adr_city,a1.adr_street,adr_home,adr_flat,street,street_dop,a1.lpu,mkb10,stelag 
               FROM karta JOIN adrbook a1 ON karta.adr_id=a1.adr_id
               LEFT JOIN works ON karta.works=works.works_id 
               left join city on UPPER(a1.adr_city)=UPPER(city.name)
               WHERE dt BETWEEN _st AND _en AND city.ou=1 AND nouch=0 ORDER BY fio,dt;
            END IF;
        ELSE
            IF _ty=1 AND _ku=5 THEN
                IF _wh=0 THEN
                   SELECT COUNT(*) AS doze FROM karta,adrbook a1 WHERE karta.adr_id=a1.adr_id AND dt BETWEEN _st AND _en AND karta.rnn= _u+0 AND nouch=0;
                ELSE        
                   SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,dt,snimok,doze,p_gr,works.name AS worksname,
                   a1.adr_city,a1.adr_street,adr_home,adr_flat,street,street_dop,a1.lpu,mkb10,stelag 
                   FROM karta JOIN adrbook a1 ON karta.adr_id=a1.adr_id
                   LEFT JOIN works ON karta.works=works.works_id 
                   WHERE dt BETWEEN _st AND _en AND karta.rnn= _u+0 AND nouch=0 ORDER BY fio,dt;
                END IF;
            END IF;
        END IF;
    END IF;
    IF _ty=1 AND _ku=3 THEN
        IF _wh=0 THEN
           SELECT COUNT(*) AS doze FROM karta,adrbook a1 WHERE karta.adr_id=a1.adr_id and dt BETWEEN _st AND _en AND karta.uch BETWEEN 1 AND 98 AND nouch=0 and karta.uch BETWEEN 1 AND 98;
        ELSE        
           SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,dt,snimok,doze,p_gr,works.name AS worksname,
           a1.adr_city,a1.adr_street,adr_home,adr_flat,street,street_dop,a1.lpu,mkb10,stelag 
           FROM karta JOIN adrbook a1 ON karta.adr_id=a1.adr_id
           LEFT JOIN works ON karta.works=works.works_id 
           WHERE dt BETWEEN _st AND _en AND karta.uch between 1 and 98 AND nouch=0 ORDER BY fio,dt;
        END IF;
    End if;
    IF _ty=17 THEN
        IF _wh=0 THEN
           select count(*) as doze from karta where  dt between _st and _en;
        else        
           SELECT CONCAT(fam,' ',im,' ',ot) AS fio,dt,datebirth,snimok,doze,p_gr FROM karta,adrbook a1 
           WHERE karta.adr_id=a1.adr_id AND dt BETWEEN _st AND _en ORDER BY dt,snimok;
        end if;
    end if;
    IF _ty=2 AND _ku=1 THEN
        DROP TABLE IF EXISTS mk;
        CREATE TEMPORARY TABLE mk  (SELECT mkb10,NAME, COUNT(k1.flu_id) AS kol,main  
        FROM mkb10, karta AS k1 WHERE mkb10_id=k1.mkb10 AND dt BETWEEN _st AND _en GROUP BY mkb10_id ORDER BY SUBSTRING(mkb10_id FROM 3)+0);
        DROP TABLE IF EXISTS mk1;
        CREATE TEMPORARY TABLE mk1  (SELECT mkb10,NAME, SUM(kol) AS kol,main  FROM mk WHERE main>0 GROUP BY main);
        (SELECT * FROM mk WHERE main=0) UNION 
        (SELECT * FROM  mk1 WHERE 1)
        ORDER BY kol desc;
        DROP TABLE IF EXISTS mk;
        DROP TABLE IF EXISTS mk1;
    END IF;
    IF _ty=2 AND _ku=2 THEN
        DROP TABLE IF EXISTS mk;
        CREATE TEMPORARY TABLE mk  (SELECT mkb10,NAME, COUNT(k1.flu_id) AS kol,main  
        FROM mkb10, karta AS k1 WHERE mkb10_id=k1.mkb10 AND dt 
        BETWEEN _st AND _en AND k1.uch=_u+0 GROUP BY mkb10_id ORDER BY SUBSTRING(mkb10_id FROM 3)+0);
        DROP TABLE IF EXISTS mk1;
        CREATE TEMPORARY TABLE mk1  (SELECT mkb10,NAME, SUM(kol) AS kol,main  FROM mk WHERE main>0 GROUP BY main);
        (SELECT * FROM mk WHERE main=0) UNION 
        (SELECT * FROM  mk1 WHERE 1)
        ORDER BY kol desc;
        DROP TABLE IF EXISTS mk;
        DROP TABLE IF EXISTS mk1;
    END IF;
    IF _ty=2 AND _ku=3 THEN
        DROP TABLE IF EXISTS mk;
        CREATE TEMPORARY TABLE mk  (SELECT mkb10,NAME, COUNT(k1.flu_id) AS kol,main  
        FROM mkb10, karta AS k1 WHERE mkb10_id=k1.mkb10 AND dt 
        BETWEEN _st AND _en AND k1.uch between 1 and 98 GROUP BY mkb10_id ORDER BY SUBSTRING(mkb10_id FROM 3)+0);
        DROP TABLE IF EXISTS mk1;
        CREATE TEMPORARY TABLE mk1  (SELECT mkb10,NAME, SUM(kol) AS kol,main  FROM mk WHERE main>0 GROUP BY main);
        (SELECT * FROM mk WHERE main=0) UNION 
        (SELECT * FROM  mk1 WHERE 1)
        ORDER BY kol DESC;
        DROP TABLE IF EXISTS mk;
        DROP TABLE IF EXISTS mk1;
    END IF;
    IF _ty=2 AND _ku=4 THEN
        DROP TABLE IF EXISTS mk;
        CREATE TEMPORARY TABLE mk  (
        SELECT mkb10,mkb10.NAME name, COUNT(k1.flu_id) AS kol,main  
        FROM karta AS k1 LEFT JOIN adrbook AS a1 ON a1.adr_id=k1.adr_id JOIN mkb10 ON mkb10_id=k1.mkb10
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE dt BETWEEN _st AND _en AND city.ou=1 GROUP BY mkb10_id ORDER BY SUBSTRING(mkb10_id FROM 3)+0);
        DROP TABLE IF EXISTS mk1;
        CREATE TEMPORARY TABLE mk1  (SELECT mkb10,NAME, SUM(kol) AS kol,main  FROM mk WHERE main>0 GROUP BY main);
        (SELECT * FROM mk WHERE main=0) UNION 
        (SELECT * FROM  mk1 WHERE 1)
        ORDER BY kol desc;
        DROP TABLE IF EXISTS mk;
        DROP TABLE IF EXISTS mk1;
    END IF;
        IF _ty=2 AND _ku=5 THEN
        DROP TABLE IF EXISTS mk;
        CREATE TEMPORARY TABLE mk  (
        SELECT mkb10,NAME, COUNT(k1.flu_id) AS kol,main  
        FROM karta AS k1 LEFT JOIN adrbook AS a1 ON a1.adr_id=k1.adr_id JOIN mkb10 ON mkb10_id=k1.mkb10
        WHERE dt BETWEEN _st AND _en AND k1.rnn= _u+0 GROUP BY mkb10_id ORDER BY SUBSTRING(mkb10_id FROM 3)+0);
        DROP TABLE IF EXISTS mk1;
        CREATE TEMPORARY TABLE mk1  (SELECT mkb10,NAME, SUM(kol) AS kol,main  FROM mk WHERE main>0 GROUP BY main);
        (SELECT * FROM mk WHERE main=0) UNION 
        (SELECT * FROM  mk1 WHERE 1)
        ORDER BY kol desc;
        DROP TABLE IF EXISTS mk;
        DROP TABLE IF EXISTS mk1;
    END IF;
    IF _ty=5 AND _ku=1 THEN
        IF _wh=0 THEN
            SELECT COUNT(*) AS doze FROM karta 
            LEFT JOIN mkb10 ON karta.mkb10=mkb10.mkb10_id
            WHERE SUBSTRING(karta.mkb10 FROM 3)+0 NOT IN (0) AND mkb10.main<>99999 
            AND dt BETWEEN _st AND _en;
        ELSE        
            SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,dt,snimok,doze,p_gr,works.name AS worksname,
            a1.adr_city,a1.adr_street,adr_home,adr_flat,street,street_dop,a1.lpu,mkb10_id,mkb10.name  
            FROM karta JOIN adrbook a1 ON karta.adr_id=a1.adr_id
            LEFT JOIN works ON karta.works=works.works_id 
            LEFT JOIN mkb10 ON karta.mkb10=mkb10.mkb10_id
            WHERE SUBSTRING(karta.mkb10 FROM 3)+0 NOT IN (0) AND mkb10.main<>99999 
            AND dt BETWEEN _st AND _en ORDER BY SUBSTRING(karta.mkb10 FROM 3)+0,fio,dt;
        END IF;
    ELSE
        IF _ty=5 AND _ku=2 THEN
        IF _wh=0 THEN
            SELECT COUNT(*) AS doze FROM karta 
            LEFT JOIN mkb10 ON karta.mkb10=mkb10.mkb10_id
            WHERE SUBSTRING(karta.mkb10 FROM 3)+0 NOT IN (0) AND mkb10.main<>99999 
            AND dt BETWEEN _st AND _en AND karta.uch=_u+0;
        ELSE        
            SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,dt,snimok,doze,p_gr,works.name AS worksname,
            a1.adr_city,a1.adr_street,adr_home,adr_flat,street,street_dop,a1.lpu,mkb10_id,mkb10.name  
            FROM karta JOIN adrbook a1 ON karta.adr_id=a1.adr_id
            LEFT JOIN works ON karta.works=works.works_id 
            LEFT JOIN mkb10 ON karta.mkb10=mkb10.mkb10_id
            WHERE SUBSTRING(karta.mkb10 FROM 3)+0 NOT IN (0) AND mkb10.main<>99999  AND karta.uch=_u+0
            AND dt BETWEEN _st AND _en ORDER BY SUBSTRING(karta.mkb10 FROM 3)+0,fio,dt;
        END IF;
        end if;
        IF _ty=5 AND _ku=3 THEN
        IF _wh=0 THEN
            SELECT COUNT(*) AS doze FROM karta 
            LEFT JOIN mkb10 ON karta.mkb10=mkb10.mkb10_id
            WHERE SUBSTRING(karta.mkb10 FROM 3)+0 NOT IN (0) AND mkb10.main<>99999 
            AND dt BETWEEN _st AND _en AND karta.uch BETWEEN 1 and 98;
        ELSE        
            SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,dt,snimok,doze,p_gr,works.name AS worksname,
            a1.adr_city,a1.adr_street,adr_home,adr_flat,street,street_dop,a1.lpu,mkb10_id,mkb10.name  
            FROM karta JOIN adrbook a1 ON karta.adr_id=a1.adr_id
            LEFT JOIN works ON karta.works=works.works_id 
            LEFT JOIN mkb10 ON karta.mkb10=mkb10.mkb10_id
            WHERE SUBSTRING(karta.mkb10 FROM 3)+0 NOT IN (0) AND mkb10.main<>99999  AND karta.uch BETWEEN 1 AND 98 
            AND dt BETWEEN _st AND _en ORDER BY SUBSTRING(karta.mkb10 FROM 3)+0,fio,dt;
        END IF;
        END IF;
        IF _ty=5 AND _ku=4 THEN
            IF _wh=0 THEN
                SELECT COUNT(*) AS doze FROM karta JOIN adrbook a1 ON karta.adr_id=a1.adr_id 
                LEFT JOIN mkb10 ON karta.mkb10=mkb10.mkb10_id
                LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
                WHERE SUBSTRING(karta.mkb10 FROM 3)+0 NOT IN (0) AND mkb10.main<>99999 
                AND dt BETWEEN _st AND _en  AND city.ou=1 LIKE TRIM(_u);
            ELSE        
                SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,dt,snimok,doze,p_gr,works.name AS worksname,
                a1.adr_city,a1.adr_street,adr_home,adr_flat,street,street_dop,a1.lpu,mkb10_id,mkb10.name  
                FROM karta JOIN adrbook a1 ON karta.adr_id=a1.adr_id
                LEFT JOIN works ON karta.works=works.works_id 
                LEFT JOIN mkb10 ON karta.mkb10=mkb10.mkb10_id
                LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
                WHERE SUBSTRING(karta.mkb10 FROM 3)+0 NOT IN (0) AND mkb10.main<>99999   AND city.ou=1
                AND dt BETWEEN _st AND _en ORDER BY SUBSTRING(karta.mkb10 FROM 3)+0,fio,dt;
            END IF;
        ELSE
            IF _ty=5 AND _ku=5 THEN
                IF _wh=0 THEN
                    SELECT COUNT(*) AS doze FROM karta 
                    LEFT JOIN mkb10 ON karta.mkb10=mkb10.mkb10_id
                    WHERE SUBSTRING(karta.mkb10 FROM 3)+0 NOT IN (0) AND mkb10.main<>99999 
                    AND dt BETWEEN _st AND _en AND karta.rnn= _u+0;
                ELSE        
                    SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,dt,snimok,doze,p_gr,works.name AS worksname,
                    a1.adr_city,a1.adr_street,adr_home,adr_flat,street,street_dop,a1.lpu,mkb10_id,mkb10.name  
                    FROM karta JOIN adrbook a1 ON karta.adr_id=a1.adr_id
                    LEFT JOIN works ON karta.works=works.works_id 
                    LEFT JOIN mkb10 ON karta.mkb10=mkb10.mkb10_id
                    WHERE SUBSTRING(karta.mkb10 FROM 3)+0 NOT IN (0) AND mkb10.main<>99999  AND karta.rnn= _u+0
                    AND dt BETWEEN _st AND _en ORDER BY SUBSTRING(karta.mkb10 FROM 3)+0,fio,dt;
                END IF;
            END IF;
        END IF;
    END IF;
    
    IF _ty=4 AND _ku=1 THEN
        SELECT fio, COUNT(flu_id) AS kol FROM karta LEFT JOIN vr ON vr=vr_id 
        WHERE dt BETWEEN _st AND _en GROUP BY vr ORDER BY kol DESC;
    END IF;
    IF _ty=4 AND _ku=2 THEN
        SELECT fio, COUNT(flu_id) AS kol FROM karta LEFT JOIN vr ON vr=vr_id 
        WHERE dt BETWEEN _st AND _en AND karta.uch=_u+0 GROUP BY vr ORDER BY kol DESC;
    END IF;
    IF _ty=4 AND _ku=3 THEN
        SELECT fio, COUNT(flu_id) AS kol FROM karta LEFT JOIN vr ON vr=vr_id 
        WHERE dt BETWEEN _st AND _en AND karta.uch BETWEEN 1 and 98 GROUP BY vr ORDER BY kol DESC;
    END IF;
    IF _ty=4 AND _ku=4 THEN
        SELECT fio, COUNT(flu_id) AS kol FROM karta LEFT JOIN vr ON vr=vr_id JOIN adrbook ON karta.adr_id=adrbook.adr_id
        WHERE dt BETWEEN _st AND _en AND UPPER(adrbook.adr_city) LIKE TRIM(_u) GROUP BY vr ORDER BY kol DESC;   
    END IF;
    IF _ty=4 AND _ku=5 THEN
        SELECT fio, COUNT(flu_id) AS kol FROM karta LEFT JOIN vr ON vr=vr_id 
        WHERE dt BETWEEN _st AND _en AND karta.rnn= _u+0 GROUP BY vr ORDER BY kol DESC;
    END IF;
    IF _ty=6 AND _ku=1 THEN
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,works.name AS worksname,p_gr,snimok,proshol,dt,vr.fio AS vrach,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu  
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN works ON k1.works=works_id 
        LEFT JOIN vr ON vr=vr_id
        WHERE doobsled=1 AND dt BETWEEN _st AND _en order by dt;
    END IF;
    IF _ty=6 AND _ku=2 THEN
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,works.name AS worksname,p_gr,snimok,proshol,dt,vr.fio AS vrach,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu  
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN works ON k1.works=works_id 
        LEFT JOIN vr ON vr=vr_id
        WHERE doobsled=1 AND dt BETWEEN _st AND _en AND k1.uch=_u+0 ORDER BY dt;
    END IF;
    IF _ty=6 AND _ku=3 THEN
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,works.name AS worksname,p_gr,snimok,proshol,dt,vr.fio AS vrach,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu  
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN works ON k1.works=works_id 
        LEFT JOIN vr ON vr=vr_id
        WHERE doobsled=1 AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 and 98 ORDER BY dt;
    END IF;
    IF _ty=6 AND _ku=4 THEN
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,works.name AS worksname,p_gr,snimok,proshol,dt,vr.fio AS vrach,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu  
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN works ON k1.works=works_id 
        LEFT JOIN vr ON vr=vr_id
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE doobsled=1 AND dt BETWEEN _st AND _en and city.ou=1 ORDER BY dt;
    END IF;
    IF _ty=6 AND _ku=5 THEN
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,works.name AS worksname,p_gr,snimok,proshol,dt,vr.fio AS vrach,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu  
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN works ON k1.works=works_id 
        LEFT JOIN vr ON vr=vr_id
        WHERE doobsled=1 AND dt BETWEEN _st AND _en AND a1.rnn=_u+0 ORDER BY dt;
    END IF;
    IF _ty=7 AND _ku=1 THEN
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,works.name AS worksname,p_gr,snimok,proshol,dt,vr.fio AS vrach,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu,prim.prim AS primname 
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN works ON k1.works=works_id 
        LEFT JOIN vr ON vr=vr_id
        LEFT JOIN prim ON k1.prim=prim_id
        WHERE k1.prim>0 AND dt BETWEEN _st AND _en ORDER BY dt;
    END IF;
    IF _ty=7 AND _ku=2 THEN
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,works.name AS worksname,p_gr,snimok,proshol,dt,vr.fio AS vrach,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu,prim.prim as primname 
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN works ON k1.works=works_id 
        LEFT JOIN vr ON vr=vr_id
        LEFT JOIN prim ON k1.prim=prim_id
        WHERE k1.prim>0 AND dt BETWEEN _st AND _en AND k1.uch=_u+0 ORDER BY dt;
    END IF;
    IF _ty=7 AND _ku=3 THEN
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,works.name AS worksname,p_gr,snimok,proshol,dt,vr.fio AS vrach,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu,prim.prim AS primname 
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN works ON k1.works=works_id 
        LEFT JOIN vr ON vr=vr_id
        LEFT JOIN prim ON k1.prim=prim_id
        WHERE k1.prim>0 AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 and 98 ORDER BY dt;
    END IF;
    IF _ty=7 AND _ku=4 THEN
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,works.name AS worksname,p_gr,snimok,proshol,dt,vr.fio AS vrach,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu,prim.prim AS primname 
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN works ON k1.works=works_id 
        LEFT JOIN vr ON vr=vr_id
        LEFT JOIN prim ON k1.prim=prim_id
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE k1.prim>0 AND dt BETWEEN _st AND _en AND city.ou=1 LIKE TRIM(_u) ORDER BY dt;
    END IF;
    IF _ty=7 AND _ku=5 THEN
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,works.name AS worksname,p_gr,snimok,proshol,dt,vr.fio AS vrach,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu,prim.prim AS primname 
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN works ON k1.works=works_id 
        LEFT JOIN vr ON vr=vr_id
        LEFT JOIN prim ON k1.prim=prim_id
        WHERE k1.prim>0 AND dt BETWEEN _st AND _en AND a1.rnn=_u+0 ORDER BY dt;
    END IF;
    IF _ty=8 AND _ku=1 THEN
        IF _wh=0 THEN
        SELECT COUNT(flu_id) AS doze
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id
        LEFT JOIN dispmkb ON a1.dispmkb=dispmkb_id AND dispmkb.lpu<1
        WHERE a1.disp>0 AND dt BETWEEN _st AND _en ;
        else 
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,works.name AS worksname,p_gr,snimok,proshol,dt,vr.fio AS vrach,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu,dispmkb.name AS mkb10name 
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN works ON k1.works=works_id 
        LEFT JOIN vr ON vr=vr_id
        LEFT JOIN dispmkb ON a1.dispmkb=dispmkb_id AND dispmkb.lpu<1
        WHERE a1.disp>0 AND dt BETWEEN _st AND _en ORDER BY fam,im,ot,dt;
        END IF;
    END IF;
    IF _ty=8 AND _ku=2 THEN
        IF _wh=0 THEN
        SELECT COUNT(flu_id) AS doze
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id
        LEFT JOIN dispmkb ON a1.dispmkb=dispmkb_id AND dispmkb.lpu<1
        WHERE a1.disp>0 AND dt BETWEEN _st AND _en AND k1.uch=_u+0 ;
        ELSE 
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,works.name AS worksname,p_gr,snimok,proshol,dt,vr.fio AS vrach,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu,dispmkb.name AS mkb10name 
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN works ON k1.works=works_id 
        LEFT JOIN vr ON vr=vr_id
        LEFT JOIN dispmkb ON a1.dispmkb=dispmkb_id AND dispmkb.lpu<1
        WHERE a1.disp>0 AND dt BETWEEN _st AND _en AND k1.uch=_u+0 ORDER BY fam,im,ot,dt;
        END IF;
    END IF;
    IF _ty=8 AND _ku=3 THEN
        IF _wh=0 THEN
        SELECT COUNT(flu_id) AS doze
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id
        LEFT JOIN dispmkb ON a1.dispmkb=dispmkb_id AND dispmkb.lpu<1
        WHERE a1.disp>0 AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 and 98 ;
        ELSE 
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,works.name AS worksname,p_gr,snimok,proshol,dt,vr.fio AS vrach,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu,dispmkb.name AS mkb10name 
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN works ON k1.works=works_id 
        LEFT JOIN vr ON vr=vr_id
        LEFT JOIN dispmkb ON a1.dispmkb=dispmkb_id AND dispmkb.lpu<1
        WHERE a1.disp>0 AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 AND 98 ORDER BY fam,im,ot,dt;
        END IF;
    END IF;
    IF _ty=8 AND _ku=4 THEN
        IF _wh=0 THEN
        SELECT COUNT(flu_id) AS doze
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id
        LEFT JOIN dispmkb ON a1.dispmkb=dispmkb_id AND dispmkb.lpu<1
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE a1.disp>0 AND dt BETWEEN _st AND _en AND city.ou=1 ;
        ELSE 
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,works.name AS worksname,p_gr,snimok,proshol,dt,vr.fio AS vrach,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu,dispmkb.name AS mkb10name 
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN works ON k1.works=works_id 
        LEFT JOIN vr ON vr=vr_id
        LEFT JOIN dispmkb ON a1.dispmkb=dispmkb_id AND dispmkb.lpu<1
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE a1.disp>0 AND dt BETWEEN _st AND _en AND city.ou=1 ORDER BY fam,im,ot,dt;
        end if;
    END IF;
    IF _ty=8 AND _ku=5 THEN
        IF _wh=0 THEN
        SELECT COUNT(flu_id) AS doze
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id
        LEFT JOIN dispmkb ON a1.dispmkb=dispmkb_id AND dispmkb.lpu<1
        WHERE a1.disp>0 AND dt BETWEEN _st AND _en AND a1.rnn=_u+0 ;
        ELSE 
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,works.name AS worksname,p_gr,snimok,proshol,dt,vr.fio AS vrach,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu,dispmkb.name AS mkb10name 
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN works ON k1.works=works_id 
        LEFT JOIN vr ON vr=vr_id
        LEFT JOIN dispmkb ON a1.dispmkb=dispmkb_id AND dispmkb.lpu<1
        WHERE a1.disp>0 AND dt BETWEEN _st AND _en AND a1.rnn=_u+0 ORDER BY fam,im,ot,dt;
        end if;
    END IF;
    IF _ty=81 AND _ku=1 THEN
        SELECT dispmkb.name AS mkb10name, COUNT(flu_id) AS kol 
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id AND a1.disp>0
        LEFT JOIN dispmkb ON a1.dispmkb=dispmkb_id AND dispmkb.lpu<1
        WHERE dt BETWEEN _st AND _en GROUP BY dispmkb.name ORDER BY kol DESC;
    END IF;
    IF _ty=81 AND _ku=2 THEN
        SELECT dispmkb.name AS mkb10name, COUNT(flu_id) AS kol 
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id AND a1.disp>0
        LEFT JOIN dispmkb ON a1.dispmkb=dispmkb_id AND dispmkb.lpu<1
        WHERE dt BETWEEN _st AND _en AND k1.uch=_u+0 GROUP BY dispmkb.name ORDER BY kol DESC;
    END IF;
    IF _ty=81 AND _ku=3 THEN
        SELECT dispmkb.name AS mkb10name, COUNT(flu_id) AS kol 
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id AND a1.disp>0
        LEFT JOIN dispmkb ON a1.dispmkb=dispmkb_id AND dispmkb.lpu<1
        WHERE dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 and 98 GROUP BY dispmkb.name ORDER BY kol DESC;
    END IF;
    IF _ty=81 AND _ku=4 THEN
        SELECT dispmkb.name AS mkb10name, COUNT(flu_id) AS kol 
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id AND a1.disp>0
        LEFT JOIN dispmkb ON a1.dispmkb=dispmkb_id AND dispmkb.lpu<1
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE dt BETWEEN _st AND _en AND city.ou=1 GROUP BY dispmkb.name ORDER BY kol DESC;
    END IF;
    IF _ty=81 AND _ku=5 THEN
        SELECT dispmkb.name AS mkb10name, COUNT(flu_id) AS kol 
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id AND a1.disp>0
        LEFT JOIN dispmkb ON a1.dispmkb=dispmkb_id AND dispmkb.lpu<1
        WHERE dt BETWEEN _st AND _en AND a1.rnn=_u+0 GROUP BY dispmkb.name ORDER BY kol DESC;
    END IF;
    
    IF _ty=11 AND _ku=1 THEN
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,p_gr,snimok,dt,vr.fio AS vrach,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu,sex
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id AND a1.datebirth>DATE_SUB(dt,INTERVAL 15 YEAR)  
        LEFT JOIN vr ON vr=vr_id
        WHERE dt BETWEEN _st AND _en ORDER BY fio;
    END IF;
    IF _ty=11 AND _ku=2 THEN
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,p_gr,snimok,dt,vr.fio AS vrach,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu,sex
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id AND a1.datebirth>DATE_SUB(dt,INTERVAL 15 YEAR) 
        LEFT JOIN vr ON vr=vr_id
        WHERE dt BETWEEN _st AND _en AND k1.uch=_u+0 ORDER BY fio;
    END IF;
    IF _ty=11 AND _ku=3 THEN
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,p_gr,snimok,dt,vr.fio AS vrach,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu,sex
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id AND a1.datebirth>DATE_SUB(dt,INTERVAL 15 YEAR) 
        LEFT JOIN vr ON vr=vr_id
        WHERE dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 and 98 ORDER BY fio;
    END IF;
    IF _ty=11 AND _ku=4 THEN
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,p_gr,snimok,dt,vr.fio AS vrach,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu,sex
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id AND a1.datebirth>DATE_SUB(dt,INTERVAL 15 YEAR)  
        LEFT JOIN vr ON vr=vr_id
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE dt BETWEEN _st AND _en AND city.ou=1 ORDER BY fio;
    END IF;
    IF _ty=11 AND _ku=5 THEN
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,p_gr,snimok,dt,vr.fio AS vrach,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu,sex
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id AND a1.datebirth>DATE_SUB(dt,INTERVAL 15 YEAR) 
        LEFT JOIN vr ON vr=vr_id
        WHERE dt BETWEEN _st AND _en AND a1.rnn=_u+0 ORDER BY fio;
    END IF;
    
    IF _ty=12 AND _ku=1 THEN
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,p_gr,snimok,dt,vr.fio AS vrach,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu,sex
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id AND a1.datebirth between DATE_ADD(DATE_SUB(dt,INTERVAL 18 YEAR),INTERVAL 1 DAY) and DATE_SUB(dt,INTERVAL 15 YEAR)  
        LEFT JOIN vr ON vr=vr_id
        WHERE dt BETWEEN _st AND _en ORDER BY fio;
    END IF;
    IF _ty=12 AND _ku=2 THEN
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,p_gr,snimok,dt,vr.fio AS vrach,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu,sex
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id AND a1.datebirth between DATE_ADD(DATE_SUB(dt,INTERVAL 18 YEAR),INTERVAL 1 DAY) and DATE_SUB(dt,INTERVAL 15 YEAR) 
        LEFT JOIN vr ON vr=vr_id
        WHERE dt BETWEEN _st AND _en AND k1.uch=_u+0 ORDER BY fio;
    END IF;
    IF _ty=12 AND _ku=3 THEN
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,p_gr,snimok,dt,vr.fio AS vrach,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu,sex
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id AND a1.datebirth BETWEEN DATE_ADD(DATE_SUB(dt,INTERVAL 18 YEAR),INTERVAL 1 DAY) AND DATE_SUB(dt,INTERVAL 15 YEAR) 
        LEFT JOIN vr ON vr=vr_id
        WHERE dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 and 98 ORDER BY fio;
    END IF;
    IF _ty=12 AND _ku=4 THEN
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,p_gr,snimok,dt,vr.fio AS vrach,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu,sex
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id AND a1.datebirth between DATE_ADD(DATE_SUB(dt,INTERVAL 18 YEAR),INTERVAL 1 DAY) and DATE_SUB(dt,INTERVAL 15 YEAR)  
        LEFT JOIN vr ON vr=vr_id
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE dt BETWEEN _st AND _en AND city.ou=1 ORDER BY fio;
    END IF;
    IF _ty=12 AND _ku=5 THEN
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,p_gr,snimok,dt,vr.fio AS vrach,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu,sex
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id AND a1.datebirth between DATE_ADD(DATE_SUB(dt,INTERVAL 18 YEAR),INTERVAL 1 DAY) and DATE_SUB(dt,INTERVAL 15 YEAR) 
        LEFT JOIN vr ON vr=vr_id
        WHERE dt BETWEEN _st AND _en AND a1.rnn=_u+0 ORDER BY fio;
    END IF;
 
    IF _ty=141 AND _ku=1 THEN
        DROP table IF EXISTS tmp;
        CREATE TEMPORARY TABLE tmp 
        (SELECT SQL_CALC_FOUND_ROWS works.name as worksname, COUNT(flu_id) AS kol
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id
        LEFT JOIN works ON k1.works=works_id
        WHERE dt BETWEEN _st AND _en GROUP BY k1.works ORDER BY kol DESC) ;
        SEt @kkol:=FOUND_ROWS();
        if @kkol>200 then
            SELECT * FROM tmp WHERE 1 limit 200;
        else 
            SELECT * FROM tmp WHERE 1;
        end if;
    END IF;
    IF _ty=141 AND _ku=2 THEN
        DROP TABLE IF EXISTS tmp;
        CREATE TEMPORARY TABLE tmp 
        (SELECT works.name AS worksname, COUNT(flu_id) AS kol
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id
        LEFT JOIN works ON k1.works=works_id
        WHERE dt BETWEEN _st AND _en  AND k1.uch=_u+0 GROUP BY k1.works ORDER BY kol DESC) ;
        SET @kkol:=FOUND_ROWS();
        IF @kkol>200 THEN
            SELECT * FROM tmp WHERE 1 LIMIT 200;
        ELSE 
            SELECT * FROM tmp WHERE 1;
        END IF;
    END IF;
    IF _ty=141 AND _ku=3 THEN
        DROP TABLE IF EXISTS tmp;
        CREATE TEMPORARY TABLE tmp 
        (SELECT works.name AS worksname, COUNT(flu_id) AS kol
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id
        LEFT JOIN works ON k1.works=works_id
        WHERE dt BETWEEN _st AND _en  AND k1.uch BETWEEN 1 and 98 GROUP BY k1.works ORDER BY kol DESC) ;
        SET @kkol:=FOUND_ROWS();
        IF @kkol>200 THEN
            SELECT * FROM tmp WHERE 1 LIMIT 200;
        ELSE 
            SELECT * FROM tmp WHERE 1;
        END IF;
    END IF;
    IF _ty=141 AND _ku=4 THEN
        DROP TABLE IF EXISTS tmp;
        CREATE TEMPORARY TABLE tmp 
        (SELECT works.name AS worksname, COUNT(flu_id) AS kol
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id
        LEFT JOIN works ON k1.works=works_id
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE dt BETWEEN _st AND _en  AND city.ou=1 GROUP BY k1.works ORDER BY kol DESC) ;
        SET @kkol:=FOUND_ROWS();
        IF @kkol>200 THEN
            SELECT * FROM tmp WHERE 1 LIMIT 200;
        ELSE 
            SELECT * FROM tmp WHERE 1;
        END IF;
    END IF;
    IF _ty=141 AND _ku=5 THEN
        DROP TABLE IF EXISTS tmp;
        CREATE TEMPORARY TABLE tmp 
        (SELECT works.name AS worksname, COUNT(flu_id) AS kol
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id
        LEFT JOIN works ON k1.works=works_id
        WHERE dt BETWEEN _st AND _en  AND a1.rnn=_u+0 GROUP BY k1.works ORDER BY kol DESC) ;
        SET @kkol:=FOUND_ROWS();
        IF @kkol>200 THEN
            SELECT * FROM tmp WHERE 1 LIMIT 200;
        ELSE 
            SELECT * FROM tmp WHERE 1;
        END IF;
    END IF;
    IF _ty=14 AND _ku=1 THEN
        if _wh=0 then
        SELECT COUNT(flu_id) AS doze
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id
        JOIN works ON k1.works=works_id
        WHERE dt BETWEEN _st AND _en;
        else 
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,p_gr,snimok,dt,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu,works.name AS worksname
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id
        JOIN works ON k1.works=works_id
        WHERE dt BETWEEN _st AND _en ORDER BY worksname,fam,im,ot;
        end if ;
    END IF;
    IF _ty=14 AND _ku=2 THEN
        IF _wh=0 THEN
        SELECT COUNT(flu_id) AS doze
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id
        JOIN works ON k1.works=works_id
        WHERE dt BETWEEN _st AND _en AND k1.uch=_u+0;
        ELSE 
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,p_gr,snimok,dt,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu,works.name AS worksname
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id
        JOIN works ON k1.works=works_id
        WHERE dt BETWEEN _st AND _en AND k1.uch=_u+0 ORDER BY worksname,fam,im,ot;
        END IF ;
    END IF;
    IF _ty=14 AND _ku=3 THEN
        IF _wh=0 THEN
        SELECT COUNT(flu_id) AS doze
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id
        JOIN works ON k1.works=works_id
        WHERE dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 and 98;
        ELSE 
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,p_gr,snimok,dt,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu,works.name AS worksname
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id
        JOIN works ON k1.works=works_id
        WHERE dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 AND 98 ORDER BY worksname,fam,im,ot;
        END IF ;
    END IF;
    IF _ty=14 AND _ku=4 THEN
        IF _wh=0 THEN
        SELECT COUNT(flu_id) AS doze
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id
        JOIN works ON k1.works=works_id
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE dt BETWEEN _st AND _en AND city.ou=1;
        ELSE 
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,p_gr,snimok,dt,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu,works.name AS worksname
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id
        JOIN works ON k1.works=works_id
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE dt BETWEEN _st AND _en AND city.ou=1 ORDER BY worksname,fam,im,ot;
        END IF ;
    END IF;
    IF _ty=14 AND _ku=5 THEN
        IF _wh=0 THEN
        SELECT COUNT(flu_id) AS doze
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id
        JOIN works ON k1.works=works_id
        WHERE dt BETWEEN _st AND _en and a1.rnn=_u+0;
        ELSE 
        SELECT CONCAT(fam,' ',im,' ',ot) AS fio,datebirth,p_gr,snimok,dt,stelag,
        a1.adr_city,a1.street,a1.adr_street,a1.street_dop,adr_home,adr_flat,a1.lpu,works.name AS worksname
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id
        JOIN works ON k1.works=works_id
        WHERE dt BETWEEN _st AND _en AND a1.rnn=_u+0 ORDER BY worksname,fam,im,ot;
        END IF ;
    END IF;
    if _ty=15 AND _ku=1 THEN
    begin
        DROP TABLE IF EXISTS tmp1;
        CREATE TEMPORARY TABLE tmp1 
        (SELECT vr.uch AS u1,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch>0
        JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 12 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp2;
        CREATE TEMPORARY TABLE tmp2 
        (SELECT vr.uch AS u2,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol2 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch>0
        JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 24 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp3;
        CREATE TEMPORARY TABLE tmp3 
        (SELECT vr.uch AS u3,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol3 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch>0
        JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 36 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp4;
        CREATE TEMPORARY TABLE tmp4 
        (SELECT vr.uch AS u4,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol4 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch>0
        JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 48 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp5;
        CREATE TEMPORARY TABLE tmp5 
        (SELECT vr.uch AS u5,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol5 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch>0
        JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 60 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp6;
        CREATE TEMPORARY TABLE tmp6 
        (SELECT vr.uch AS u6,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol6 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch>0
        left JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE  dt IS NULL
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp7;
        CREATE TEMPORARY TABLE tmp7 
        (SELECT vr.uch AS u7,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol7 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch>0
        where datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        SELECT DISTINCT vr.uch,TRIM(vr.fio) AS nam,kol1,kol2,kol3,kol4,kol5,kol6,kol7 FROM vr 
        LEFT JOIN tmp1 ON uch=u1 
        LEFT JOIN tmp2 ON uch=u2 
        LEFT JOIN tmp3 ON uch=u3 
        LEFT JOIN tmp4 ON uch=u4 
        LEFT JOIN tmp5 ON uch=u5 
        LEFT JOIN tmp6 ON uch=u6 
        LEFT JOIN tmp7 ON uch=u7 
        WHERE uch>0 ORDER BY uch;   
        DROP TABLE IF EXISTS tmp1;
        DROP TABLE IF EXISTS tmp2;
        DROP TABLE IF EXISTS tmp3;
        DROP TABLE IF EXISTS tmp4;
        DROP TABLE IF EXISTS tmp5;
        DROP TABLE IF EXISTS tmp6;
        DROP TABLE IF EXISTS tmp7;
    end;
    end if;
    IF _ty=15 AND _ku=2 THEN
    BEGIN
        DROP TABLE IF EXISTS tmp1;
        CREATE TEMPORARY TABLE tmp1 
        (SELECT vr.uch AS u1,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch=_u+0
        JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 12 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp2;
        CREATE TEMPORARY TABLE tmp2 
        (SELECT vr.uch AS u2,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol2 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch=_u+0
        JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 24 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp3;
        CREATE TEMPORARY TABLE tmp3 
        (SELECT vr.uch AS u3,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol3 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch=_u+0
        JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 36 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp4;
        CREATE TEMPORARY TABLE tmp4 
        (SELECT vr.uch AS u4,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol4 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch=_u+0
        JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 48 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp5;
        CREATE TEMPORARY TABLE tmp5 
        (SELECT vr.uch AS u5,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol5 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch=_u+0
        JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 60 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp6;
        CREATE TEMPORARY TABLE tmp6 
        (SELECT vr.uch AS u6,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol6 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch=_u+0
        LEFT JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE  dt IS NULL
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp7;
        CREATE TEMPORARY TABLE tmp7 
        (SELECT vr.uch AS u7,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol7 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch=_u+0
        WHERE datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        SELECT DISTINCT vr.uch,TRIM(vr.fio) AS nam,kol1,kol2,kol3,kol4,kol5,kol6,kol7 FROM vr 
        LEFT JOIN tmp1 ON uch=u1 
        LEFT JOIN tmp2 ON uch=u2 
        LEFT JOIN tmp3 ON uch=u3 
        LEFT JOIN tmp4 ON uch=u4 
        LEFT JOIN tmp5 ON uch=u5 
        LEFT JOIN tmp6 ON uch=u6 
        LEFT JOIN tmp7 ON uch=u7 
        WHERE uch>0 ORDER BY uch;   
        DROP TABLE IF EXISTS tmp1;
        DROP TABLE IF EXISTS tmp2;
        DROP TABLE IF EXISTS tmp3;
        DROP TABLE IF EXISTS tmp4;
        DROP TABLE IF EXISTS tmp5;
        DROP TABLE IF EXISTS tmp6;
        DROP TABLE IF EXISTS tmp7;
    END;
    END IF;
    IF _ty=15 AND _ku=3 THEN
    BEGIN
        DROP TABLE IF EXISTS tmp1;
        CREATE TEMPORARY TABLE tmp1 
        (SELECT vr.uch AS u1,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch BETWEEN 1 and 98 
        JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 12 MONTH) AND dt+0>0 and karta.uch BETWEEN 1 AND 98 
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp2;
        CREATE TEMPORARY TABLE tmp2 
        (SELECT vr.uch AS u2,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol2 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch BETWEEN 1 AND 98 
        JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 24 MONTH) AND dt+0>0 AND karta.uch BETWEEN 1 AND 98 
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp3;
        CREATE TEMPORARY TABLE tmp3 
        (SELECT vr.uch AS u3,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol3 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch BETWEEN 1 AND 98 
        JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 36 MONTH) AND dt+0>0 AND karta.uch BETWEEN 1 AND 98 
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp4;
        CREATE TEMPORARY TABLE tmp4 
        (SELECT vr.uch AS u4,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol4 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch BETWEEN 1 AND 98 
        JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 48 MONTH) AND dt+0>0 AND karta.uch BETWEEN 1 AND 98 
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp5;
        CREATE TEMPORARY TABLE tmp5 
        (SELECT vr.uch AS u5,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol5 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch BETWEEN 1 AND 98 
        JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 60 MONTH) AND dt+0>0 AND karta.uch BETWEEN 1 AND 98 
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp6;
        CREATE TEMPORARY TABLE tmp6 
        (SELECT vr.uch AS u6,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol6 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch BETWEEN 1 AND 98 
        LEFT JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE  dt IS NULL AND karta.uch BETWEEN 1 AND 98 
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp7;
        CREATE TEMPORARY TABLE tmp7 
        (SELECT vr.uch AS u7,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol7 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch BETWEEN 1 AND 98 
        WHERE datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        SELECT DISTINCT vr.uch,TRIM(vr.fio) AS nam,kol1,kol2,kol3,kol4,kol5,kol6,kol7 FROM vr 
        LEFT JOIN tmp1 ON uch=u1 
        LEFT JOIN tmp2 ON uch=u2 
        LEFT JOIN tmp3 ON uch=u3 
        LEFT JOIN tmp4 ON uch=u4 
        LEFT JOIN tmp5 ON uch=u5 
        LEFT JOIN tmp6 ON uch=u6 
        LEFT JOIN tmp7 ON uch=u7 
        WHERE uch>0 ORDER BY uch;   
        DROP TABLE IF EXISTS tmp1;
        DROP TABLE IF EXISTS tmp2;
        DROP TABLE IF EXISTS tmp3;
        DROP TABLE IF EXISTS tmp4;
        DROP TABLE IF EXISTS tmp5;
        DROP TABLE IF EXISTS tmp6;
        DROP TABLE IF EXISTS tmp7;
    END;
    END IF;
    IF _ty=15 AND _ku=4 THEN
    BEGIN
        DROP TABLE IF EXISTS tmp1;
        CREATE TEMPORARY TABLE tmp1 
        (SELECT vr.uch AS u1,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch>0
        JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE dt<=DATE_SUB(_en, INTERVAL 12 MONTH) AND dt+0>0 AND city.ou=1
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp2;
        CREATE TEMPORARY TABLE tmp2 
        (SELECT vr.uch AS u2,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol2 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch>0
        JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE dt<=DATE_SUB(_en, INTERVAL 24 MONTH) AND dt+0>0 AND city.ou=1
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp3;
        CREATE TEMPORARY TABLE tmp3 
        (SELECT vr.uch AS u3,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol3 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch>0
        JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE dt<=DATE_SUB(_en, INTERVAL 36 MONTH) AND dt+0>0 AND city.ou=1
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp4;
        CREATE TEMPORARY TABLE tmp4 
        (SELECT vr.uch AS u4,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol4 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch>0
        JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE dt<=DATE_SUB(_en, INTERVAL 48 MONTH) AND dt+0>0 AND city.ou=1
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp5;
        CREATE TEMPORARY TABLE tmp5 
        (SELECT vr.uch AS u5,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol5 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch>0
        JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE dt<=DATE_SUB(_en, INTERVAL 60 MONTH) AND dt+0>0 AND city.ou=1
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp6;
        CREATE TEMPORARY TABLE tmp6 
        (SELECT vr.uch AS u6,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol6 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch>0
        LEFT JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE  dt IS NULL AND city.ou=1
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp7;
        CREATE TEMPORARY TABLE tmp7 
        (SELECT vr.uch AS u7,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol7 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch>0
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND city.ou=1 GROUP BY vr.uch ORDER BY vr.uch);
        SELECT DISTINCT vr.uch,TRIM(vr.fio) AS nam,kol1,kol2,kol3,kol4,kol5,kol6,kol7 FROM vr 
        LEFT JOIN tmp1 ON uch=u1 
        LEFT JOIN tmp2 ON uch=u2 
        LEFT JOIN tmp3 ON uch=u3 
        LEFT JOIN tmp4 ON uch=u4 
        LEFT JOIN tmp5 ON uch=u5 
        LEFT JOIN tmp6 ON uch=u6 
        LEFT JOIN tmp7 ON uch=u7 
        WHERE uch>0 ORDER BY uch;   
        DROP TABLE IF EXISTS tmp1;
        DROP TABLE IF EXISTS tmp2;
        DROP TABLE IF EXISTS tmp3;
        DROP TABLE IF EXISTS tmp4;
        DROP TABLE IF EXISTS tmp5;
        DROP TABLE IF EXISTS tmp6;
        DROP TABLE IF EXISTS tmp7;
    END;
    END IF;
    IF _ty=15 AND _ku=5 THEN
    BEGIN
        DROP TABLE IF EXISTS tmp1;
        CREATE TEMPORARY TABLE tmp1 
        (SELECT vr.uch AS u1,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch>0
        JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 12 MONTH) AND dt+0>0 AND a1.rnn=_u+0 
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp2;
        CREATE TEMPORARY TABLE tmp2 
        (SELECT vr.uch AS u2,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol2 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch>0
        JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 24 MONTH) AND dt+0>0 AND a1.rnn=_u+0 
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp3;
        CREATE TEMPORARY TABLE tmp3 
        (SELECT vr.uch AS u3,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol3 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch>0
        JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 36 MONTH) AND dt+0>0 AND a1.rnn=_u+0 
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp4;
        CREATE TEMPORARY TABLE tmp4 
        (SELECT vr.uch AS u4,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol4 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch>0
        JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 48 MONTH) AND dt+0>0 AND a1.rnn=_u+0 
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp5;
        CREATE TEMPORARY TABLE tmp5 
        (SELECT vr.uch AS u5,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol5 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch>0
        JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 60 MONTH) AND dt+0>0 AND a1.rnn=_u+0 
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp6;
        CREATE TEMPORARY TABLE tmp6 
        (SELECT vr.uch AS u6,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol6 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch>0
        LEFT JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE  dt IS NULL AND a1.rnn=_u+0 
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) GROUP BY vr.uch ORDER BY vr.uch);
        DROP TABLE IF EXISTS tmp7;
        CREATE TEMPORARY TABLE tmp7 
        (SELECT vr.uch AS u7,TRIM(vr.fio) AS nam, COUNT(a1.adr_id) AS kol7 
        FROM adrbook a1 JOIN vr ON vr.uch=a1.uch AND vr.uch>0
        WHERE datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND a1.rnn=_u+0 GROUP BY vr.uch ORDER BY vr.uch);
        SELECT DISTINCT vr.uch,TRIM(vr.fio) AS nam,kol1,kol2,kol3,kol4,kol5,kol6,kol7 FROM vr 
        LEFT JOIN tmp1 ON uch=u1 
        LEFT JOIN tmp2 ON uch=u2 
        LEFT JOIN tmp3 ON uch=u3 
        LEFT JOIN tmp4 ON uch=u4 
        LEFT JOIN tmp5 ON uch=u5 
        LEFT JOIN tmp6 ON uch=u6 
        LEFT JOIN tmp7 ON uch=u7 
        WHERE uch>0 ORDER BY uch;   
        DROP TABLE IF EXISTS tmp1;
        DROP TABLE IF EXISTS tmp2;
        DROP TABLE IF EXISTS tmp3;
        DROP TABLE IF EXISTS tmp4;
        DROP TABLE IF EXISTS tmp5;
        DROP TABLE IF EXISTS tmp6;
        DROP TABLE IF EXISTS tmp7;
    END;
    END IF;
    
    if _ty=19 AND _ku=1 then 
    begin
        DROP TABLE IF EXISTS mk;
        CREATE TEMPORARY TABLE mk  (SELECT k1.adr_id,a1.adr_city, k1.kat 
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE k1.kat>0 AND dt BETWEEN _st AND _en);
        DROP TABLE IF EXISTS tmp1;
        CREATE TEMPORARY TABLE tmp1 (SELECT adr_id,adr_city,kat,gorselo,kat.name kname, COUNT(adr_id) kol1 FROM mk,city,kat
        WHERE adr_city LIKE city.name AND kat_id=mk.kat AND gorselo=1 GROUP BY mk.kat);
        DROP TABLE IF EXISTS tmp2;
        CREATE TEMPORARY TABLE tmp2 (SELECT adr_id,adr_city,kat,gorselo,kat.name kname, COUNT(adr_id) kol2 FROM mk,city,kat
        WHERE adr_city LIKE city.name AND kat_id=mk.kat AND gorselo=0 GROUP BY mk.kat);
        DROP TABLE IF EXISTS tmp;
        CREATE TEMPORARY TABLE tmp
        (SELECT kat_id,NAME,kol1,kol2 
        FROM kat LEFT JOIN tmp1 ON tmp1.kat=kat_id 
        LEFT JOIN tmp2 ON tmp2.kat=kat_id WHERE kat_id>0 AND kol1>0 OR kol2>0);
        SELECT * FROM tmp WHERE 1 ORDER BY kat_id;
    end;
    end if;
    IF _ty=19 AND _ku=2 THEN 
    BEGIN
        DROP TABLE IF EXISTS mk;
        CREATE TEMPORARY TABLE mk  (SELECT k1.adr_id,a1.adr_city, k1.kat 
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE k1.kat>0 AND dt BETWEEN _st AND _en AND k1.uch=_u+0);
        DROP TABLE IF EXISTS tmp1;
        CREATE TEMPORARY TABLE tmp1 (SELECT adr_id,adr_city,kat,gorselo,kat.name kname, COUNT(adr_id) kol1 FROM mk,city,kat
        WHERE adr_city LIKE city.name AND kat_id=mk.kat AND gorselo=1 GROUP BY mk.kat);
        DROP TABLE IF EXISTS tmp2;
        CREATE TEMPORARY TABLE tmp2 (SELECT adr_id,adr_city,kat,gorselo,kat.name kname, COUNT(adr_id) kol2 FROM mk,city,kat
        WHERE adr_city LIKE city.name AND kat_id=mk.kat AND gorselo=0 GROUP BY mk.kat);
        DROP TABLE IF EXISTS tmp;
        CREATE TEMPORARY TABLE tmp
        (SELECT kat_id,NAME,kol1,kol2 
        FROM kat LEFT JOIN tmp1 ON tmp1.kat=kat_id 
        LEFT JOIN tmp2 ON tmp2.kat=kat_id WHERE kat_id>0 AND kol1>0 OR kol2>0);
        SELECT * FROM tmp WHERE 1 ORDER BY kat_id;
    END;
    END IF;
    IF _ty=19 AND _ku=3 THEN 
    BEGIN
        DROP TABLE IF EXISTS mk;
        CREATE TEMPORARY TABLE mk  (SELECT k1.adr_id,a1.adr_city, k1.kat 
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE k1.kat>0 AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 and 98);
        DROP TABLE IF EXISTS tmp1;
        CREATE TEMPORARY TABLE tmp1 (SELECT adr_id,adr_city,kat,gorselo,kat.name kname, COUNT(adr_id) kol1 FROM mk,city,kat
        WHERE adr_city LIKE city.name AND kat_id=mk.kat AND gorselo=1 GROUP BY mk.kat);
        DROP TABLE IF EXISTS tmp2;
        CREATE TEMPORARY TABLE tmp2 (SELECT adr_id,adr_city,kat,gorselo,kat.name kname, COUNT(adr_id) kol2 FROM mk,city,kat
        WHERE adr_city LIKE city.name AND kat_id=mk.kat AND gorselo=0 GROUP BY mk.kat);
        DROP TABLE IF EXISTS tmp;
        CREATE TEMPORARY TABLE tmp
        (SELECT kat_id,NAME,kol1,kol2 
        FROM kat LEFT JOIN tmp1 ON tmp1.kat=kat_id 
        LEFT JOIN tmp2 ON tmp2.kat=kat_id WHERE kat_id>0 AND kol1>0 OR kol2>0);
        SELECT * FROM tmp WHERE 1 ORDER BY kat_id;
    END;
    END IF;
    IF _ty=19 AND _ku=4 THEN 
    BEGIN
        DROP TABLE IF EXISTS mk;
        CREATE TEMPORARY TABLE mk  (SELECT k1.adr_id,a1.adr_city, k1.kat 
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE k1.kat>0 AND dt BETWEEN _st AND _en AND city.ou=1);
        DROP TABLE IF EXISTS tmp1;
        CREATE TEMPORARY TABLE tmp1 (SELECT adr_id,adr_city,kat,gorselo,kat.name kname, COUNT(adr_id) kol1 FROM mk,city,kat
        WHERE adr_city LIKE city.name AND kat_id=mk.kat AND gorselo=1 GROUP BY mk.kat);
        DROP TABLE IF EXISTS tmp2;
        CREATE TEMPORARY TABLE tmp2 (SELECT adr_id,adr_city,kat,gorselo,kat.name kname, COUNT(adr_id) kol2 FROM mk,city,kat
        WHERE adr_city LIKE city.name AND kat_id=mk.kat AND gorselo=0 GROUP BY mk.kat);
        DROP TABLE IF EXISTS tmp;
        CREATE TEMPORARY TABLE tmp
        (SELECT kat_id,NAME,kol1,kol2 
        FROM kat LEFT JOIN tmp1 ON tmp1.kat=kat_id 
        LEFT JOIN tmp2 ON tmp2.kat=kat_id WHERE kat_id>0 AND kol1>0 OR kol2>0);
        SELECT * FROM tmp WHERE 1 ORDER BY kat_id;
    END;
    END IF;
    IF _ty=19 AND _ku=5 THEN 
    BEGIN
        DROP TABLE IF EXISTS mk;
        CREATE TEMPORARY TABLE mk  (SELECT k1.adr_id,a1.adr_city, k1.kat 
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE k1.kat>0 AND dt BETWEEN _st AND _en AND a1.rnn=_u+0);
        DROP TABLE IF EXISTS tmp1;
        CREATE TEMPORARY TABLE tmp1 (SELECT adr_id,adr_city,kat,gorselo,kat.name kname, COUNT(adr_id) kol1 FROM mk,city,kat
        WHERE adr_city LIKE city.name AND kat_id=mk.kat AND gorselo=1 GROUP BY mk.kat);
        DROP TABLE IF EXISTS tmp2;
        CREATE TEMPORARY TABLE tmp2 (SELECT adr_id,adr_city,kat,gorselo,kat.name kname, COUNT(adr_id) kol2 FROM mk,city,kat
        WHERE adr_city LIKE city.name AND kat_id=mk.kat AND gorselo=0 GROUP BY mk.kat);
        DROP TABLE IF EXISTS tmp;
        CREATE TEMPORARY TABLE tmp
        (SELECT kat_id,NAME,kol1,kol2 
        FROM kat LEFT JOIN tmp1 ON tmp1.kat=kat_id 
        LEFT JOIN tmp2 ON tmp2.kat=kat_id WHERE kat_id>0 AND kol1>0 OR kol2>0);
        SELECT * FROM tmp WHERE 1 ORDER BY kat_id;
    END;
    END IF;
    
    if _ty=31 AND _ku=1 THEN 
    begin
        DROP TABLE IF EXISTS tu;
        CREATE TEMPORARY TABLE tu DEFAULT CHARSET=cp1251 (SELECT uch,vr.fio,0 AS kol1,0 AS kol2,0 AS kol3,000.00 AS kol4 FROM vr WHERE uch>0 ORDER BY uch);
        INSERT INTO tu (uch,fio,kol1,kol2,kol3,kol4) VALUES (99,'',0,0,0,0.00);
        UPDATE tu SET kol1=
        (SELECT COUNT(a2.adr_id) FROM adrbook a2 WHERE uch=tu.uch AND a2.datebirth <= DATE_SUB(_en, INTERVAL 18 YEAR));
        UPDATE tu,uchkol SET kol2=
        (SELECT kol FROM uchkol uk2 WHERE uk2.uch=tu.uch AND uk2.dtye = YEAR(_en) LIMIT 1);
        UPDATE tu SET kol3=(SELECT COUNT(a2.adr_id) FROM adrbook a2 JOIN karta k1 ON a2.adr_id=k1.adr_id  
        WHERE a2.uch=tu.uch AND k1.dt BETWEEN _st AND _en AND a2.datebirth <= DATE_SUB(_en, INTERVAL 18 YEAR));
        UPDATE tu SET kol4=kol3*100/kol2;
        SELECT * FROM tu;
    end;
    end if;
    IF _ty=31 AND _ku=2 THEN 
    BEGIN
        DROP TABLE IF EXISTS tu;
        CREATE TEMPORARY TABLE tu DEFAULT CHARSET=cp1251 (SELECT uch,vr.fio,0 AS kol1,0 AS kol2,0 AS kol3,000.00 AS kol4 FROM vr WHERE uch=_u+0 ORDER BY uch);
        UPDATE tu SET kol1=
        (SELECT COUNT(a2.adr_id) FROM adrbook a2 WHERE uch=tu.uch AND a2.uch=_u+0 AND a2.datebirth <= DATE_SUB(_en, INTERVAL 18 YEAR));
        UPDATE tu,uchkol SET kol2=
        (SELECT kol FROM uchkol uk2 WHERE uk2.uch=tu.uch AND uk2.dtye = YEAR(_en) LIMIT 1);
        UPDATE tu SET kol3=
        (SELECT COUNT(a2.adr_id) FROM adrbook a2 JOIN karta k1 ON a2.adr_id=k1.adr_id  
        WHERE a2.uch=tu.uch and a2.uch=_u+0 AND k1.dt BETWEEN _st AND _en AND a2.datebirth <= DATE_SUB(_en, INTERVAL 18 YEAR));
        UPDATE tu SET kol4=kol3*100/kol2;
        SELECT * FROM tu;
    END;
    END IF ;
    IF _ty=31 AND _ku=3 THEN 
    BEGIN
        DROP TABLE IF EXISTS tu;
        CREATE TEMPORARY TABLE tu DEFAULT CHARSET=cp1251 (SELECT uch,vr.fio,0 AS kol1,0 AS kol2,0 AS kol3,000.00 AS kol4 FROM vr WHERE uch BETWEEN 1 and 98 ORDER BY uch);
        UPDATE tu SET kol1=
        (SELECT COUNT(a2.adr_id) FROM adrbook a2 WHERE uch=tu.uch AND a2.uch BETWEEN 1 and 98 AND a2.datebirth <= DATE_SUB(_en, INTERVAL 18 YEAR));
        UPDATE tu,uchkol SET kol2=
        (SELECT kol FROM uchkol uk2 WHERE uk2.uch=tu.uch AND uk2.dtye = YEAR(_en) LIMIT 1);
        UPDATE tu SET kol3=
        (SELECT COUNT(a2.adr_id) FROM adrbook a2 JOIN karta k1 ON a2.adr_id=k1.adr_id  
        WHERE a2.uch=tu.uch AND a2.uch BETWEEN 1 AND 98 AND k1.dt BETWEEN _st AND _en AND a2.datebirth <= DATE_SUB(_en, INTERVAL 18 YEAR));
        UPDATE tu SET kol4=kol3*100/kol2;
        SELECT * FROM tu;
    END;
    END IF ;
    IF _ty=31 AND _ku=4 THEN 
    BEGIN
        DROP TABLE IF EXISTS tu;
        CREATE TEMPORARY TABLE tu DEFAULT CHARSET=cp1251 (SELECT uch,vr.fio,0 AS kol1,0 AS kol2,0 AS kol3,000.00 AS kol4 FROM vr WHERE uch>0 ORDER BY uch);
        INSERT INTO tu (uch,fio,kol1,kol2,kol3,kol4) VALUES (99,'',0,0,0,0);
        UPDATE tu SET kol1=
        (SELECT COUNT(a2.adr_id) FROM adrbook a2 WHERE uch=tu.uch AND a2.datebirth <= DATE_SUB(_en, INTERVAL 18 YEAR) AND UPPER(a2.adr_city) LIKE TRIM(_u));
        UPDATE tu,uchkol SET kol2=
        (SELECT kol FROM uchkol uk2 WHERE uk2.uch=tu.uch AND uk2.dtye = YEAR(_en) and kol1>0 LIMIT 1);
        UPDATE tu SET kol3=
        (SELECT COUNT(a2.adr_id) FROM adrbook a2 JOIN karta k1 ON a2.adr_id=k1.adr_id  
        WHERE a2.uch=tu.uch AND k1.dt BETWEEN _st AND _en AND a2.datebirth <= DATE_SUB(_en, INTERVAL 18 YEAR) AND UPPER(a2.adr_city) LIKE TRIM(_u));
        UPDATE tu SET kol4=kol3*100/kol2;
        SELECT * from tu;
    END;
    END IF;
    IF _ty=31 AND _ku=5 THEN 
        DROP TABLE IF EXISTS tu;
        CREATE TEMPORARY TABLE tu DEFAULT CHARSET=cp1251 (SELECT uch,vr.fio,0 AS kol1,0 AS kol2,0 AS kol3,000.00 AS kol4 FROM vr WHERE uch BETWEEN 1 and 98 ORDER BY uch);
        UPDATE tu SET kol1=
        (SELECT COUNT(a2.adr_id) FROM adrbook a2 WHERE uch=tu.uch and a2.rnn=_u+0 AND a2.datebirth <= DATE_SUB(_en, INTERVAL 18 YEAR));
        UPDATE tu,uchkol SET kol2=
        (SELECT kol FROM uchkol uk2 WHERE uk2.uch=tu.uch AND uk2.dtye = YEAR(_en) LIMIT 1);
        UPDATE tu SET kol3=
        (SELECT COUNT(a2.adr_id) FROM adrbook a2 JOIN karta k1 ON a2.adr_id=k1.adr_id  
        WHERE a2.uch=tu.uch AND a2.rnn=_u+0 AND k1.dt BETWEEN _st AND _en AND a2.datebirth <= DATE_SUB(_en, INTERVAL 18 YEAR));
        UPDATE tu SET kol4=kol3*100/kol2;
        SELECT * FROM tu;
    END IF;
    IF _ty=33 AND _ku=1 THEN 
    begin
        DECLARE kk1, kk2 INT DEFAULT 0;
        update statist set kol1=0,kol2=0;
        update statist set kol1=(
        select count(flu_id) from karta k1 join adrbook a1 on k1.adr_id=a1.adr_id 
        where a1.datebirth>date_sub(dt,interval 15 year) AND dt BETWEEN _st AND _en)
        where statist_id=2 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1  JOIN karta k1 ON a1.adr_id=k1.adr_id
        WHERE a1.datebirth>DATE_SUB(dt,INTERVAL 15 YEAR) AND dt BETWEEN _st AND _en)
        WHERE statist_id =2 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE a1.datebirth BETWEEN DATE_ADD(DATE_SUB(dt,INTERVAL 18 YEAR),INTERVAL 1 DAY) and DATE_SUB(dt,INTERVAL 15 YEAR)
        AND dt BETWEEN _st AND _en )
        WHERE statist_id=3 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1 JOIN karta k1 ON k1.adr_id=a1.adr_id 
        WHERE a1.datebirth BETWEEN DATE_ADD(DATE_SUB(dt,INTERVAL 18 YEAR),INTERVAL 1 DAY) AND  DATE_SUB(dt,INTERVAL 15 YEAR) AND dt BETWEEN _st AND _en)
        WHERE statist_id =3;
        
        UPDATE statist SET kol2=(
        SELECT COUNT(adr_id) AS kol2 FROM adrbook a1 WHERE a1.datebirth > DATE_SUB(_en,INTERVAL 15 YEAR))
        WHERE statist_id=86 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(adr_id) AS kol2 FROM adrbook a1 WHERE a1.datebirth BETWEEN DATE_ADD(DATE_SUB(_en,INTERVAL 18 YEAR),INTERVAL 1 DAY) and  DATE_SUB(_en,INTERVAL 15 YEAR))
        WHERE statist_id=87 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE a1.datebirth<=DATE_SUB(dt,INTERVAL 18 YEAR) AND dt BETWEEN _st AND _en)
        WHERE statist_id=4 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(distinct a1.adr_id) FROM adrbook a1 JOIN karta k1 ON k1.adr_id=a1.adr_id 
        WHERE a1.datebirth<=DATE_SUB(dt,INTERVAL 18 YEAR) AND dt BETWEEN _st AND _en)
        WHERE statist_id =4 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(adr_id) AS kol2 FROM adrbook a1 WHERE a1.datebirth<=DATE_SUB(_en,INTERVAL 18 YEAR))
        WHERE statist_id =88 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(adr_id) FROM adrbook a1 WHERE a1.uch BETWEEN 1 AND 98 and a1.datebirth<=DATE_SUB(_en,INTERVAL 18 YEAR))
        WHERE statist_id =98 ;
        
        set kk1 = (select SUM(kol1)  FROM statist WHERE statist_id IN (2,3,4));
        SET kk2 = (SELECT SUM(kol2)  FROM statist WHERE statist_id IN (2,3,4));
        UPDATE statist SET kol1=kk1,kol2=kk2 WHERE statist_id=1;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        left join vr on k1.vr=vr_id where (vr.mo=1 or k1.mo=1) AND dt BETWEEN _st AND _en) where statist_id=5;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1 JOIN karta k1 ON k1.adr_id=a1.adr_id 
        WHERE a1.datebirth<=DATE_SUB(_en,INTERVAL 18 YEAR) and (a1.works=250 or a1.works<=>NULL or a1.status in (3,4))
        AND dt BETWEEN _st AND _en)
        WHERE statist_id=6 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol2 FROM karta k1 join adrbook a1 on k1.adr_id=a1.adr_id 
        WHERE a1.datebirth<=DATE_SUB(_en,INTERVAL 18 YEAR) 
        AND (k1.works=250 OR k1.works<=>NULL OR a1.status IN (3,4)) AND dt BETWEEN _st AND _en)
        WHERE statist_id=6 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        JOIN vr ON k1.vr=vr_id WHERE (vr.mo=0 OR k1.mo=0) AND dt BETWEEN _st AND _en) WHERE statist_id=7;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE doobsled=1 AND dt BETWEEN _st AND _en) WHERE statist_id=8;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE proshol=1 AND dt BETWEEN _st AND _en) WHERE statist_id=9;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE prim=1 AND dt BETWEEN _st AND _en) WHERE statist_id=10;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE prim=2 AND dt BETWEEN _st AND _en) WHERE statist_id=10;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE prim=8 AND dt BETWEEN _st AND _en) WHERE statist_id=13;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE prim=7 AND dt BETWEEN _st AND _en) WHERE statist_id=12;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE prim=4 AND dt BETWEEN _st AND _en) WHERE statist_id=15;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE prim=5 AND dt BETWEEN _st AND _en) WHERE statist_id=16;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE doobsled=1 and proshol=0 AND dt BETWEEN _st AND _en) WHERE statist_id=14;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1 left join works on a1.works=works_id
        join karta k1 ON k1.adr_id=a1.adr_id
        WHERE (a1.works=3996 OR works.main=3996 OR a1.status=8) AND dt BETWEEN _st AND _en)
        WHERE statist_id=17 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN works ON k1.works=works_id
        WHERE (k1.works=3996 OR works.main=3996 OR a1.status=8) AND dt BETWEEN _st AND _en)
        WHERE statist_id=17 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1 join karta k1 ON k1.adr_id=a1.adr_id WHERE a1.disp=1 AND dt BETWEEN _st AND _en)
        WHERE statist_id=18 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE a1.disp=1 AND dt BETWEEN _st AND _en)
        WHERE statist_id=18 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 12 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) and k1.uch BETWEEN 1 and 98)
        WHERE statist_id=80 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 24 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND k1.uch BETWEEN 1 AND 98)
        WHERE statist_id=81 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 36 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND k1.uch BETWEEN 1 AND 98)
        WHERE statist_id=82 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 48 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND k1.uch BETWEEN 1 AND 98)
        WHERE statist_id=83;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 60 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND k1.uch BETWEEN 1 AND 98)
        WHERE statist_id=84 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 left JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt IS NULL
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND a1.uch BETWEEN 1 AND 98)
        WHERE statist_id=85 ;
        update statist set kol2=(select count(*) from adrbook) where statist_id=99;
 
        SELECT statist_id,vid,kol1,kol2 FROM statist WHERE 1;
    end;
    END IF;
    IF _ty=33 AND _ku=2 THEN 
    BEGIN
        DECLARE kk1, kk2 INT DEFAULT 0;
        UPDATE statist SET kol1=0,kol2=0;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE a1.datebirth>DATE_SUB(dt,INTERVAL 15 YEAR) AND dt BETWEEN _st AND _en AND k1.uch=_u+0)
        WHERE statist_id=2 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1  JOIN karta k1 ON a1.adr_id=k1.adr_id
        WHERE a1.datebirth>DATE_SUB(dt,INTERVAL 15 YEAR) AND dt BETWEEN _st AND _en AND k1.uch=_u+0)
        WHERE statist_id =2 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE a1.datebirth BETWEEN DATE_ADD(DATE_SUB(dt,INTERVAL 18 YEAR),INTERVAL 1 DAY) AND DATE_SUB(dt,INTERVAL 15 YEAR)
        AND dt BETWEEN _st AND _en  AND k1.uch=_u+0)
        WHERE statist_id=3 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1 JOIN karta k1 ON k1.adr_id=a1.adr_id 
        WHERE a1.datebirth BETWEEN DATE_ADD(DATE_SUB(dt,INTERVAL 18 YEAR),INTERVAL 1 DAY) AND  DATE_SUB(dt,INTERVAL 15 YEAR) AND dt BETWEEN _st AND _en AND k1.uch=_u+0)
        WHERE statist_id =3;
        
        UPDATE statist SET kol2=(
        SELECT COUNT(adr_id) AS kol2 FROM adrbook a1 WHERE a1.datebirth > DATE_SUB(_en,INTERVAL 15 YEAR) AND a1.uch=_u+0)
        WHERE statist_id=86 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(adr_id) AS kol2 FROM adrbook a1 WHERE a1.datebirth BETWEEN DATE_ADD(DATE_SUB(_en,INTERVAL 18 YEAR),INTERVAL 1 DAY) AND  DATE_SUB(_en,INTERVAL 15 YEAR) AND a1.uch=_u+0)
        WHERE statist_id=87 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE a1.datebirth<=DATE_SUB(dt,INTERVAL 18 YEAR) AND dt BETWEEN _st AND _en AND k1.uch=_u+0)
        WHERE statist_id=4 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1 JOIN karta k1 ON k1.adr_id=a1.adr_id 
        WHERE a1.datebirth<=DATE_SUB(dt,INTERVAL 18 YEAR) AND dt BETWEEN _st AND _en AND k1.uch=_u+0)
        WHERE statist_id =4 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(adr_id) AS kol2 FROM adrbook a1 WHERE a1.datebirth<=DATE_SUB(_en,INTERVAL 18 YEAR) AND a1.uch=_u+0)
        WHERE statist_id =88 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(adr_id) FROM adrbook a1 WHERE a1.uch BETWEEN 1 AND 98 AND a1.datebirth<=DATE_SUB(_en,INTERVAL 18 YEAR) AND a1.uch=_u+0)
        WHERE statist_id =98 ;
        
        SET kk1 = (SELECT SUM(kol1)  FROM statist WHERE statist_id IN (2,3,4));
        SET kk2 = (SELECT SUM(kol2)  FROM statist WHERE statist_id IN (2,3,4));
        UPDATE statist SET kol1=kk1,kol2=kk2 WHERE statist_id=1;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN vr ON k1.vr=vr_id WHERE (vr.mo=1 OR k1.mo=1) AND dt BETWEEN _st AND _en AND k1.uch=_u+0) WHERE statist_id=5;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1 JOIN karta k1 ON k1.adr_id=a1.adr_id 
        WHERE a1.datebirth<=DATE_SUB(_en,INTERVAL 18 YEAR) AND (a1.works=250 OR a1.works<=>NULL OR a1.status IN (3,4))
        AND dt BETWEEN _st AND _en AND k1.uch=_u+0)
        WHERE statist_id=6 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol2 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE a1.datebirth<=DATE_SUB(_en,INTERVAL 18 YEAR) 
        AND (k1.works=250 OR k1.works<=>NULL OR a1.status IN (3,4)) AND dt BETWEEN _st AND _en AND k1.uch=_u+0)
        WHERE statist_id=6 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        JOIN vr ON k1.vr=vr_id WHERE (vr.mo=0 OR k1.mo=0) AND dt BETWEEN _st AND _en AND k1.uch=_u+0) WHERE statist_id=7;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE doobsled=1 AND dt BETWEEN _st AND _en AND k1.uch=_u+0) WHERE statist_id=8;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE proshol=1 AND dt BETWEEN _st AND _en AND k1.uch=_u+0) WHERE statist_id=9;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE prim=1 AND dt BETWEEN _st AND _en AND k1.uch=_u+0) WHERE statist_id=10;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE prim=2 AND dt BETWEEN _st AND _en AND k1.uch=_u+0) WHERE statist_id=10;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE prim=8 AND dt BETWEEN _st AND _en AND k1.uch=_u+0) WHERE statist_id=13;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE prim=7 AND dt BETWEEN _st AND _en AND k1.uch=_u+0) WHERE statist_id=12;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE prim=4 AND dt BETWEEN _st AND _en AND k1.uch=_u+0) WHERE statist_id=15;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE prim=5 AND dt BETWEEN _st AND _en AND k1.uch=_u+0) WHERE statist_id=16;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE doobsled=1 AND proshol=0 AND dt BETWEEN _st AND _en AND k1.uch=_u+0) WHERE statist_id=14;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1 LEFT JOIN works ON a1.works=works_id
        JOIN karta k1 ON k1.adr_id=a1.adr_id
        WHERE (a1.works=3996 OR works.main=3996 OR a1.status=8) AND dt BETWEEN _st AND _en AND k1.uch=_u+0)
        WHERE statist_id=17 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN works ON k1.works=works_id
        WHERE (k1.works=3996 OR works.main=3996 OR a1.status=8) AND dt BETWEEN _st AND _en AND k1.uch=_u+0)
        WHERE statist_id=17 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1 JOIN karta k1 ON k1.adr_id=a1.adr_id WHERE a1.disp=1 AND dt BETWEEN _st AND _en AND k1.uch=_u+0)
        WHERE statist_id=18 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE a1.disp=1 AND dt BETWEEN _st AND _en AND k1.uch=_u+0)
        WHERE statist_id=18 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 12 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND k1.uch BETWEEN 1 AND 98 AND a1.uch=_u+0)
        WHERE statist_id=80 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 24 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND k1.uch BETWEEN 1 AND 98 AND a1.uch=_u+0)
        WHERE statist_id=81 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 36 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND k1.uch BETWEEN 1 AND 98 AND a1.uch=_u+0)
        WHERE statist_id=82 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 48 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND k1.uch BETWEEN 1 AND 98 AND a1.uch=_u+0)
        WHERE statist_id=83;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 60 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND k1.uch BETWEEN 1 AND 98 AND a1.uch=_u+0)
        WHERE statist_id=84 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 LEFT JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt IS NULL
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND a1.uch BETWEEN 1 AND 98 AND a1.uch=_u+0)
        WHERE statist_id=85 ;
        UPDATE statist SET kol2=(SELECT COUNT(*) FROM adrbook WHERE uch=_u+0) WHERE statist_id=99;
 
        SELECT statist_id,vid,kol1,kol2 FROM statist WHERE 1;
    END;
    END IF;
    IF _ty=33 AND _ku=5 THEN 
    BEGIN
        DECLARE kk1, kk2 INT DEFAULT 0;
        UPDATE statist SET kol1=0,kol2=0;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE a1.datebirth>DATE_SUB(dt,INTERVAL 15 YEAR) AND dt BETWEEN _st AND _en AND k1.rnn=_u+0)
        WHERE statist_id=2 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1  JOIN karta k1 ON a1.adr_id=k1.adr_id
        WHERE a1.datebirth>DATE_SUB(dt,INTERVAL 15 YEAR) AND dt BETWEEN _st AND _en AND k1.rnn=_u+0)
        WHERE statist_id =2 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE a1.datebirth BETWEEN DATE_ADD(DATE_SUB(dt,INTERVAL 18 YEAR),INTERVAL 1 DAY) AND DATE_SUB(dt,INTERVAL 15 YEAR)
        AND dt BETWEEN _st AND _en  AND k1.rnn=_u+0)
        WHERE statist_id=3 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1 JOIN karta k1 ON k1.adr_id=a1.adr_id 
        WHERE a1.datebirth BETWEEN DATE_ADD(DATE_SUB(dt,INTERVAL 18 YEAR),INTERVAL 1 DAY) AND  DATE_SUB(dt,INTERVAL 15 YEAR) AND dt BETWEEN _st AND _en AND k1.rnn=_u+0)
        WHERE statist_id =3;
        
        UPDATE statist SET kol2=(
        SELECT COUNT(adr_id) AS kol2 FROM adrbook a1 WHERE a1.datebirth > DATE_SUB(_en,INTERVAL 15 YEAR) AND a1.rnn=_u+0)
        WHERE statist_id=86 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(adr_id) AS kol2 FROM adrbook a1 WHERE a1.datebirth BETWEEN DATE_ADD(DATE_SUB(_en,INTERVAL 18 YEAR),INTERVAL 1 DAY) AND  DATE_SUB(_en,INTERVAL 15 YEAR) AND a1.rnn=_u+0)
        WHERE statist_id=87 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE a1.datebirth<=DATE_SUB(dt,INTERVAL 18 YEAR) AND dt BETWEEN _st AND _en AND k1.rnn=_u+0)
        WHERE statist_id=4 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1 JOIN karta k1 ON k1.adr_id=a1.adr_id 
        WHERE a1.datebirth<=DATE_SUB(dt,INTERVAL 18 YEAR) AND dt BETWEEN _st AND _en AND k1.rnn=_u+0)
        WHERE statist_id =4 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(adr_id) AS kol2 FROM adrbook a1 WHERE a1.datebirth<=DATE_SUB(_en,INTERVAL 18 YEAR) AND a1.rnn=_u+0)
        WHERE statist_id =88 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(adr_id) FROM adrbook a1 WHERE a1.uch BETWEEN 1 AND 98 AND a1.datebirth<=DATE_SUB(_en,INTERVAL 18 YEAR) AND a1.rnn=_u+0)
        WHERE statist_id =98 ;
        
        SET kk1 = (SELECT SUM(kol1)  FROM statist WHERE statist_id IN (2,3,4));
        SET kk2 = (SELECT SUM(kol2)  FROM statist WHERE statist_id IN (2,3,4));
        UPDATE statist SET kol1=kk1,kol2=kk2 WHERE statist_id=1;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN vr ON k1.vr=vr_id WHERE (vr.mo=1 OR k1.mo=1) AND dt BETWEEN _st AND _en AND k1.rnn=_u+0) WHERE statist_id=5;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1 JOIN karta k1 ON k1.adr_id=a1.adr_id 
        WHERE a1.datebirth<=DATE_SUB(_en,INTERVAL 18 YEAR) AND (a1.works=250 OR a1.works<=>NULL OR a1.status IN (3,4))
        AND dt BETWEEN _st AND _en AND k1.rnn=_u+0)
        WHERE statist_id=6 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol2 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE a1.datebirth<=DATE_SUB(_en,INTERVAL 18 YEAR) 
        AND (k1.works=250 OR k1.works<=>NULL OR a1.status IN (3,4)) AND dt BETWEEN _st AND _en AND k1.rnn=_u+0)
        WHERE statist_id=6 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        JOIN vr ON k1.vr=vr_id WHERE (vr.mo=0 OR k1.mo=0) AND dt BETWEEN _st AND _en AND k1.rnn=_u+0) WHERE statist_id=7;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE doobsled=1 AND dt BETWEEN _st AND _en AND k1.rnn=_u+0) WHERE statist_id=8;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE proshol=1 AND dt BETWEEN _st AND _en AND k1.rnn=_u+0) WHERE statist_id=9;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE prim=1 AND dt BETWEEN _st AND _en AND k1.rnn=_u+0) WHERE statist_id=10;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE prim=2 AND dt BETWEEN _st AND _en AND k1.rnn=_u+0) WHERE statist_id=10;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE prim=8 AND dt BETWEEN _st AND _en AND k1.rnn=_u+0) WHERE statist_id=13;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE prim=7 AND dt BETWEEN _st AND _en AND k1.rnn=_u+0) WHERE statist_id=12;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE prim=4 AND dt BETWEEN _st AND _en AND k1.rnn=_u+0) WHERE statist_id=15;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE prim=5 AND dt BETWEEN _st AND _en AND k1.rnn=_u+0) WHERE statist_id=16;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE doobsled=1 AND proshol=0 AND dt BETWEEN _st AND _en AND k1.rnn=_u+0) WHERE statist_id=14;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1 LEFT JOIN works ON a1.works=works_id
        JOIN karta k1 ON k1.adr_id=a1.adr_id
        WHERE (a1.works=3996 OR works.main=3996 OR a1.status=8) AND dt BETWEEN _st AND _en AND k1.rnn=_u+0)
        WHERE statist_id=17 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN works ON k1.works=works_id
        WHERE (k1.works=3996 OR works.main=3996 OR a1.status=8) AND dt BETWEEN _st AND _en AND k1.rnn=_u+0)
        WHERE statist_id=17 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1 JOIN karta k1 ON k1.adr_id=a1.adr_id WHERE a1.disp=1 AND dt BETWEEN _st AND _en AND k1.rnn=_u+0)
        WHERE statist_id=18 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE a1.disp=1 AND dt BETWEEN _st AND _en AND k1.rnn=_u+0)
        WHERE statist_id=18 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 12 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND k1.uch BETWEEN 1 AND 98 AND a1.rnn=_u+0)
        WHERE statist_id=80 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 24 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND k1.uch BETWEEN 1 AND 98 AND a1.rnn=_u+0)
        WHERE statist_id=81 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 36 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND k1.uch BETWEEN 1 AND 98 AND a1.rnn=_u+0)
        WHERE statist_id=82 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 48 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND k1.uch BETWEEN 1 AND 98 AND a1.rnn=_u+0)
        WHERE statist_id=83;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 60 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND k1.uch BETWEEN 1 AND 98 AND a1.rnn=_u+0)
        WHERE statist_id=84 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 LEFT JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt IS NULL
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND a1.uch BETWEEN 1 AND 98 AND a1.rnn=_u+0)
        WHERE statist_id=85 ;
        UPDATE statist SET kol2=(SELECT COUNT(*) FROM adrbook WHERE rnn=_u+0) WHERE statist_id=99;
 
        SELECT statist_id,vid,kol1,kol2 FROM statist WHERE 1;
    END;
    END IF;
    IF _ty=33 AND _ku=4 THEN 
    BEGIN
        DECLARE kk1, kk2 INT DEFAULT 0;
        UPDATE statist SET kol1=0,kol2=0;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE a1.datebirth>DATE_SUB(dt,INTERVAL 15 YEAR) AND dt BETWEEN _st AND _en AND city.ou=1)
        WHERE statist_id=2 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1  JOIN karta k1 ON a1.adr_id=k1.adr_id
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE a1.datebirth>DATE_SUB(dt,INTERVAL 15 YEAR) AND dt BETWEEN _st AND _en AND city.ou=1)
        WHERE statist_id =2 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE a1.datebirth BETWEEN DATE_ADD(DATE_SUB(dt,INTERVAL 18 YEAR),INTERVAL 1 DAY) AND DATE_SUB(dt,INTERVAL 15 YEAR)
        AND dt BETWEEN _st AND _en  AND city.ou=1)
        WHERE statist_id=3 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1 JOIN karta k1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE a1.datebirth BETWEEN DATE_ADD(DATE_SUB(dt,INTERVAL 18 YEAR),INTERVAL 1 DAY) AND  DATE_SUB(dt,INTERVAL 15 YEAR) AND dt BETWEEN _st AND _en AND city.ou=1)
        WHERE statist_id =3;
        
        UPDATE statist SET kol2=(
        SELECT COUNT(adr_id) AS kol2 FROM adrbook a1 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE a1.datebirth > DATE_SUB(_en,INTERVAL 15 YEAR) AND city.ou=1)
        WHERE statist_id=86 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(adr_id) AS kol2 FROM adrbook a1
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE a1.datebirth BETWEEN DATE_ADD(DATE_SUB(_en,INTERVAL 18 YEAR),INTERVAL 1 DAY) AND  DATE_SUB(_en,INTERVAL 15 YEAR) AND city.ou=1)
        WHERE statist_id=87 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE a1.datebirth<=DATE_SUB(dt,INTERVAL 18 YEAR) AND dt BETWEEN _st AND _en AND city.ou=1)
        WHERE statist_id=4 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1 JOIN karta k1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE a1.datebirth<=DATE_SUB(dt,INTERVAL 18 YEAR) AND dt BETWEEN _st AND _en AND city.ou=1)
        WHERE statist_id =4 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(adr_id) AS kol2 FROM adrbook a1 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE a1.datebirth<=DATE_SUB(_en,INTERVAL 18 YEAR) AND city.ou=1)
        WHERE statist_id =88 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(adr_id) FROM adrbook a1 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE a1.uch BETWEEN 1 AND 98 AND a1.datebirth<=DATE_SUB(_en,INTERVAL 18 YEAR) AND city.ou=1)
        WHERE statist_id =98 ;
        
        SET kk1 = (SELECT SUM(kol1)  FROM statist WHERE statist_id IN (2,3,4));
        SET kk2 = (SELECT SUM(kol2)  FROM statist WHERE statist_id IN (2,3,4));
        UPDATE statist SET kol1=kk1,kol2=kk2 WHERE statist_id=1;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        LEFT JOIN vr ON k1.vr=vr_id WHERE (vr.mo=1 OR k1.mo=1) AND dt BETWEEN _st AND _en AND city.ou=1) WHERE statist_id=5;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1 JOIN karta k1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE a1.datebirth<=DATE_SUB(_en,INTERVAL 18 YEAR) AND (a1.works=250 OR a1.works<=>NULL OR a1.status IN (3,4))
        AND dt BETWEEN _st AND _en AND city.ou=1)
        WHERE statist_id=6 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol2 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE a1.datebirth<=DATE_SUB(_en,INTERVAL 18 YEAR) 
        AND (k1.works=250 OR k1.works<=>NULL OR a1.status IN (3,4)) AND dt BETWEEN _st AND _en AND city.ou=1)
        WHERE statist_id=6 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        JOIN vr ON k1.vr=vr_id 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE (vr.mo=0 OR k1.mo=0) AND dt BETWEEN _st AND _en AND city.ou=1) WHERE statist_id=7;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE doobsled=1 AND dt BETWEEN _st AND _en AND city.ou=1) WHERE statist_id=8;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE proshol=1 AND dt BETWEEN _st AND _en AND city.ou=1) WHERE statist_id=9;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE prim=1 AND dt BETWEEN _st AND _en AND city.ou=1) WHERE statist_id=10;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE prim=2 AND dt BETWEEN _st AND _en AND city.ou=1) WHERE statist_id=10;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE prim=8 AND dt BETWEEN _st AND _en AND city.ou=1) WHERE statist_id=13;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE prim=7 AND dt BETWEEN _st AND _en AND city.ou=1) WHERE statist_id=12;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE prim=4 AND dt BETWEEN _st AND _en AND city.ou=1) WHERE statist_id=15;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE prim=5 AND dt BETWEEN _st AND _en AND city.ou=1) WHERE statist_id=16;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE doobsled=1 AND proshol=0 AND dt BETWEEN _st AND _en AND city.ou=1) WHERE statist_id=14;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1 LEFT JOIN works ON a1.works=works_id
        JOIN karta k1 ON k1.adr_id=a1.adr_id
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE (a1.works=3996 OR works.main=3996 OR a1.status=8) AND dt BETWEEN _st AND _en AND city.ou=1)
        WHERE statist_id=17 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN works ON k1.works=works_id
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE (k1.works=3996 OR works.main=3996 OR a1.status=8) AND dt BETWEEN _st AND _en AND city.ou=1)
        WHERE statist_id=17 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1 JOIN karta k1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE a1.disp=1 AND dt BETWEEN _st AND _en AND city.ou=1)
        WHERE statist_id=18 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE a1.disp=1 AND dt BETWEEN _st AND _en AND city.ou=1)
        WHERE statist_id=18 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE dt<=DATE_SUB(_en, INTERVAL 12 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND k1.uch BETWEEN 1 AND 98 AND city.ou=1)
        WHERE statist_id=80 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE dt<=DATE_SUB(_en, INTERVAL 24 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND k1.uch BETWEEN 1 AND 98 AND city.ou=1)
        WHERE statist_id=81 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE dt<=DATE_SUB(_en, INTERVAL 36 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND k1.uch BETWEEN 1 AND 98 AND city.ou=1)
        WHERE statist_id=82 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE dt<=DATE_SUB(_en, INTERVAL 48 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND k1.uch BETWEEN 1 AND 98 AND city.ou=1)
        WHERE statist_id=83;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE dt<=DATE_SUB(_en, INTERVAL 60 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND k1.uch BETWEEN 1 AND 98 AND city.ou=1)
        WHERE statist_id=84 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 LEFT JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE dt IS NULL
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND a1.uch BETWEEN 1 AND 98 AND city.ou=1)
        WHERE statist_id=85 ;
        UPDATE statist SET kol2=(SELECT COUNT(*) FROM adrbook WHERE UPPER(adr_city) LIKE TRIM(_u)) WHERE statist_id=99;
 
        SELECT statist_id,vid,kol1,kol2 FROM statist WHERE 1;
    END;
    END IF;
    IF _ty=33 AND _ku=3 THEN 
    BEGIN
        DECLARE kk1, kk2 INT DEFAULT 0;
        UPDATE statist SET kol1=0,kol2=0;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE a1.datebirth>DATE_SUB(dt,INTERVAL 15 YEAR) AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 and 98)
        WHERE statist_id=2 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1  JOIN karta k1 ON a1.adr_id=k1.adr_id
        WHERE a1.datebirth>DATE_SUB(dt,INTERVAL 15 YEAR) AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 AND 98)
        WHERE statist_id =2 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE a1.datebirth BETWEEN DATE_ADD(DATE_SUB(dt,INTERVAL 18 YEAR),INTERVAL 1 DAY) AND DATE_SUB(dt,INTERVAL 15 YEAR)
        AND dt BETWEEN _st AND _en  AND k1.uch BETWEEN 1 AND 98 )
        WHERE statist_id=3 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1 JOIN karta k1 ON k1.adr_id=a1.adr_id 
        WHERE a1.datebirth BETWEEN DATE_ADD(DATE_SUB(dt,INTERVAL 18 YEAR),INTERVAL 1 DAY) AND  DATE_SUB(dt,INTERVAL 15 YEAR) AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 AND 98 )
        WHERE statist_id =3;
        
        UPDATE statist SET kol2=(
        SELECT COUNT(adr_id) AS kol2 FROM adrbook a1 WHERE a1.datebirth > DATE_SUB(_en,INTERVAL 15 YEAR) AND a1.uch BETWEEN 1 AND 98 )
        WHERE statist_id=86 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(adr_id) AS kol2 FROM adrbook a1 WHERE a1.datebirth BETWEEN DATE_ADD(DATE_SUB(_en,INTERVAL 18 YEAR),INTERVAL 1 DAY) AND  DATE_SUB(_en,INTERVAL 15 YEAR) AND a1.uch BETWEEN 1 AND 98 )
        WHERE statist_id=87 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE a1.datebirth<=DATE_SUB(dt,INTERVAL 18 YEAR) AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 AND 98 )
        WHERE statist_id=4 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1 JOIN karta k1 ON k1.adr_id=a1.adr_id 
        WHERE a1.datebirth<=DATE_SUB(dt,INTERVAL 18 YEAR) AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 AND 98 )
        WHERE statist_id =4 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(adr_id) AS kol2 FROM adrbook a1 WHERE a1.datebirth<=DATE_SUB(_en,INTERVAL 18 YEAR) AND a1.uch BETWEEN 1 AND 98 )
        WHERE statist_id =88 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(adr_id) FROM adrbook a1 WHERE a1.uch BETWEEN 1 AND 98 AND a1.datebirth<=DATE_SUB(_en,INTERVAL 18 YEAR) AND a1.uch BETWEEN 1 AND 98 )
        WHERE statist_id =98 ;
        
        SET kk1 = (SELECT SUM(kol1)  FROM statist WHERE statist_id IN (2,3,4));
        SET kk2 = (SELECT SUM(kol2)  FROM statist WHERE statist_id IN (2,3,4));
        UPDATE statist SET kol1=kk1,kol2=kk2 WHERE statist_id=1;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN vr ON k1.vr=vr_id WHERE (vr.mo=1 OR k1.mo=1) AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 AND 98 ) WHERE statist_id=5;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1 JOIN karta k1 ON k1.adr_id=a1.adr_id 
        WHERE a1.datebirth<=DATE_SUB(_en,INTERVAL 18 YEAR) AND (a1.works=250 OR a1.works<=>NULL OR a1.status IN (3,4))
        AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 AND 98 )
        WHERE statist_id=6 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol2 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE a1.datebirth<=DATE_SUB(_en,INTERVAL 18 YEAR) 
        AND (k1.works=250 OR k1.works<=>NULL OR a1.status IN (3,4)) AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 AND 98 )
        WHERE statist_id=6 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        JOIN vr ON k1.vr=vr_id WHERE (vr.mo=0 OR k1.mo=0) AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 AND 98 ) WHERE statist_id=7;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE doobsled=1 AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 AND 98 ) WHERE statist_id=8;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE proshol=1 AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 AND 98 ) WHERE statist_id=9;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE prim=1 AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 AND 98 ) WHERE statist_id=10;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE prim=2 AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 AND 98 ) WHERE statist_id=10;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE prim=8 AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 AND 98 ) WHERE statist_id=13;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE prim=7 AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 AND 98 ) WHERE statist_id=12;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE prim=4 AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 AND 98 ) WHERE statist_id=15;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE prim=5 AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 AND 98 ) WHERE statist_id=16;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE doobsled=1 AND proshol=0 AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 AND 98 ) WHERE statist_id=14;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1 LEFT JOIN works ON a1.works=works_id
        JOIN karta k1 ON k1.adr_id=a1.adr_id
        WHERE (a1.works=3996 OR works.main=3996 OR a1.status=8) AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 AND 98 )
        WHERE statist_id=17 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN works ON k1.works=works_id
        WHERE (k1.works=3996 OR works.main=3996 OR a1.status=8) AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 AND 98 )
        WHERE statist_id=17 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(DISTINCT a1.adr_id) FROM adrbook a1 JOIN karta k1 ON k1.adr_id=a1.adr_id WHERE a1.disp=1 AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 AND 98 )
        WHERE statist_id=18 ;
        UPDATE statist SET kol1=(
        SELECT COUNT(flu_id) AS kol1 FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE a1.disp=1 AND dt BETWEEN _st AND _en AND k1.uch BETWEEN 1 AND 98 )
        WHERE statist_id=18 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 12 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND k1.uch BETWEEN 1 AND 98 AND a1.uch BETWEEN 1 AND 98 )
        WHERE statist_id=80 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 24 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND k1.uch BETWEEN 1 AND 98 AND a1.uch BETWEEN 1 AND 98 )
        WHERE statist_id=81 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 36 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND k1.uch BETWEEN 1 AND 98 AND a1.uch BETWEEN 1 AND 98 )
        WHERE statist_id=82 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 48 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND k1.uch BETWEEN 1 AND 98 AND a1.uch BETWEEN 1 AND 98 )
        WHERE statist_id=83;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt<=DATE_SUB(_en, INTERVAL 60 MONTH) AND dt+0>0
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND k1.uch BETWEEN 1 AND 98 AND a1.uch BETWEEN 1 AND 98 )
        WHERE statist_id=84 ;
        UPDATE statist SET kol2=(
        SELECT COUNT(a1.adr_id) AS kol1 
        FROM adrbook a1 LEFT JOIN karta AS k1 ON k1.flu_id=
        (SELECT flu_id FROM karta WHERE karta.adr_id=a1.adr_id  ORDER BY dt DESC LIMIT 1) 
        WHERE dt IS NULL
        AND datebirth<=DATE_SUB(_en, INTERVAL 18 YEAR) AND a1.uch BETWEEN 1 AND 98 AND a1.uch BETWEEN 1 AND 98 )
        WHERE statist_id=85 ;
        UPDATE statist SET kol2=(SELECT COUNT(*) FROM adrbook WHERE uch BETWEEN 1 AND 98 ) WHERE statist_id=99;
 
        SELECT statist_id,vid,kol1,kol2 FROM statist WHERE 1;
    END;
    END IF;
    IF _ty=3 AND _ku=1 THEN 
    BEGIN
        SELECT p_gr FROM karta WHERE p_gr<>'' AND dt BETWEEN _st AND _en;
    end;
    end if;
    IF _ty=3 AND _ku=2 THEN 
    BEGIN
        SELECT p_gr FROM karta WHERE p_gr<>'' AND dt BETWEEN _st AND _en and uch=_u+0;
    END;
    END IF;
    IF _ty=3 AND _ku=3 THEN 
    BEGIN
        SELECT p_gr FROM karta WHERE p_gr<>'' AND dt BETWEEN _st AND _en AND uch BETWEEN 1 and 98;
    END;
    END IF;
    IF _ty=3 AND _ku=4 THEN 
    BEGIN
        SELECT p_gr FROM karta k1 join adrbook a1 on k1.adr_id=a1.adr_id 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE p_gr<>'' AND dt BETWEEN _st AND _en AND city.ou=1;
    END;
    END IF;
    IF _ty=3 AND _ku=5 THEN 
    BEGIN
        SELECT p_gr FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE p_gr<>'' AND dt BETWEEN _st AND _en AND a1.rnn=_u+0;
    END;
    END IF;
    IF _ty=44 AND _ku=1 THEN 
    BEGIN
        DROP TABLE IF EXISTS mk1;
        CREATE TEMPORARY TABLE mk1 (
        SELECT adr_city,COUNT(DISTINCT a1.adr_id) kol1 
        FROM adrbook a1 GROUP BY adr_city) ;
        DROP TABLE IF EXISTS mk2;
        CREATE TEMPORARY TABLE mk2 (
        SELECT adr_city,COUNT(flu_id) kol2 , COUNT(DISTINCT a1.adr_id) kol3 
        FROM adrbook a1 JOIN karta k1 ON k1.adr_id=a1.adr_id 
        where dt BETWEEN _st AND _en 
        GROUP BY adr_city) ;
        SELECT mk1.*,mk2.kol2,mk2.kol3 FROM mk1 LEFT JOIN mk2 ON mk2.adr_city=mk1.adr_city ORDER BY kol2 DESC;
    END;
    END IF;
    IF _ty=44 AND _ku=2 THEN 
    BEGIN
        DROP TABLE IF EXISTS mk1;
        CREATE TEMPORARY TABLE mk1 (
        SELECT adr_city,COUNT(DISTINCT a1.adr_id) kol1 
        FROM adrbook a1 WHERE a1.uch=_u+0 GROUP BY adr_city) ;
        DROP TABLE IF EXISTS mk2;
        CREATE TEMPORARY TABLE mk2 (
        SELECT adr_city,COUNT(flu_id) kol2 , COUNT(DISTINCT a1.adr_id) kol3 
        FROM adrbook a1 JOIN karta k1 ON k1.adr_id=a1.adr_id 
        WHERE dt BETWEEN _st AND _en  AND k1.uch=_u+0 
        GROUP BY adr_city) ;
        SELECT mk1.*,mk2.kol2,mk2.kol3 FROM mk1 LEFT JOIN mk2 ON mk2.adr_city=mk1.adr_city ORDER BY kol2 DESC;
    END;
    END IF;
    IF _ty=44 AND _ku=3 THEN 
    BEGIN
        DROP TABLE IF EXISTS mk1;
        CREATE TEMPORARY TABLE mk1 (
        SELECT adr_city,COUNT(DISTINCT a1.adr_id) kol1 
        FROM adrbook a1 WHERE a1.uch between 1 and 98 GROUP BY adr_city) ;
        DROP TABLE IF EXISTS mk2;
        CREATE TEMPORARY TABLE mk2 (
        SELECT adr_city,COUNT(flu_id) kol2 , COUNT(DISTINCT a1.adr_id) kol3 
        FROM adrbook a1 JOIN karta k1 ON k1.adr_id=a1.adr_id 
        WHERE dt BETWEEN _st AND _en  AND k1.uch BETWEEN 1 AND 98 
        GROUP BY adr_city) ;
        SELECT mk1.*,mk2.kol2,mk2.kol3 FROM mk1 LEFT JOIN mk2 ON mk2.adr_city=mk1.adr_city ORDER BY kol2 DESC;
    END;
    END IF;
    IF _ty=44 AND _ku=4 THEN 
    BEGIN
        DROP TABLE IF EXISTS mk1;
        CREATE TEMPORARY TABLE mk1 (
        SELECT adr_city,COUNT(DISTINCT a1.adr_id) kol1 
        FROM adrbook a1 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE city.ou=1 GROUP BY adr_city) ;
        DROP TABLE IF EXISTS mk2;
        CREATE TEMPORARY TABLE mk2 (
        SELECT adr_city,COUNT(flu_id) kol2 , COUNT(DISTINCT a1.adr_id) kol3 
        FROM adrbook a1 JOIN karta k1 ON k1.adr_id=a1.adr_id 
        LEFT JOIN city ON UPPER(a1.adr_city)=UPPER(city.name)
        WHERE dt BETWEEN _st AND _en  AND city.ou=1
        GROUP BY adr_city) ;
        SELECT mk1.*,mk2.kol2,mk2.kol3 FROM mk1 LEFT JOIN mk2 ON mk2.adr_city=mk1.adr_city ORDER BY kol2 DESC;
    END;
    END IF;
    IF _ty=44 AND _ku=5 THEN 
    BEGIN
        DROP TABLE IF EXISTS mk1;
        CREATE TEMPORARY TABLE mk1 (
        SELECT adr_city,COUNT(DISTINCT a1.adr_id) kol1 
        FROM adrbook a1 WHERE a1.rnn=_u+0 GROUP BY adr_city) ;
        DROP TABLE IF EXISTS mk2;
        CREATE TEMPORARY TABLE mk2 (
        SELECT adr_city,COUNT(flu_id) kol2 , COUNT(DISTINCT a1.adr_id) kol3 
        FROM adrbook a1 JOIN karta k1 ON k1.adr_id=a1.adr_id 
        WHERE dt BETWEEN _st AND _en  AND k1.rnn=_u+0 
        GROUP BY adr_city) ;
        SELECT mk1.*,mk2.kol2,mk2.kol3 FROM mk1 LEFT JOIN mk2 ON mk2.adr_city=mk1.adr_city ORDER BY kol2 DESC;
    END;
    END IF;
    IF _ty=55 THEN 
    BEGIN
        UPDATE rn SET kol14=0,kol15=0,kol18=0,kolall=0,p14bd=0,p15bd=0,p18bd=0,peoplebd=0;
        UPDATE rn, rn rn1 SET rn.kol18=(
        SELECT COUNT(DISTINCT k1.adr_id)  
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE datebirth <= DATE_SUB(dt,INTERVAL 18 YEAR) AND k1.rnn=rn1.rn_id and dt BETWEEN _st and _en 
        ) ,
        rn.kol14=(
        SELECT COUNT(DISTINCT k1.adr_id)  
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE datebirth > DATE_SUB(dt,INTERVAL 15 YEAR) AND k1.rnn=rn1.rn_id AND dt BETWEEN _st AND _en 
        ) ,
        rn.kol15=(
        SELECT COUNT(DISTINCT k1.adr_id)  
        FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
        WHERE datebirth BETWEEN DATE_ADD(DATE_SUB(dt,INTERVAL 18 YEAR),INTERVAL 1 DAY) AND DATE_SUB(dt,INTERVAL 15 YEAR) AND k1.rnn=rn1.rn_id AND dt BETWEEN _st AND _en 
        ) WHERE rn.rn_id=rn1.rn_id;
        UPDATE rn, rn rn1 SET rn.p18bd=(
        SELECT COUNT(adr_id) FROM adrbook a1 WHERE datebirth <= DATE_SUB(_en,INTERVAL 18 YEAR) AND a1.rnn=rn1.rn_id
        ) ,
        rn.p15bd=(
        SELECT COUNT(adr_id) FROM adrbook a1 
        WHERE datebirth BETWEEN DATE_ADD(DATE_SUB(_en,INTERVAL 18 YEAR),INTERVAL 1 DAY) AND DATE_SUB(_en,INTERVAL 15 YEAR) AND a1.rnn=rn1.rn_id
        ) ,
        rn.p14bd=(
        SELECT COUNT(adr_id) FROM adrbook a1 WHERE datebirth > DATE_SUB(_en,INTERVAL 15 YEAR) AND a1.rnn=rn1.rn_id
        ) 
        WHERE rn.rn_id=rn1.rn_id;
        UPDATE rn SET kolall=kol14+kol15+kol18,peoplebd=p14bd+p15bd+p18bd;
        
        select * from rn order by rn_id;
    END;
    END IF;
END */$$
DELIMITER ;

/* Procedure structure for procedure `calc_vr_smena` */

/*!50003 DROP PROCEDURE IF EXISTS  `calc_vr_smena` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `calc_vr_smena`(
    in _f1 smallint,IN _f2 SMALLINT,IN _f3 SMALLINT,IN _f4 SMALLINT,IN _f5 SMALLINT,IN _f6 SMALLINT,IN _f7 SMALLINT,IN _f8 SMALLINT,in _dw date)
BEGIN
    declare k1,k2,k3,k4,k5,k6,k7,k8 smallint default 0;
    if _f1>0 then 
        select count(*) into k1 from ytalon t1 where dw=_dw and (fwr=_f1 or fwr2=_f1 OR fwr3=_f1 OR fwr4=_f1 OR fwr5=_f1 OR fwr6=_f1 OR fwr7=_f1 OR fwr8=_f1);
    end if ;
    IF _f2>0 THEN 
        SELECT COUNT(*) INTO k2 FROM ytalon t1 WHERE dw=_dw AND (fwr=_f2 OR fwr2=_f2 OR fwr3=_f2 OR fwr4=_f2 OR fwr5=_f2 OR fwr6=_f2 OR fwr7=_f2 OR fwr8=_f2);
    END IF ;
    IF _f3>0 THEN 
        SELECT COUNT(*) INTO k3 FROM ytalon t1 WHERE dw=_dw AND (fwr=_f3 OR fwr2=_f3 OR fwr3=_f3 OR fwr4=_f3 OR fwr5=_f3 OR fwr6=_f3 OR fwr7=_f3 OR fwr8=_f3);
    END IF ;
    IF _f4>0 THEN 
        SELECT COUNT(*) INTO k4 FROM ytalon t1 WHERE dw=_dw AND (fwr=_f4 OR fwr2=_f4 OR fwr3=_f4 OR fwr4=_f4 OR fwr5=_f4 OR fwr6=_f4 OR fwr7=_f4 OR fwr8=_f4);
    END IF ;
    IF _f5>0 THEN 
        SELECT COUNT(*) INTO k5 FROM ytalon t1 WHERE dw=_dw AND (fwr=_f5 OR fwr2=_f5 OR fwr3=_f5 OR fwr4=_f5 OR fwr5=_f5 OR fwr6=_f5 OR fwr7=_f5 OR fwr8=_f5);
    END IF ;
    IF _f6>0 THEN 
        SELECT COUNT(*) INTO k6 FROM ytalon t1 WHERE dw=_dw AND (fwr=_f6 OR fwr2=_f6 OR fwr3=_f6 OR fwr4=_f6 OR fwr5=_f6 OR fwr6=_f6 OR fwr7=_f6 OR fwr8=_f6);
    END IF ;
    IF _f7>0 THEN 
        SELECT COUNT(*) INTO k7 FROM ytalon t1 WHERE dw=_dw AND (fwr=_f7 OR fwr2=_f7 OR fwr3=_f7 OR fwr4=_f7 OR fwr5=_f7 OR fwr6=_f7 OR fwr7=_f7 OR fwr8=_f7);
    END IF ;
    IF _f8>0 THEN 
        SELECT COUNT(*) INTO k8 FROM ytalon t1 WHERE dw=_dw AND (fwr=_f8 OR fwr2=_f8 OR fwr3=_f8 OR fwr4=_f8 OR fwr5=_f8 OR fwr6=_f8 OR fwr7=_f8 OR fwr8=_f8);
    END IF ;
    select k1 _kol,smena,fio from vr where vr.fwr=_f1 and _f1>0 and k1>0 union
    SELECT k2 _kol,smena,fio FROM vr WHERE vr.fwr=_f2 AND _f2>0 AND k2>0 UNION
    SELECT k3 _kol,smena,fio FROM vr WHERE vr.fwr=_f3 AND _f3>0 AND k3>0 UNION
    SELECT k4 _kol,smena,fio FROM vr WHERE vr.fwr=_f4 AND _f4>0 AND k4>0 UNION
    SELECT k5 _kol,smena,fio FROM vr WHERE vr.fwr=_f5 AND _f5>0 AND k5>0 UNION
    SELECT k6 _kol,smena,fio FROM vr WHERE vr.fwr=_f6 AND _f6>0 AND k6>0 UNION
    SELECT k7 _kol,smena,fio FROM vr WHERE vr.fwr=_f7 AND _f7>0 AND k7>0 UNION
    SELECT k8 _kol,smena,fio FROM vr WHERE vr.fwr=_f8 AND _f8>0 AND k8>0 order by fio;
    
   END */$$
DELIMITER ;

/* Procedure structure for procedure `calc_vr_smena_all` */

/*!50003 DROP PROCEDURE IF EXISTS  `calc_vr_smena_all` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `calc_vr_smena_all`(IN _dw DATE,in _vrras tinyint)
BEGIN
    drop table if exists qqq;
    create temporary table qqq 
    SELECT COUNT(talon_id) _kol, vr.smena plan,vr.fwr vr,fio FROM ytalon t1,vr WHERE vr.fwr>0 AND 
    (t1.fwr=vr.fwr OR t1.fwr2=vr.fwr OR t1.fwr3=vr.fwr OR t1.fwr4=vr.fwr OR t1.fwr5=vr.fwr OR t1.fwr6=vr.fwr OR t1.fwr7=vr.fwr OR t1.fwr8=vr.fwr) AND dw=_dw GROUP BY vr.fwr union 
    SELECT COUNT(talon_id) _kol, null plan,null vr,space(10) fio  FROM ytalon t1,vr WHERE vr.fwr>0 AND 
    (t1.fwr=vr.fwr OR t1.fwr2=vr.fwr OR t1.fwr3=vr.fwr OR t1.fwr4=vr.fwr OR t1.fwr5=vr.fwr OR t1.fwr6=vr.fwr OR t1.fwr7=vr.fwr OR t1.fwr8=vr.fwr) AND dw=_dw ;
    if _vrras=1 then 
    begin
	SET @wd=WEEKDAY(_dw)+1;
	UPDATE qqq SET qqq.plan=0;	
	update qqq,vrras,vr set qqq.plan=vrras.ktal where qqq.vr=vr.fwr and vr.`vr_id`=vrras.`vr_id` and vrras.`dweek`=@wd;
    end;
    end if;
    select * from qqq;
END */$$
DELIMITER ;

/* Procedure structure for procedure `copy_intelst` */

/*!50003 DROP PROCEDURE IF EXISTS  `copy_intelst` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `copy_intelst`(
    IN _ad      int
    )
BEGIN
    INSERT INTO intelst 
    SELECT NULL AS intelst_id,adr_street,street,999 AS STATUS,u1,u2,u3,u1not,u2not,formula,myformula,0 
    FROM intelst WHERE intelst_id=_ad;  
END */$$
DELIMITER ;

/* Procedure structure for procedure `delete_one_lpu` */

/*!50003 DROP PROCEDURE IF EXISTS  `delete_one_lpu` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `delete_one_lpu`(
        in _adr INT, in _lpuvr SMALLINT)
BEGIN
    DECLARE yn SMALLINT;
    CALL update_uch_adrbook_one(_adr,9999);
    SET yn=IFNULL((SELECT uch FROM adrbook a1 WHERE adr_id=_adr),99);
    
    IF yn<>99 THEN
        BEGIN
        select 0 wh;
        END;
    ELSE 
        BEGIN
            SELECT COUNT(flu_id) INTO @kkol FROM karta WHERE vr<>_lpuvr AND adr_id=_adr;
            IF @kkol>0 THEN 
                BEGIN
                    DELETE FROM karta WHERE adr_id=_adr AND vr=_lpuvr;
                    SELECT 1 wh;
                END;
            ELSE 
                DELETE FROM karta WHERE adr_id=_adr AND vr=_lpuvr;
                DELETE FROM adrbook WHERE adr_id=_adr;
                SELECT 2 wh ;
            END IF;
        END;
    END IF;
END */$$
DELIMITER ;

/* Procedure structure for procedure `empty_db` */

/*!50003 DROP PROCEDURE IF EXISTS  `empty_db` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `empty_db`()
BEGIN
    SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS;
    SET FOREIGN_KEY_CHECKS = 0;
    TRUNCATE TABLE `adrbook`;
    TRUNCATE TABLE `cexkol`;
    TRUNCATE TABLE `city`;
    TRUNCATE TABLE `dispmkb`;
    TRUNCATE TABLE `domestic`;
    TRUNCATE TABLE `f_stat`;
    TRUNCATE TABLE `intelst`;
    TRUNCATE TABLE `karta`;
    TRUNCATE TABLE `kat`;
    TRUNCATE TABLE `lpu`;
    TRUNCATE TABLE `menu_create`;
    TRUNCATE TABLE `mkb`;
    TRUNCATE TABLE `mkb10`;
    TRUNCATE TABLE `mkball`;
    TRUNCATE TABLE `np`;
    TRUNCATE TABLE `numuch`;
    TRUNCATE TABLE `orgkod`;
    TRUNCATE TABLE `prim`;
    TRUNCATE TABLE `r_type`;
    TRUNCATE TABLE `risk`;
    TRUNCATE TABLE `rn`;
    TRUNCATE TABLE `st`;
    TRUNCATE TABLE `statist`;
    TRUNCATE TABLE `stzam`;
    TRUNCATE TABLE `uch`;
    TRUNCATE TABLE `uchkol`;
    TRUNCATE TABLE `vr`;
    TRUNCATE TABLE `works`;
    TRUNCATE TABLE `zaadr`;
    TRUNCATE TABLE `zabodypart`;
    TRUNCATE TABLE `zadecretgr`;
    TRUNCATE TABLE `zadecretgrflu`;
    TRUNCATE TABLE `zadepart`;
    TRUNCATE TABLE `zadiagn`;
    TRUNCATE TABLE `zadomesticgr`;
    TRUNCATE TABLE `zajob`;
    TRUNCATE TABLE `zakarta`;
    TRUNCATE TABLE `zariskgr`;
    TRUNCATE TABLE `zastreet`;
    TRUNCATE TABLE `zastreetflu`;
    TRUNCATE TABLE `zatown`;
    TRUNCATE TABLE `zfadr`;
    TRUNCATE TABLE `zfcountry`;
    TRUNCATE TABLE `zfisled`;
    TRUNCATE TABLE `zfjob`;
    TRUNCATE TABLE `zfkarta`;
    TRUNCATE TABLE `zfnorm`;
    TRUNCATE TABLE `zfnormflu`;
    TRUNCATE TABLE `zfregion`;
    TRUNCATE TABLE `zftown`;
    TRUNCATE TABLE `zftypeisled`;
    TRUNCATE TABLE `zftypeisledflu`;
    TRUNCATE TABLE `zladr`;
    TRUNCATE TABLE `zlcity`;
    TRUNCATE TABLE `zldispmkb`;
    TRUNCATE TABLE `zldomestic`;
    TRUNCATE TABLE `zlkarta`;
    TRUNCATE TABLE `zlkat`;
    TRUNCATE TABLE `zlmkb10`;
    TRUNCATE TABLE `zlr_type`;
    TRUNCATE TABLE `zlrisk`;
    TRUNCATE TABLE `zluch`;
    TRUNCATE TABLE `zlworks`;
    TRUNCATE TABLE `zoadr`;
    TRUNCATE TABLE `zodiagn`;
    TRUNCATE TABLE `zodiagnflu`;
    TRUNCATE TABLE `zodocd1`;
    TRUNCATE TABLE `zodocd1flu`;
    TRUNCATE TABLE `zodocd2`;
    TRUNCATE TABLE `zodocd2flu`;
    TRUNCATE TABLE `zodocd3`;
    TRUNCATE TABLE `zodocd3flu`;
    TRUNCATE TABLE `zogroup`;
    TRUNCATE TABLE `zogroupflu`;
    TRUNCATE TABLE `zojob`;
    TRUNCATE TABLE `zokarta`;
    TRUNCATE TABLE `zopat`;
    TRUNCATE TABLE `zoplace`;
    TRUNCATE TABLE `zoplacetmp`;
    TRUNCATE TABLE `zoregi1`;
    TRUNCATE TABLE `zoregi2`;
    TRUNCATE TABLE `zoregi2flu`;
    TRUNCATE TABLE `zostreet`;
    TRUNCATE TABLE `zostreetflu`;
    TRUNCATE TABLE `ztmpadr`;
    TRUNCATE TABLE `ztmpkarta`;
    TRUNCATE TABLE `xadrbook`;
    TRUNCATE TABLE `zxadr`;
    SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
END */$$
DELIMITER ;

/* Procedure structure for procedure `emp_new_tab_update` */

/*!50003 DROP PROCEDURE IF EXISTS  `emp_new_tab_update` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `emp_new_tab_update`(IN _org CHAR(10),IN _maincity VARCHAR(40))
BEGIN
    DECLARE yn INT;
    SET @_orgkod:=_org;
    SELECT insert_street(street_id,NAME,adr_city) FROM z_st z1;
    SET yn=IFNULL((SELECT street_id FROM st WHERE street_id=9999),0);
    IF yn=0 THEN
        INSERT IGNORE INTO st VALUES (9999,'',_maincity,NULL,0,0,0,0,0);
    END IF;
    
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp 
    (SELECT DISTINCT works FROM  ztmpadr a1 LEFT JOIN works w1 ON a1.works=w1.works_id WHERE works_id<=>NULL) ;
    UPDATE ztmpadr z1,tmp SET z1.works=NULL WHERE z1.works = tmp.works; 
    
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp 
    (SELECT DISTINCT DOMESTIC FROM  ztmpadr a1 LEFT JOIN domestic w1 ON a1.domestic=w1.domestic_id WHERE domestic_id<=>NULL) ;
    UPDATE ztmpadr z1,tmp SET z1.domestic=NULL WHERE z1.domestic = tmp.domestic; 
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp 
    (SELECT DISTINCT risk FROM  ztmpadr a1 LEFT JOIN risk w1 ON a1.risk=w1.risk_id WHERE risk_id<=>NULL) ;
    UPDATE ztmpadr z1,tmp SET z1.risk=NULL WHERE z1.risk = tmp.risk; 
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp 
    (SELECT DISTINCT kat FROM  ztmpadr a1 LEFT JOIN kat w1 ON a1.kat=w1.kat_id WHERE kat_id<=>NULL) ;
    UPDATE ztmpadr z1,tmp SET z1.kat=NULL WHERE z1.kat = tmp.kat; 
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp 
    (SELECT DISTINCT lpu FROM  ztmpadr a1 LEFT JOIN lpu w1 ON a1.lpu=w1.lpu_id WHERE lpu_id<=>NULL) ;
    UPDATE ztmpadr z1,tmp SET z1.lpu=NULL WHERE z1.lpu = tmp.lpu; 
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp 
    (SELECT DISTINCT adr_street FROM  ztmpadr a1 LEFT JOIN st w1 ON a1.adr_street=w1.street_id WHERE street_id<=>NULL) ;
    UPDATE ztmpadr z1,tmp SET z1.adr_street=NULL WHERE z1.adr_street = tmp.adr_street; 
    UPDATE ztmpadr SET adr_name=_org;
    INSERT IGNORE INTO adrbook SELECT *,NULL,1 FROM ztmpadr;
    TRUNCATE ztmpadr;
    
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp 
    (SELECT DISTINCT vr FROM  ztmpkarta a1 LEFT JOIN vr w1 ON a1.vr=w1.vr_id WHERE vr_id<=>NULL);
    UPDATE ztmpkarta z1,tmp SET z1.vr=NULL WHERE z1.vr = tmp.vr; 
    
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp 
    (SELECT DISTINCT works FROM  ztmpkarta a1 LEFT JOIN works w1 ON a1.works=w1.works_id WHERE works_id<=>NULL) ;
    UPDATE ztmpkarta z1,tmp SET z1.works=NULL WHERE z1.works = tmp.works; 
    
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp 
    (SELECT DISTINCT DOMESTIC FROM  ztmpkarta a1 LEFT JOIN domestic w1 ON a1.domestic=w1.domestic_id WHERE domestic_id<=>NULL) ;
    UPDATE ztmpkarta z1,tmp SET z1.domestic=NULL WHERE z1.domestic = tmp.domestic; 
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp 
    (SELECT DISTINCT risk FROM  ztmpkarta a1 LEFT JOIN risk w1 ON a1.risk=w1.risk_id WHERE risk_id<=>NULL) ;
    UPDATE ztmpkarta z1,tmp SET z1.risk=NULL WHERE z1.risk = tmp.risk; 
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp 
    (SELECT DISTINCT kat FROM  ztmpkarta a1 LEFT JOIN kat w1 ON a1.kat=w1.kat_id WHERE kat_id<=>NULL) ;
    UPDATE ztmpkarta z1,tmp SET z1.kat=NULL WHERE z1.kat = tmp.kat; 
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp 
    (SELECT DISTINCT lpu FROM  ztmpkarta a1 LEFT JOIN lpu w1 ON a1.lpu=w1.lpu_id WHERE lpu_id<=>NULL) ;
    UPDATE ztmpkarta z1,tmp SET z1.lpu=NULL WHERE z1.lpu = tmp.lpu; 
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp 
    (SELECT DISTINCT adr_street FROM  ztmpkarta a1 LEFT JOIN st w1 ON a1.adr_street=w1.street_id WHERE street_id<=>NULL) ;
    UPDATE ztmpkarta z1,tmp SET z1.adr_street=NULL WHERE z1.adr_street = tmp.adr_street; 
    UPDATE ztmpkarta SET adr_name='0';
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp 
    (SELECT DISTINCT a1.adr_id FROM  ztmpkarta a1 LEFT JOIN adrbook w1 ON a1.adr_id=w1.adr_id WHERE w1.adr_id<=>NULL) ;
    UPDATE ztmpkarta z1,tmp SET z1.adr_name='1' WHERE z1.adr_id = tmp.adr_id; 
    DELETE FROM ztmpkarta WHERE adr_name='1';
    UPDATE ztmpkarta SET adr_name=_org;
    INSERT IGNORE INTO karta  SELECT * FROM ztmpkarta;
    TRUNCATE TABLE ztmpkarta;
    UPDATE city SET adr_name=_org;
    UPDATE dispmkb SET adr_name=_org;
    UPDATE domestic SET adr_name=_org;
    UPDATE kat SET adr_name=_org;
    UPDATE mkb10 SET adr_name=_org;
    UPDATE r_type SET adr_name=_org;
    UPDATE risk SET adr_name=_org;
    UPDATE vr SET adr_name=_org;
    UPDATE works SET adr_name=_org;
END */$$
DELIMITER ;

/* Procedure structure for procedure `flu_sms_one` */

/*!50003 DROP PROCEDURE IF EXISTS  `flu_sms_one` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `flu_sms_one`(_pers INT, _txt VARCHAR(50), _tel varchar(11), _dt varchar(4))
BEGIN
	DECLARE _type TINYINT DEFAULT 1;
	DECLARE _id INT DEFAULT 0;
	
	IF EXISTS(SELECT * FROM sms WHERE adr_id=_pers and left(dt,4)=_dt AND otpr=1) THEN
		SET _type:= 2;
	END IF;
	INSERT IGNORE INTO sms (adr_id,dt,TYPE,txt,otpr,tel) VALUES (_pers, NOW(),_type,_txt,0,_tel);
    END */$$
DELIMITER ;

/* Procedure structure for procedure `import_obmen` */

/*!50003 DROP PROCEDURE IF EXISTS  `import_obmen` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `import_obmen`(
in _lpu smallint,
IN _lpuvr SMALLINT,
IN _origin tinyINT,
IN _prodstcity tinyINT,
IN _pcity varchar(40)
)
BEGIN
DECLARE _ad,_ka int;
    if _prodstcity=1 and _pcity<>'' then
        UPDATE zladr SET adr_city=_pcity where adr_city='' or adr_city<=>null;
    end if; 
    IF _prodstcity=2 AND _pcity<>'' THEN
        UPDATE zladr SET adr_city=_pcity WHERE 1;
    END IF ;
    call update_uch_obmen_imp();
    update zlkarta k1, zladr a1 set k1.uch=a1.uch where k1.adr_id=a1.adr_id;
    update zladr set ou_id=adr_id;
    UPDATE zladr SET adr_id=0,lpu=_lpu,adr_name=REPEAT('.',10);
    UPDATE zladr za1,adrbook a1 SET za1.adr_id=a1.adr_id 
    WHERE LEFT(a1.datebirth,4)=LEFT(za1.datebirth,4) AND a1.fam=za1.fam AND a1.im=za1.im AND a1.ot=za1.ot;
    TRUNCATE TABLE ztmpadr;
    insert into ztmpadr select * from zladr where zladr.adr_id=0;
    INSERT IGNORE INTO adrbook SELECT * FROM zladr WHERE zladr.adr_id=0;
    select count(*) into _ad FROM zladr WHERE zladr.adr_id=0;
    UPDATE zladr za1,adrbook a1 SET za1.adr_id=a1.adr_id 
    WHERE LEFT(a1.datebirth,4)=LEFT(za1.datebirth,4) AND a1.fam=za1.fam AND a1.im=za1.im AND a1.ot=za1.ot;
    TRUNCATE TABLE ztmpadr;
    
    TRUNCATE TABLE ztmpkarta;
    INSERT INTO ztmpkarta SELECT * FROM zlkarta WHERE 1;
    UPDATE karta SET numvis=RIGHT(snimok,2)+0 WHERE snimok>'' AND adr_name=repeat('.',10) AND orel=0;
    UPDATE karta SET numvis=RIGHT(flu_id,2)+0 WHERE snimok='' AND numvis=0 AND adr_name=REPEAT('.',10) AND orel=0;
    UPDATE zlkarta SET adr_id=0 WHERE 1;
    
    UPDATE zlkarta zk1,zladr a1,ztmpkarta t1 SET zk1.adr_id=a1.adr_id 
    WHERE zk1.flu_id=t1.flu_id AND t1.adr_id=a1.ou_id ;
    UPDATE zlkarta SET adr_name='0',lpu=_lpu WHERE 1; 
    
    UPDATE zlkarta z1,karta k1 SET z1.adr_name='1' WHERE z1.adr_id=k1.adr_id AND z1.dt=k1.dt AND z1.numvis=k1.numvis;
    update zlkarta set flu_id=null,orelnew=1,vr=_lpuvr,lpu=_lpu where adr_name='0' and adr_id>0;
    
    IF _origin=1 THEN
        UPDATE zlkarta zk1, adrbook a1 SET zk1.uch=a1.uch,zk1.works=a1.works,zk1.adr_street=a1.adr_street 
        WHERE zk1.adr_id=a1.adr_id AND zk1.adr_name='0';
    ELSE 
        UPDATE zlkarta zk1, adrbook a1 SET zk1.uch=a1.uch,zk1.kat=a1.kat,zk1.disp=a1.disp,zk1.works=a1.works,zk1.adr_street=a1.adr_street 
        WHERE zk1.adr_id=a1.adr_id AND zk1.adr_name='0';
    END IF; 
    DELETE from zlkarta where adr_name='1';
    update zlkarta set adr_name=REPEAT('.',10);
    INSERT IGNORE INTO karta SELECT * FROM zlkarta WHERE zlkarta.adr_id>0;
    SELECT COUNT(*) INTO _ka FROM zlkarta WHERE zlkarta.adr_id>0;
    TRUNCATE TABLE ztmpkarta;
    SELECT _ad,_ka;
    
    SELECT insert_city_lpu(city_id,NAME,lpu,gorselo,rn) FROM zlcity;
    SELECT insert_domestic_lpu(domestic_id,`desc`,lpu) FROM zldomestic;
    SELECT insert_kat_lpu(kat_id,NAME,lpu) FROM zlkat;
    SELECT insert_risk_lpu(risk_id,NAME,lpu) FROM zlrisk;
    SELECT insert_works_lpu(works_id,NAME,wrkpl,main,main_id,lpu) FROM zlworks;
    SELECT insert_dispmkb_lpu(dispmkb_id,NAME,lpu) FROM zldispmkb;
    SELECT insert_mkb10_lpu(mkb10_id,NAME,flu,main,lpu) FROM zlmkb10;
    
END */$$
DELIMITER ;

/* Procedure structure for procedure `init_con` */

/*!50003 DROP PROCEDURE IF EXISTS  `init_con` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `init_con`(in _org char(10),IN _place VARCHAR(10),IN _ter tinyint(2))
BEGIN
    set @_orgkod:=_org;
    SET @_place:=_place;
    SET @_ter:=_ter;
    
    if not exists(select * FROM works WHERE works_id = 250) then
	INSERT INTO works VALUES (250,'Неработающее население',0,1,1,0,0,0,0,@_orgkod);
    END if;
    IF NOT EXISTS(SELECT * FROM works WHERE works_id = 3996) then
	INSERT INTO works VALUES (3996,'Пенсионеры',0,1,1,0,0,0,0,@_orgkod);
    END if;
    IF NOT EXISTS(SELECT * FROM st WHERE street_id = 9998) THEN
	INSERT INTO st VALUES (9998,'','',0,0,0,0,0,0);
    END IF;
    IF NOT EXISTS(SELECT * FROM numuch WHERE numuch_id = 99) THEN
	INSERT INTO numuch VALUES (99);
    END IF;
    IF NOT EXISTS(SELECT * FROM numuch WHERE numuch_id = 0) THEN
	INSERT INTO numuch VALUES (0);
    END IF;
    IF NOT EXISTS(SELECT * FROM rn WHERE rn_id = 8888) THEN
	INSERT INTO rn (rn_id,`name`,socr) VALUES (8888,'Другие районы','');
    END IF;
    IF NOT EXISTS(SELECT * FROM rn WHERE rn_id = 0) THEN
	INSERT INTO rn (rn_id,`name`,socr) VALUES (0,'','');
    END IF;
	
END */$$
DELIMITER ;

/* Procedure structure for procedure `init_orgkod` */

/*!50003 DROP PROCEDURE IF EXISTS  `init_orgkod` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `init_orgkod`()
BEGIN
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp SELECT DISTINCT orgkod_id adr_name FROM orgkod where lpu=0;
    SELECT insert_orgkod(tmp.adr_name) FROM tmp;    
END */$$
DELIMITER ;

/* Procedure structure for procedure `insert_city` */

/*!50003 DROP PROCEDURE IF EXISTS  `insert_city` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `insert_city`(
        IN _name    VARCHAR(70)
    )
BEGIN
    INSERT INTO city (name,adr_name,rn) VALUES (_name,@_orgkod,8888);
    SELECT LAST_INSERT_ID() AS _idd;
END */$$
DELIMITER ;

/* Procedure structure for procedure `insert_kat` */

/*!50003 DROP PROCEDURE IF EXISTS  `insert_kat` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `insert_kat`(
        IN _name    VARCHAR(70),
        IN _flu     SMALLINT,
        IN _lpu     SMALLINT,
        IN _orel    SMALLINT
        )
BEGIN
    
    DECLARE yn,aa INT;
    
    IF _orel=1 THEN
        SELECT 0 AS _idd;
    ELSE 
        BEGIN
            SET aa = IFNULL((SELECT MAX(kat_id) FROM kat WHERE LPU<1)+1,1);
            INSERT INTO kat (kat_id,NAME,flu,lpu,orel,adr_name) VALUES (aa,_name,_flu,_lpu,_orel,@_orgkod);
            SELECT aa AS _idd;
        END;
    END IF;
END */$$
DELIMITER ;

/* Procedure structure for procedure `insert_lpu` */

/*!50003 DROP PROCEDURE IF EXISTS  `insert_lpu` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `insert_lpu`()
BEGIN
    INSERT INTO lpu (NAME) VALUES ('');
    SELECT LAST_INSERT_ID() AS _idd;
END */$$
DELIMITER ;

/* Procedure structure for procedure `insert_mkb10` */

/*!50003 DROP PROCEDURE IF EXISTS  `insert_mkb10` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `insert_mkb10`(
        IN _name    VARCHAR(70),
        IN _flu     INT,
        IN _lpu     SMALLINT,
        IN _orel    tinyINT
        )
BEGIN
    DECLARE yn,aa INT;
    
    IF _orel=1 THEN
        BEGIN
            SET yn=IFNULL((SELECT SUBSTRING(mkb10_id,3,8)+0 FROM mkb10 WHERE flu=_flu and adr_name=@_orgkod LIMIT 1),0);
            IF yn=0 THEN
                BEGIN               
                    SET aa = (SELECT MAX(SUBSTRING(mkb10_id,3,8)+0) FROM mkb10 WHERE LPU<1)+1;
                    INSERT INTO mkb10 (mkb10_id,NAME,flu,lpu,orel,vibor,adr_name) VALUES (CONCAT('P-',aa),_name,_flu,_lpu,1,1,@_orgkod);
                    SELECT aa AS _idd;
                END;
            ELSE 
                BEGIN
                    UPDATE mkb10 SET NAME=_name WHERE flu=_flu and adr_name=@_orgkod;
                    SELECT 0 AS _idd;
                END;
            END IF;
        END;
    ELSE 
        BEGIN
            SET aa = (SELECT MAX(SUBSTRING(mkb10_id,3,8)+0) FROM mkb10 WHERE LPU<1)+1;
            INSERT INTO mkb10 (mkb10_id,NAME,flu,lpu,orel,vibor,adr_name) VALUES (CONCAT('P-',aa),_name,0,_lpu,0,1,@_orgkod);
            SELECT aa AS _idd;
        END;
    END IF;
END */$$
DELIMITER ;

/* Procedure structure for procedure `insert_rn` */

/*!50003 DROP PROCEDURE IF EXISTS  `insert_rn` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `insert_rn`(
        IN _name    VARCHAR(70)
    )
BEGIN
    SET @aa = (SELECT MAX(rn_id) FROM rn where rn_id BETWEEN 0 and 8886);
    SET @aa = @aa+1;
    if @aa<8888 then 
    begin
        INSERT INTO rn (rn_id,NAME,socr) VALUES (@aa,_name,'р-н');
        SELECT @aa AS _idd;
    end;    
    else
        SELECT 0 AS _idd;
    end if;
END */$$
DELIMITER ;

/* Procedure structure for procedure `insert_r_type` */

/*!50003 DROP PROCEDURE IF EXISTS  `insert_r_type` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `insert_r_type`(
        IN _name    VARCHAR(70),
        IN _flu     char(10),
        IN _lpu     SMALLINT
        )
BEGIN
    DECLARE yn TINYINT;
    SET yn=IFNULL((SELECT code1 FROM r_type WHERE TRIM(id)=trim(_flu) and adr_name=@_orgkod LIMIT 1),0);
    IF yn=0 THEN
        begin
            INSERT INTO r_type (string,id,adr_name) VALUES (_name,_flu,@_orgkod);
            SELECT LAST_INSERT_ID() AS _idd;
        end;    
    ELSE 
        begin
            UPDATE r_type SET string=_name,lpu=_lpu  WHERE TRIM(id)=TRIM(_flu) and adr_name=@_orgkod;
            SELECT 0 AS _idd;
        end;
    END IF;
    
END */$$
DELIMITER ;

/* Procedure structure for procedure `insert_spec` */

/*!50003 DROP PROCEDURE IF EXISTS  `insert_spec` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `insert_spec`(in _name varchar(70))
BEGIN
         DECLARE aa smallint;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
         SET aa = IFNULL((SELECT MAX(yspec_id) FROM yspec )+1,1);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
         INSERT INTO yspec (yspec_id,name) VALUES (aa,_name);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
         SELECT aa AS _idd;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
    END */$$
DELIMITER ;

/* Procedure structure for procedure `insert_street` */

/*!50003 DROP PROCEDURE IF EXISTS  `insert_street` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `insert_street`(
    IN _name    VARCHAR(70),
    IN _maincity    VARCHAR(40),
    OUT _id     INT
    )
BEGIN
    SET _id = IFNULL((SELECT MAX(street_id) FROM st WHERE street_id NOT IN (9998,9999))+1,1); 
    INSERT INTO st VALUES (_id,_name,_maincity,NULL,0,0,0,0,0);
    SELECT _id+0 AS _idd;
END */$$
DELIMITER ;

/* Procedure structure for procedure `insert_vr` */

/*!50003 DROP PROCEDURE IF EXISTS  `insert_vr` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `insert_vr`(
        IN _name    VARCHAR(70),
        in _dir1    SMALLINT,
        IN _dir2    SMALLINT,
        IN _dir3    SMALLINT,
        IN _flu     SMALLINT,
        IN _lpu     SMALLINT,
        IN _orel    SMALLINT
        )
BEGIN
    DECLARE yn,aa INT;
    
    
    if _orel=1 then
        begin
            SET yn=IFNULL((SELECT vr_id FROM vr WHERE flu=_flu and adr_name=@_orgkod LIMIT 1),0);
            if yn=0 then
                begin               
                    SET aa = IFNULL((SELECT MAX(vr_id) FROM vr WHERE LPU<1)+1,1);
                    INSERT INTO vr (vr_id,fio,uch,cex,mo,dir1,dir2,dir3,flu,lpu,orel,adr_name) VALUES (aa,_name,0,0,0,_dir1,_dir2,_dir3,_flu,_lpu,1,@_orgkod);
                    SELECT aa AS _idd;
                end;
            else 
                begin
                    update vr set fio=_name,dir1=_dir1,dir2=_dir2,dir3=_dir3 where flu=_flu AND adr_name=@_orgkod;
                    SELECT 0 AS _idd;
                end;
            end if;
        END;
    else 
        begin
            SET aa = IFNULL((SELECT MAX(vr_id) FROM vr WHERE LPU<1)+1,1);
            INSERT INTO vr (vr_id,fio,uch,cex,mo,dir1,dir2,dir3,flu,lpu,orel,adr_name) VALUES (aa,_name,0,0,0,_dir1,_dir2,_dir3,_flu,_lpu,0,@_orgkod);
            SELECT aa AS _idd;
        end;
    end if;
    
END */$$
DELIMITER ;

/* Procedure structure for procedure `insert_works` */

/*!50003 DROP PROCEDURE IF EXISTS  `insert_works` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `insert_works`(
    in _name    varchar(200),
        IN _flu     INT,
    in _orel    tinyint,
    out _id     int
    )
BEGIN
    DECLARE yn,aa INT;
    
    SET aa = IFNULL((SELECT MAX(works_id)+0 FROM works WHERE works_id NOT IN (250,3996)),0);
    IF aa <=> NULL THEN
    BEGIN
	INSERT INTO works VALUES (250,'Неработающее население',0,1,1,0,0,0,0,@_orgkod);
	INSERT INTO works VALUES (3996,'Пенсионеры',0,1,1,0,0,0,0,@_orgkod);
	SET aa = 0;
    END;
    ELSE 
    BEGIN
    
    END;
    END IF ;
	IF aa IN (249,3995) THEN
		SET _id = aa+2;
	ELSE 
		SET _id = aa+1;
	END IF ;
    IF _orel=1 THEN
        BEGIN
            SET yn=IFNULL((SELECT works_id FROM works WHERE wrkpl=_flu AND adr_name=@_orgkod LIMIT 1),0);
            IF yn=0 THEN
                BEGIN               
                    INSERT INTO works VALUES (_id,_name,0,1,1,_flu,0,0,0,@_orgkod);
                    SELECT _id AS _idd;
                END;
            ELSE 
                BEGIN
                    UPDATE works SET NAME=_name WHERE wrkpl=_flu AND adr_name=@_orgkod;
                    SELECT 0 AS _idd;
                END;
            END IF;
        END;
    ELSE 
        BEGIN
            INSERT INTO works VALUES (_id,_name,0,0,0,0,0,0,0,@_orgkod);
            SELECT _id AS _idd;
        END;
    END IF;
END */$$
DELIMITER ;

/* Procedure structure for procedure `insert_year_uchkol` */

/*!50003 DROP PROCEDURE IF EXISTS  `insert_year_uchkol` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `insert_year_uchkol`(in _ye smallint)
BEGIN
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp (
    SELECT numuch_id FROM numuch nu WHERE numuch_id BETWEEN 1 AND 98 AND numuch_id NOT IN (SELECT numuch_id FROM numuch JOIN uchkol ON uch=numuch_id WHERE  dtye=_ye)
    );
    INSERT INTO uchkol (uch,dtye) SELECT numuch_id,_ye FROM tmp;
    SELECT * FROM uchkol WHERE 1;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `insert_z_street` */

/*!50003 DROP PROCEDURE IF EXISTS  `insert_z_street` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `insert_z_street`(
        IN _name    VARCHAR(70),
    IN _maincity    VARCHAR(40),
    OUT _id     INT
    )
BEGIN
    DECLARE _aa INT;
    SET _aa = (SELECT MAX(street_id) FROM z_st WHERE street_id NOT IN (9998,9999));
    SET _id = _aa+1;
    INSERT INTO z_st VALUES (_id,_name,_maincity,NULL,0,0,0,0,0);
    SELECT _aa+1 AS _idd;
END */$$
DELIMITER ;

/* Procedure structure for procedure `modify_street` */

/*!50003 DROP PROCEDURE IF EXISTS  `modify_street` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `modify_street`(IN _old INT, IN _new INT)
BEGIN
    DECLARE kol SMALLINT;
    UPDATE st,z_st SET st.name=z_st.name WHERE st.street_id=_old AND z_st.street_id=_new;
    UPDATE adrbook a1,z_st SET a1.street=z_st.name WHERE a1.adr_street=_old AND z_st.street_id=_new;
    SET kol=IFNULL((SELECT MAX(STATUS) FROM intelst WHERE adr_street=44 AND STATUS<999),0);
    DELETE FROM intelst WHERE adr_street=_old AND STATUS=999;
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp
    SELECT * FROM z_intelst z1 WHERE z1.adr_street=_new ORDER BY adr_street,STATUS;
    UPDATE tmp SET adr_street=_old,STATUS=STATUS+kol;
    INSERT INTO intelst SELECT * FROM tmp;
    DROP TABLE IF EXISTS tmp;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `obed_kat` */

/*!50003 DROP PROCEDURE IF EXISTS  `obed_kat` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `obed_kat`(in _id SMALLINT,IN _ma SMALLINT)
BEGIN
    update karta   set kat=_ma where kat=_id;
    UPDATE adrbook SET kat=_ma WHERE kat=_id;
    UPDATE zadecretgrflu SET flu=_ma WHERE flu=_id;
    delete from kat where kat_id=_id;
    select kat_id from kat WHERE kat_id=_id limit 1;
   END */$$
DELIMITER ;

/* Procedure structure for procedure `print_uch` */

/*!50003 DROP PROCEDURE IF EXISTS  `print_uch` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `print_uch`()
BEGIN
    DROP TABLE IF EXISTS tmp1;
    CREATE TEMPORARY TABLE tmp1 (
    SELECT id,uch_id,fio,uch.adr_city,st.name AS cstreet,home,home_,vid FROM uch LEFT JOIN st ON uch.st=st.street_id 
    LEFT JOIN vr ON uch_id=vr.uch
    WHERE uch.lpu<1 AND vr.lpu<1 ORDER BY uch_id,uch.adr_city,cstreet,home);
    DROP TABLE IF EXISTS tmp2;
    CREATE TEMPORARY TABLE tmp2 (
    SELECT 0 id,uch_id,fio,'' adr_city,'' AS cstreet,'' home,'' home_,0 vid FROM uch 
    LEFT JOIN vr ON uch_id=vr.uch
    WHERE uch.lpu<1 AND vr.lpu<1 GROUP BY uch_id);
    
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp 
    SELECT * FROM tmp1 UNION SELECT * FROM tmp2 ORDER BY uch_id,cstreet,cstreet,home;
    
    SELECT id,uch_id,fio,tmp.adr_city,cstreet,home,home_,vid, COUNT(DISTINCT adr_id) kol FROM tmp LEFT JOIN adrbook a1
    ON id=ou_id AND uch=uch_id AND nouch=0 GROUP BY uch_id,id having kol>=0 and trim(adr_city)>' '; 
    END */$$
DELIMITER ;

/* Procedure structure for procedure `print_uch_2` */

/*!50003 DROP PROCEDURE IF EXISTS  `print_uch_2` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `print_uch_2`()
BEGIN
    DROP TABLE IF EXISTS tmp1;
    CREATE TEMPORARY TABLE tmp1 (
    SELECT id,uch_id,fio,works.name AS cstreet,home,home_ FROM uch LEFT JOIN works ON uch.st=works.works_id 
    LEFT JOIN vr ON uch_id=vr.uch
    WHERE uch.lpu<1 AND vr.lpu<1 ORDER BY uch_id,cstreet,home);
    DROP TABLE IF EXISTS tmp2;
    CREATE TEMPORARY TABLE tmp2 (
    SELECT 0 id,uch_id,fio,'' AS cstreet,'' home,'' home_ FROM uch 
    LEFT JOIN vr ON uch_id=vr.uch
    WHERE uch.lpu<1 AND vr.lpu<1 GROUP BY uch_id);
    
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp 
    SELECT * FROM tmp1 UNION SELECT * FROM tmp2 ORDER BY uch_id,cstreet,home;
    
    SELECT id,uch_id,fio,cstreet,home,home_, COUNT(DISTINCT adr_id) kol FROM tmp LEFT JOIN adrbook a1
    ON id=ou_id AND uch=uch_id AND nouch=0 GROUP BY uch_id,id having kol>=0; 
    END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_adrvak_refresh` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_adrvak_refresh` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_adrvak_refresh`(
in _main_city VARCHAR(40))
BEGIN
 	UPDATE zxsadr z2,
	(SELECT uch FROM zxsadr z1 LEFT JOIN numuch u1 ON z1.uch=u1.numuch_id WHERE numuch_id<=>NULL OR numuch_id=0 GROUP BY uch ORDER BY uch) u2
	SET z2.uch=99 WHERE z2.uch=u2.uch;
	UPDATE zxadr z2,
	(SELECT uch FROM zxadr z1 LEFT JOIN numuch u1 ON z1.uch=u1.numuch_id WHERE numuch_id<=>NULL OR numuch_id=0 GROUP BY uch ORDER BY uch) u2
	SET z2.uch=99 WHERE z2.uch=u2.uch;
	
        UPDATE zxadr SET v_adr_id=0,v_adr_name=@_orgkod;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
        UPDATE zxadr za1,adrbook a1 SET za1.v_adr_id=a1.adr_id                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
        WHERE a1.datebirth=za1.datebirth AND a1.fam=za1.fam AND a1.im=za1.im AND a1.ot=za1.ot                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
        AND za1.v_adr_id=0 AND za1.v_adr_name=@_orgkod;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
        UPDATE zxadr za1,adrbook a1 SET za1.v_adr_id=a1.adr_id                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
        WHERE LEFT(a1.datebirth,4)=LEFT(za1.datebirth,4) AND a1.fam=za1.fam AND a1.im=za1.im AND a1.ot=za1.ot                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
        AND za1.v_adr_id=0 AND za1.v_adr_name=@_orgkod;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
        UPDATE zxadr za1,adrbook a1 SET za1.v_adr_id=a1.adr_id                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
        WHERE a1.datebirth=za1.datebirth AND a1.fam=za1.fam AND a1.im=za1.im                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
        AND za1.v_adr_id=0 AND za1.v_adr_name=@_orgkod;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
        UPDATE zxadr za1,adrbook a1 SET za1.v_adr_id=a1.adr_id                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
        WHERE LEFT(a1.datebirth,4)=LEFT(za1.datebirth,4) AND a1.fam=za1.fam AND a1.im=za1.im                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
        AND za1.v_adr_id=0 AND za1.v_adr_name=@_orgkod;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
        UPDATE adrbook a1, zxadr za1 SET a1.datebirth=za1.datebirth WHERE a1.adr_id=za1.v_adr_id AND RIGHT(a1.datebirth,5)='01-01' AND za1.v_adr_name=@_orgkod;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    UPDATE zxsadr a2,zxadr a1 SET a1.v_pol=a2.cod_ucr WHERE a1.v_id=a2.v_id AND a1.v_station=a2.v_station AND a1.v_adr_name=@_orgkod AND a2.adr_name=@_orgkod;
    DROP TABLE IF EXISTS tmp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
    CREATE TEMPORARY TABLE tmp 
    SELECT v_pol+0 wor,TRIM(p1.name) worksname,p1.works_id works FROM zxadr,zxs_podr p1 
    WHERE v_pol+0>0 AND p1.cod=v_pol+0 AND zxadr.v_adr_name=@_orgkod AND p1.adr_name=@_orgkod GROUP BY v_pol;
    UPDATE tmp SET works=insert_works_name(worksname) WHERE works<=>NULL;
    
    UPDATE zxadr SET v_bol='NULL' WHERE v_adr_id=0 AND v_adr_name=@_orgkod;
    UPDATE zxadr,tmp,zxsadr a2 SET zxadr.v_bol=tmp.works 
    WHERE tmp.wor+0=zxadr.v_pol+0 AND zxadr.v_station=a2.v_station AND zxadr.v_id=a2.v_id AND zxadr.v_adr_name=@_orgkod AND tmp.works>0;
        INSERT IGNORE INTO xadrbook (adr_name,v_adr_id,v_station,v_id,v_bol,v_pol,v_dtpost,v_dtsn,v_prichsn,v_risk,v_GRUP_S,v_GRUP_H,v_rai,v_obs,v_ou,lpu)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
        SELECT @_orgkod,v_adr_id,v_station,v_id,v_bol,v_pol,v_dtpost,v_dtsn,v_prichsn,v_risk,v_GRUP_S,v_GRUP_H,v_rai,v_obs,0,0                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
        FROM zxadr WHERE v_adr_id>0 AND v_adr_name=@_orgkod;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
        TRUNCATE TABLE ztmpadr;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
        INSERT ignore INTO ztmpadr (adr_id,adr_name,fam,im,ot,sex,datebirth,adr_home,adr_flat,street,uch,lpu,orelnew,street_dop,works_dop,works)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
        SELECT NULL,@_orgkod,fam,im,ot,mw,datebirth,adr_home,adr_flat,street,uch,0,1,street,'',v_bol+0 FROM zxadr WHERE v_adr_id=0 AND v_adr_name=@_orgkod;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
        UPDATE ztmpadr SET adr_city = _main_city;     
        UPDATE ztmpadr SET works=NULL WHERE works=0;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
        
        INSERT IGNORE INTO adrbook SELECT *,NULL,1 FROM ztmpadr ;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    UPDATE adrbook a1,zxadr,tmp,zxsadr a2 SET a1.works=tmp.works 
    WHERE tmp.wor+0=zxadr.v_pol+0 AND zxadr.v_station=a2.v_station AND zxadr.v_id=a2.v_id AND zxadr.v_adr_name=@_orgkod AND tmp.works>0 
    and a1.adr_id=zxadr.v_adr_id and a1.adr_name=@_orgkod;
        TRUNCATE TABLE ztmpadr;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
        UPDATE zxadr za1,adrbook a1 SET za1.v_adr_id=a1.adr_id                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
        WHERE a1.datebirth=za1.datebirth AND a1.fam=za1.fam AND a1.im=za1.im AND a1.ot=za1.ot                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
        AND za1.v_adr_id=0 AND za1.v_adr_name=@_orgkod;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
        UPDATE zxadr za1,adrbook a1 SET za1.v_adr_id=a1.adr_id                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
        WHERE LEFT(a1.datebirth,4)=LEFT(za1.datebirth,4) AND a1.fam=za1.fam AND a1.im=za1.im AND a1.ot=za1.ot                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    AND za1.v_adr_id=0 AND za1.v_adr_name=@_orgkod;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
    UPDATE zxadr za1,adrbook a1 SET za1.v_adr_id=a1.adr_id                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
    WHERE a1.datebirth=za1.datebirth AND a1.fam=za1.fam AND a1.im=za1.im                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    AND za1.v_adr_id=0 AND za1.v_adr_name=@_orgkod;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
    UPDATE zxadr za1,adrbook a1 SET za1.v_adr_id=a1.adr_id                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
    WHERE LEFT(a1.datebirth,4)=LEFT(za1.datebirth,4) AND a1.fam=za1.fam AND a1.im=za1.im                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    AND za1.v_adr_id=0 AND za1.v_adr_name=@_orgkod;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
    INSERT IGNORE INTO xadrbook (adr_name,v_adr_id,v_station,v_id,v_bol,v_pol,v_dtpost,v_dtsn,v_prichsn,v_risk,v_GRUP_S,v_GRUP_H,v_rai,v_obs,v_ou,lpu)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
    SELECT @_orgkod,v_adr_id,v_station,v_id,v_bol,v_pol,v_dtpost,v_dtsn,v_prichsn,v_risk,v_GRUP_S,v_GRUP_H,v_rai,v_obs,0,0                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
    FROM zxadr WHERE v_adr_id>0 AND v_adr_name=@_orgkod;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
    UPDATE zxspri p1, xadrbook a1 SET p1.adr_id=a1.v_adr_id WHERE num=v_id AND a1.adr_name=@_orgkod AND p1.adr_name=@_orgkod AND v_station=station;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
    UPDATE zxspri SET pri_id=NULL WHERE adr_id>0 AND adr_name=@_orgkod;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
    INSERT IGNORE INTO xpri                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
    SELECT *,NULL,NULL,"0000-00-00 00:00:00",
"0000-00-00 00:00:00" FROM zxspri WHERE adr_id>0 AND adr_name=@_orgkod;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
    DROP TABLE IF EXISTS tmp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
    CREATE TEMPORARY TABLE tmp                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
    SELECT DISTINCT 0 id,street FROM zxadr z1 WHERE z1.v_adr_name=@_orgkod ORDER BY street;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
    UPDATE tmp t1, xstreet x1 SET t1.id=x1.id WHERE UPPER(t1.street)=UPPER(x1.name) AND x1.adr_name=@_orgkod;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
    INSERT INTO xstreet (id,NAME,adr_name) SELECT NULL,street,@_orgkod FROM tmp WHERE tmp.id=0;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
    END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_dpr_nepriv` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_dpr_nepriv` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_dpr_nepriv`(
    IN _pers INT,
    IN _inf SMALLINT,
    in _kod_vpr SMALLINT)
BEGIN
    declare _dpl date default null;
    IF EXISTS(SELECT datk FROM xnepriv x1 WHERE adr_id=_pers AND (cod_inf=_inf OR cod_inf=99) AND datn<=@_maxtmp1 AND datk='0000-00-00' LIMIT 1) THEN 
	BEGIN
	    SET @_maxtmp1:='0000-00-00';
	    SET @_lastpr:='0000-00-00';
	END;
    ELSE
	BEGIN
	    set _dpl=DATE_ADD((SELECT datk FROM xnepriv x1 WHERE adr_id=_pers AND (cod_inf=_inf or cod_inf=99) AND datn<=@_maxtmp1 AND datk>=@_maxtmp1 ORDER BY datk DESC LIMIT 1),INTERVAL 1 DAY);
	    IF _dpl<=>null THEN 
		    BEGIN
			SET _dpl=DATE_ADD((SELECT datk FROM xnepriv x1 left join xsinf i1  on x1.cod_inf=i1.cod WHERE adr_id=_pers AND pcod<=>null and 
			concat(',',d_cod,',') like CONCAT('%,',_inf,',%') AND datn<=@_maxtmp1 AND datk>=@_maxtmp1 ORDER BY datk DESC LIMIT 1),INTERVAL 1 DAY);
			
			IF _dpl<=>NULL THEN 
				begin
					SET _dpl=DATE_ADD((SELECT datk FROM xnepriv x1,xsinf i1 WHERE FIND_IN_SET((
					SELECT cod_inf FROM xnepriv x1 LEFT JOIN xsinf i1  ON x1.cod_inf=i1.cod 
					WHERE adr_id=_pers AND pcod<=>NULL AND datn<=@_maxtmp1 AND datk>=@_maxtmp1 ORDER BY datk DESC LIMIT 1),
					CONCAT(d_cod,','))>0 AND adr_id=_pers AND pcod<=>NULL AND datn<=@_maxtmp1 AND datk>=@_maxtmp1 AND i1.cod=_inf ORDER BY datk DESC LIMIT 1)
					,INTERVAL 1 DAY);
					IF _dpl<=>NULL THEN 
						BEGIN
						end;
					ELSE 
						BEGIN
							SET @_maxtmp1=_dpl;
							SET @_lastpr:=@_maxtmp1;
						END;
					END if;
				end;
			else 
				begin
					SET @_maxtmp1=_dpl;
					SET @_lastpr:=@_maxtmp1;
				end;
			end if;
		    END;
	    ELSE 
		    begin
			SET @_maxtmp1=_dpl;
			SET @_lastpr:=@_maxtmp1;
		    end;
	    END IF ;
	end;
    end if;
END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_f5` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_f5` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_f5`(IN _st DATE,IN _en DATE,IN _tek DATE,IN _u TINYINT,IN _inext TINYINT,IN _epid TINYINT,IN _wo INT,IN _wogr TINYINT)
BEGIN
	TRUNCATE TABLE zzf5;
	UPDATE xf5 SET kol=0;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,1 FROM xpri x1,adrbook a1  LEFT JOIN works w1 ON works_id=works
	WHERE x1.adr_id=a1.adr_id AND DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=2 AND kod_vpr=130
	AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	and (_wogr=0 or (_wogr>0 and w1.uch=_wogr)) and (_wo=0 or (_wo>0 and w1.works_id=_wo))
	and (_epid<2 or (_epid=2 and pl<2) or (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=1) WHERE xf5=1;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,2 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works
	WHERE x1.adr_id=a1.adr_id AND DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=2 AND kod_vpr=210
	AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=2) WHERE xf5=2;
 	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,3 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=2 AND kod_vpr=130) OR 
	(dpr BETWEEN _st AND _en AND cod_inf=3 AND kod_vpr=120)
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=3) WHERE xf5=3;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,4 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=2 AND kod_vpr=130) OR 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=3 AND kod_vpr=120)
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=4) WHERE xf5=4;
 
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,5 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=2 AND kod_vpr>130) OR 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=3 AND kod_vpr>130) OR 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)<=dpr AND dpr BETWEEN _st AND _en AND cod_inf=3 AND kod_vpr>130)
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY a1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=5) WHERE xf5=5;
 
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,6 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=2 AND kod_vpr>130) OR 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=3 AND kod_vpr>130)  
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY a1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=6) WHERE xf5=6;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,7 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=2 AND kod_vpr=130) OR 
	(dpr BETWEEN _st AND _en AND cod_inf=12 AND kod_vpr<=130) OR 
	(dpr BETWEEN _st AND _en AND cod_inf=3 AND kod_vpr=120)
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=7) WHERE xf5=7;
 
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,8 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=2 AND kod_vpr=130) OR 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=12 AND kod_vpr<=130) OR 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=3 AND kod_vpr=120)
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=8) WHERE xf5=8;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,9 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=2 AND kod_vpr>130) OR 
	(dpr BETWEEN _st AND _en AND cod_inf=12 AND kod_vpr>130) OR 
	(dpr BETWEEN _st AND _en AND cod_inf=3 AND kod_vpr>130)
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=9) WHERE xf5=9;
 
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,10 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=2 AND kod_vpr>130) OR 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=12 AND kod_vpr>130) OR 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=3 AND kod_vpr>130)
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=10) WHERE xf5=10;
 
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,11 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=4 AND kod_vpr=130)
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=11) WHERE xf5=11;
 
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,12 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=4 AND kod_vpr BETWEEN 210 AND 230)
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=12) WHERE xf5=12;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,13 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=5 AND kod_vpr=100) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=13) WHERE xf5=13;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,14 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=5 AND kod_vpr=100) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=14) WHERE xf5=14;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,15 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=5 AND kod_vpr BETWEEN 200 AND 201) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=15) WHERE xf5=15;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,16 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=5 AND kod_vpr BETWEEN 200 AND 201) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=16) WHERE xf5=16;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,17 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=6 AND kod_vpr=100) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=17) WHERE xf5=17;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,18 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=6 AND kod_vpr=200) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=18) WHERE xf5=18;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,19 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=7 AND (kod_vpr=100 or kod_vpr=210)) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=19) WHERE xf5=19;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,55 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=7 AND (kod_vpr=100 OR kod_vpr=210)) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=55) WHERE xf5=55;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,20 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=7 AND kod_vpr=200) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=20) WHERE xf5=20;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,56 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=7 AND kod_vpr=200) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=56) WHERE xf5=56;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,21 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=15) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=21) WHERE xf5=21;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,22 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=1) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=22) WHERE xf5=22;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,23 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 1 MONTH)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=1 AND kod_vpr=100) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=23) WHERE xf5=23;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,24 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=18 AND kod_vpr=130) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=24) WHERE xf5=24;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,25 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=18 AND kod_vpr=130) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=25) WHERE xf5=25;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,26 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=17 AND kod_vpr=120) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=26) WHERE xf5=26;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,27 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=17 AND kod_vpr=120) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=27) WHERE xf5=27;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,28 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=26 AND kod_vpr=100) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=28) WHERE xf5=28;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,60 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=26 AND kod_vpr=100) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=60) WHERE xf5=60;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,29 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=26 AND kod_vpr=200) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=29) WHERE xf5=29;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,61 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=26 AND kod_vpr=200) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=61) WHERE xf5=61;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,30 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=8 AND kod_vpr=100) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=30) WHERE xf5=30;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,31 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=8 AND kod_vpr=200) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=31) WHERE xf5=31;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,32 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=32 AND kod_vpr=100) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=32) WHERE xf5=32;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,33 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=32 AND kod_vpr=200) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=33) WHERE xf5=33;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,34 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=35) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=34) WHERE xf5=34;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,35 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=33) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=35) WHERE xf5=35;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,36 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=14) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=36) WHERE xf5=36;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,37 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=14) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=37) WHERE xf5=37;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,38 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=13 AND kod_vpr<=130) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=38) WHERE xf5=38;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,45 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=13 AND kod_vpr<=130) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=45) WHERE xf5=45;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,39 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=13 AND kod_vpr BETWEEN 210 AND 290) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=39) WHERE xf5=39;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,46 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=13 AND kod_vpr BETWEEN 210 AND 290) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=46) WHERE xf5=46;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,40 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=34) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=40) WHERE xf5=40;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,41 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=9) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=41) WHERE xf5=41;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,57 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=9) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=57) WHERE xf5=57;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,47 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=36 AND kod_vpr<140) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=47) WHERE xf5=47;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,58 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=36 AND kod_vpr>=210) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=58) WHERE xf5=58;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,48 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=23) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=48) WHERE xf5=48;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,62 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr and dpr BETWEEN _st AND _en AND cod_inf=23) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=62) WHERE xf5=62;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,49 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=37 AND kod_vpr=100) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=49) WHERE xf5=49;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,50 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND  
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND (dpr BETWEEN _st AND _en AND cod_inf=37 AND kod_vpr=100) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=50) WHERE xf5=50;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,51 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=37 AND kod_vpr>100) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=51) WHERE xf5=51;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,52 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND  
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND (dpr BETWEEN _st AND _en AND cod_inf=37 AND kod_vpr>100) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=52) WHERE xf5=52;
	
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,53 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works , xsinf i1 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=i1.cod AND UPPER(i1.name)='ВИРУС ПАПИЛОММЫ ЧЕЛОВЕКА') 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=53) WHERE xf5=53;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,42 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=28 AND kod_vpr=130) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=42) WHERE xf5=42;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,43 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=28 AND kod_vpr>130) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=43) WHERE xf5=43;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,44 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=38) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=44) WHERE xf5=44;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,54 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works , xsinf i1 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=i1.cod AND UPPER(i1.name)='ДИЗЕНТЕРИЯ ЗОННЕ') 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=54) WHERE xf5=54;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,59 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works , xsinf i1 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=i1.cod AND UPPER(i1.name)='РОТАВИРУСНАЯ ИНФЕКЦИЯ') 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=59) WHERE xf5=59;
 	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,63 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works , xsinf i1 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=i1.cod AND UPPER(i1.n_socr)='COVID-19') 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=63) WHERE xf5=63;
 END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_imp_xalgpl` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_imp_xalgpl` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_imp_xalgpl`()
BEGIN
    TRUNCATE TABLE xalgpl;
    INSERT IGNORE INTO xalgpl SELECT * FROM tmp ;
END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_imp_xcoder` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_imp_xcoder` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_imp_xcoder`()
BEGIN
    update tmp t1, xcoder x1 set t1.xcoder_id=x1.xcoder_id
    WHERE x1.scod_cod=t1.scod_cod and x1.cod_cod=t1.cod_cod and x1.adr_name=t1.adr_name;
    insert into xcoder (scod_cod,cod_cod,name,ct_cod,level,adr_name,lpu) 
    select scod_cod,cod_cod,NAME,ct_cod,LEVEL,adr_name,lpu from tmp t1 where t1.xcoder_id=0;
END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_imp_xcoef` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_imp_xcoef` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_imp_xcoef`()
BEGIN
    TRUNCATE TABLE xcoef;
    INSERT IGNORE INTO xcoef SELECT * FROM tmp ;
END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_imp_xf5` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_imp_xf5` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_imp_xf5`()
BEGIN
    TRUNCATE TABLE xf5;
    INSERT IGNORE INTO xf5 SELECT * FROM tmp ;
END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_imp_xf6` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_imp_xf6` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_imp_xf6`()
BEGIN
    TRUNCATE TABLE xf6;
    INSERT IGNORE INTO xf6 SELECT * FROM tmp ;
END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_imp_xintpri` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_imp_xintpri` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_imp_xintpri`()
BEGIN
    TRUNCATE TABLE xintpri;
    INSERT IGNORE INTO xintpri SELECT * FROM tmp ;
END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_imp_xrbac` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_imp_xrbac` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_imp_xrbac`()
BEGIN
    UPDATE tmp t1, xrbac x1 SET t1.xrbac_id=x1.xrbac_id
    WHERE x1.cod_xsinf=t1.cod_xsinf AND x1.cod_pr=t1.cod_pr AND x1.adr_name=t1.adr_name;
    INSERT INTO xrbac (cod_xsinf,name_inf,cod_pr,name_pr,ed_izm,doza,spirt,spic,rozliv,pcent,adr_name,lpu) 
    SELECT cod_xsinf,name_inf,cod_pr,name_pr,ed_izm,doza,spirt,spic,rozliv,pcent,adr_name,lpu FROM tmp t1 WHERE t1.xrbac_id=0;
    
    update xrbac r1, xsinf s1 set name_inf=trim(name) where r1.cod_xsinf=s1.cod and r1.adr_name=s1.adr_name;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_imp_xsinf` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_imp_xsinf` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_imp_xsinf`()
BEGIN
    SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS;
    SET FOREIGN_KEY_CHECKS = 0;
    UPDATE tmp t1, xsinf x1 SET t1.xsinf_id=x1.xsinf_id
    WHERE x1.cod=t1.cod AND x1.pcod=t1.pcod AND x1.adr_name=t1.adr_name;
    INSERT INTO xsinf (cod,name,pcod,n_socr,d_cod,m_1,m_2,y_1,y_2,d_1,d_2,sos_in,adr_name,lpu) 
    SELECT cod,NAME,pcod,n_socr,d_cod,m_1,m_2,y_1,y_2,d_1,d_2,sos_in,adr_name,lpu FROM tmp t1 WHERE t1.xsinf_id=0;
    
    SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_imp_xsotv` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_imp_xsotv` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_imp_xsotv`()
BEGIN
    TRUNCATE TABLE xsotv;
    INSERT IGNORE INTO xsotv SELECT * FROM tmp ;
END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_imp_xsser` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_imp_xsser` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_imp_xsser`()
BEGIN
    TRUNCATE TABLE xsser;
    INSERT IGNORE INTO xsser SELECT * FROM tmp ;
END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_imp_zladr` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_imp_zladr` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_imp_zladr`()
BEGIN
    delete from zladr where adr_name=@_orgkod; 
    insert into zladr 
    SELECT * from tmp;
END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_imp_zlbol` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_imp_zlbol` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_imp_zlbol`()
BEGIN
    truncate table zlbol; 
    insert into zlbol 
    SELECT * from tmp;
END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_imp_zlnepriv` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_imp_zlnepriv` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_imp_zlnepriv`()
BEGIN
    delete from zlnepriv where adr_name=@_orgkod; 
    insert into zlnepriv 
    SELECT * from tmp;
END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_imp_zlpri` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_imp_zlpri` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_imp_zlpri`()
BEGIN
    delete from zlpri where adr_name=@_orgkod; 
    insert into zlpri 
    SELECT * from tmp;
END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_imp_zxsadr` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_imp_zxsadr` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_imp_zxsadr`()
BEGIN
    delete from zxsadr where 1; 
    insert ignore into zxsadr 
    SELECT * from tmp;
END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_imp_zxsnepriv` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_imp_zxsnepriv` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_imp_zxsnepriv`()
BEGIN
    TRUNCATE TABLE zxsnepriv;
    INSERT IGNORE INTO zxsnepriv SELECT * FROM tmp ;
    UPDATE xadrbook a1,zxsnepriv p1 SET p1.adr_id=a1.v_adr_id WHERE v_id=num AND  a1.adr_name=@_orgkod AND p1.adr_name=@_orgkod;
    INSERT IGNORE INTO xnepriv SELECT * FROM zxsnepriv WHERE zxsnepriv.adr_id>0;
END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_imp_zxspri` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_imp_zxspri` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_imp_zxspri`()
BEGIN
    TRUNCATE table zxspri;
    UPDATE tmp t1, zxspri x1 SET t1.pri_id=1
    WHERE x1.cod_inf=t1.cod_inf AND x1.kod_vpr=t1.kod_vpr AND x1.cod_pr=t1.cod_pr AND x1.dpr=t1.dpr AND x1.num=t1.num AND x1.adr_name=t1.adr_name;
    INSERT IGNORE INTO zxspri 
    SELECT * FROM tmp t1 WHERE t1.pri_id<=>NULL;
    UPDATE zxsadr SET v_ou=0 WHERE adr_name=@_orgkod;
    UPDATE zxsadr a1,zxspri p1 SET v_ou=1 WHERE v_id=num AND  a1.adr_name=@_orgkod AND  p1.adr_name=@_orgkod;
    DROP TABLE IF EXISTS ta1;
    CREATE TEMPORARY TABLE ta1
    SELECT a1.* FROM zxsadr a1 WHERE v_ou=1 AND a1.adr_name=@_orgkod GROUP BY a1.dr,a1.fam,a1.im,a1.ot,adr_name;
    UPDATE zxspri p1, ta1 SET pri_id=1 WHERE num=v_id AND  p1.adr_name=@_orgkod ;
    DROP TABLE IF EXISTS tp2;
    CREATE TEMPORARY TABLE tp2
    SELECT * FROM zxspri WHERE pri_id<=>NULL;
    DELETE FROM zxspri WHERE pri_id<=>NULL;
    UPDATE tp2, ta1, zxsadr a2 SET tp2.num=ta1.v_id,tp2.pri_id=1 WHERE ta1.dr=a2.dr AND ta1.fam= a2.fam AND ta1.im=a2.im AND ta1.ot=a2.ot  AND a2.adr_name=@_orgkod AND tp2.num=a2.v_id ;
    INSERT IGNORE INTO zxspri SELECT * FROM tp2 WHERE tp2.pri_id>0;
    
    INSERT IGNORE INTO zxadr (fam,im,ot ,datebirth,uch,street,adr_home,adr_korp,adr_flat,v_adr_id,v_station,v_id,v_bol,v_pol,v_dtpost,v_dtsn,
    v_prichsn,v_risk,v_GRUP_S,v_GRUP_H,v_rai,v_obs,v_ou,v_adr_name,mw)
    SELECT UPPER(fam),UPPER(im),UPPER(ot) ,dr,uch,street,adr_home,adr_korp,adr_flat,v_adr_id,v_station,v_id,v_bol,v_pol,v_dtpost,v_dtsn,
    v_prichsn,v_risk,v_GRUP_S,v_GRUP_H,v_rai,v_obs,v_ou,a1.adr_name,mw 
    FROM ta1 a1,zxspri p1 WHERE a1.v_id=p1.num AND a1.adr_name=p1.adr_name AND a1.adr_name=@_orgkod GROUP BY fam,im,ot,dr,adr_name ORDER BY v_id;
    
    DROP TABLE IF EXISTS ta1;
    DROP TABLE IF EXISTS tp2;
    
    UPDATE zxsadr a2,zxadr a1 SET a2.v_ou=1
    WHERE a1.datebirth=a2.dr AND a1.fam= a2.fam AND a1.im=a2.im AND a1.ot=a2.ot AND a2.adr_name=@_orgkod AND a1.v_adr_name=@_orgkod AND a2.v_ou=0;
    INSERT IGNORE INTO zxadr (fam,im,ot ,datebirth,uch,street,adr_home,adr_korp,adr_flat,v_adr_id,v_station,v_id,v_bol,v_pol,v_dtpost,v_dtsn,
    v_prichsn,v_risk,v_GRUP_S,v_GRUP_H,v_rai,v_obs,v_ou,v_adr_name,mw)
    SELECT UPPER(fam),UPPER(im),UPPER(ot) ,dr,uch,street,adr_home,adr_korp,adr_flat,v_adr_id,v_station,v_id,v_bol,cod_ucr,v_dtpost,v_dtsn,
    v_prichsn,v_risk,v_GRUP_S,v_GRUP_H,v_rai,v_obs,v_ou,a1.adr_name,mw 
    FROM zxsadr a1 WHERE a1.v_ou=0 ;
    
END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_imp_zxsser` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_imp_zxsser` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_imp_zxsser`()
BEGIN
    TRUNCATE TABLE zxsser;
    INSERT IGNORE INTO zxsser SELECT * FROM tmp ;
    UPDATE xadrbook a1,zxsser p1 SET p1.adr_id=a1.v_adr_id WHERE v_id=num AND  a1.adr_name=@_orgkod AND p1.adr_name=@_orgkod;
    INSERT IGNORE INTO xser SELECT * FROM zxsser WHERE zxsser.adr_id>0;
END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_imp_zxs_podr` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_imp_zxs_podr` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_imp_zxs_podr`()
BEGIN
    TRUNCATE TABLE zxs_podr;    
    update tmp set name=replace(name,char(13),'');                                                                                       
    INSERT IGNORE INTO zxs_podr SELECT tmp.cod,tmp.name,@_orgkod,NULL FROM tmp ;    
END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_lpu_import` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_lpu_import` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_lpu_import`()
BEGIN
	
	UPDATE zladr SET ou_id=adr_id,adr_name=@_orgkod;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
	UPDATE zlpri SET pri_id=adr_id,adr_name=@_orgkod;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
	UPDATE zlnepriv SET xnepriv_id=adr_id,adr_name=@_orgkod;   
	UPDATE zlbol SET xbol_id=adr_id;   
	                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
	UPDATE zladr SET adr_id=null;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
	UPDATE zlpri SET adr_id=null;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
	UPDATE zlnepriv SET adr_id=null;
	UPDATE zlbol SET adr_id=NULL;
	UPDATE zladr SET adr_street=NULL WHERE adr_street=0;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
	                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
	UPDATE zladr za1,adrbook a1 SET za1.adr_id=a1.adr_id                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
	WHERE a1.datebirth=za1.datebirth AND a1.fam=za1.fam AND a1.im=za1.im AND a1.ot=za1.ot                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
	AND za1.adr_id<=>NULL AND za1.adr_name=@_orgkod; 
	
	update zladr a1,zlpri p1 set p1.adr_id=a1.adr_id where ou_id=pri_id and a1.adr_id>0;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
	UPDATE zladr a1,zlnepriv p1 SET p1.adr_id=a1.adr_id WHERE ou_id=xnepriv_id AND a1.adr_id>0; 
	UPDATE zladr a1,zlbol p1 SET p1.adr_id=a1.adr_id WHERE ou_id=xbol_id AND a1.adr_id>0; 
	
	insert ignore into adrbook select  * from zladr where adr_id<=>NULL;
	UPDATE zladr za1,adrbook a1 SET za1.adr_id=a1.adr_id                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
	WHERE a1.datebirth=za1.datebirth AND a1.fam=za1.fam AND a1.im=za1.im AND a1.ot=za1.ot                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
	AND za1.adr_id<=>NULL AND za1.adr_name=@_orgkod; 
	UPDATE zladr a1,zlpri p1 SET p1.adr_id=a1.adr_id WHERE ou_id=pri_id AND a1.adr_id>0 and p1.adr_id<=>NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
	UPDATE zladr a1,zlnepriv p1 SET p1.adr_id=a1.adr_id WHERE ou_id=xnepriv_id AND a1.adr_id>0 AND p1.adr_id<=>NULL; 
	UPDATE zladr a1,zlbol p1 SET p1.adr_id=a1.adr_id WHERE ou_id=xbol_id AND a1.adr_id>0 AND p1.adr_id<=>NULL; 
	
	UPDATE zlpri SET pri_id=null WHERE adr_id>0;
	UPDATE zlnepriv SET xnepriv_id=NULL WHERE adr_id>0;
	UPDATE zlbol SET xbol_id=NULL WHERE adr_id>0;
	
	INSERT IGNORE INTO xpri SELECT  * FROM zlpri WHERE adr_id>0;
	INSERT IGNORE INTO xnepriv SELECT  * FROM zlnepriv WHERE adr_id>0;
	INSERT IGNORE INTO xbol SELECT  * FROM zlbol WHERE adr_id>0;
	                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_plan` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_plan` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_plan`(in _inf SMALLINT,in _st date,IN _en DATE)
BEGIN
	  declare done,done1 integer default 0;
	  declare _ad int;
	  DECLARE _dd date;
	  DECLARE _se VARCHAR(1);
	  DECLARE _ii smallint;
	  declare c cursor for SELECT adr_id,datebirth,sex from zztadr WHERE datebirth>'0000-00-00';
	  declare continue handler for not found begin set done=1; end;
	  update zztadr set ou=0;
	  
	   OPEN c;
	   WHILE NOT done DO FETCH c INTO _ad,_dd,_se;
		CALL pri_vak_plan_one(_ad,_dd,_inf,_st,_en,_se);
	   END WHILE;
	   update zzt2,sms set zzt2.sms_id=sms.`sms_id` where zzt2.cod=sms.`inf` and zzt2.`kod_vpr`=sms.`kod_vpr` and zzt2.`adr_id`=sms.`adr_id` and otpr>0;
	   UPDATE zzt2 set `out`=0 where sms_id>0;
	   DELETE zzt2 FROM zzt2,xpri WHERE xpri.adr_id=zzt2.adr_id AND zzt2.cod=xpri.`cod_inf` AND wkom=1;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_plan14` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_plan14` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_plan14`(IN _pers INT,IN _dr DATE,IN _sex VARCHAR(1),IN _st DATE,IN _en DATE,IN _inf SMALLINT)
BEGIN
	   declare done integer default 0;
	   DECLARE _ii SMALLINT;
	   declare cc cursor for SELECT cod FROM xsinf WHERE pcod<=>NULL AND ob=1 AND cod<>_inf AND cod<>99 ORDER BY cod;
	   declare continue handler for not found begin set done=1; end;
	  
	   truncate zzzt2;
	   OPEN cc;
	   WHILE NOT done DO FETCH cc INTO _ii;
		CALL pri_vak_last_14(_pers,_dr,_ii,_sex,_st,_en);
	   END WHILE;
	   
    END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_plan42` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_plan42` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_plan42`(IN _pers INT,IN _dr DATE,IN _sex VARCHAR(1),IN _st DATE,IN _en DATE,IN _inf SMALLINT)
BEGIN
	   declare done integer default 0;
	   DECLARE _ii SMALLINT;
	   declare cc cursor for SELECT cod FROM xsinf WHERE pcod<=>NULL AND ob=1 AND n_socr<>'COVID-19' AND cod<>99 ORDER BY cod;
	   declare continue handler for not found begin set done=1; end;
	  
	   truncate zzzt2;
	   OPEN cc;
	   WHILE NOT done DO FETCH cc INTO _ii;
		CALL pri_vak_last_14(_pers,_dr,_ii,_sex,_st,_en);
	   END WHILE;
	   
    END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_plan_1` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_plan_1` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_plan_1`(IN _pers INT,IN _dr DATE,IN _st DATE,IN _en DATE,IN _sex VARCHAR(1))
BEGIN
	   DECLARE done INTEGER DEFAULT 0;
	   DECLARE _ii SMALLINT;
	   DECLARE c1 CURSOR FOR SELECT cod FROM xsinf WHERE pcod<=>NULL AND ob=1 ORDER BY cod;
	   DECLARE CONTINUE HANDLER FOR NOT FOUND BEGIN SET done=1; END;
	   OPEN c1;
	   WHILE NOT done DO FETCH c1 INTO _ii;
		CALL pri_vak_plan_one(_pers,_dr,_ii,_st,_en,_sex);
	   END WHILE;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_plan_interval` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_plan_interval` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_plan_interval`(IN dt_interval int,IN _en DATE)
BEGIN
	  DECLARE done,done1 INTEGER DEFAULT 0;
	  DECLARE _ad INT;
	  DECLARE c CURSOR FOR SELECT adr_id FROM zzt2;
	  DECLARE CONTINUE HANDLER FOR NOT FOUND BEGIN SET done=1; END;
	  SELECT akt INTO @_akt FROM xcoef WHERE xcoef_id=0 LIMIT 1;
	  
	   OPEN c;
	   WHILE NOT done DO FETCH c INTO _ad;
		SELECT dpr INTO @ddpst FROM zzt2 WHERE adr_id=_ad ORDER BY dpr LIMIT 1;
		SET @ddpend=DATE_ADD(@ddpst,INTERVAL dt_interval DAY);
		if @_akt=1 then
			DELETE FROM zzt2 WHERE (dpr > @ddpend or dpr > _en) AND adr_id=_ad and cod<>14 and inf<>'COVID-19';
		else 
			DELETE FROM zzt2 WHERE (dpr > @ddpend OR dpr > _en) AND adr_id=_ad AND inf<>'COVID-19';
		end if;
	   END WHILE;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_sms_one` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_sms_one` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_sms_one`(_pers int, _inf SMALLINT, _kod_vpr SMALLINT, _txt varchar(50))
BEGIN
	declare _type tinyint default 1;
	DECLARE _id int DEFAULT 0;
	DECLARE _tel varchar(10) DEFAULT '';
	
	select tel into _tel from adrbook where adr_id=_pers;
	
	if exists(select * from sms where adr_id=_pers and inf=_inf and kod_vpr=_kod_vpr and otpr=1) then
		SET _type:= 2;
	end if;
	insert ignore into sms (adr_id,dt,type,inf,kod_vpr,txt,otpr,tel) values (_pers, NOW(),_type,_inf,_kod_vpr,_txt,0,_tel);
	update zzt2 set sms_id=LAST_INSERT_ID() where adr_id=_pers AND cod=_inf AND kod_vpr=_kod_vpr and `out`=1;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_use_oo_ser` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_use_oo_ser` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_use_oo_ser`()
BEGIN
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp 
    SELECT cod_inf,cod_iss,NAME,titr,cod,0 AS usl FROM xsser;
    UPDATE tmp SET usl=1 WHERE LEFT(NAME,3)='СЕР';
    UPDATE tmp SET usl=2 WHERE LEFT(NAME,3)='НИЗ';
    UPDATE tmp SET usl=3 WHERE LEFT(NAME,3)='СРЕ';
    UPDATE tmp SET usl=4 WHERE LEFT(NAME,3)='ВЫС';
    SELECT * FROM tmp;    
END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_vak_last` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_vak_last` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_vak_last`(IN _pers INT,IN _dr DATE,IN _inf SMALLINT)
BEGIN
    DECLARE _sex CHAR(1) DEFAULT '';
    SELECT sex INTO _sex FROM adrbook WHERE adr_id=_pers;
    TRUNCATE TABLE zzt;
    INSERT INTO zzt 
    SELECT dpr,x1.n_socr inf,x2.n_socr pr,xpri.kod_vpr, 1 ou ,xpri.pri_id,xpri.cod_inf,sxema
    FROM xpri,xsinf x1,xsinf x2 
    WHERE xpri.adr_id=_pers AND ((CONCAT(',',x1.d_cod,',') LIKE CONCAT('%,',_inf,',%')) OR x1.cod=_inf)
    AND cod_inf=x1.cod AND kod_vpr=x2.cod AND x2.pcod=x1.cod ORDER BY kod_vpr;
    
    SELECT MAX(kod_vpr) INTO @_maxvpr FROM zzt;
    SET @_maxvpr:=IFNULL(@_maxvpr,0) ;
    SELECT sxema INTO @_sxema FROM zzt ORDER BY dpr DESC LIMIT 1;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    SET @_sxema:=IF(@_sxema <=>NULL OR @_sxema=0,1,@_sxema) ;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
    TRUNCATE TABLE zzt1;
    INSERT INTO zzt1    
    SELECT DISTINCT CAST('0000-00-00' AS DATE) dpr,x1.n_socr inf,x2.n_socr pr,x2.cod kod_vpr, 0 ou,0 pri_id,x1.cod,al.sxema
    FROM xsinf x1,xsinf x2,xalgpl al
    WHERE  x2.ob=0 AND x1.cod=_inf AND x2.pcod=x1.cod AND al.kod_vpr=x2.cod AND al.sxema=@_sxema  AND al.sxema>0  AND al.cod_inf=_inf AND x2.cod>@_maxvpr 
    AND ((al.sex=_sex AND al.sex>' ') OR al.sex=' ') 
    AND ((x2.d_1=0 AND x2.d_2=0) OR (CURDATE()-INTERVAL (x2.d_1*12+x2.d_2) MONTH)<=_dr) 
    ORDER BY x1.cod,x2.cod;
    SELECT MAX(dpr) INTO @_lastpr1 FROM zzt;
    SET @_lastpr1:=IFNULL(@_lastpr1,_dr) ;
    SET @_maxtmp1:=@_lastpr;
    SET @_lastpr:=@_lastpr1;
    UPDATE zzt1 SET dpr=pri_dpr_next(_inf,zzt1.kod_vpr,_dr,@_lastpr,_pers);
END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_vak_last_1` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_vak_last_1` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_vak_last_1`(IN _pers INT,IN _dr DATE,IN _inf SMALLINT,IN _sex VARCHAR(1),IN _st DATE,IN _en DATE)
BEGIN
   DECLARE _namepri VARCHAR(20) DEFAULT '';
   SELECT n_socr INTO _namepri FROM xsinf WHERE ISNULL(pcod) AND cod=_inf;
   SELECT akt INTO @_akt FROM xcoef WHERE xcoef_id=0 LIMIT 1;
   TRUNCATE TABLE zzt1;
    IF not (_inf=14 and @_akt=1) THEN
    BEGIN
	IF NOT TRIM(_namepri)='COVID-19' THEN
		BEGIN
		    SET @_maxvpr = IFNULL((SELECT xpri.kod_vpr
		    FROM xpri,xsinf x1,xsinf x2 
		    WHERE xpri.adr_id=_pers AND ((CONCAT(',',x1.d_cod,',') LIKE CONCAT('%,',_inf,',%')) OR x1.cod=_inf)
		    AND cod_inf=x1.cod AND kod_vpr=x2.cod AND x2.pcod=x1.cod ORDER BY kod_vpr DESC LIMIT 1),0),
		    @_sxema=(SELECT xpri.sxema
		    FROM xpri,xsinf x1,xsinf x2 
		    WHERE xpri.adr_id=_pers AND ((CONCAT(',',x1.d_cod,',') LIKE CONCAT('%,',_inf,',%')) OR x1.cod=_inf)
		    AND cod_inf=x1.cod AND kod_vpr=x2.cod AND x2.pcod=x1.cod ORDER BY kod_vpr DESC LIMIT 1),
		    @_lastpr1 = IFNULL((SELECT xpri.dpr
		    FROM xpri,xsinf x1,xsinf x2 
		    WHERE xpri.adr_id=_pers AND ((CONCAT(',',x1.d_cod,',') LIKE CONCAT('%,',_inf,',%')) OR x1.cod=_inf)
		    AND cod_inf=x1.cod AND kod_vpr=x2.cod AND x2.pcod=x1.cod ORDER BY kod_vpr DESC LIMIT 1),_dr);
		    
		    SET @_sxema:=IF(@_sxema <=>NULL OR @_sxema=0,1,@_sxema) ;  
		    
		                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
		    -- INSERT INTO zzt1    
		    -- SELECT DISTINCT CAST('0000-00-00' AS DATE) dpr,x1.n_socr inf,x2.n_socr pr,x2.cod kod_vpr, 0 ou,0 pri_id,x1.cod,al.sxema
		    -- FROM xsinf x1,xsinf x2,xalgpl al
		    -- WHERE  x2.ob=0 AND x1.cod=_inf AND x2.pcod=x1.cod AND al.kod_vpr=x2.cod AND al.sxema=@_sxema  AND al.sxema>0  AND al.cod_inf=_inf AND x2.cod>@_maxvpr 
		    -- AND ((al.sex=_sex AND al.sex>' ') OR al.sex=' ') 
		    -- AND ((x2.d_1=0 AND x2.d_2=0) OR (CURDATE()-INTERVAL (x2.d_1*12+x2.d_2) MONTH)<=_dr) 
		    -- ORDER BY x1.cod,x2.cod;
		    
		    SET @_cicly:=0 ;
			
			SELECT kod_vpr INTO @_cicly FROM xalgpl WHERE sxema=@_sxema AND cod_inf=_inf AND cod_h=1 ORDER BY kod_vpr LIMIT 1;
			SET @_cicly:=IFNULL(@_cicly,0) ;
		 
			IF @_cicly=0 THEN
				INSERT INTO zzt1    
				SELECT DISTINCT CAST('0000-00-00' AS DATE) dpr,x1.n_socr inf,x2.n_socr pr,x2.cod kod_vpr, 0 ou,0 pri_id,x1.cod,al.sxema
				FROM xsinf x1,xsinf x2,xalgpl al
				WHERE  x2.ob=0 AND x1.cod=_inf AND x2.pcod=x1.cod AND al.kod_vpr=x2.cod AND al.sxema=@_sxema  AND al.sxema>0  AND al.cod_inf=_inf AND x2.cod>@_maxvpr 
				AND ((al.sex=_sex AND al.sex>' ') OR al.sex=' ') 
				AND ((x2.d_1=0 AND x2.d_2=0) OR (CURDATE()-INTERVAL (x2.d_1*12+x2.d_2) MONTH)<=_dr)
				ORDER BY x1.cod,x2.cod ;
			ELSE
				BEGIN
					INSERT INTO zzt1    
					SELECT DISTINCT CAST('0000-00-00' AS DATE) dpr,x1.n_socr inf,x2.n_socr pr,x2.cod kod_vpr, 0 ou,0 pri_id,x1.cod,al.sxema
					FROM xsinf x1,xsinf x2,xalgpl al
					WHERE  x2.ob=0 AND x1.cod=_inf AND x2.pcod=x1.cod AND al.kod_vpr=x2.cod AND al.sxema=@_sxema  AND al.sxema>0  AND al.cod_inf=_inf AND x2.cod>@_maxvpr 
					AND ((al.sex=_sex AND al.sex>' ') OR al.sex=' ') 
					AND ((x2.d_1=0 AND x2.d_2=0) OR (CURDATE()-INTERVAL (x2.d_1*12+x2.d_2) MONTH)<=_dr) AND al.kod_vpr<@_cicly
					ORDER BY x1.cod,x2.cod ;
					
					INSERT INTO zzt1    
					SELECT DISTINCT CAST('0000-00-00' AS DATE) dpr,x1.n_socr inf,x2.n_socr pr,x2.cod kod_vpr, 0 ou,0 pri_id,x1.cod,al.sxema
					FROM xsinf x1,xsinf x2,xalgpl al
					WHERE  x2.ob=0 AND x1.cod=_inf AND x2.pcod=x1.cod AND al.kod_vpr=x2.cod AND al.sxema=@_sxema  AND al.sxema>0  AND al.cod_inf=_inf 
					AND ((al.sex=_sex AND al.sex>' ') OR al.sex=' ') 
					AND ((x2.d_1=0 AND x2.d_2=0) OR (CURDATE()-INTERVAL (x2.d_1*12+x2.d_2) MONTH)<=_dr) AND al.kod_vpr=@_cicly
					ORDER BY x1.cod,x2.cod ;
				END;
			END IF;
		    
		    SET @_maxtmp1:=@_lastpr,@_lastpr:=@_lastpr1;
		    UPDATE zzt1 SET dpr=pri_dpr_next_1(_inf,zzt1.kod_vpr,_dr,@_lastpr,_pers,@_sxema);
		end;
	ELSE
		BEGIN 
		    -- SELECT CONCAT(YEAR(NOW()),RIGHT(st,6)) INTO @_st FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    -- SELECT CONCAT(YEAR(NOW()),RIGHT(en,6)) INTO @_en FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    set @_st=_st;
		    set @_en=_en;
		    SELECT vzmin INTO @_vzmin FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    SELECT vzdo INTO @_vzdo FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    SELECT kod_vpr INTO @_v1v2   FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    SELECT kolmes  INTO @_kolmes FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    SET @_dbef=999;		    
		    SELECT TIMESTAMPDIFF(MONTH, DATE_ADD(dpr,INTERVAL @_v1v2 DAY), CONCAT(YEAR(NOW()),RIGHT(@_en,6))) INTO @_dbef  
		    FROM xpri WHERE adr_id=_pers AND cod_inf=_inf AND YEAR(dpr)<YEAR(NOW()) ORDER BY dpr DESC LIMIT 1;

		    SELECT TIMESTAMPDIFF(MONTH, _dr, CONCAT(YEAR(NOW()),RIGHT(@_st,6))) INTO @_mo;
		    SET @_lastpriv=NULL;
		    IF (@_mo BETWEEN @_vzmin AND @_vzdo) AND (@_dbef>=@_kolmes) THEN 
			BEGIN
			    SELECT dpr INTO @_lastpriv FROM xpri WHERE adr_id=_pers AND cod_inf=_inf ORDER BY dpr DESC LIMIT 1;
			    IF @_lastpriv<=>NULL THEN
			    BEGIN 
				    SET @_lastpriv=IFNULL(@_lastpriv,@_st);
				    SET @_lastpriv=pri_42_nepriv(_pers,@_lastpriv,@_st,@_en);	
				    
				    
				    CALL pri_plan42(_pers,_dr,_sex,@_st,DATE_ADD(@_st,INTERVAL 28 DAY),_inf);	
				    SET @ddpp=NULL;
				    SELECT dpr INTO @ddpp FROM zzzt2 ORDER BY dpr LIMIT 1;  

					SET @_lastp=NULL;
					SELECT xpri.dpr INTO @_lastp FROM xpri 
					WHERE adr_id=_pers AND (dpr BETWEEN DATE_SUB(@ddpp,INTERVAL 28 DAY) AND @ddpp) LIMIT 1;
					SET @ddpp=IFNULL(DATE_ADD(@_lastp,INTERVAL 28 DAY),@ddpp);
					SET @_lastpriv=IFNULL(IF(DATE_ADD(@ddpp,INTERVAL 28 DAY)>@_st,@ddpp,DATE_ADD(@ddpp,INTERVAL 28 DAY)),@_lastpriv);
				    
				    IF @_lastpriv BETWEEN @_st AND @_en THEN
						INSERT INTO zzt1    
						SELECT DISTINCT @_lastpriv dpr,'COVID-19' inf,'V1' pr,100 kod_vpr, 0 ou,0 pri_id,_inf cod,1 sxema
						FROM xsinf x1
						WHERE  NOT EXISTS(SELECT * FROM xpri WHERE adr_id=_pers AND YEAR(dpr)=YEAR(@_lastpriv) AND cod_inf=_inf LIMIT 1) LIMIT 1; 
					end if;
			    END;
			    END IF;
				
				if NOT EXISTS(SELECT * FROM xpri WHERE adr_id=_pers AND kod_vpr>100 AND cod_inf=_inf LIMIT 1) then
				BEGIN
					SET @_lastpriv=DATE_ADD(@_lastpriv,INTERVAL @_v1v2 DAY);
					SET @_lastpriv=pri_42_nepriv(_pers,@_lastpriv,@_st,@_en);		    
					if @_lastpriv between @_st and @_en then
						INSERT INTO zzt1    
						SELECT DISTINCT @_lastpriv dpr,'COVID-19' inf,'V2' pr,110 kod_vpr, 0 ou,0 pri_id,_inf cod,1 sxema
						FROM xsinf x1  LIMIT 1; 
					end if;
				END;
				END IF;
				
				IF 1=1 THEN
				BEGIN
					SET @_lastpriv=DATE_ADD(@_lastpriv,INTERVAL @_kolmes MONTH);
					SET @_lastpriv=pri_42_nepriv(_pers,@_lastpriv,@_st,@_en);		    
					IF @_lastpriv BETWEEN @_st AND @_en THEN
						INSERT INTO zzt1    
						SELECT DISTINCT @_lastpriv dpr,'COVID-19' inf,'RV' pr,200 kod_vpr, 0 ou,0 pri_id,_inf cod,1 sxema
						FROM xsinf x1  LIMIT 1; 
					end if;
				END;
				END IF;
			    
			END;
			
			INSERT INTO zzt1    
			SELECT DISTINCT @_lastpriv dpr,'COVID-19' inf,'V' pr,100 kod_vpr, 0 ou,0 pri_id,_inf cod,1 sxema
			FROM xsinf x1
			WHERE  0; 
			END IF;
		END;
	END IF;
	    
    END;
    ELSE
    BEGIN 
	    SELECT CONCAT(YEAR(NOW()),RIGHT(st,6)) INTO @_st FROM xcoef WHERE xcoef_id=0 LIMIT 1;
	    SELECT CONCAT(YEAR(NOW()),RIGHT(en,6)) INTO @_en FROM xcoef WHERE xcoef_id=0 LIMIT 1;
	    SELECT vzmin INTO @_vzmin FROM xcoef WHERE xcoef_id=0 LIMIT 1;
	    SELECT vzdo INTO @_vzdo FROM xcoef WHERE xcoef_id=0 LIMIT 1;
 	    SELECT TIMESTAMPDIFF(MONTH, _dr, CONCAT(YEAR(NOW()),RIGHT(@_st,6))) INTO @_mo;
 	    SET @_lastpriv=NULL;
 	    IF @_mo >= @_vzmin THEN
 	    BEGIN
		    SELECT dpr INTO @_lastpriv FROM xpri WHERE adr_id=_pers AND dpr BETWEEN DATE_SUB(@_st,INTERVAL -28 DAY) AND @_st ORDER BY dpr DESC LIMIT 1;
		    SET @_lastpriv=IFNULL(DATE_ADD(@_lastpriv,INTERVAL 28 DAY),@_st);
		    SET @_lastpriv=pri_14_nepriv(_pers,@_lastpriv,@_st,@_en);		    
		    
		    CALL pri_plan14(_pers,_dr,_sex,@_st,@_en,_inf);	
		    SET @ddpp=NULL;
		    SELECT dpr INTO @ddpp FROM zzzt2 ORDER BY dpr LIMIT 1;  
		    
SET @_lastp=NULL;
SELECT xpri.dpr INTO @_lastp FROM xpri 
WHERE adr_id=_pers AND (dpr BETWEEN DATE_SUB(@_lastpriv,INTERVAL 28 DAY) AND @_lastpriv);
SET @ddpp=IFNULL(DATE_ADD(@_lastp,INTERVAL 28 DAY),@ddpp);
SET @_lastpriv=IFNULL(IF(DATE_ADD(@ddpp,INTERVAL 28 DAY)>@_st,@ddpp,DATE_ADD(@ddpp,INTERVAL 28 DAY)),@_lastpriv);
		    
		    INSERT INTO zzt1    
		    SELECT DISTINCT @_lastpriv dpr,'ГРИПП' inf,'V' pr,100 kod_vpr, 0 ou,0 pri_id,14 cod,1 sxema
		    FROM xsinf x1
		    WHERE  NOT EXISTS(SELECT * FROM xpri WHERE adr_id=_pers AND YEAR(dpr)=YEAR(@_lastpriv) AND cod_inf=14 LIMIT 1) LIMIT 1; 
		    
		    SET @_lastpriv=DATE_ADD(@_lastpriv,INTERVAL 28 DAY);
		    SET @sx=1;
		    SELECT sxema INTO @sx FROM xpri WHERE adr_id=_pers AND YEAR(dpr)=YEAR(@_lastpriv) AND cod_inf=14 LIMIT 1;
		    IF @_mo<=@_vzdo AND @sx=1 THEN
		    BEGIN
			    SET @_lastpriv=pri_14_nepriv(_pers,@_lastpriv,@_st,@_en);		    
			    INSERT INTO zzt1    
			    SELECT DISTINCT @_lastpriv dpr,'ГРИПП' inf,'V1' pr,110 kod_vpr, 0 ou,0 pri_id,14 cod,1 sxema
			    FROM xsinf x1
			    WHERE  NOT EXISTS(SELECT * FROM xpri WHERE adr_id=_pers AND YEAR(dpr)=YEAR(@_lastpriv) AND kod_vpr=110 AND cod_inf=14 LIMIT 1) LIMIT 1; 
		    END;
		    END IF;
 	    END;
		    INSERT INTO zzt1    
		    SELECT DISTINCT @_lastpriv dpr,'ГРИПП' inf,'V' pr,100 kod_vpr, 0 ou,0 pri_id,14 cod,1 sxema
		    FROM xsinf x1
		    WHERE  0; 
	    END IF;
    END ;
   END IF;
    	
END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_vak_last_14` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_vak_last_14` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_vak_last_14`(IN _pers INT,IN _dr DATE,IN _inf SMALLINT,IN _sex VARCHAR(1),in _st date,in _en date)
BEGIN
    SELECT akt INTO @_akt FROM xcoef WHERE xcoef_id=0 LIMIT 1;
    TRUNCATE TABLE zzzt1;
    SET @_maxvpr = IFNULL((SELECT xpri.kod_vpr
    FROM xpri,xsinf x1,xsinf x2 
    WHERE xpri.adr_id=_pers AND ((CONCAT(',',x1.d_cod,',') LIKE CONCAT('%,',_inf,',%')) OR x1.cod=_inf)
    AND cod_inf=x1.cod AND kod_vpr=x2.cod AND x2.pcod=x1.cod ORDER BY kod_vpr DESC LIMIT 1),0),
    @_sxema=(SELECT xpri.sxema
    FROM xpri,xsinf x1,xsinf x2 
    WHERE xpri.adr_id=_pers AND ((CONCAT(',',x1.d_cod,',') LIKE CONCAT('%,',_inf,',%')) OR x1.cod=_inf)
    AND cod_inf=x1.cod AND kod_vpr=x2.cod AND x2.pcod=x1.cod ORDER BY kod_vpr DESC LIMIT 1),
    @_lastpr1 = IFNULL((SELECT xpri.dpr
    FROM xpri,xsinf x1,xsinf x2 
    WHERE xpri.adr_id=_pers AND ((CONCAT(',',x1.d_cod,',') LIKE CONCAT('%,',_inf,',%')) OR x1.cod=_inf)
    AND cod_inf=x1.cod AND kod_vpr=x2.cod AND x2.pcod=x1.cod ORDER BY kod_vpr DESC LIMIT 1),_dr);
    
    SET @_sxema:=IF(@_sxema <=>NULL OR @_sxema=0,1,@_sxema) ;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
    INSERT INTO zzzt1    
    SELECT DISTINCT CAST('0000-00-00' AS DATE) dpr,x1.n_socr inf,x2.n_socr pr,x2.cod kod_vpr, 0 ou,0 pri_id,x1.cod,al.sxema
    FROM xsinf x1,xsinf x2,xalgpl al
    WHERE  x2.ob=0 AND x1.cod=_inf AND x2.pcod=x1.cod AND al.kod_vpr=x2.cod AND al.sxema=@_sxema  AND al.sxema>0  AND al.cod_inf=_inf AND x2.cod>@_maxvpr 
    AND ((al.sex=_sex AND al.sex>' ') OR al.sex=' ') 
    AND ((x2.d_1=0 AND x2.d_2=0) OR (CURDATE()-INTERVAL (x2.d_1*12+x2.d_2) MONTH)<=_dr) 
    ORDER BY x1.cod,x2.cod;
    SET @_maxtmp1:=@_lastpr,@_lastpr:=@_lastpr1;
    UPDATE zzzt1 SET dpr=pri_dpr_next_1(_inf,zzzt1.kod_vpr,_dr,@_lastpr,_pers,@_sxema);
    INSERT INTO zzzt2 SELECT * FROM zzzt1 WHERE dpr BETWEEN _st AND _en;
   	
END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_vak_pers` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_vak_pers` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_vak_pers`(in _pers int,in _dr date,in _inf SMALLINT)
BEGIN
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp  
    SELECT dpr,x1.n_socr inf,x2.n_socr pr,xpri.kod_vpr, 1 ou ,xpri.pri_id,xpri.cod_inf,sxema
    FROM xpri,xsinf x1,xsinf x2 

    WHERE xpri.adr_id=_pers AND ((CONCAT(',',x1.d_cod,',') LIKE CONCAT('%,',_inf,',%')) OR x1.cod=_inf)
    AND cod_inf=x1.cod AND kod_vpr=x2.cod AND x2.pcod=x1.cod ORDER BY kod_vpr;
    SELECT MAX(kod_vpr) INTO @_maxvpr FROM tmp;
    SET @_maxvpr:=IFNULL(@_maxvpr,0) ;


    SELECT sxema INTO @_sxema FROM tmp ORDER BY dpr DESC LIMIT 1;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    SET @_sxema:=IF(@_sxema <=>NULL OR @_sxema=0,1,@_sxema) ;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
    DROP TABLE IF EXISTS tmp1;
    CREATE TEMPORARY TABLE tmp1 
    SELECT DISTINCT cast('0000-00-00' as date) dpr,x1.n_socr inf,x2.n_socr pr,x2.cod kod_vpr, 0 ou,0 pri_id,x1.cod,al.sxema
    FROM xsinf x1,xsinf x2,xalgpl al
    WHERE  x2.ob=0 AND x1.cod=_inf AND x2.pcod=x1.cod  AND al.sxema=@_sxema  AND al.cod_inf=_inf AND x2.cod>@_maxvpr and al.sxema=@_sxema ORDER BY x1.cod,x2.cod;
    SELECT MAX(dpr) INTO @_lastpr FROM tmp;
    SET @_lastpr:=IFNULL(@_lastpr,'0000-00-00') ;
    SET @_maxtmp1:=@_lastpr;
    UPDATE tmp1 SET dpr=pri_dpr_next(_inf,tmp1.kod_vpr,_dr,@_lastpr);
    SELECT * FROM tmp UNION SELECT * FROM tmp1 WHERE dpr<>'0000-00-00' and dpr>=@_lastpr;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_vak_pers1` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_vak_pers1` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_vak_pers1`(IN _pers INT,IN _dr DATE,IN _inf SMALLINT)
BEGIN
    Declare _sex char(1) default '';
    DECLARE _namepri varchar(20) DEFAULT '';
    SET @_sxema=1;
    SELECT n_socr INTO _namepri FROM xsinf WHERE ISNULL(pcod) AND cod=_inf;
    select sex into _sex from adrbook where adr_id=_pers;
    TRUNCATE TABLE zzt;
    insert into zzt 
    SELECT dpr,x1.n_socr inf,x2.n_socr pr,xpri.kod_vpr, 1 ou ,xpri.pri_id,xpri.cod_inf,sxema
    FROM xpri,xsinf x1,xsinf x2 
    WHERE xpri.adr_id=_pers AND ((CONCAT(',',x1.d_cod,',') LIKE CONCAT('%,',_inf,',%')) OR x1.cod=_inf)
    AND cod_inf=x1.cod AND kod_vpr=x2.cod AND x2.pcod=x1.cod ORDER BY kod_vpr;
    SELECT sxema INTO @_sxema FROM zzt ORDER BY dpr DESC LIMIT 1;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    SET @_sxema:=IF(@_sxema <=>NULL OR @_sxema=0,1,@_sxema) ;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
    TRUNCATE TABLE zzt1;
    SELECT akt INTO @_akt FROM xcoef WHERE xcoef_id=0 LIMIT 1;
    
    if NOT (_inf=14 AND @_akt=1) then
    begin
	IF NOT TRIM(_namepri)='COVID-19' THEN
		BEGIN
		    SELECT MAX(kod_vpr) INTO @_maxvpr FROM zzt;
		    SET @_maxvpr:=IFNULL(@_maxvpr,0) ;
		 
		    SET @_cicly:=0 ;
			
			SELECT kod_vpr INTO @_cicly FROM xalgpl WHERE sxema=@_sxema AND cod_inf=_inf AND cod_h=1 ORDER BY kod_vpr LIMIT 1;
			SET @_cicly:=IFNULL(@_cicly,0) ;
		 
			IF @_cicly=0 THEN
				INSERT INTO zzt1    
				SELECT DISTINCT CAST('0000-00-00' AS DATE) dpr,x1.n_socr inf,x2.n_socr pr,x2.cod kod_vpr, 0 ou,0 pri_id,x1.cod,al.sxema
				FROM xsinf x1,xsinf x2,xalgpl al
				WHERE  x2.ob=0 AND x1.cod=_inf AND x2.pcod=x1.cod AND al.kod_vpr=x2.cod AND al.sxema=@_sxema  AND al.sxema>0  AND al.cod_inf=_inf AND x2.cod>@_maxvpr 
				AND ((al.sex=_sex AND al.sex>' ') OR al.sex=' ') 
				AND ((x2.d_1=0 AND x2.d_2=0) OR (CURDATE()-INTERVAL (x2.d_1*12+x2.d_2) MONTH)<=_dr)
				ORDER BY x1.cod,x2.cod ;
			ELSE
				BEGIN
					INSERT INTO zzt1    
					SELECT DISTINCT CAST('0000-00-00' AS DATE) dpr,x1.n_socr inf,x2.n_socr pr,x2.cod kod_vpr, 0 ou,0 pri_id,x1.cod,al.sxema
					FROM xsinf x1,xsinf x2,xalgpl al
					WHERE  x2.ob=0 AND x1.cod=_inf AND x2.pcod=x1.cod AND al.kod_vpr=x2.cod AND al.sxema=@_sxema  AND al.sxema>0  AND al.cod_inf=_inf AND x2.cod>@_maxvpr 
					AND ((al.sex=_sex AND al.sex>' ') OR al.sex=' ') 
					AND ((x2.d_1=0 AND x2.d_2=0) OR (CURDATE()-INTERVAL (x2.d_1*12+x2.d_2) MONTH)<=_dr) AND al.kod_vpr<@_cicly
					ORDER BY x1.cod,x2.cod ;
					
					INSERT INTO zzt1    
					SELECT DISTINCT CAST('0000-00-00' AS DATE) dpr,x1.n_socr inf,x2.n_socr pr,x2.cod kod_vpr, 0 ou,0 pri_id,x1.cod,al.sxema
					FROM xsinf x1,xsinf x2,xalgpl al
					WHERE  x2.ob=0 AND x1.cod=_inf AND x2.pcod=x1.cod AND al.kod_vpr=x2.cod AND al.sxema=@_sxema  AND al.sxema>0  AND al.cod_inf=_inf 
					AND ((al.sex=_sex AND al.sex>' ') OR al.sex=' ') 
					AND ((x2.d_1=0 AND x2.d_2=0) OR (CURDATE()-INTERVAL (x2.d_1*12+x2.d_2) MONTH)<=_dr) AND al.kod_vpr=@_cicly
					ORDER BY x1.cod,x2.cod ;
				END;
			END IF;
		 
		    SELECT MAX(dpr) INTO @_lastpr1 FROM zzt;
		    SET @_lastpr1:=IFNULL(@_lastpr1,_dr) ;
		    SET @_maxtmp1:=@_lastpr;
		    SET @_lastpr:=@_lastpr1;
		    UPDATE zzt1 SET dpr=pri_dpr_next(_inf,zzt1.kod_vpr,_dr,@_lastpr,_pers,@_sxema);
		    SELECT * FROM zzt UNION SELECT * FROM zzt1 WHERE dpr<>'0000-00-00' AND dpr>=@_lastpr1 
		    AND NOT EXISTS(SELECT wkom FROM xpri,zzt WHERE xpri.pri_id=zzt.`pri_id` AND wkom=1);
		end;
	else 
		BEGIN 
		    SELECT CONCAT(YEAR(NOW()),RIGHT(st,6)) INTO @_st FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    SELECT CONCAT(YEAR(NOW()),RIGHT(en,6)) INTO @_en FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    SELECT vzmin INTO @_vzmin FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    SELECT vzdo INTO @_vzdo FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    SELECT kod_vpr INTO @_v1v2   FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    SELECT kolmes  INTO @_kolmes FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    SET @_dbef=999;		    
		    SELECT TIMESTAMPDIFF(MONTH, DATE_ADD(dpr,INTERVAL @_v1v2 DAY), CONCAT(YEAR(NOW()),RIGHT(@_en,6))) INTO @_dbef  
		    FROM xpri WHERE adr_id=_pers AND cod_inf=_inf AND YEAR(dpr)<YEAR(NOW()) ORDER BY dpr DESC LIMIT 1;

		    SELECT TIMESTAMPDIFF(MONTH, _dr, CONCAT(YEAR(NOW()),RIGHT(@_st,6))) INTO @_mo;
		    SET @_lastpriv=NULL;
		    IF (@_mo BETWEEN @_vzmin AND @_vzdo) AND (@_dbef>=@_kolmes) THEN 
			BEGIN
			    SELECT dpr INTO @_lastpriv FROM xpri WHERE adr_id=_pers AND YEAR(dpr) = YEAR(@_st) AND cod_inf=_inf AND kod_vpr=100 ORDER BY dpr DESC LIMIT 1;
			    IF @_lastpriv<=>NULL THEN
			    BEGIN 
				    SET @_lastpriv=IFNULL(@_lastpriv,@_st);
				    SET @_lastpriv=pri_42_nepriv(_pers,@_lastpriv,@_st,@_en);	
				    
				    
				    CALL pri_plan42(_pers,_dr,_sex,@_st,DATE_ADD(@_st,INTERVAL 28 DAY),_inf);	
				    SET @ddpp=NULL;
				    SELECT dpr INTO @ddpp FROM zzzt2 ORDER BY dpr LIMIT 1;  

					SET @_lastp=NULL;
					SELECT xpri.dpr INTO @_lastp FROM xpri 
					WHERE adr_id=_pers AND (dpr BETWEEN DATE_SUB(@ddpp,INTERVAL 28 DAY) AND @ddpp) LIMIT 1;
					SET @ddpp=IFNULL(DATE_ADD(@_lastp,INTERVAL 28 DAY),@ddpp);
					SET @_lastpriv=IFNULL(IF(DATE_ADD(@ddpp,INTERVAL 28 DAY)>@_st,@ddpp,DATE_ADD(@ddpp,INTERVAL 28 DAY)),@_lastpriv);
				    
				    INSERT INTO zzt1    
				    SELECT DISTINCT @_lastpriv dpr,'COVID-19' inf,'V1' pr,100 kod_vpr, 0 ou,0 pri_id,_inf cod,1 sxema
				    FROM xsinf x1
				    WHERE  NOT EXISTS(SELECT * FROM xpri WHERE adr_id=_pers AND YEAR(dpr)=YEAR(@_lastpriv) AND cod_inf=_inf LIMIT 1) LIMIT 1; 
			    END;
			    END IF;
				
				IF NOT EXISTS(SELECT * FROM xpri WHERE adr_id=_pers AND YEAR(dpr)=YEAR(@_lastpriv) AND kod_vpr=110 AND cod_inf=_inf LIMIT 1) THEN
				BEGIN
					SET @_lastpriv=DATE_ADD(@_lastpriv,INTERVAL @_v1v2 DAY);
					SET @_lastpriv=pri_42_nepriv(_pers,@_lastpriv,@_st,@_en);		    
					INSERT INTO zzt1    
					SELECT DISTINCT @_lastpriv dpr,'COVID-19' inf,'V2' pr,110 kod_vpr, 0 ou,0 pri_id,_inf cod,1 sxema
					FROM xsinf x1  LIMIT 1; 
				END;
				END IF;
			    
			END;
			
			INSERT INTO zzt1    
			SELECT DISTINCT @_lastpriv dpr,'COVID-19' inf,'V' pr,100 kod_vpr, 0 ou,0 pri_id,_inf cod,1 sxema
			FROM xsinf x1
			WHERE  0; 
			END IF;
		END;
	END IF;
	    
	    SELECT * FROM zzt UNION SELECT * FROM zzt1 WHERE dpr<>'0000-00-00'  
	    AND NOT EXISTS(SELECT wkom FROM xpri,zzt WHERE xpri.pri_id=zzt.`pri_id` AND wkom=1);
    END;
    else
    begin 
	    SELECT CONCAT(YEAR(NOW()),RIGHT(st,6)) INTO @_st FROM xcoef WHERE xcoef_id=0 LIMIT 1;
	    SELECT CONCAT(YEAR(NOW()),RIGHT(en,6)) INTO @_en FROM xcoef WHERE xcoef_id=0 LIMIT 1;
	    SELECT vzmin INTO @_vzmin FROM xcoef WHERE xcoef_id=0 LIMIT 1;
	    SELECT vzdo INTO @_vzdo FROM xcoef WHERE xcoef_id=0 LIMIT 1;
 	    SELECT TIMESTAMPDIFF(MONTH, _dr, CONCAT(YEAR(NOW()),RIGHT(@_st,6))) INTO @_mo;
 	    SET @_lastpriv=NULL;
 	    if @_mo >= @_vzmin then
 	    begin
		    select dpr into @_lastpriv from xpri where adr_id=_pers and dpr between DATE_sub(@_st,Interval -28 DAY) and @_st order by dpr desc limit 1;
		    set @_lastpriv=ifnull(DATE_add(@_lastpriv,INTERVAL 28 DAY),@_st);
		    SET @_lastpriv=pri_14_nepriv(_pers,@_lastpriv,@_st,@_en);	
		    
		    CALL pri_plan14(_pers,_dr,_sex,@_st,@_en,_inf);	
		    set @ddpp=null;
		    SELECT dpr into @ddpp FROM zzzt2 ORDER BY dpr LIMIT 1;  
		    SET @_lastpriv=ifnull(@ddpp,@_lastpriv);
		    
		    INSERT INTO zzt1    
		    SELECT DISTINCT @_lastpriv dpr,'ГРИПП' inf,'V' pr,100 kod_vpr, 0 ou,0 pri_id,14 cod,1 sxema
		    FROM xsinf x1
		    where  not exists(SELECT * from xpri where adr_id=_pers and year(dpr)=YEAR(@_lastpriv) and cod_inf=14 limit 1) limit 1; 
		    
		    set @_lastpriv=DATE_ADD(@_lastpriv,INTERVAL 28 DAY);
		    set @sx=1;
		    SELECT sxema into @sx FROM xpri WHERE adr_id=_pers AND YEAR(dpr)=YEAR(@_lastpriv) AND cod_inf=14 LIMIT 1;
		    if @_mo<=@_vzdo AND @sx=1 then
		    begin
			    SET @_lastpriv=pri_14_nepriv(_pers,@_lastpriv,@_st,@_en);		    
			    INSERT INTO zzt1    
			    SELECT DISTINCT @_lastpriv dpr,'ГРИПП' inf,'V1' pr,110 kod_vpr, 0 ou,0 pri_id,14 cod,1 sxema
			    FROM xsinf x1
			    where  NOT EXISTS(SELECT * FROM xpri WHERE adr_id=_pers AND YEAR(dpr)=YEAR(@_lastpriv) and kod_vpr=110 AND cod_inf=14 LIMIT 1) LIMIT 1; 
		    end;
		    end if;
		    
 	    end;
		    INSERT INTO zzt1    
		    SELECT DISTINCT @_lastpriv dpr,'ГРИПП' inf,'V' pr,100 kod_vpr, 0 ou,0 pri_id,14 cod,1 sxema
		    FROM xsinf x1
		    WHERE  0; 
	    end if;
 	    
	    
	    SELECT * FROM zzt UNION SELECT * FROM zzt1 WHERE dpr<>'0000-00-00'  
	    AND NOT EXISTS(SELECT wkom FROM xpri,zzt WHERE xpri.pri_id=zzt.`pri_id` AND wkom=1);
    end ;
   end if;
END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_vak_pers1_14` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_vak_pers1_14` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_vak_pers1_14`(IN _pers INT,IN _dr DATE,IN _inf SMALLINT,IN _kolplan SMALLINT)
BEGIN
    Declare _sex char(1) default '';
    DECLARE _namepri varchar(20) DEFAULT '';
    SET @_sxema=1;
    SELECT n_socr into _namepri FROM xsinf WHERE ISNULL(pcod) AND cod=_inf;
    select sex into _sex from adrbook where adr_id=_pers;
    TRUNCATE TABLE zzt;
    insert into zzt 
    SELECT dpr,x1.n_socr inf,x2.n_socr pr,xpri.kod_vpr, 1 ou ,xpri.pri_id,xpri.cod_inf,sxema
    FROM xpri,xsinf x1,xsinf x2 
    WHERE xpri.adr_id=_pers AND ((CONCAT(',',x1.d_cod,',') LIKE CONCAT('%,',_inf,',%')) OR x1.cod=_inf)
    AND cod_inf=x1.cod AND kod_vpr=x2.cod AND x2.pcod=x1.cod ORDER BY kod_vpr;
    SELECT sxema INTO @_sxema FROM zzt ORDER BY dpr DESC LIMIT 1;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    SET @_sxema:=IF(@_sxema <=>NULL OR @_sxema=0,1,@_sxema) ;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
    TRUNCATE TABLE zzt1;
    SELECT akt INTO @_akt FROM xcoef WHERE xcoef_id=0 LIMIT 1;
    
    if NOT (_inf=14 AND @_akt=1) then
    begin
	if not trim(_namepri)='COVID-19' then
		begin
		    SELECT MAX(kod_vpr) INTO @_maxvpr FROM zzt;
		    SET @_maxvpr:=IFNULL(@_maxvpr,0) ;
		    SET _kolplan:=IFNULL(_kolplan,99) ;
		    SET @_cicly:=0 ;
			
			SELECT kod_vpr INTO @_cicly FROM xalgpl WHERE sxema=@_sxema AND cod_inf=_inf AND cod_h=1 order by kod_vpr limit 1;
			SET @_cicly:=IFNULL(@_cicly,0) ;
		 
			if @_cicly=0 then
				INSERT INTO zzt1    
				SELECT DISTINCT CAST('0000-00-00' AS DATE) dpr,x1.n_socr inf,x2.n_socr pr,x2.cod kod_vpr, 0 ou,0 pri_id,x1.cod,al.sxema
				FROM xsinf x1,xsinf x2,xalgpl al
				WHERE  x2.ob=0 AND x1.cod=_inf AND x2.pcod=x1.cod AND al.kod_vpr=x2.cod AND al.sxema=@_sxema  AND al.sxema>0  AND al.cod_inf=_inf AND x2.cod>@_maxvpr 
				AND ((al.sex=_sex AND al.sex>' ') OR al.sex=' ') 
				AND ((x2.d_1=0 AND x2.d_2=0) OR (CURDATE()-INTERVAL (x2.d_1*12+x2.d_2) MONTH)<=_dr)
				ORDER BY x1.cod,x2.cod LIMIT _kolplan;
			else
				begin
					INSERT INTO zzt1    
					SELECT DISTINCT CAST('0000-00-00' AS DATE) dpr,x1.n_socr inf,x2.n_socr pr,x2.cod kod_vpr, 0 ou,0 pri_id,x1.cod,al.sxema
					FROM xsinf x1,xsinf x2,xalgpl al
					WHERE  x2.ob=0 AND x1.cod=_inf AND x2.pcod=x1.cod AND al.kod_vpr=x2.cod AND al.sxema=@_sxema  AND al.sxema>0  AND al.cod_inf=_inf AND x2.cod>@_maxvpr 
					AND ((al.sex=_sex AND al.sex>' ') OR al.sex=' ') 
					AND ((x2.d_1=0 AND x2.d_2=0) OR (CURDATE()-INTERVAL (x2.d_1*12+x2.d_2) MONTH)<=_dr) AND al.kod_vpr<@_cicly
					ORDER BY x1.cod,x2.cod LIMIT _kolplan;
					
					INSERT INTO zzt1    
					SELECT DISTINCT CAST('0000-00-00' AS DATE) dpr,x1.n_socr inf,x2.n_socr pr,x2.cod kod_vpr, 0 ou,0 pri_id,x1.cod,al.sxema
					FROM xsinf x1,xsinf x2,xalgpl al
					WHERE  x2.ob=0 AND x1.cod=_inf AND x2.pcod=x1.cod AND al.kod_vpr=x2.cod AND al.sxema=@_sxema  AND al.sxema>0  AND al.cod_inf=_inf 
					AND ((al.sex=_sex AND al.sex>' ') OR al.sex=' ') 
					AND ((x2.d_1=0 AND x2.d_2=0) OR (CURDATE()-INTERVAL (x2.d_1*12+x2.d_2) MONTH)<=_dr) AND al.kod_vpr=@_cicly
					ORDER BY x1.cod,x2.cod LIMIT _kolplan;
				end;
			end if;
		 
		    SELECT MAX(dpr) INTO @_lastpr1 FROM zzt;
		    SET @_lastpr1:=IFNULL(@_lastpr1,_dr) ;
		    SET @_maxtmp1:=@_lastpr;
		    SET @_lastpr:=@_lastpr1;

		    UPDATE zzt1 SET dpr=pri_dpr_next(_inf,zzt1.kod_vpr,_dr,@_lastpr,_pers,@_sxema);
		end;
	else
		begin 
		    SELECT CONCAT(YEAR(NOW()),RIGHT(st,6)) INTO @_st FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    SELECT CONCAT(YEAR(NOW()),RIGHT(en,6)) INTO @_en FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    SELECT vzmin INTO @_vzmin FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    SELECT vzdo INTO @_vzdo FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    SELECT kod_vpr INTO @_v1v2   FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    SELECT kolmes  INTO @_kolmes FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    set @_dbef=999;		    
		    SELECT TIMESTAMPDIFF(month, DATE_ADD(dpr,INTERVAL @_v1v2 DAY), CONCAT(YEAR(NOW()),RIGHT(@_en,6))) INTO @_dbef  
		    FROM xpri WHERE adr_id=_pers AND cod_inf=_inf AND YEAR(dpr)<YEAR(NOW()) ORDER BY dpr DESC LIMIT 1;

		    SELECT TIMESTAMPDIFF(MONTH, _dr, CONCAT(YEAR(NOW()),RIGHT(@_st,6))) INTO @_mo;
		    SET @_lastpriv=NULL;
		    IF (@_mo between @_vzmin and @_vzdo) and (@_dbef>=@_kolmes) then 
			BEGIN
			    SELECT dpr INTO @_lastpriv FROM xpri WHERE adr_id=_pers AND cod_inf=_inf ORDER BY dpr DESC LIMIT 1;
			    if @_lastpriv<=>null then
			    begin 
				    SET @_lastpriv=IFNULL(@_lastpriv,@_st);
				    SET @_lastpriv=pri_42_nepriv(_pers,@_lastpriv,@_st,@_en);	
				    
				    
				    CALL pri_plan42(_pers,_dr,_sex,@_st,DATE_ADD(@_st,INTERVAL 28 DAY),_inf);	
				    SET @ddpp=NULL;
				    SELECT dpr INTO @ddpp FROM zzzt2 ORDER BY dpr LIMIT 1;  

					SET @_lastp=NULL;
					SELECT xpri.dpr into @_lastp FROM xpri 
					WHERE adr_id=_pers AND (dpr BETWEEN DATE_SUB(@ddpp,INTERVAL 28 DAY) AND @ddpp) limit 1;
					SET @ddpp=IFNULL(DATE_ADD(@_lastp,INTERVAL 28 DAY),@ddpp);
					SET @_lastpriv=IFNULL(if(DATE_ADD(@ddpp,INTERVAL 28 DAY)>@_st,@ddpp,DATE_ADD(@ddpp,INTERVAL 28 DAY)),@_lastpriv);
				    
				    INSERT INTO zzt1    
				    SELECT DISTINCT @_lastpriv dpr,'COVID-19' inf,'V1' pr,100 kod_vpr, 0 ou,0 pri_id,_inf cod,1 sxema
				    FROM xsinf x1
				    WHERE  NOT EXISTS(SELECT * FROM xpri WHERE adr_id=_pers AND YEAR(dpr)=YEAR(@_lastpriv) AND cod_inf=_inf LIMIT 1) LIMIT 1; 
			    end;
			    END IF;
				
				if NOT EXISTS(SELECT * FROM xpri WHERE adr_id=_pers AND kod_vpr>100 AND cod_inf=_inf LIMIT 1) then
				begin
					SET @_lastpriv=DATE_ADD(@_lastpriv,INTERVAL @_v1v2 DAY);
					SET @_lastpriv=pri_42_nepriv(_pers,@_lastpriv,@_st,@_en);		    
					INSERT INTO zzt1    
					SELECT DISTINCT @_lastpriv dpr,'COVID-19' inf,'V2' pr,110 kod_vpr, 0 ou,0 pri_id,_inf cod,1 sxema
					FROM xsinf x1  LIMIT 1; 
				end;
				end if;
				
				IF 1=1 THEN
				BEGIN
					SET @_lastpriv=DATE_ADD(@_lastpriv,INTERVAL @_kolmes month);
					SET @_lastpriv=pri_42_nepriv(_pers,@_lastpriv,@_st,@_en);		    
					INSERT INTO zzt1    
					SELECT DISTINCT @_lastpriv dpr,'COVID-19' inf,'RV' pr,200 kod_vpr, 0 ou,0 pri_id,_inf cod,1 sxema
					FROM xsinf x1  LIMIT 1; 
				END;
				END IF;
			    
			end;
			
			INSERT INTO zzt1    
			SELECT DISTINCT @_lastpriv dpr,'COVID-19' inf,'V' pr,100 kod_vpr, 0 ou,0 pri_id,_inf cod,1 sxema
			FROM xsinf x1
			WHERE  0; 
			end if;
		end;
	end if;
	    
    end;
    else
    begin 
	    SELECT CONCAT(YEAR(NOW()),RIGHT(st,6)) INTO @_st FROM xcoef WHERE xcoef_id=0 LIMIT 1;
	    SELECT CONCAT(YEAR(NOW()),RIGHT(en,6)) INTO @_en FROM xcoef WHERE xcoef_id=0 LIMIT 1;
	    SELECT vzmin INTO @_vzmin FROM xcoef WHERE xcoef_id=0 LIMIT 1;
	    SELECT vzdo INTO @_vzdo FROM xcoef WHERE xcoef_id=0 LIMIT 1;
 	    SELECT TIMESTAMPDIFF(MONTH, _dr, CONCAT(YEAR(NOW()),RIGHT(@_st,6))) INTO @_mo;
 	    SET @_lastpriv=NULL;
 	    if @_mo >= @_vzmin then
 	    begin
		    select dpr into @_lastpriv from xpri where adr_id=_pers and dpr between DATE_sub(@_st,Interval -28 DAY) and @_st order by dpr desc limit 1;
		    set @_lastpriv=ifnull(DATE_add(@_lastpriv,INTERVAL 28 DAY),@_st);
		    SET @_lastpriv=pri_14_nepriv(_pers,@_lastpriv,@_st,@_en);	
		    
		    CALL pri_plan14(_pers,_dr,_sex,@_st,@_en,_inf);	
		    set @ddpp=null;
		    SELECT dpr into @ddpp FROM zzzt2 ORDER BY dpr LIMIT 1;  
		    
SET @_lastp=NULL;
SELECT xpri.dpr INTO @_lastp FROM xpri 
WHERE adr_id=_pers AND (dpr BETWEEN DATE_SUB(@_lastpriv,INTERVAL 28 DAY) AND @_lastpriv);
SET @ddpp=IFNULL(DATE_ADD(@_lastp,INTERVAL 28 DAY),@ddpp);
SET @_lastpriv=IFNULL(IF(DATE_ADD(@ddpp,INTERVAL 28 DAY)>@_st,@ddpp,DATE_ADD(@ddpp,INTERVAL 28 DAY)),@_lastpriv);
		    
		    INSERT INTO zzt1    
		    SELECT DISTINCT @_lastpriv dpr,'ГРИПП' inf,'V' pr,100 kod_vpr, 0 ou,0 pri_id,14 cod,1 sxema
		    FROM xsinf x1
		    where  not exists(SELECT * from xpri where adr_id=_pers and year(dpr)=YEAR(@_lastpriv) and cod_inf=14 limit 1) limit 1; 
		    
		    set @_lastpriv=DATE_ADD(@_lastpriv,INTERVAL 28 DAY);

		    if @_mo<=@_vzdo AND NOT EXISTS(SELECT * FROM xpri WHERE adr_id=_pers AND cod_inf=14 and year(dpr)<year(@_lastpriv) LIMIT 1) then
		    begin
			    SET @_lastpriv=pri_14_nepriv(_pers,@_lastpriv,@_st,@_en);		    
			    INSERT INTO zzt1    
			    SELECT DISTINCT @_lastpriv dpr,'ГРИПП' inf,'V1' pr,110 kod_vpr, 0 ou,0 pri_id,14 cod,1 sxema
			    FROM xsinf x1
			    where  NOT EXISTS(SELECT * FROM xpri WHERE adr_id=_pers AND YEAR(dpr)=YEAR(@_lastpriv) and kod_vpr=110 AND cod_inf=14 LIMIT 1) LIMIT 1; 
		    end;
		    end if;
		    
 	    end;
		    INSERT INTO zzt1    
		    SELECT DISTINCT @_lastpriv dpr,'ГРИПП' inf,'V' pr,100 kod_vpr, 0 ou,0 pri_id,14 cod,1 sxema
		    FROM xsinf x1
		    WHERE  0; 
	    end if;
    end ;
   end if;
END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_vak_plan_one` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_vak_plan_one` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_vak_plan_one`(IN _pers INT,IN _dr DATE,IN _inf SMALLINT,IN _st DATE,IN _en DATE,in _sex varchar(1))
BEGIN
	CALL pri_vak_last_1(_pers,_dr,_inf,_sex,_st,_en);
	SELECT dpr into @dpst FROM zzt1 WHERE dpr < _en ORDER BY dpr limit 1;
	set @dpend=date_add(@dpst,interval DATEDIFF(_en,_st) DAY);
	INSERT IGNORE INTO zzt2 SELECT *, _pers,0,1 FROM zzt1 WHERE dpr <= @dpend  ORDER BY dpr;
    
END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_vak_plan_one11` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_vak_plan_one11` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_vak_plan_one11`(IN _pers INT,IN _dr DATE,IN _inf SMALLINT,IN _st DATE,IN _en DATE,in _sex varchar(1))
BEGIN
	CALL pri_vak_last_1(_pers,_dr,_inf,_sex,_st,_en);
	SELECT dpr into @dpst FROM zzt1 WHERE dpr < _st ORDER BY dpr limit 1;
	set @dpend=date_add(@dpst,interval DATEDIFF(_en,_st) DAY);
	IF EXISTS(SELECT *, _pers,0,1 FROM zzt1 WHERE dpr BETWEEN _st AND _en) THEN
		INSERT IGNORE INTO zzt2 SELECT *, _pers,0,1 FROM zzt1 WHERE dpr BETWEEN _st AND _en;
	ELSE
		INSERT IGNORE INTO zzt2 SELECT *, _pers,0,1 FROM zzt1 WHERE dpr <= @dpend order by dpr;	
	end if ;
    
END */$$
DELIMITER ;

/* Procedure structure for procedure `refresh_A_adrbook` */

/*!50003 DROP PROCEDURE IF EXISTS  `refresh_A_adrbook` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `refresh_A_adrbook`(
    in orgkod varchar(10),
    in main_city varchar(40),
    in _days smallint)
BEGIN
    UPDATE zaadr SET adr_id=0, adr_name=@_orgkod;
    UPDATE zaadr za1,adrbook a1 SET za1.adr_id=a1.adr_id 
    WHERE LEFT(a1.datebirth,4)=LEFT(za1.datebirth,4) AND a1.fam=za1.fam AND a1.im=za1.im AND a1.ot=za1.ot 
    AND za1.adr_id=0 AND za1.adr_name=@_orgkod;
    TRUNCATE TABLE ztmpadr;
    INSERT INTO ztmpadr (adr_name,adr_id,fam,im,ot,sex,datebirth,adr_home,adr_flat)  
    SELECT @_orgkod,id,fam,im,ot,sex,datebirth,house,flat FROM zaadr WHERE adr_id=0 AND adr_name=@_orgkod;
    
    UPDATE ztmpadr,zaadr,zastreet z2 SET adr_street=find_A_street(street_id),street=find_A_stname(street_id),
    street_dop = IFNULL(z2.name,''),
    ztmpadr.adr_name=@_orgkod WHERE zaadr.id=ztmpadr.adr_id AND street_id=z2.id AND zaadr.adr_name=@_orgkod;
 
    UPDATE ztmpadr,zaadr SET adr_city=find_A_city(street_id,town_id,main_city), ztmpadr.adr_name=@_orgkod WHERE zaadr.id=ztmpadr.adr_id AND zaadr.adr_name=@_orgkod;
    UPDATE ztmpadr,zaadr SET works=find_A_Job(job_id), ztmpadr.adr_name=@_orgkod WHERE zaadr.id=ztmpadr.adr_id AND zaadr.adr_name=@_orgkod;
    
    UPDATE ztmpadr,zaadr SET kat=find_A_kat(deGrp_id) WHERE zaadr.id=ztmpadr.adr_id AND zaadr.adr_name=@_orgkod;
    
    UPDATE ztmpadr SET adr_id=NULL;
    INSERT IGNORE INTO adrbook SELECT *,NULL,1 FROM ztmpadr ;
    UPDATE adrbook SET adr_city = '' WHERE adr_city<=>NULL;
    IF @_ter<2 THEN
	CALL update_uch_adrbook_orelnew(_days);
    ELSE 
	CALL update_uch_adrbook_orelnew_2(_days);
    END IF;
    DROP TABLE IF EXISTS eee;
    CREATE TEMPORARY TABLE eee 
    SELECT COUNT(*) AS _idd FROM ztmpadr ;
    TRUNCATE TABLE ztmpadr;
END */$$
DELIMITER ;

/* Procedure structure for procedure `refresh_A_adrbook_orelnew` */

/*!50003 DROP PROCEDURE IF EXISTS  `refresh_A_adrbook_orelnew` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `refresh_A_adrbook_orelnew`(
    in orgkod varchar(10),
    in main_city varchar(40),
    in _days smallint)
BEGIN
    UPDATE zaadr SET adr_id=0, adr_name=@_orgkod;
    UPDATE zaadr za1,adrbook a1 SET za1.adr_id=a1.adr_id 
    WHERE LEFT(a1.datebirth,4)=LEFT(za1.datebirth,4) AND a1.fam=za1.fam AND a1.im=za1.im AND a1.ot=za1.ot 
    AND za1.adr_id=0 AND za1.adr_name=@_orgkod;
    TRUNCATE TABLE ztmpadr;
    INSERT INTO ztmpadr (adr_name,adr_id,fam,im,ot,sex,datebirth,adr_home,adr_flat,street_dop,works_dop)  
    SELECT @_orgkod,id,fam,im,ot,sex,datebirth,house,flat,NULL,NULL FROM zaadr WHERE  adr_name=@_orgkod;
    
    UPDATE ztmpadr,zaadr,zastreet z2 SET adr_street=find_A_street(street_id),street=find_A_stname(street_id),
    street_dop = IFNULL(z2.name,''),
    ztmpadr.adr_name=@_orgkod WHERE zaadr.id=ztmpadr.adr_id AND street_id=z2.id AND zaadr.adr_name=@_orgkod;
 
    UPDATE ztmpadr,zaadr SET adr_city=find_A_city(street_id,town_id,main_city), ztmpadr.adr_name=@_orgkod WHERE zaadr.id=ztmpadr.adr_id AND zaadr.adr_name=@_orgkod;
    UPDATE ztmpadr,zaadr SET works=find_A_Job(job_id), ztmpadr.adr_name=@_orgkod WHERE zaadr.id=ztmpadr.adr_id AND zaadr.adr_name=@_orgkod;
    
    UPDATE ztmpadr,zaadr SET kat=find_A_kat(deGrp_id) WHERE zaadr.id=ztmpadr.adr_id AND zaadr.adr_name=@_orgkod;
    
    UPDATE ztmpadr SET adr_id=0;
    UPDATE ztmpadr za1,adrbook a1 SET za1.adr_id=a1.adr_id 
    WHERE LEFT(a1.datebirth,4)=LEFT(za1.datebirth,4) AND a1.fam=za1.fam AND a1.im=za1.im AND a1.ot=za1.ot 
    AND za1.adr_id=0 AND za1.adr_name=@_orgkod AND a1.orelnew=1;
 
    UPDATE adrbook a1,ztmpadr a2,karta k1 SET a1.adr_street=a2.`adr_street`, a1.`street_dop`=a2.`street_dop`, a1.works=a2.works, a1.kat=a2.kat,a1.`adr_city`=a2.`adr_city`,
    k1.adr_street=a2.`adr_street`,k1.works=a2.works, k1.kat=a2.kat
    WHERE a1.adr_id=a2.adr_id AND a1.adr_id=k1.adr_id AND a1.orelnew=1 AND k1.orelnew=1;
    UPDATE adrbook SET adr_city = '' WHERE adr_city<=>NULL AND adrbook.orelnew=1;
    IF @_ter<2 THEN
	CALL update_uch_adrbook_orelnew(_days);
    ELSE 
	CALL update_uch_adrbook_orelnew_2(_days);
    END IF;
END */$$
DELIMITER ;

/* Procedure structure for procedure `refresh_A_karta` */

/*!50003 DROP PROCEDURE IF EXISTS  `refresh_A_karta` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `refresh_A_karta`(
    IN _days SMALLINT)
BEGIN
    UPDATE zaadr za1,adrbook a1 SET za1.adr_id=a1.adr_id 
    WHERE za1.adr_id=0 AND LEFT(a1.datebirth,4)=LEFT(za1.datebirth,4) AND a1.fam=za1.fam 
    AND a1.im=za1.im AND a1.ot=za1.ot AND za1.adr_name=@_orgkod;
    SELECT insert_risk(zariskgr.name,zariskgr.id,0,1) FROM zariskgr WHERE 1 ;
    SELECT insert_domestic(zadomesticgr.name,zadomesticgr.id,0,1) FROM zadomesticgr WHERE 1 ;
    SELECT insert_mkb10(zadiagn.name,zadiagn.id,0,1) FROM zadiagn WHERE 1 ;
    SELECT insert_A_bodypart(zabodypart.name,zabodypart.id,0) FROM zabodypart WHERE 1 ;
    SELECT insert_A_vr(zadepart.name,zadepart.id) FROM zadepart WHERE 1 ;
    
    UPDATE karta SET numvis=RIGHT(snimok,2)+0 WHERE snimok>'' AND adr_name=@_orgkod AND orel=0;
    UPDATE karta SET numvis=RIGHT(flu_id,2)+0 WHERE snimok='' AND numvis=0 AND adr_name=@_orgkod AND orel=0;
    UPDATE zakarta SET adr_id=0 where adr_name=@_orgkod;
    UPDATE zakarta zk1,zaadr a1 SET zk1.adr_id=a1.adr_id 
    WHERE zk1.pat_id=a1.id AND zk1.adr_name=@_orgkod AND a1.adr_name=@_orgkod 
    AND zk1.adr_id=0;
    UPDATE zakarta SET ou=0 where adr_name=@_orgkod; 
    UPDATE zakarta z1,karta k1 SET ou=1 WHERE z1.adr_id=k1.adr_id AND z1.dt=k1.dt AND RIGHT(z1.ImageNumber,2)+0=k1.numvis AND k1.orel=1 
    AND z1.adr_name=@_orgkod;
    TRUNCATE TABLE ztmpkarta;
    INSERT IGNORE INTO ztmpkarta (adr_name,adr_id,numvis,dt,orel,orelnew,doze,bodypart,snimok,filename,stelag,p_gr,mkb10,depart,mo)
    SELECT @_orgkod,z1.adr_id,RIGHT(z1.ImageNumber,2)+0 numvis,z1.dt,1,1,z1.doze,z1.bodypart,z1.ImageNumber,
    z1.filename,find_A_stelag(z1.diagn_id,z1.diagn_id2,z1.bodypart),
    find_A_rentgen(z1.bodypart),find_A_diagn2(z1.diagn_id,z1.diagn_id2),z1.patcode,find_A_mo(z1.patcode) FROM zakarta z1 
    WHERE ou=0 and z1.adr_name=@_orgkod and z1.adr_id>0;
    INSERT INTO karta SELECT * FROM ztmpkarta where adr_id>0 ;
    UPDATE karta SET mkb10=find_main_mkb10(karta.mkb10) WHERE karta.orelnew=1 AND karta.adr_name=@_orgkod;
    DROP TABLE IF EXISTS eee;
    CREATE TEMPORARY TABLE eee 
    SELECT COUNT(adr_id) AS _idd FROM ztmpkarta where adr_id>0;
    IF @_ter<2 THEN
	CALL update_uch_adrbook_orelnew(_days);
    else 
	CALL update_uch_adrbook_orelnew_2(_days);
    end if;
    TRUNCATE TABLE ztmpkarta;
END */$$
DELIMITER ;

/* Procedure structure for procedure `refresh_F_adrbook` */

/*!50003 DROP PROCEDURE IF EXISTS  `refresh_F_adrbook` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `refresh_F_adrbook`(
    IN main_city VARCHAR(40))
BEGIN
    UPDATE zfadr SET adr_id=0, adr_name=@_orgkod;
    UPDATE zfadr zf1,adrbook a1 SET zf1.adr_id=a1.adr_id 
    WHERE LEFT(a1.datebirth,4)=LEFT(zf1.datebirth,4) AND a1.fam=zf1.fam AND a1.im=zf1.im AND a1.ot=zf1.ot 
    AND zf1.adr_id=0 AND zf1.adr_name=@_orgkod;
    TRUNCATE TABLE ztmpadr;
    
    INSERT INTO ztmpadr (adr_name,fam,im,ot,datebirth)  
    SELECT DISTINCT @_orgkod,fam,im,ot,datebirth FROM zfadr WHERE adr_name=@_orgkod and adr_id=0;
    UPDATE ztmpadr z1, zfadr z2 SET z1.adr_id=z2.id 
    WHERE z1.fam=z2.fam AND z1.im=z2.im AND z1.ot=z2.ot AND z1.datebirth=z2.datebirth AND z2.adr_name=@_orgkod;
    UPDATE ztmpadr z1, zfadr z2 SET z2.pat=z1.adr_id 
    WHERE z1.adr_id>0 AND z1.fam=z2.fam AND z1.im=z2.im AND z1.ot=z2.ot AND z1.datebirth=z2.datebirth AND z2.adr_name=@_orgkod;
    
    UPDATE ztmpadr z1, zfadr z2 SET z1.sex=z2.sex,z1.comment=z2.telefon,z1.street_dop=z2.street,
    adr_city=find_f_city(town_id,main_city),z1.works_dop='',z1.adr_home='',z1.adr_flat='',
    z1.works=find_A_Job(job_id), z1.adr_name=@_orgkod,z1.orel=1 WHERE z1.adr_id=z2.pat AND z2.adr_name=@_orgkod;
    
    UPDATE ztmpadr SET adr_id=NULL;
    INSERT IGNORE INTO adrbook SELECT *,NULL,1 FROM ztmpadr ;
    
    DROP TABLE IF EXISTS eee;
    CREATE TEMPORARY TABLE eee 
    SELECT COUNT(*) AS _idd FROM ztmpadr ;
    TRUNCATE TABLE ztmpadr;
END */$$
DELIMITER ;

/* Procedure structure for procedure `refresh_F_karta` */

/*!50003 DROP PROCEDURE IF EXISTS  `refresh_F_karta` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `refresh_F_karta`(
    IN _days SMALLINT)
BEGIN
    UPDATE zfadr zf1,adrbook a1 SET zf1.adr_id=a1.adr_id 
    WHERE zf1.adr_id=0 AND LEFT(a1.datebirth,4)=LEFT(zf1.datebirth,4) AND a1.fam=zf1.fam 
    AND a1.im=zf1.im AND a1.ot=zf1.ot AND zf1.adr_name=@_orgkod;
    UPDATE zfadr SET pat=adr_id WHERE pat=0 AND adr_id>0;
    
    UPDATE karta SET numvis=RIGHT(snimok,2)+0 WHERE snimok>'' AND adr_name=@_orgkod AND orel=0;
    UPDATE karta SET numvis=RIGHT(flu_id,2)+0 WHERE snimok='' AND numvis=0 AND adr_name=@_orgkod AND orel=0;
    
    UPDATE zfkarta SET adr_id=0 WHERE adr_name=@_orgkod;
    UPDATE zfkarta zk1,zfadr a1 SET zk1.adr_id=a1.adr_id 
    WHERE zk1.pat_id=a1.id AND zk1.adr_name=@_orgkod AND a1.adr_name=@_orgkod 
    AND zk1.adr_id=0;
    
    SELECT insert_O_bodypart(zfisled.name,zfisled.id,0) FROM zfisled WHERE 1 ;
    
    UPDATE zfkarta SET ou=0 WHERE adr_name=@_orgkod; 
    UPDATE zfkarta z1,karta k1 SET ou=1 WHERE z1.adr_id=k1.adr_id AND z1.dt=k1.dt AND RIGHT(z1.numkad,2)+0=k1.numvis AND k1.orel=1 
    AND z1.adr_name=@_orgkod;
    TRUNCATE TABLE ztmpkarta;
    
    INSERT IGNORE INTO ztmpkarta (adr_name,adr_id,numvis,dt,orel,orelnew,doze,bodypart,snimok,filename,stelag,p_gr,mkb10,depart,mo,doobsled)
    SELECT @_orgkod,z1.adr_id,RIGHT(z1.numkad,2)+0 numvis,z1.dt,1,1,z1.doze,find_O_bodypart(z1.idisl),z1.numkad,
    CONCAT(z1.drivbaza,'   ',z1.filename),CONCAT(find_F_stelag(z1.idisl),'; ',z1.diag),
    find_O_rentgen(z1.idisl),find_F_diagn(z1.idnorm,z1.diag),null,find_F_mo(z1.typeisled),find_F_doobsled(z1.idnorm) FROM zfkarta z1,zfadr z2 
    WHERE ou=0 AND z1.adr_name=@_orgkod AND z1.pat_id=z2.id AND z1.adr_id>0;
    
    INSERT INTO karta SELECT * FROM ztmpkarta WHERE adr_id>0 ;
    DROP TABLE IF EXISTS eee;
    CREATE TEMPORARY TABLE eee 
    SELECT COUNT(adr_id) AS _idd FROM ztmpkarta WHERE adr_id>0;
    IF @_ter<2 THEN
	CALL update_uch_adrbook_orelnew(_days);
    ELSE 
	CALL update_uch_adrbook_orelnew_2(_days);
    END IF;
    TRUNCATE TABLE ztmpkarta;
END */$$
DELIMITER ;

/* Procedure structure for procedure `refresh_F_vr` */

/*!50003 DROP PROCEDURE IF EXISTS  `refresh_F_vr` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `refresh_F_vr`()
BEGIN
    UPDATE karta,vr SET karta.vr=vr_id WHERE karta.uch=vr.uch AND karta.uch BETWEEN 1 AND 98 AND karta.orelnew=1 AND karta.adr_name=@_orgkod;
    UPDATE karta,zftypeisledflu z1,vr SET karta.vr=vr.vr_id 
    WHERE karta.mo=1 AND vr.mo=1 AND karta.orelnew=1 AND karta.adr_name=@_orgkod ;
END */$$
DELIMITER ;

/* Procedure structure for procedure `refresh_O_adrbook` */

/*!50003 DROP PROCEDURE IF EXISTS  `refresh_O_adrbook` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `refresh_O_adrbook`(
    IN main_city VARCHAR(40),
    IN _days SMALLINT)
BEGIN
    UPDATE zoadr SET adr_id=0, adr_name=@_orgkod;
    UPDATE zoadr za1,adrbook a1 SET za1.adr_id=a1.adr_id 
    WHERE LEFT(a1.datebirth,4)=LEFT(za1.datebirth,4) AND a1.fam=za1.fam AND a1.im=za1.im AND a1.ot=za1.ot 
    AND za1.adr_id=0 AND za1.adr_name=@_orgkod;
    TRUNCATE TABLE ztmpadr;
    INSERT INTO ztmpadr (adr_name,adr_id,fam,im,ot,sex,datebirth,adr_home,adr_flat)  
    SELECT @_orgkod,id,fam,im,ot,sex,datebirth,house,flat FROM zoadr WHERE adr_id=0 AND adr_name=@_orgkod;
    
    UPDATE ztmpadr,zoadr SET adr_street=find_O_street(street_id),street=find_O_stname(street_id),
    adr_city=find_O_city(place,main_city), street_dop = find_O_streetdop(street,adr_city,place),
    kat=find_O_kat(zoadr.group,zoadr.place),
    works=find_O_Job(job_id,zoadr.place),works_dop=IF(@_place='workplace',trim(replace(zoadr.place,char(13),' ')),NULL), 
    ztmpadr.adr_name=@_orgkod WHERE id=ztmpadr.adr_id AND zoadr.adr_name=@_orgkod;
    UPDATE ztmpadr SET adr_id=NULL;
    INSERT IGNORE INTO adrbook SELECT *,NULL,1 FROM ztmpadr ;
    IF @_ter<2 THEN
	CALL update_uch_adrbook_orelnew(_days);
    ELSE 
	CALL update_uch_adrbook_orelnew_2(_days);
    END IF;
    DROP TABLE IF EXISTS eee;
    CREATE TEMPORARY TABLE eee 
    SELECT COUNT(*) AS _idd FROM ztmpadr ;
    TRUNCATE TABLE ztmpadr;
END */$$
DELIMITER ;

/* Procedure structure for procedure `refresh_O_adrbook_orelnew` */

/*!50003 DROP PROCEDURE IF EXISTS  `refresh_O_adrbook_orelnew` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `refresh_O_adrbook_orelnew`(
    IN main_city VARCHAR(40),
    IN _days SMALLINT)
BEGIN
    UPDATE zoadr SET adr_id=0, adr_name=@_orgkod;
    UPDATE zoadr za1,adrbook a1 SET za1.adr_id=a1.adr_id 
    WHERE LEFT(a1.datebirth,4)=LEFT(za1.datebirth,4) AND a1.fam=za1.fam AND a1.im=za1.im AND a1.ot=za1.ot 
    AND za1.adr_id=0 AND za1.adr_name=@_orgkod;
    TRUNCATE TABLE ztmpadr;
    INSERT INTO ztmpadr (adr_name,adr_id,fam,im,ot,sex,datebirth,adr_home,adr_flat)  
    SELECT @_orgkod,id,fam,im,ot,sex,datebirth,house,flat FROM zoadr WHERE adr_id=0 AND adr_name=@_orgkod;
    
    UPDATE ztmpadr,zoadr SET adr_street=find_O_street(street_id),street=find_O_stname(street_id),
    adr_city=find_O_city(place,main_city), street_dop = find_O_streetdop(street,adr_city,place),
    kat=find_O_kat(zoadr.group,zoadr.place),
    works=find_O_Job(job_id,zoadr.place),works_dop=IF(@_place='workplace',TRIM(REPLACE(zoadr.place,CHAR(13),' ')),NULL), 
    ztmpadr.adr_name=@_orgkod WHERE id=ztmpadr.adr_id AND zoadr.adr_name=@_orgkod;
    UPDATE ztmpadr SET adr_id=NULL;
    
    UPDATE adrbook a1,ztmpadr a2,karta k1 SET a1.adr_street=a2.`adr_street`, a1.`street_dop`=a2.`street_dop`, a1.works=a2.works, a1.kat=a2.kat,a1.`adr_city`=a2.`adr_city`,
    k1.adr_street=a2.`adr_street`,k1.works=a2.works, k1.kat=a2.kat
    WHERE a1.adr_id=a2.adr_id AND a1.adr_id=k1.adr_id AND a1.orelnew=1 AND k1.orelnew=1;
    
    UPDATE adrbook SET adr_city = '' WHERE adr_city<=>NULL AND adrbook.orelnew=1;
   IF @_ter<2 THEN
	CALL update_uch_adrbook_orelnew(_days);
    ELSE 
	CALL update_uch_adrbook_orelnew_2(_days);
    END IF;
END */$$
DELIMITER ;

/* Procedure structure for procedure `refresh_O_karta` */

/*!50003 DROP PROCEDURE IF EXISTS  `refresh_O_karta` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `refresh_O_karta`(
    IN _days SMALLINT)
BEGIN
    UPDATE zoadr zo1,adrbook a1 SET zo1.adr_id=a1.adr_id 
    WHERE zo1.adr_id=0 AND LEFT(a1.datebirth,4)=LEFT(zo1.datebirth,4) AND a1.fam=zo1.fam 
    AND a1.im=zo1.im AND a1.ot=zo1.ot AND zo1.adr_name=@_orgkod;
    SELECT insert_O_bodypart(zoregi2.name,zoregi2.id,0) FROM zoregi2 WHERE 1 ;
    
    UPDATE karta SET numvis=RIGHT(snimok,2)+0 WHERE snimok>'' AND adr_name=@_orgkod AND orel=0;
    UPDATE karta SET numvis=RIGHT(flu_id,2)+0 WHERE snimok='' AND numvis=0 AND adr_name=@_orgkod AND orel=0;
    UPDATE zokarta SET adr_id=0 WHERE adr_name=@_orgkod;
    UPDATE zokarta zk1,zoadr a1 SET zk1.adr_id=a1.adr_id 
    WHERE zk1.id=a1.id AND zk1.adr_name=@_orgkod AND a1.adr_name=@_orgkod 
    AND zk1.adr_id=0;
    UPDATE zokarta SET ou=0 WHERE adr_name=@_orgkod; 
    UPDATE zokarta z1,karta k1 SET ou=1 WHERE z1.adr_id=k1.adr_id AND z1.dt=k1.dt AND z1.numvis=k1.numvis AND k1.orel=1 
    AND z1.adr_name=@_orgkod;
    TRUNCATE TABLE ztmpkarta;
    
    INSERT IGNORE INTO ztmpkarta (adr_name,adr_id,numvis,dt,orel,orelnew,doze,reg1,reg2,dir2,dir3,snimok,filename,stelag,p_gr,mkb10,mo,bodypart)
    SELECT @_orgkod,z1.adr_id,z1.numvis,z1.dt,1,1,z1.doze,z1.reg1,z1.reg2,z1.dir2,z1.dir3,REPLACE(z1.nameser,YEAR(z1.dt),''),
    z1.nameser,find_O_stelag(z1.reg1,z1.reg2,z1.cons,z1.des,z1.diag),
    find_O_rentgen(z1.reg2),'P-0',find_O_mo(z1.diagind),find_O_bodypart(z1.reg2) FROM zokarta z1 
    WHERE ou=0 AND z1.adr_name=@_orgkod AND z1.adr_id>0;
    
    INSERT INTO karta SELECT * FROM ztmpkarta WHERE adr_id>0 ;
    DROP TABLE IF EXISTS eee;
    CREATE TEMPORARY TABLE eee 
    SELECT COUNT(adr_id) AS _idd FROM ztmpkarta WHERE adr_id>0;
    TRUNCATE TABLE ztmpkarta;
    if @_ter<2 then
	CALL update_uch_adrbook_orelnew(_days);
    else 
	CALL update_uch_adrbook_orelnew_2(_days);
    end if;
END */$$
DELIMITER ;

/* Procedure structure for procedure `refresh_O_place` */

/*!50003 DROP PROCEDURE IF EXISTS  `refresh_O_place` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `refresh_O_place`()
BEGIN
    UPDATE adrbook a1, zoadr z1 SET works_dop = IF(@_place='workplace',trim(REPLACE(z1.place,'; ',' ')),NULL)  WHERE a1.adr_id=z1.adr_id AND z1.adr_name=@_orgkod;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `refresh_O_vr` */

/*!50003 DROP PROCEDURE IF EXISTS  `refresh_O_vr` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `refresh_O_vr`()
BEGIN
    UPDATE karta,vr SET karta.vr=vr_id WHERE karta.uch=vr.uch AND karta.uch BETWEEN 1 AND 98 AND karta.orelnew=1 AND karta.adr_name=@_orgkod;
    UPDATE karta,zodocd2flu z1 SET karta.vr=z1.dir2
    WHERE karta.dir2=z1.id AND karta.dir2>0 AND karta.orelnew=1 AND z1.adr_name=@_orgkod AND karta.adr_name=@_orgkod ;
    UPDATE karta,zodocd3flu z1 SET karta.vr=z1.dir3
    WHERE karta.dir3=z1.id AND karta.dir3>0 AND karta.orelnew=1 AND z1.adr_name=@_orgkod AND karta.adr_name=@_orgkod  ;
END */$$
DELIMITER ;

/* Procedure structure for procedure `refresh_zoplace` */

/*!50003 DROP PROCEDURE IF EXISTS  `refresh_zoplace` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `refresh_zoplace`()
BEGIN
    TRUNCATE TABLE zoplacetmp;
    INSERT INTO zoplacetmp
    SELECT trim(replace(place,'; ',' ')), COUNT(place) kol FROM zoadr WHERE adr_name = @_orgkod AND place>'' GROUP BY place;
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp
    SELECT zoplacetmp.name, zoplacetmp.kol 
    FROM zoplacetmp LEFT JOIN zoplace ON zoplace.name=zoplacetmp.name 
    WHERE adr_name = @_orgkod AND zoplace.kol<=>NULL ;
    INSERT INTO zoplace SELECT NULL id,TRIM(REPLACE(NAME,'; ',' ')),kol,NULL works,NULL city,NULL kat ,@_orgkod adr_name FROM tmp;
    DROP TABLE IF EXISTS tmp;
   END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_adruch_update` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_adruch_update` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_adruch_update`(in _kuda tinyint,in _kak tinyint)
BEGIN
    if _kuda=1 then 
        begin
            select insert_adruch(adr_id,uch,_kak) from adrbook;
        end;
    end if;
    IF _kuda=0 THEN 
        BEGIN
            if _kak=1 then
                update adrbook a1,adruch a2 set uch=ut where a1.adr_id=a2.adr_id;
            else 
                UPDATE adrbook a1,adruch a2 SET uch=ut WHERE a1.adr_id=a2.adr_id and ut BETWEEN 1 and 98;
            end if;
        END;
    END IF;
   END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_err_calc_out` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_err_calc_out` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_err_calc_out`()
BEGIN
    SELECT ymoney_id,stp_1,stp_2,stp_3,stp_4,stp_5,stp_6,stp_7,stp_8,stp_9,stp_10,stp_11,stp_12,2*fl+wz mon_type,y1.NAME monname,spec spec_cod,s1.name specname,z1.ye ye  
    FROM zyerrcalc z1 LEFT JOIN ymontype y1 ON (2*fl+wz)=y1.ymontype_id 
    LEFT JOIN ymoney m1 ON m1.spec_cod=z1.spec AND m1.ye=z1.ye AND m1.mon_type=(2*fl+wz)
    LEFT JOIN yspec s1 ON s1.yspec_id=z1.spec GROUP BY fl,wz,spec ORDER BY mon_type, spec_cod;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_f12_1` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_f12_1` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_f12_1`(IN _st DATE,IN _en DATE)
BEGIN   
    DECLARE k1,k2,k3 INT default NULL;
    UPDATE mkbf12 SET _0=null,_1=null,_2=NULL,_3=NULL WHERE typ in (1,2) and mkball_id<=145;
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp SELECT * FROM ztal GROUP BY adr_id,left(dz,5),q_z ORDER BY dw;
    TRUNCATE TABLE ztal;
    INSERT INTO ztal SELECT * FROM tmp;
    DROP TABLE IF EXISTS tmp;
    
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'B99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'B99.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'B99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=2;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'A09.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'A09.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'A09.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=3;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'B15' and 'B19.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'B15' AND 'B19.99' and q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'B15' AND 'B19.99' AND ztal.adr_id=a1.adr_id and disp=1 GROUP BY ztal.adr_id) q1);
    update mkbf12 set _1=k1,_2=k2,_3=k3 WHERE mkball_id=4;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'C00' AND 'D48.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'C00' AND 'D48.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'C00' AND 'D48.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=5;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'C00' AND 'C97.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'C00' AND 'C97.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'C00' AND 'C97.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=6;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D50' AND 'D89.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D50' AND 'D89.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D50' AND 'D89.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=7;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D50' AND 'D64.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D50' AND 'D64.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D50' AND 'D64.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=8;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D65' AND 'D68.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D65' AND 'D68.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D65' AND 'D68.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=9;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D65' AND 'D65.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D65' AND 'D65.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D65' AND 'D65.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=10;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D66' AND 'D68.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D66' AND 'D68.09' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D66' AND 'D68.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=11;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D80' AND 'D89.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D80' AND 'D89.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D80' AND 'D89.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=12;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E00' AND 'E90.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E00' AND 'E90.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E00' AND 'E90.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=13;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E00' AND 'E07.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E00' AND 'E07.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E00' AND 'E07.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=14;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'E02' AND 'E03.99' or dz='E01.8') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'E02' AND 'E03.99' OR dz='E01.8') AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'E02' AND 'E03.99' OR dz='E01.8') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=15;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E05' AND 'E05.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E05' AND 'E05.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E05' AND 'E05.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=16;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E10' AND 'E14.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E10' AND 'E14.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E10' AND 'E14.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=17;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E10' AND 'E10.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E10' AND 'E10.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E10' AND 'E10.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=18;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E11' AND 'E11.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E11' AND 'E11.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E11' AND 'E11.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=19;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E22' AND 'E22.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E22' AND 'E22.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E22' AND 'E22.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=20;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E23.0' AND 'E23.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E23.0' AND 'E23.09' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E23.0' AND 'E23.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=21;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E23.2' AND 'E23.29' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E23.2' AND 'E23.29' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E23.2' AND 'E23.29' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=22;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E25' AND 'E25.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E25' AND 'E25.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E25' AND 'E25.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=23;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E28' AND 'E28.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E28' AND 'E28.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E28' AND 'E28.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=24;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E29' AND 'E29.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E29' AND 'E29.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E29' AND 'E29.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=25;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E66' AND 'E66.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E66' AND 'E66.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E66' AND 'E66.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=26;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E70.0' AND 'E70.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E70.0' AND 'E70.09' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E70.0' AND 'E70.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=27;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E74.2' AND 'E74.29' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E74.2' AND 'E74.29' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E74.2' AND 'E74.29' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=28;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E75.2' AND 'E75.29' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E75.2' AND 'E75.29' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E75.2' AND 'E75.29' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=29;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E76' AND 'E76.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E76' AND 'E76.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E76' AND 'E76.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=30;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E84.0' AND 'E84.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E84.0' AND 'E84.09' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E84.0' AND 'E84.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=31;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'F00' AND 'F99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'F00' AND 'F99.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'F00' AND 'F99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=32;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'F10' AND 'F19.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'F10' AND 'F19.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'F10' AND 'F19.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=33;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G00' AND 'G98.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G00' AND 'G98.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G00' AND 'G98.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=34;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'G00' AND 'G00.99' or dz BETWEEN 'G03' AND 'G03.99' or dz BETWEEN 'G40' AND 'G04.99' or dz BETWEEN 'G06' AND 'G06.99') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'G00' AND 'G00.99' OR dz BETWEEN 'G03' AND 'G03.99' OR dz BETWEEN 'G40' AND 'G04.99' OR dz BETWEEN 'G06' AND 'G06.99') AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'G00' AND 'G00.99' OR dz BETWEEN 'G03' AND 'G03.99' OR dz BETWEEN 'G40' AND 'G04.99' OR dz BETWEEN 'G06' AND 'G06.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=35;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G10' AND 'G12.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G10' AND 'G12.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G10' AND 'G12.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=36;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'G20' AND 'G21.99' OR dz BETWEEN 'G23' AND 'G25.99') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'G20' AND 'G21.99' OR dz BETWEEN 'G23' AND 'G25.99') AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'G20' AND 'G21.99' OR dz BETWEEN 'G23' AND 'G25.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=37;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G20' AND 'G20.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G20' AND 'G20.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G20' AND 'G20.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=38;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G25' AND 'G25.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G25' AND 'G25.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G25' AND 'G25.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=39;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G31' AND 'G31.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G31' AND 'G31.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G31' AND 'G31.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=40;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G35' AND 'G37.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G35' AND 'G37.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G35' AND 'G37.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=41;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G35' AND 'G35.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G35' AND 'G35.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G35' AND 'G35.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=42;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G40' AND 'G47.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G40' AND 'G47.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G40' AND 'G47.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=43;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G40' AND 'G41.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G40' AND 'G41.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G40' AND 'G41.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=44;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G45' AND 'G45.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G45' AND 'G45.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G45' AND 'G45.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=45;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G50' AND 'G72.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G50' AND 'G72.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G50' AND 'G72.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=46;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G71.0' AND 'G71.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G71.0' AND 'G71.09' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G71.0' AND 'G71.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=47;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G80' AND 'G83.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G80' AND 'G83.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G80' AND 'G83.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=48;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G80' AND 'G80.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G80' AND 'G80.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G80' AND 'G80.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=49;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H00' AND 'H59.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H00' AND 'H59.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H00' AND 'H59.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=50;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H26' AND 'H27.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H26' AND 'H27.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H26' AND 'H27.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=51;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H46' AND 'H46.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H46' AND 'H46.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H46' AND 'H46.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=52;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H49' AND 'H52.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H49' AND 'H52.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H49' AND 'H52.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=53;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.0' AND 'H52.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.0' AND 'H52.09' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.0' AND 'H52.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=54;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.1' AND 'H52.19' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.1' AND 'H52.19' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.1' AND 'H52.19' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=55;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.2' AND 'H52.29' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.2' AND 'H52.29' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.2' AND 'H52.29' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=56;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H54' AND 'H54.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H54' AND 'H54.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H54' AND 'H54.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=57;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H54.0' AND 'H54.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H54.0' AND 'H54.09' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H54.0' AND 'H54.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=58;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H60' AND 'H95.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H60' AND 'H95.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H60' AND 'H95.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=59;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H60' AND 'H62.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H60' AND 'H62.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H60' AND 'H62.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=60;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H65' AND 'H75.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H65' AND 'H75.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H65' AND 'H75.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=61;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'H65.0' AND 'H65.19' or dz BETWEEN 'H66.0' AND 'H66.09') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'H65.0' AND 'H65.19' OR dz BETWEEN 'H66.0' AND 'H66.09') AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'H65.0' AND 'H65.19' OR dz BETWEEN 'H66.0' AND 'H66.09') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=62;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'H65.2' AND 'H65.99' OR dz BETWEEN 'H66.1' AND 'H66.49' OR dz BETWEEN 'H66.9' AND 'H66.99') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'H65.2' AND 'H65.99' OR dz BETWEEN 'H66.1' AND 'H66.49' OR dz BETWEEN 'H66.9' AND 'H66.99') AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'H65.2' AND 'H65.99' OR dz BETWEEN 'H66.1' AND 'H66.49' OR dz BETWEEN 'H66.9' AND 'H66.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=63;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H68' AND 'H69.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H68' AND 'H69.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H68' AND 'H69.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=64;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H72' AND 'H72.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H72' AND 'H72.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H72' AND 'H72.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=65;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H74' AND 'H74.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H74' AND 'H74.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H74' AND 'H74.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=66;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H80' AND 'H83.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H80' AND 'H83.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H80' AND 'H83.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=67;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H80' AND 'H80.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H80' AND 'H80.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H80' AND 'H80.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=68;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H81.0' AND 'H81.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H81.0' AND 'H81.09' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H81.0' AND 'H81.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=69;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90' AND 'H90.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90' AND 'H90.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90' AND 'H90.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=70;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90.0' AND 'H90.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90.0' AND 'H90.09' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90.0' AND 'H90.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=71;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90.3' AND 'H90.39' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90.3' AND 'H90.39' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90.3' AND 'H90.39' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=72;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I00' AND 'I99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I00' AND 'I99.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I00' AND 'I99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=73;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I00' AND 'I02.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I00' AND 'I02.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I00' AND 'I02.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=74;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I05' AND 'I09.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I05' AND 'I09.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I05' AND 'I09.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=75;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I05' AND 'I08.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I05' AND 'I08.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I05' AND 'I08.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=76;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I10' AND 'I13.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I10' AND 'I13.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I10' AND 'I13.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=77;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I10' AND 'I10.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I10' AND 'I10.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I10' AND 'I10.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=78;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I30' AND 'I52.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I30' AND 'I52.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I30' AND 'I52.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=79;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'I33' AND 'I33.99' or dz BETWEEN 'I40' AND 'I40.99') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'I33' AND 'I33.99' OR dz BETWEEN 'I40' AND 'I40.99') AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'I33' AND 'I33.99' OR dz BETWEEN 'I40' AND 'I40.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=80;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I42' AND 'I42.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I42' AND 'I42.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I42' AND 'I42.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=81;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I44' AND 'I45.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I44' AND 'I45.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I44' AND 'I45.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=82;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I47' AND 'I49.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I47' AND 'I49.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I47' AND 'I49.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=83;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I60' AND 'I67.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I60' AND 'I67.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I60' AND 'I67.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=84;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J00' AND 'J98.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J00' AND 'J98.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J00' AND 'J98.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=85;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J04' AND 'J04.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J04' AND 'J04.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J04' AND 'J04.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=86;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J05' AND 'J05.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J05' AND 'J05.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J05' AND 'J05.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=87;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'J12' AND 'J16.99' or dz BETWEEN 'J18' AND 'J18.99') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'J12' AND 'J16.99' OR dz BETWEEN 'J18' AND 'J18.99') AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'J12' AND 'J16.99' OR dz BETWEEN 'J18' AND 'J18.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=88;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J30.1' AND 'J30.19' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J30.1' AND 'J30.19' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J30.1' AND 'J30.19' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=89;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J31' AND 'J32.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J31' AND 'J32.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J31' AND 'J32.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=90;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J35' AND 'J36.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J35' AND 'J36.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J35' AND 'J36.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=91;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J37.0' AND 'J37.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J37.0' AND 'J37.09' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J37.0' AND 'J37.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=92;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J38' AND 'J38.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J38' AND 'J38.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J38' AND 'J38.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=93;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J40' AND 'J43.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J40' AND 'J43.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J40' AND 'J43.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=94;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J44' AND 'J47.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J44' AND 'J47.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J44' AND 'J47.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=95;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J45' AND 'J46.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J45' AND 'J46.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J45' AND 'J46.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=96;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J60' AND 'J70.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J60' AND 'J70.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J60' AND 'J70.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=97;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J84' AND 'J94.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J84' AND 'J94.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J84' AND 'J94.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=98;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K00' AND 'K92.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K00' AND 'K92.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K00' AND 'K92.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=99;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K25' AND 'K26.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K25' AND 'K26.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K25' AND 'K26.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=100;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K29' AND 'K29.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K29' AND 'K29.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K29' AND 'K29.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=101;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K30' AND 'K31.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K30' AND 'K31.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K30' AND 'K31.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=102;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K50' AND 'K52.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K50' AND 'K52.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K50' AND 'K52.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=103;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K70' AND 'K76.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K70' AND 'K76.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K70' AND 'K76.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=104;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K80' AND 'K83.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K80' AND 'K83.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K80' AND 'K83.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=105;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K85' AND 'K86.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K85' AND 'K86.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K85' AND 'K86.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=106;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L00' AND 'L99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L00' AND 'L99.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L00' AND 'L99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=107;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L20' AND 'L20.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L20' AND 'L20.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L20' AND 'L20.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=108;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L23' AND 'L25.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L23' AND 'L25.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L23' AND 'L25.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=109;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L30.9' AND 'L30.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L30.9' AND 'L30.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L30.9' AND 'L30.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=110;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L40' AND 'L40.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L40' AND 'L40.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L40' AND 'L40.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=111;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L40.5' AND 'L40.59' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L40.5' AND 'L40.59' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L40.5' AND 'L40.59' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=112;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L43' AND 'L43.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L43' AND 'L43.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L43' AND 'L43.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=113;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L93.0' AND 'L93.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L93.0' AND 'L93.09' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L93.0' AND 'L93.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=114;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L94.0' AND 'L94.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L94.0' AND 'L94.09' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L94.0' AND 'L94.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=115;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M00' AND 'M99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M00' AND 'M99.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M00' AND 'M99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=116;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M00' AND 'M25.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M00' AND 'M25.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M00' AND 'M25.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=117;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M02' AND 'M02.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M02' AND 'M02.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M02' AND 'M02.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=118;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M05' AND 'M06.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M05' AND 'M06.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M05' AND 'M06.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=119;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M08' AND 'M08.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M08' AND 'M08.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M08' AND 'M08.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=120;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M30' AND 'M35.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M30' AND 'M35.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M30' AND 'M35.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=121;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M40' AND 'M43.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M40' AND 'M43.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M40' AND 'M43.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=122;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M45' AND 'M45.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M45' AND 'M45.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M45' AND 'M45.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=123;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M54' AND 'M54.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M54' AND 'M54.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M54' AND 'M54.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=124;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M60' AND 'M79.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M60' AND 'M79.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M60' AND 'M79.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=125;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M80' AND 'M94.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M80' AND 'M94.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M80' AND 'M94.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=126;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N00' AND 'N99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N00' AND 'N99.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N00' AND 'N99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=127;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N00' AND 'N15.99' or dz BETWEEN 'N25' AND 'N28.99') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N00' AND 'N15.99' OR dz BETWEEN 'N25' AND 'N28.99') AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N00' AND 'N15.99' OR dz BETWEEN 'N25' AND 'N28.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=128;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N17' AND 'N19.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N17' AND 'N19.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N17' AND 'N19.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=129;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N00' AND 'N21.99' OR dz BETWEEN 'N23' AND 'N23.99') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N00' AND 'N21.99' OR dz BETWEEN 'N23' AND 'N23.99') AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N00' AND 'N21.99' OR dz BETWEEN 'N23' AND 'N23.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=130;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N30' AND 'N32.99' OR dz BETWEEN 'N34' AND 'N36.99' OR dz BETWEEN 'N39' AND 'N39.99') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N30' AND 'N32.99' OR dz BETWEEN 'N34' AND 'N36.99' OR dz BETWEEN 'N39' AND 'N39.99') AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N30' AND 'N32.99' OR dz BETWEEN 'N34' AND 'N36.99' OR dz BETWEEN 'N39' AND 'N39.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=131;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N70' AND 'N70.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N70' AND 'N70.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N70' AND 'N70.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=132;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N91' AND 'N94.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N91' AND 'N94.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N91' AND 'N94.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=133;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'O00' AND 'O99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'O00' AND 'O99.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'O00' AND 'O99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=134;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'P00' AND 'P96.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'P00' AND 'P96.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'P00' AND 'P96.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=135;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q00' AND 'Q99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q00' AND 'Q99.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q00' AND 'Q99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=136;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q00' AND 'Q07.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q00' AND 'Q07.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q00' AND 'Q07.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=137;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q20' AND 'Q28.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q20' AND 'Q28.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q20' AND 'Q28.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=138;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q50' AND 'Q52.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q50' AND 'Q52.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q50' AND 'Q52.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=139;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q56' AND 'Q56.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q56' AND 'Q56.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q56' AND 'Q56.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=140;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q80' AND 'Q80.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q80' AND 'Q80.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q80' AND 'Q80.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=141;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q85.0' AND 'Q85.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q85.0' AND 'Q85.09' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q85.0' AND 'Q85.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=142;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q90' AND 'Q90.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q90' AND 'Q90.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q90' AND 'Q90.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=143;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'R00' AND 'R99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'R00' AND 'R99.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'R00' AND 'R99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=144;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'S00' AND 'T98.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'S00' AND 'T98.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'S00' AND 'T98.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=145;
  
   SET k1=(SELECT SUM(_1) FROM mkbf12 m1 WHERE num IN (2,5,7,13,32,34,50,59,73,85,99,107,116,127,134,135,136,144,145) and typ=1),
   k2=(SELECT SUM(_2) FROM mkbf12 m1 WHERE num IN (2,5,7,13,32,34,50,59,73,85,99,107,116,127,134,135,136,144,145) AND typ=1),
   k3=(SELECT SUM(_3) FROM mkbf12 m1 WHERE num IN (2,5,7,13,32,34,50,59,73,85,99,107,116,127,134,135,136,144,145) AND typ=1);
   UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=1;
    select * from mkbf12 where mkball_id<=145;
END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_f12_1z` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_f12_1z` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_f12_1z`(IN _st DATE,IN _en DATE)
BEGIN   
    DECLARE k1,k2,k3 INT DEFAULT NULL;
    UPDATE mkbf12 SET _0=NULL,_1=NULL,_2=NULL,_3=NULL WHERE mkball_id BETWEEN 146 and 153 ;





    
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z00' AND 'Z99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z00' AND 'Z99.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z00' AND 'Z99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=146;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z00' AND 'Z13.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z00' AND 'Z13.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z00' AND 'Z13.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=147;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z20' AND 'Z29.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z20' AND 'Z29.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z20' AND 'Z29.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=148;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z30' AND 'Z39.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z30' AND 'Z39.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z30' AND 'Z39.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=149;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z40' AND 'Z54.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z40' AND 'Z54.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z40' AND 'Z54.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=150;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z55' AND 'Z65.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z55' AND 'Z65.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z55' AND 'Z65.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=151;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z70' AND 'Z76.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z70' AND 'Z76.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z70' AND 'Z76.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=152;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z80' AND 'Z99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z80' AND 'Z99.99' AND q_z=2 GROUP BY adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z80' AND 'Z99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=153;
  
    SELECT * FROM mkbf12 WHERE mkball_id BETWEEN 146 AND 153;
END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_f12_1__` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_f12_1__` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_f12_1__`(IN _st DATE,IN _en DATE)
BEGIN   
    DECLARE k1,k2,k3 INT DEFAULT NULL;
    UPDATE mkbf12 SET _0=NULL,_1=NULL,_2=NULL,_3=NULL WHERE typ IN (1,2);
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp SELECT * FROM ztal GROUP BY adr_id,LEFT(dz,5),q_z ORDER BY dw;
    TRUNCATE TABLE ztal;
    INSERT INTO ztal SELECT * FROM tmp;
    DROP TABLE IF EXISTS tmp;
    
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'T98.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'T98.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'T98.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=1;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'B99.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'B99.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'B99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=2;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'A09.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'A09.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'A09.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=3;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'B15' AND 'B19.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'B15' AND 'B19.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'B15' AND 'B19.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=4;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'C00' AND 'D48.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'C00' AND 'D48.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'C00' AND 'D48.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=5;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'C00' AND 'C97.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'C00' AND 'C97.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'C00' AND 'C97.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=6;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D50' AND 'D89.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D50' AND 'D89.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D50' AND 'D89.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=7;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D50' AND 'D64.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D50' AND 'D64.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D50' AND 'D64.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=8;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D65' AND 'D68.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D65' AND 'D68.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D65' AND 'D68.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=9;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D65' AND 'D65.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D65' AND 'D65.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D65' AND 'D65.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=10;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D66' AND 'D68.0' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D66' AND 'D68.0' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D66' AND 'D68.0' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=11;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D80' AND 'D89.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D80' AND 'D89.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D80' AND 'D89.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=12;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E00' AND 'E90.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E00' AND 'E90.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E00' AND 'E90.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=13;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E00' AND 'E07.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E00' AND 'E07.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E00' AND 'E07.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=14;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'E02' AND 'E03.99' OR dz='E01.8') AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'E02' AND 'E03.99' OR dz='E01.8') AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'E02' AND 'E03.99' OR dz='E01.8') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=15;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E05' AND 'E05.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E05' AND 'E05.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E05' AND 'E05.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=16;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E10' AND 'E14.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E10' AND 'E14.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E10' AND 'E14.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=17;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E10' AND 'E10.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E10' AND 'E10.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E10' AND 'E10.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=18;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E11' AND 'E11.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E11' AND 'E11.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E11' AND 'E11.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=19;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E22' AND 'E22.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E22' AND 'E22.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E22' AND 'E22.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=20;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E23.0' AND 'E23.09' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E23.0' AND 'E23.09' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E23.0' AND 'E23.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=21;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E23.2' AND 'E23.29' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E23.2' AND 'E23.29' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E23.2' AND 'E23.29' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=22;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E25' AND 'E25.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E25' AND 'E25.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E25' AND 'E25.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=23;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E28' AND 'E28.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E28' AND 'E28.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E28' AND 'E28.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=24;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E29' AND 'E29.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E29' AND 'E29.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E29' AND 'E29.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=25;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E66' AND 'E66.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E66' AND 'E66.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E66' AND 'E66.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=26;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E70.0' AND 'E70.09' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E70.0' AND 'E70.09' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E70.0' AND 'E70.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=27;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E74.2' AND 'E74.29' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E74.2' AND 'E74.29' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E74.2' AND 'E74.29' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=28;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E75.2' AND 'E75.29' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E75.2' AND 'E75.29' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E75.2' AND 'E75.29' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=29;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E76' AND 'E76.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E76' AND 'E76.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E76' AND 'E76.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=30;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E84.0' AND 'E84.09' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E84.0' AND 'E84.09' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E84.0' AND 'E84.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=31;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'F00' AND 'F99.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'F00' AND 'F99.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'F00' AND 'F99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=32;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'F10' AND 'F19.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'F10' AND 'F19.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'F10' AND 'F19.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=33;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G00' AND 'G98.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G00' AND 'G98.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G00' AND 'G98.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=34;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'G00' AND 'G00.99' OR dz BETWEEN 'G03' AND 'G03.99' OR dz BETWEEN 'G40' AND 'G04.99' OR dz BETWEEN 'G06' AND 'G06.99') AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'G00' AND 'G00.99' OR dz BETWEEN 'G03' AND 'G03.99' OR dz BETWEEN 'G40' AND 'G04.99' OR dz BETWEEN 'G06' AND 'G06.99') AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'G00' AND 'G00.99' OR dz BETWEEN 'G03' AND 'G03.99' OR dz BETWEEN 'G40' AND 'G04.99' OR dz BETWEEN 'G06' AND 'G06.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=35;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G10' AND 'G12.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G10' AND 'G12.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G10' AND 'G12.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=36;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'G20' AND 'G21.99' OR dz BETWEEN 'G23' AND 'G25.99') AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'G20' AND 'G21.99' OR dz BETWEEN 'G23' AND 'G25.99') AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'G20' AND 'G21.99' OR dz BETWEEN 'G23' AND 'G25.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=37;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G20' AND 'G20.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G20' AND 'G20.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G20' AND 'G20.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=38;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G25' AND 'G25.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G25' AND 'G25.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G25' AND 'G25.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=39;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G31' AND 'G31.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G31' AND 'G31.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G31' AND 'G31.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=40;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G35' AND 'G37.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G35' AND 'G37.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G35' AND 'G37.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=41;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G35' AND 'G35.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G35' AND 'G35.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G35' AND 'G35.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=42;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G40' AND 'G47.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G40' AND 'G47.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G40' AND 'G47.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=43;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G40' AND 'G41.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G40' AND 'G41.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G40' AND 'G41.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=44;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G45' AND 'G45.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G45' AND 'G45.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G45' AND 'G45.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=45;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G50' AND 'G72.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G50' AND 'G72.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G50' AND 'G72.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=46;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G71.0' AND 'G71.09' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G71.0' AND 'G71.09' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G71.0' AND 'G71.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=47;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G80' AND 'G83.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G80' AND 'G83.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G80' AND 'G83.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=48;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G80' AND 'G80.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G80' AND 'G80.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G80' AND 'G80.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=49;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H00' AND 'H59.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H00' AND 'H59.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H00' AND 'H59.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=50;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H26' AND 'H27.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H26' AND 'H27.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H26' AND 'H27.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=51;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H46' AND 'H46.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H46' AND 'H46.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H46' AND 'H46.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=52;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H49' AND 'H52.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H49' AND 'H52.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H49' AND 'H52.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=53;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.0' AND 'H52.09' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.0' AND 'H52.09' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.0' AND 'H52.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=54;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.1' AND 'H52.19' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.1' AND 'H52.19' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.1' AND 'H52.19' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=55;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.2' AND 'H52.29' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.2' AND 'H52.29' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.2' AND 'H52.29' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=56;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H54' AND 'H54.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H54' AND 'H54.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H54' AND 'H54.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=57;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H54.0' AND 'H54.09' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H54.0' AND 'H54.09' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H54.0' AND 'H54.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=58;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H60' AND 'H95.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H60' AND 'H95.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H60' AND 'H95.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=59;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H60' AND 'H62.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H60' AND 'H62.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H60' AND 'H62.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=60;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H65' AND 'H75.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H65' AND 'H75.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H65' AND 'H75.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=61;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'H65.0' AND 'H65.19' OR dz BETWEEN 'H66.0' AND 'H66.09') AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'H65.0' AND 'H65.19' OR dz BETWEEN 'H66.0' AND 'H66.09') AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'H65.0' AND 'H65.19' OR dz BETWEEN 'H66.0' AND 'H66.09') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=62;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'H65.2' AND 'H65.99' OR dz BETWEEN 'H66.1' AND 'H66.49' OR dz BETWEEN 'H66.9' AND 'H66.99') AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'H65.2' AND 'H65.99' OR dz BETWEEN 'H66.1' AND 'H66.49' OR dz BETWEEN 'H66.9' AND 'H66.99') AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'H65.2' AND 'H65.99' OR dz BETWEEN 'H66.1' AND 'H66.49' OR dz BETWEEN 'H66.9' AND 'H66.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=63;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H68' AND 'H69.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H68' AND 'H69.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H68' AND 'H69.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=64;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H72' AND 'H72.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H72' AND 'H72.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H72' AND 'H72.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=65;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H74' AND 'H74.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H74' AND 'H74.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H74' AND 'H74.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=66;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H80' AND 'H83.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H80' AND 'H83.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H80' AND 'H83.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=67;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H80' AND 'H80.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H80' AND 'H80.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H80' AND 'H80.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=68;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H81.0' AND 'H81.09' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H81.0' AND 'H81.09' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H81.0' AND 'H81.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=69;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90' AND 'H90.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90' AND 'H90.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90' AND 'H90.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=70;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90.0' AND 'H90.09' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90.0' AND 'H90.09' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90.0' AND 'H90.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=71;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90.3' AND 'H90.39' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90.3' AND 'H90.39' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90.3' AND 'H90.39' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=72;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I00' AND 'I99.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I00' AND 'I99.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I00' AND 'I99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=73;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I00' AND 'I02.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I00' AND 'I02.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I00' AND 'I02.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=74;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I05' AND 'I09.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I05' AND 'I09.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I05' AND 'I09.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=75;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I05' AND 'I08.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I05' AND 'I08.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I05' AND 'I08.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=76;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I10' AND 'I13.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I10' AND 'I13.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I10' AND 'I13.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=77;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I10' AND 'I10.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I10' AND 'I10.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I10' AND 'I10.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=78;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I30' AND 'I52.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I30' AND 'I52.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I30' AND 'I52.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=79;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'I33' AND 'I33.99' OR dz BETWEEN 'I40' AND 'I40.99') AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'I33' AND 'I33.99' OR dz BETWEEN 'I40' AND 'I40.99') AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'I33' AND 'I33.99' OR dz BETWEEN 'I40' AND 'I40.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=80;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I42' AND 'I42.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I42' AND 'I42.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I42' AND 'I42.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=81;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I44' AND 'I45.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I44' AND 'I45.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I44' AND 'I45.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=82;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I47' AND 'I49.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I47' AND 'I49.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I47' AND 'I49.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=83;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I60' AND 'I67.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I60' AND 'I67.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I60' AND 'I67.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=84;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J00' AND 'J98.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J00' AND 'J98.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J00' AND 'J98.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=85;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J04' AND 'J04.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J04' AND 'J04.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J04' AND 'J04.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=86;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J05' AND 'J05.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J05' AND 'J05.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J05' AND 'J05.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=87;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'J12' AND 'J16.99' OR dz BETWEEN 'J18' AND 'J18.99') AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'J12' AND 'J16.99' OR dz BETWEEN 'J18' AND 'J18.99') AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'J12' AND 'J16.99' OR dz BETWEEN 'J18' AND 'J18.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=88;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J30.1' AND 'J30.19' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J30.1' AND 'J30.19' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J30.1' AND 'J30.19' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=89;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J31' AND 'J32.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J31' AND 'J32.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J31' AND 'J32.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=90;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J35' AND 'J36.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J35' AND 'J36.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J35' AND 'J36.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=91;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J37.0' AND 'J37.09' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J37.0' AND 'J37.09' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J37.0' AND 'J37.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=92;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J38' AND 'J38.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J38' AND 'J38.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J38' AND 'J38.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=93;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J40' AND 'J43.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J40' AND 'J43.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J40' AND 'J43.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=94;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J44' AND 'J47.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J44' AND 'J47.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J44' AND 'J47.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=95;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J45' AND 'J46.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J45' AND 'J46.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J45' AND 'J46.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=96;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J60' AND 'J70.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J60' AND 'J70.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J60' AND 'J70.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=97;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J84' AND 'J94.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J84' AND 'J94.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J84' AND 'J94.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=98;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K00' AND 'K92.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K00' AND 'K92.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K00' AND 'K92.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=99;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K25' AND 'K26.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K25' AND 'K26.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K25' AND 'K26.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=100;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K29' AND 'K29.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K29' AND 'K29.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K29' AND 'K29.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=101;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K30' AND 'K31.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K30' AND 'K31.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K30' AND 'K31.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=102;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K50' AND 'K52.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K50' AND 'K52.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K50' AND 'K52.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=103;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K70' AND 'K76.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K70' AND 'K76.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K70' AND 'K76.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=104;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K80' AND 'K83.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K80' AND 'K83.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K80' AND 'K83.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=105;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K85' AND 'K86.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K85' AND 'K86.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K85' AND 'K86.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=106;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L00' AND 'L99.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L00' AND 'L99.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L00' AND 'L99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=107;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L20' AND 'L20.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L20' AND 'L20.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L20' AND 'L20.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=108;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L23' AND 'L25.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L23' AND 'L25.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L23' AND 'L25.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=109;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L30.9' AND 'L30.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L30.9' AND 'L30.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L30.9' AND 'L30.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=110;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L40' AND 'L40.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L40' AND 'L40.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L40' AND 'L40.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=111;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L40.5' AND 'L40.59' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L40.5' AND 'L40.59' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L40.5' AND 'L40.59' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=112;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L43' AND 'L43.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L43' AND 'L43.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L43' AND 'L43.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=113;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L93.0' AND 'L93.09' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L93.0' AND 'L93.09' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L93.0' AND 'L93.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=114;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L94.0' AND 'L94.09' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L94.0' AND 'L94.09' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L94.0' AND 'L94.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=115;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M00' AND 'M99.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M00' AND 'M99.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M00' AND 'M99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=116;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M00' AND 'M25.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M00' AND 'M25.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M00' AND 'M25.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=117;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M02' AND 'M02.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M02' AND 'M02.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M02' AND 'M02.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=118;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M05' AND 'M06.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M05' AND 'M06.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M05' AND 'M06.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=119;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M08' AND 'M08.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M08' AND 'M08.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M08' AND 'M08.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=120;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M30' AND 'M35.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M30' AND 'M35.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M30' AND 'M35.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=121;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M40' AND 'M43.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M40' AND 'M43.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M40' AND 'M43.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=122;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M45' AND 'M45.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M45' AND 'M45.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M45' AND 'M45.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=123;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M54' AND 'M54.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M54' AND 'M54.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M54' AND 'M54.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=124;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M60' AND 'M79.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M60' AND 'M79.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M60' AND 'M79.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=125;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M80' AND 'M94.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M80' AND 'M94.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M80' AND 'M94.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=126;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N00' AND 'N99.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N00' AND 'N99.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N00' AND 'N99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=127;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N00' AND 'N15.99' OR dz BETWEEN 'N25' AND 'N28.99') AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N00' AND 'N15.99' OR dz BETWEEN 'N25' AND 'N28.99') AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N00' AND 'N15.99' OR dz BETWEEN 'N25' AND 'N28.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=128;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N17' AND 'N19.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N17' AND 'N19.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N17' AND 'N19.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=129;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N00' AND 'N21.99' OR dz BETWEEN 'N23' AND 'N23.99') AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N00' AND 'N21.99' OR dz BETWEEN 'N23' AND 'N23.99') AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N00' AND 'N21.99' OR dz BETWEEN 'N23' AND 'N23.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=130;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N30' AND 'N32.99' OR dz BETWEEN 'N34' AND 'N36.99' OR dz BETWEEN 'N39' AND 'N39.99') AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N30' AND 'N32.99' OR dz BETWEEN 'N34' AND 'N36.99' OR dz BETWEEN 'N39' AND 'N39.99') AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N30' AND 'N32.99' OR dz BETWEEN 'N34' AND 'N36.99' OR dz BETWEEN 'N39' AND 'N39.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=131;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N70' AND 'N70.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N70' AND 'N70.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N70' AND 'N70.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=132;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N91' AND 'N94.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N91' AND 'N94.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N91' AND 'N94.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=133;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'O00' AND 'O99.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'O00' AND 'O99.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'O00' AND 'O99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=134;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'P00' AND 'P96.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'P00' AND 'P96.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'P00' AND 'P96.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=135;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q00' AND 'Q99.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q00' AND 'Q99.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q00' AND 'Q99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=136;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q00' AND 'Q07.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q00' AND 'Q07.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q00' AND 'Q07.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=137;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q20' AND 'Q28.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q20' AND 'Q28.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q20' AND 'Q28.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=138;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q50' AND 'Q52.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q50' AND 'Q52.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q50' AND 'Q52.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=139;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q56' AND 'Q56.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q56' AND 'Q56.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q56' AND 'Q56.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=140;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q80' AND 'Q80.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q80' AND 'Q80.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q80' AND 'Q80.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=141;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q85.0' AND 'Q85.09' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q85.0' AND 'Q85.09' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q85.0' AND 'Q85.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=142;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q90' AND 'Q90.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q90' AND 'Q90.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q90' AND 'Q90.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=143;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'R00' AND 'R99.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'R00' AND 'R99.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'R00' AND 'R99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=144;
    SET k1=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'S00' AND 'T98.99' AND ((q_z IN (1,5,0) AND R_TKSG=1) OR q_z IN (2,3,4)) GROUP BY adr_id);
    SET k2=(SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'S00' AND 'T98.99' AND q_z=2 GROUP BY adr_id);
    SET k3=(SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'S00' AND 'T98.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=145;
  
    SELECT * FROM mkbf12;
END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_f12_2` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_f12_2` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_f12_2`(IN _st DATE,IN _en DATE)
BEGIN   
    DECLARE k1,k2,k3,k4,k5,k6 INT DEFAULT NULL;
    UPDATE mkbf12 SET _0=NULL,_1=NULL,_2=NULL,_3=NULL,_4=NULL,_5=NULL,_6=NULL WHERE mkball_id BETWEEN 154 and 299;
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp SELECT * FROM ztal GROUP BY ztal.adr_id,LEFT(dz,5),q_z ORDER BY dw;
    TRUNCATE TABLE ztal;
    INSERT INTO ztal SELECT * FROM tmp;
    DROP TABLE IF EXISTS tmp;
    
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'B99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'B99.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'B99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'B99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'B99.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id  AND dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'B99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=155;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'A09.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'A09.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'A09.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'A09.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'A09.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id  AND dw BETWEEN _st AND _en AND dz BETWEEN 'A00' AND 'A09.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=156;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'B15' AND 'B19.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'B15' AND 'B19.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'B15' AND 'B19.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'B15' AND 'B19.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'B15' AND 'B19.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id  AND dw BETWEEN _st AND _en AND dz BETWEEN 'B15' AND 'B19.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=157;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'C00' AND 'D48.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'C00' AND 'D48.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'C00' AND 'D48.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'C00' AND 'D48.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'C00' AND 'D48.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id  AND dw BETWEEN _st AND _en AND dz BETWEEN 'C00' AND 'D48.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=158;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'C00' AND 'C97.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'C00' AND 'C97.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'C00' AND 'C97.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'C00' AND 'C97.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'C00' AND 'C97.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'C00' AND 'C97.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=159;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D50' AND 'D89.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D50' AND 'D89.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D50' AND 'D89.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'D50' AND 'D89.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'D50' AND 'D89.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'D50' AND 'D89.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=160;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D50' AND 'D64.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D50' AND 'D64.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D50' AND 'D64.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'D50' AND 'D64.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'D50' AND 'D64.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'D50' AND 'D64.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=161;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D65' AND 'D68.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D65' AND 'D68.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D65' AND 'D68.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'D65' AND 'D68.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'D65' AND 'D68.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'D65' AND 'D68.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=162;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D65' AND 'D65.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D65' AND 'D65.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D65' AND 'D65.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'D65' AND 'D65.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'D65' AND 'D65.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'D65' AND 'D65.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=163;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D66' AND 'D68.0' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D66' AND 'D68.0' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D66' AND 'D68.0' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'D66' AND 'D68.0' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'D66' AND 'D68.0' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'D66' AND 'D68.0' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=164;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D80' AND 'D89.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D80' AND 'D89.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'D80' AND 'D89.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'D80' AND 'D89.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'D80' AND 'D89.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'D80' AND 'D89.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=165;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E00' AND 'E90.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E00' AND 'E90.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E00' AND 'E90.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E00' AND 'E90.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E00' AND 'E90.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E00' AND 'E90.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=166;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E00' AND 'E07.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E00' AND 'E07.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E00' AND 'E07.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E00' AND 'E07.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E00' AND 'E07.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E00' AND 'E07.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=167;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'E02' AND 'E03.99' OR dz='E01.8') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'E02' AND 'E03.99' OR dz='E01.8') AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'E02' AND 'E03.99' OR dz='E01.8') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'E02' AND 'E03.99' OR dz='E01.8') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'E02' AND 'E03.99' OR dz='E01.8') AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'E02' AND 'E03.99' OR dz='E01.8') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=168;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E05' AND 'E05.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E05' AND 'E05.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E05' AND 'E05.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E05' AND 'E05.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E05' AND 'E05.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E05' AND 'E05.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=169;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E10' AND 'E14.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E10' AND 'E14.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E10' AND 'E14.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E10' AND 'E14.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E10' AND 'E14.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E10' AND 'E14.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=170;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E10' AND 'E10.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E10' AND 'E10.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E10' AND 'E10.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E10' AND 'E10.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E10' AND 'E10.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E10' AND 'E10.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=171;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E11' AND 'E11.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E11' AND 'E11.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E11' AND 'E11.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E11' AND 'E11.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E11' AND 'E11.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E11' AND 'E11.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=172;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E22' AND 'E22.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E22' AND 'E22.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E22' AND 'E22.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E22' AND 'E22.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E22' AND 'E22.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E22' AND 'E22.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=173;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E23.0' AND 'E23.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E23.0' AND 'E23.09' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E23.0' AND 'E23.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E23.0' AND 'E23.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E23.0' AND 'E23.09' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E23.0' AND 'E23.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=174;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E23.2' AND 'E23.29' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E23.2' AND 'E23.29' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E23.2' AND 'E23.29' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E23.2' AND 'E23.29' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E23.2' AND 'E23.29' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E23.2' AND 'E23.29' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=175;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E25' AND 'E25.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E25' AND 'E25.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E25' AND 'E25.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E25' AND 'E25.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E25' AND 'E25.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E25' AND 'E25.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=176;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E28' AND 'E28.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E28' AND 'E28.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E28' AND 'E28.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E28' AND 'E28.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E28' AND 'E28.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E28' AND 'E28.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=177;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E29' AND 'E29.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E29' AND 'E29.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E29' AND 'E29.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E29' AND 'E29.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E29' AND 'E29.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E29' AND 'E29.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=178;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E66' AND 'E66.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E66' AND 'E66.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E66' AND 'E66.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E66' AND 'E66.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E66' AND 'E66.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E66' AND 'E66.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=179;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E70.0' AND 'E70.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E70.0' AND 'E70.09' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E70.0' AND 'E70.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E70.0' AND 'E70.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E70.0' AND 'E70.09' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E70.0' AND 'E70.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=180;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E74.2' AND 'E74.29' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E74.2' AND 'E74.29' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E74.2' AND 'E74.29' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E74.2' AND 'E74.29' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E74.2' AND 'E74.29' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E74.2' AND 'E74.29' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=181;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E75.2' AND 'E75.29' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E75.2' AND 'E75.29' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E75.2' AND 'E75.29' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E75.2' AND 'E75.29' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E75.2' AND 'E75.29' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E75.2' AND 'E75.29' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=182;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E76' AND 'E76.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E76' AND 'E76.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E76' AND 'E76.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E76' AND 'E76.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E76' AND 'E76.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E76' AND 'E76.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=183;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E84.0' AND 'E84.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E84.0' AND 'E84.09' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'E84.0' AND 'E84.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E84.0' AND 'E84.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E84.0' AND 'E84.09' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'E84.0' AND 'E84.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=184;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'F00' AND 'F99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'F00' AND 'F99.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'F00' AND 'F99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'F00' AND 'F99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'F00' AND 'F99.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'F00' AND 'F99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=185;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'F10' AND 'F19.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'F10' AND 'F19.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'F10' AND 'F19.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'F10' AND 'F19.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'F10' AND 'F19.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'F10' AND 'F19.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=186;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G00' AND 'G98.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G00' AND 'G98.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G00' AND 'G98.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G00' AND 'G98.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G00' AND 'G98.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G00' AND 'G98.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=187;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'G00' AND 'G00.99' OR dz BETWEEN 'G03' AND 'G03.99' OR dz BETWEEN 'G40' AND 'G04.99' OR dz BETWEEN 'G06' AND 'G06.99') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'G00' AND 'G00.99' OR dz BETWEEN 'G03' AND 'G03.99' OR dz BETWEEN 'G40' AND 'G04.99' OR dz BETWEEN 'G06' AND 'G06.99') AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'G00' AND 'G00.99' OR dz BETWEEN 'G03' AND 'G03.99' OR dz BETWEEN 'G40' AND 'G04.99' OR dz BETWEEN 'G06' AND 'G06.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'G00' AND 'G00.99' OR dz BETWEEN 'G03' AND 'G03.99' OR dz BETWEEN 'G40' AND 'G04.99' OR dz BETWEEN 'G06' AND 'G06.99') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'G00' AND 'G00.99' OR dz BETWEEN 'G03' AND 'G03.99' OR dz BETWEEN 'G40' AND 'G04.99' OR dz BETWEEN 'G06' AND 'G06.99') AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'G00' AND 'G00.99' OR dz BETWEEN 'G03' AND 'G03.99' OR dz BETWEEN 'G40' AND 'G04.99' OR dz BETWEEN 'G06' AND 'G06.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=188;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G10' AND 'G12.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G10' AND 'G12.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G10' AND 'G12.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G10' AND 'G12.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G10' AND 'G12.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G10' AND 'G12.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=189;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'G20' AND 'G21.99' OR dz BETWEEN 'G23' AND 'G25.99') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'G20' AND 'G21.99' OR dz BETWEEN 'G23' AND 'G25.99') AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'G20' AND 'G21.99' OR dz BETWEEN 'G23' AND 'G25.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'G20' AND 'G21.99' OR dz BETWEEN 'G23' AND 'G25.99') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'G20' AND 'G21.99' OR dz BETWEEN 'G23' AND 'G25.99') AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'G20' AND 'G21.99' OR dz BETWEEN 'G23' AND 'G25.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=190;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G20' AND 'G20.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G20' AND 'G20.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G20' AND 'G20.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G20' AND 'G20.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G20' AND 'G20.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G20' AND 'G20.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=191;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G25' AND 'G25.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G25' AND 'G25.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G25' AND 'G25.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G25' AND 'G25.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G25' AND 'G25.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G25' AND 'G25.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=192;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G31' AND 'G31.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G31' AND 'G31.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G31' AND 'G31.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G31' AND 'G31.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G31' AND 'G31.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G31' AND 'G31.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=193;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G35' AND 'G37.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G35' AND 'G37.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G35' AND 'G37.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G35' AND 'G37.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G35' AND 'G37.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G35' AND 'G37.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=194;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G35' AND 'G35.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G35' AND 'G35.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G35' AND 'G35.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G35' AND 'G35.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G35' AND 'G35.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G35' AND 'G35.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=195;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G40' AND 'G47.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G40' AND 'G47.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G40' AND 'G47.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G40' AND 'G47.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G40' AND 'G47.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G40' AND 'G47.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=196;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G40' AND 'G41.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G40' AND 'G41.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G40' AND 'G41.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G40' AND 'G41.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G40' AND 'G41.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G40' AND 'G41.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=197;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G50' AND 'G72.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G50' AND 'G72.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G50' AND 'G72.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G50' AND 'G72.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G50' AND 'G72.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G50' AND 'G72.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=198;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G71.0' AND 'G71.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G71.0' AND 'G71.09' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G71.0' AND 'G71.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G71.0' AND 'G71.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G71.0' AND 'G71.09' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G71.0' AND 'G71.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=199;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G80' AND 'G83.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G80' AND 'G83.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G80' AND 'G83.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G80' AND 'G83.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G80' AND 'G83.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G80' AND 'G83.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=200;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G80' AND 'G80.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G80' AND 'G80.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'G80' AND 'G80.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G80' AND 'G80.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G80' AND 'G80.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'G80' AND 'G80.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=201;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H00' AND 'H59.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H00' AND 'H59.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H00' AND 'H59.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H00' AND 'H59.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H00' AND 'H59.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H00' AND 'H59.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=202;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H26' AND 'H27.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H26' AND 'H27.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H26' AND 'H27.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H26' AND 'H27.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H26' AND 'H27.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H26' AND 'H27.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=203;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H40' AND 'H40.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H40' AND 'H40.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H40' AND 'H40.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H40' AND 'H40.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H40' AND 'H40.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H40' AND 'H40.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=204;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H46' AND 'H46.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H46' AND 'H46.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H46' AND 'H46.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H46' AND 'H46.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H46' AND 'H46.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H46' AND 'H46.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=205;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H49' AND 'H52.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H49' AND 'H52.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H49' AND 'H52.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H49' AND 'H52.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H49' AND 'H52.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H49' AND 'H52.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=206;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.0' AND 'H52.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.0' AND 'H52.09' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.0' AND 'H52.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H52.0' AND 'H52.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H52.0' AND 'H52.09' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H52.0' AND 'H52.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=207;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.1' AND 'H52.19' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.1' AND 'H52.19' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.1' AND 'H52.19' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H52.1' AND 'H52.19' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H52.1' AND 'H52.19' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H52.1' AND 'H52.19' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=208;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.2' AND 'H52.29' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.2' AND 'H52.29' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H52.2' AND 'H52.29' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H52.2' AND 'H52.29' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H52.2' AND 'H52.29' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H52.2' AND 'H52.29' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=209;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H54' AND 'H54.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H54' AND 'H54.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H54' AND 'H54.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H54' AND 'H54.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H54' AND 'H54.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H54' AND 'H54.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=210;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H54.0' AND 'H54.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H54.0' AND 'H54.09' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H54.0' AND 'H54.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H54.0' AND 'H54.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H54.0' AND 'H54.09' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H54.0' AND 'H54.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=211;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H60' AND 'H95.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H60' AND 'H95.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H60' AND 'H95.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H60' AND 'H95.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H60' AND 'H95.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H60' AND 'H95.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=212;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H60' AND 'H62.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H60' AND 'H62.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H60' AND 'H62.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H60' AND 'H62.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H60' AND 'H62.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H60' AND 'H62.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=213;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H65' AND 'H75.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H65' AND 'H75.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H65' AND 'H75.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H65' AND 'H75.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H65' AND 'H75.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H65' AND 'H75.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=214;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'H65.0' AND 'H65.19' OR dz BETWEEN 'H66.0' AND 'H66.09') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'H65.0' AND 'H65.19' OR dz BETWEEN 'H66.0' AND 'H66.09') AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'H65.0' AND 'H65.19' OR dz BETWEEN 'H66.0' AND 'H66.09') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'H65.0' AND 'H65.19' OR dz BETWEEN 'H66.0' AND 'H66.09') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'H65.0' AND 'H65.19' OR dz BETWEEN 'H66.0' AND 'H66.09') AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'H65.0' AND 'H65.19' OR dz BETWEEN 'H66.0' AND 'H66.09') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=215;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'H65.2' AND 'H65.99' OR dz BETWEEN 'H66.1' AND 'H66.49' OR dz BETWEEN 'H66.9' AND 'H66.99') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'H65.2' AND 'H65.99' OR dz BETWEEN 'H66.1' AND 'H66.49' OR dz BETWEEN 'H66.9' AND 'H66.99') AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'H65.2' AND 'H65.99' OR dz BETWEEN 'H66.1' AND 'H66.49' OR dz BETWEEN 'H66.9' AND 'H66.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'H65.2' AND 'H65.99' OR dz BETWEEN 'H66.1' AND 'H66.49' OR dz BETWEEN 'H66.9' AND 'H66.99') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'H65.2' AND 'H65.99' OR dz BETWEEN 'H66.1' AND 'H66.49' OR dz BETWEEN 'H66.9' AND 'H66.99') AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'H65.2' AND 'H65.99' OR dz BETWEEN 'H66.1' AND 'H66.49' OR dz BETWEEN 'H66.9' AND 'H66.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=216;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H68' AND 'H69.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H68' AND 'H69.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H68' AND 'H69.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H68' AND 'H69.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H68' AND 'H69.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H68' AND 'H69.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=217;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H72' AND 'H72.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H72' AND 'H72.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H72' AND 'H72.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H72' AND 'H72.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H72' AND 'H72.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H72' AND 'H72.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=218;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H74' AND 'H74.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H74' AND 'H74.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H74' AND 'H74.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H74' AND 'H74.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H74' AND 'H74.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H74' AND 'H74.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=219;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H80' AND 'H83.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H80' AND 'H83.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H80' AND 'H83.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H80' AND 'H83.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H80' AND 'H83.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H80' AND 'H83.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=220;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H80' AND 'H80.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H80' AND 'H80.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H80' AND 'H80.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H80' AND 'H80.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H80' AND 'H80.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H80' AND 'H80.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=221;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H81.0' AND 'H81.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H81.0' AND 'H81.09' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H81.0' AND 'H81.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H81.0' AND 'H81.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H81.0' AND 'H81.09' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H81.0' AND 'H81.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=222;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90' AND 'H90.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90' AND 'H90.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90' AND 'H90.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H90' AND 'H90.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H90' AND 'H90.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H90' AND 'H90.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=223;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90.0' AND 'H90.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90.0' AND 'H90.09' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90.0' AND 'H90.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H90.0' AND 'H90.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H90.0' AND 'H90.09' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H90.0' AND 'H90.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=224;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90.3' AND 'H90.39' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90.3' AND 'H90.39' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'H90.3' AND 'H90.39' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H90.3' AND 'H90.39' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H90.3' AND 'H90.39' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'H90.3' AND 'H90.39' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=225;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I00' AND 'I99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I00' AND 'I99.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I00' AND 'I99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I00' AND 'I99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I00' AND 'I99.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I00' AND 'I99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=226;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I00' AND 'I02.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I00' AND 'I02.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I00' AND 'I02.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I00' AND 'I02.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I00' AND 'I02.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I00' AND 'I02.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=227;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I05' AND 'I09.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I05' AND 'I09.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I05' AND 'I09.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I05' AND 'I09.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I05' AND 'I09.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I05' AND 'I09.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=228;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I05' AND 'I08.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I05' AND 'I08.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I05' AND 'I08.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I05' AND 'I08.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I05' AND 'I08.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I05' AND 'I08.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=229;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I10' AND 'I13.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I10' AND 'I13.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I10' AND 'I13.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I10' AND 'I13.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I10' AND 'I13.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I10' AND 'I13.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=230;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I10' AND 'I10.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I10' AND 'I10.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I10' AND 'I10.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I10' AND 'I10.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I10' AND 'I10.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I10' AND 'I10.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=231;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I30' AND 'I52.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I30' AND 'I52.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I30' AND 'I52.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I30' AND 'I52.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I30' AND 'I52.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I30' AND 'I52.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=232;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'I33' AND 'I33.99' OR dz BETWEEN 'I40' AND 'I40.99') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'I33' AND 'I33.99' OR dz BETWEEN 'I40' AND 'I40.99') AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'I33' AND 'I33.99' OR dz BETWEEN 'I40' AND 'I40.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'I33' AND 'I33.99' OR dz BETWEEN 'I40' AND 'I40.99') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'I33' AND 'I33.99' OR dz BETWEEN 'I40' AND 'I40.99') AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'I33' AND 'I33.99' OR dz BETWEEN 'I40' AND 'I40.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=233;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I42' AND 'I42.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I42' AND 'I42.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I42' AND 'I42.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I42' AND 'I42.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I42' AND 'I42.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I42' AND 'I42.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=234;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I44' AND 'I45.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I44' AND 'I45.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I44' AND 'I45.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I44' AND 'I45.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I44' AND 'I45.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I44' AND 'I45.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=235;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I47' AND 'I49.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I47' AND 'I49.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I47' AND 'I49.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I47' AND 'I49.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I47' AND 'I49.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I47' AND 'I49.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=236;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I60' AND 'I67.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I60' AND 'I67.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'I60' AND 'I67.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I60' AND 'I67.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I60' AND 'I67.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'I60' AND 'I67.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=237;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J00' AND 'J98.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J00' AND 'J98.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J00' AND 'J98.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J00' AND 'J98.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J00' AND 'J98.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J00' AND 'J98.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=238;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J04' AND 'J04.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J04' AND 'J04.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J04' AND 'J04.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J04' AND 'J04.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J04' AND 'J04.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J04' AND 'J04.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=239;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J05' AND 'J05.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J05' AND 'J05.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J05' AND 'J05.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J05' AND 'J05.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J05' AND 'J05.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J05' AND 'J05.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=240;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'J12' AND 'J16.99' OR dz BETWEEN 'J18' AND 'J18.99') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'J12' AND 'J16.99' OR dz BETWEEN 'J18' AND 'J18.99') AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'J12' AND 'J16.99' OR dz BETWEEN 'J18' AND 'J18.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'J12' AND 'J16.99' OR dz BETWEEN 'J18' AND 'J18.99') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'J12' AND 'J16.99' OR dz BETWEEN 'J18' AND 'J18.99') AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'J12' AND 'J16.99' OR dz BETWEEN 'J18' AND 'J18.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=241;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J30.1' AND 'J30.19' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J30.1' AND 'J30.19' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J30.1' AND 'J30.19' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J30.1' AND 'J30.19' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J30.1' AND 'J30.19' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J30.1' AND 'J30.19' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=242;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J31' AND 'J32.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J31' AND 'J32.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J31' AND 'J32.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J31' AND 'J32.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J31' AND 'J32.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J31' AND 'J32.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=243;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J35' AND 'J36.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J35' AND 'J36.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J35' AND 'J36.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J35' AND 'J36.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J35' AND 'J36.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J35' AND 'J36.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=244;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J37.0' AND 'J37.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J37.0' AND 'J37.09' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J37.0' AND 'J37.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J37.0' AND 'J37.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J37.0' AND 'J37.09' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J37.0' AND 'J37.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=245;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J38' AND 'J38.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J38' AND 'J38.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J38' AND 'J38.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J38' AND 'J38.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J38' AND 'J38.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J38' AND 'J38.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=246;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J40' AND 'J43.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J40' AND 'J43.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J40' AND 'J43.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J40' AND 'J43.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J40' AND 'J43.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J40' AND 'J43.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=247;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J44' AND 'J47.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J44' AND 'J47.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J44' AND 'J47.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J44' AND 'J47.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J44' AND 'J47.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J44' AND 'J47.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=248;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J45' AND 'J46.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J45' AND 'J46.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J45' AND 'J46.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J45' AND 'J46.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J45' AND 'J46.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J45' AND 'J46.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=249;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J60' AND 'J70.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J60' AND 'J70.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J60' AND 'J70.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J60' AND 'J70.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J60' AND 'J70.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J60' AND 'J70.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=250;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J84' AND 'J94.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J84' AND 'J94.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'J84' AND 'J94.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J84' AND 'J94.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J84' AND 'J94.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'J84' AND 'J94.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=251;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K00' AND 'K92.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K00' AND 'K92.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K00' AND 'K92.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'K00' AND 'K92.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'K00' AND 'K92.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'K00' AND 'K92.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=252;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K25' AND 'K26.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K25' AND 'K26.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K25' AND 'K26.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'K25' AND 'K26.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'K25' AND 'K26.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'K25' AND 'K26.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=253;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K29' AND 'K29.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K29' AND 'K29.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K29' AND 'K29.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'K29' AND 'K29.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'K29' AND 'K29.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'K29' AND 'K29.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=254;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K30' AND 'K31.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K30' AND 'K31.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K30' AND 'K31.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'K30' AND 'K31.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'K30' AND 'K31.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'K30' AND 'K31.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=255;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K50' AND 'K52.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K50' AND 'K52.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K50' AND 'K52.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'K50' AND 'K52.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'K50' AND 'K52.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'K50' AND 'K52.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=256;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K70' AND 'K76.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K70' AND 'K76.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K70' AND 'K76.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'K70' AND 'K76.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'K70' AND 'K76.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'K70' AND 'K76.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=257;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K80' AND 'K83.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K80' AND 'K83.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K80' AND 'K83.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'K80' AND 'K83.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'K80' AND 'K83.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'K80' AND 'K83.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=258;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K85' AND 'K86.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K85' AND 'K86.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'K85' AND 'K86.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'K85' AND 'K86.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'K85' AND 'K86.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'K85' AND 'K86.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=259;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L00' AND 'L99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L00' AND 'L99.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L00' AND 'L99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L00' AND 'L99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L00' AND 'L99.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L00' AND 'L99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=260;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L20' AND 'L20.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L20' AND 'L20.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L20' AND 'L20.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L20' AND 'L20.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L20' AND 'L20.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L20' AND 'L20.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=261;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L23' AND 'L25.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L23' AND 'L25.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L23' AND 'L25.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L23' AND 'L25.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L23' AND 'L25.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L23' AND 'L25.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=262;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L30.9' AND 'L30.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L30.9' AND 'L30.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L30.9' AND 'L30.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L30.9' AND 'L30.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L30.9' AND 'L30.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L30.9' AND 'L30.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=263;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L40' AND 'L40.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L40' AND 'L40.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L40' AND 'L40.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L40' AND 'L40.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L40' AND 'L40.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L40' AND 'L40.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=264;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L40.5' AND 'L40.59' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L40.5' AND 'L40.59' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L40.5' AND 'L40.59' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L40.5' AND 'L40.59' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L40.5' AND 'L40.59' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L40.5' AND 'L40.59' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=265;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L43' AND 'L43.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L43' AND 'L43.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L43' AND 'L43.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L43' AND 'L43.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L43' AND 'L43.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L43' AND 'L43.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=266;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L93.0' AND 'L93.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L93.0' AND 'L93.09' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L93.0' AND 'L93.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L93.0' AND 'L93.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L93.0' AND 'L93.09' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L93.0' AND 'L93.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=267;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L94.0' AND 'L94.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L94.0' AND 'L94.09' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'L94.0' AND 'L94.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L94.0' AND 'L94.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L94.0' AND 'L94.09' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'L94.0' AND 'L94.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=268;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M00' AND 'M99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M00' AND 'M99.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M00' AND 'M99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M00' AND 'M99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M00' AND 'M99.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M00' AND 'M99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=269;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M00' AND 'M25.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M00' AND 'M25.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M00' AND 'M25.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M00' AND 'M25.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M00' AND 'M25.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M00' AND 'M25.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=270;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M02' AND 'M02.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M02' AND 'M02.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M02' AND 'M02.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M02' AND 'M02.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M02' AND 'M02.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M02' AND 'M02.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=271;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M05' AND 'M06.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M05' AND 'M06.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M05' AND 'M06.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M05' AND 'M06.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M05' AND 'M06.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M05' AND 'M06.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=272;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M08' AND 'M08.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M08' AND 'M08.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M08' AND 'M08.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M08' AND 'M08.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M08' AND 'M08.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M08' AND 'M08.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=273;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M30' AND 'M35.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M30' AND 'M35.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M30' AND 'M35.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M30' AND 'M35.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M30' AND 'M35.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M30' AND 'M35.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=274;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M40' AND 'M43.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M40' AND 'M43.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M40' AND 'M43.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M40' AND 'M43.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M40' AND 'M43.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M40' AND 'M43.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=275;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M45' AND 'M45.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M45' AND 'M45.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M45' AND 'M45.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M45' AND 'M45.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M45' AND 'M45.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M45' AND 'M45.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=276;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M54' AND 'M54.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M54' AND 'M54.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M54' AND 'M54.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M54' AND 'M54.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M54' AND 'M54.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M54' AND 'M54.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=277;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M60' AND 'M79.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M60' AND 'M79.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M60' AND 'M79.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M60' AND 'M79.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M60' AND 'M79.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M60' AND 'M79.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=278;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M80' AND 'M94.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M80' AND 'M94.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M80' AND 'M94.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M80' AND 'M94.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M80' AND 'M94.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M80' AND 'M94.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=279;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M80' AND 'M81.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M80' AND 'M81.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'M80' AND 'M81.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M80' AND 'M81.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M80' AND 'M81.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'M80' AND 'M81.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=280;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N00' AND 'N99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N00' AND 'N99.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N00' AND 'N99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'N00' AND 'N99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'N00' AND 'N99.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'N00' AND 'N99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=281;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N00' AND 'N15.99' OR dz BETWEEN 'N25' AND 'N28.99') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N00' AND 'N15.99' OR dz BETWEEN 'N25' AND 'N28.99') AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N00' AND 'N15.99' OR dz BETWEEN 'N25' AND 'N28.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'N00' AND 'N15.99' OR dz BETWEEN 'N25' AND 'N28.99') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'N00' AND 'N15.99' OR dz BETWEEN 'N25' AND 'N28.99') AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'N00' AND 'N15.99' OR dz BETWEEN 'N25' AND 'N28.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=282;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N17' AND 'N19.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N17' AND 'N19.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N17' AND 'N19.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'N17' AND 'N19.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'N17' AND 'N19.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'N17' AND 'N19.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=283;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N00' AND 'N21.99' OR dz BETWEEN 'N23' AND 'N23.99') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N00' AND 'N21.99' OR dz BETWEEN 'N23' AND 'N23.99') AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N00' AND 'N21.99' OR dz BETWEEN 'N23' AND 'N23.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'N00' AND 'N21.99' OR dz BETWEEN 'N23' AND 'N23.99') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'N00' AND 'N21.99' OR dz BETWEEN 'N23' AND 'N23.99') AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'N00' AND 'N21.99' OR dz BETWEEN 'N23' AND 'N23.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=284;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N30' AND 'N32.99' OR dz BETWEEN 'N34' AND 'N36.99' OR dz BETWEEN 'N39' AND 'N39.99') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N30' AND 'N32.99' OR dz BETWEEN 'N34' AND 'N36.99' OR dz BETWEEN 'N39' AND 'N39.99') AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND (dz BETWEEN 'N30' AND 'N32.99' OR dz BETWEEN 'N34' AND 'N36.99' OR dz BETWEEN 'N39' AND 'N39.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'N30' AND 'N32.99' OR dz BETWEEN 'N34' AND 'N36.99' OR dz BETWEEN 'N39' AND 'N39.99') AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'N30' AND 'N32.99' OR dz BETWEEN 'N34' AND 'N36.99' OR dz BETWEEN 'N39' AND 'N39.99') AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND (dz BETWEEN 'N30' AND 'N32.99' OR dz BETWEEN 'N34' AND 'N36.99' OR dz BETWEEN 'N39' AND 'N39.99') AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=285;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N70' AND 'N70.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N70' AND 'N70.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N70' AND 'N70.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'N70' AND 'N70.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'N70' AND 'N70.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'N70' AND 'N70.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=286;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N91' AND 'N94.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N91' AND 'N94.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'N91' AND 'N94.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'N91' AND 'N94.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'N91' AND 'N94.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'N91' AND 'N94.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=287;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'O00' AND 'O99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'O00' AND 'O99.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'O00' AND 'O99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'O00' AND 'O99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'O00' AND 'O99.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'O00' AND 'O99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=288;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'P00' AND 'P96.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'P00' AND 'P96.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'P00' AND 'P96.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'P00' AND 'P96.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'P00' AND 'P96.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'P00' AND 'P96.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=289;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q00' AND 'Q99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q00' AND 'Q99.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q00' AND 'Q99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'Q00' AND 'Q99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'Q00' AND 'Q99.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'Q00' AND 'Q99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=290;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q00' AND 'Q07.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q00' AND 'Q07.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q00' AND 'Q07.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'Q00' AND 'Q07.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'Q00' AND 'Q07.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'Q00' AND 'Q07.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=291;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q20' AND 'Q28.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q20' AND 'Q28.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q20' AND 'Q28.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'Q20' AND 'Q28.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'Q20' AND 'Q28.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'Q20' AND 'Q28.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=292;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q50' AND 'Q52.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q50' AND 'Q52.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q50' AND 'Q52.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'Q50' AND 'Q52.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'Q50' AND 'Q52.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'Q50' AND 'Q52.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=293;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q56' AND 'Q56.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q56' AND 'Q56.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q56' AND 'Q56.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'Q56' AND 'Q56.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'Q56' AND 'Q56.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'Q56' AND 'Q56.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=294;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q80' AND 'Q80.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q80' AND 'Q80.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q80' AND 'Q80.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'Q80' AND 'Q80.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'Q80' AND 'Q80.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'Q80' AND 'Q80.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=295;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q85.0' AND 'Q85.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q85.0' AND 'Q85.09' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q85.0' AND 'Q85.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'Q85.0' AND 'Q85.09' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'Q85.0' AND 'Q85.09' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'Q85.0' AND 'Q85.09' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=296;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q90' AND 'Q90.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q90' AND 'Q90.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Q90' AND 'Q90.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'Q90' AND 'Q90.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'Q90' AND 'Q90.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'Q90' AND 'Q90.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=297;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'R00' AND 'R99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'R00' AND 'R99.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'R00' AND 'R99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'R00' AND 'R99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'R00' AND 'R99.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'R00' AND 'R99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=298;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'S00' AND 'T98.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'S00' AND 'T98.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'S00' AND 'T98.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    SET k4=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'S00' AND 'T98.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k5=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'S00' AND 'T98.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k6=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE sex=CHAR(204) AND ztal.adr_id=a1.adr_id AND dw BETWEEN _st AND _en AND dz BETWEEN 'S00' AND 'T98.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=299;
  
   SET k1=(SELECT SUM(_1) FROM mkbf12 m1 WHERE num IN (2,5,7,13,32,34,50,59,73,85,99,107,116,128,135,136,137,145,146) AND typ=3),
   k2=(SELECT SUM(_2) FROM mkbf12 m1 WHERE num IN (2,5,7,13,32,34,50,59,73,85,99,107,116,128,135,136,137,145,146) AND typ=3),
   k3=(SELECT SUM(_3) FROM mkbf12 m1 WHERE num IN (2,5,7,13,32,34,50,59,73,85,99,107,116,128,135,136,137,145,146) AND typ=3),
   k4=(SELECT SUM(_4) FROM mkbf12 m1 WHERE num IN (2,5,7,13,32,34,50,59,73,85,99,107,116,128,135,136,137,145,146) AND typ=3),
   k5=(SELECT SUM(_5) FROM mkbf12 m1 WHERE num IN (2,5,7,13,32,34,50,59,73,85,99,107,116,128,135,136,137,145,146) AND typ=3),
   k6=(SELECT SUM(_6) FROM mkbf12 m1 WHERE num IN (2,5,7,13,32,34,50,59,73,85,99,107,116,128,135,136,137,145,146) AND typ=3);
   UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3,_4=k4,_5=k5,_6=k6 WHERE mkball_id=154;
   SELECT * FROM mkbf12 WHERE mkball_id BETWEEN 154 AND 299;
END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_f12_2z` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_f12_2z` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_f12_2z`(IN _st DATE,IN _en DATE)
BEGIN   
    DECLARE k1,k2,k3 INT DEFAULT NULL;
    UPDATE mkbf12 SET _0=NULL,_1=NULL,_2=NULL,_3=NULL WHERE mkball_id BETWEEN 300 AND 307 ;





    
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z00' AND 'Z99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z00' AND 'Z99.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z00' AND 'Z99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=300;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z00' AND 'Z13.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z00' AND 'Z13.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z00' AND 'Z13.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=301;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z20' AND 'Z29.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z20' AND 'Z29.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z20' AND 'Z29.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=302;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z30' AND 'Z39.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z30' AND 'Z39.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z30' AND 'Z39.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=303;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z40' AND 'Z54.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z40' AND 'Z54.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z40' AND 'Z54.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=304;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z55' AND 'Z65.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z55' AND 'Z65.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z55' AND 'Z65.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=305;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z70' AND 'Z76.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z70' AND 'Z76.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z70' AND 'Z76.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=306;
    SET k1=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z80' AND 'Z99.99' AND ((q_z IN (1,5,0)) OR q_z IN (2,3,4)) GROUP BY ztal.adr_id) q1);
    SET k2=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z80' AND 'Z99.99' AND q_z=2 GROUP BY ztal.adr_id) q1);
    SET k3=(SELECT COUNT(*) FROM (SELECT COUNT(*) FROM ztal,adrbook a1 WHERE dw BETWEEN _st AND _en AND dz BETWEEN 'Z80' AND 'Z99.99' AND ztal.adr_id=a1.adr_id AND disp=1 GROUP BY ztal.adr_id) q1);
    UPDATE mkbf12 SET _1=k1,_2=k2,_3=k3 WHERE mkball_id=307;
  
    SELECT * FROM mkbf12 WHERE mkball_id BETWEEN 300 AND 307;
END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_imp_adr_xls` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_imp_adr_xls` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_imp_adr_xls`()
BEGIN
        UPDATE ztmpadr SET adr_id=0,adr_name=@_orgkod;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
        UPDATE ztmpadr za1,adrbook a1 SET za1.adr_id=a1.adr_id                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
        WHERE a1.datebirth=za1.datebirth AND a1.fam=za1.fam AND a1.im=za1.im AND a1.ot=za1.ot                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
        AND za1.adr_id=0 ;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
        UPDATE ztmpadr za1,adrbook a1 SET za1.adr_id=a1.adr_id, a1.datebirth=za1.datebirth                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
        WHERE LEFT(a1.datebirth,4)=LEFT(za1.datebirth,4) AND a1.fam=za1.fam AND a1.im=za1.im AND a1.ot=za1.ot                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
        AND za1.adr_id=0 ;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
        UPDATE ztmpadr za1,adrbook a1 SET za1.adr_id=a1.adr_id                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
        WHERE a1.datebirth=za1.datebirth AND a1.fam=za1.fam AND a1.im=za1.im                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
        AND za1.adr_id=0;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
        UPDATE ztmpadr za1,adrbook a1 SET za1.adr_id=a1.adr_id, a1.datebirth=za1.datebirth                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
        WHERE LEFT(a1.datebirth,4)=LEFT(za1.datebirth,4) AND a1.fam=za1.fam AND a1.im=za1.im                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
        AND za1.adr_id=0; 
        
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp (SELECT uch FROM ztmpadr,numuch WHERE uch=numuch_id GROUP BY uch);
    UPDATE ztmpadr za1 SET za1.uch = NULL WHERE uch NOT IN (SELECT uch FROM tmp);
    
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp (SELECT status FROM ztmpadr,f_stat WHERE status=sta GROUP BY status);
    UPDATE ztmpadr za1 SET za1.status = NULL WHERE status NOT IN (SELECT status FROM tmp);
    
    UPDATE adrbook a1, ztmpadr za1 SET a1.uch=za1.uch WHERE za1.adr_id=a1.adr_id AND za1.adr_id>0;
    UPDATE adrbook a1, ztmpadr za1 SET a1.status=za1.status WHERE za1.adr_id=a1.adr_id AND za1.adr_id>0 and za1.status>0;
    UPDATE adrbook a1, ztmpadr za1 SET a1.works_dop=za1.works_dop WHERE za1.adr_id=a1.adr_id AND za1.adr_id>0 AND TRIM(za1.works_dop)>' ';
    
    UPDATE ztmpadr SET adr_id=NULL WHERE adr_id=0;
    UPDATE ztmpadr SET works=NULL WHERE works=0;
    INSERT ignore INTO adrbook SELECT *,null,0 from ztmpadr za1 WHERE za1.adr_id<=>NULL;
    
    SELECT COUNT(*) _kol FROM ztmpadr WHERE adr_id<=>NULL;
    
   END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_imp_adr_xls_dop` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_imp_adr_xls_dop` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_imp_adr_xls_dop`()
BEGIN
        UPDATE tmpxadr SET adr_id=0,adr_name=@_orgkod;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
        UPDATE tmpxadr za1,adrbook a1 SET za1.adr_id=a1.adr_id                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
        WHERE a1.datebirth=za1.datebirth AND a1.fam=za1.fam AND a1.im=za1.im AND a1.ot=za1.ot                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
        AND za1.adr_id=0 ;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
        UPDATE tmpxadr za1,adrbook a1 SET za1.adr_id=a1.adr_id                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
        WHERE LEFT(a1.datebirth,4)=LEFT(za1.datebirth,4) AND a1.fam=za1.fam AND a1.im=za1.im AND a1.ot=za1.ot                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
        AND za1.adr_id=0 ;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
        UPDATE tmpxadr za1,adrbook a1 SET za1.adr_id=a1.adr_id                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
        WHERE a1.datebirth=za1.datebirth AND a1.fam=za1.fam AND a1.im=za1.im                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
        AND za1.adr_id=0;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
        UPDATE tmpxadr za1,adrbook a1 SET za1.adr_id=a1.adr_id                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
        WHERE LEFT(a1.datebirth,4)=LEFT(za1.datebirth,4) AND a1.fam=za1.fam AND a1.im=za1.im                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
        AND za1.adr_id=0; 
        
    select insert_adru(adrbook.adr_id,adrbook.uch) from adrbook;
        
    UPDATE adruch a1, tmpxadr za1 SET a1.dop_sv=trim(za1.dop_sv),a1.v_prich_post=za1.v_prich_post,
    a1.v_dtpost=za1.v_dtpost,a1.v_dtsn=za1.v_dtsn,a1.v_prichsn=za1.v_prichsn WHERE za1.adr_id=a1.adr_id AND za1.adr_id>0;
END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_imp_xml` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_imp_xml` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_imp_xml`()
BEGIN
	DECLARE _kol1,_kol2,_kol INT DEFAULT 0;
        
        UPDATE ztmpadr SET adr_id=0,adr_name=@_orgkod;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
        UPDATE ztmpadr za1,adrbook a1 SET za1.adr_id=a1.adr_id 
        WHERE a1.datebirth=za1.datebirth AND a1.fam=za1.fam AND a1.im=za1.im AND 
        a1.ot=za1.ot AND za1.adr_id=0 ;
        UPDATE ztmpadr za1,adrbook a1 SET za1.adr_id=a1.adr_id, a1.datebirth=za1.datebirth                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
        WHERE LEFT(a1.datebirth,4)=LEFT(za1.datebirth,4) AND a1.fam=za1.fam AND 
        a1.im=za1.im AND a1.ot=za1.ot
        AND za1.adr_id=0 ;      
        
        UPDATE ztmpadr za1 SET adr_id=NULL WHERE adr_id=0;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
        
	UPDATE ztmptal SET adr_name=@_orgkod,adr_id=0,talon_pr='Я';  
	INSERT IGNORE INTO adrbook SELECT *,NULL,0 FROM ztmpadr za1 WHERE za1.adr_id<=>NULL;
        UPDATE ztmpadr za1,adrbook a1 SET za1.adr_id=a1.adr_id 
        WHERE a1.datebirth=za1.datebirth AND a1.fam=za1.fam AND a1.im=za1.im AND 
        a1.ot=za1.ot AND za1.adr_id<=>NULL ;
        UPDATE ztmpadr za1,adrbook a1 SET za1.adr_id=a1.adr_id, a1.datebirth=za1.datebirth                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
        WHERE LEFT(a1.datebirth,4)=LEFT(za1.datebirth,4) AND a1.fam=za1.fam AND 
        a1.im=za1.im AND a1.ot=za1.ot
        AND za1.adr_id<=>NULL ;      
       
	UPDATE ztmptal t1,ztmpadr a1 SET t1.adr_id=a1.adr_id WHERE t1.num=a1.ou_id;
	UPDATE ztmptal t1 SET adr_name=@_orgkod;
	
	SELECT COUNT(*) INTO _kol1 FROM ytalon WHERE 1;
 	 UPDATE ztmptal SET talon_id=NULL;
 	INSERT IGNORE INTO ytalon SELECT *,'0000-00-00',1,'0' FROM ztmptal za1 WHERE za1.adr_id>0;
 	SELECT COUNT(*) INTO _kol2 FROM ytalon WHERE 1;
  
	SELECT COUNT(*) into _kol FROM ztmpadr WHERE adr_id=0;
	
	select _kol,_kol2-_kol1 _kolt;
    
   END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_op_imp` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_op_imp` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_op_imp`()
BEGIN
    UPDATE ztmpadr SET ou_id=adr_id,ou=0;
    UPDATE ztmpadr za1,adrbook a1 SET za1.adr_id=a1.adr_id, za1.ou=1 
    WHERE a1.datebirth=za1.datebirth AND a1.fam=za1.fam AND a1.im=za1.im AND a1.ot=za1.ot;
    UPDATE ztmpadr za1,adrbook a1 SET za1.adr_id=a1.adr_id, za1.ou=1 
    WHERE LEFT(a1.datebirth,4)=LEFT(za1.datebirth,4) AND a1.fam=za1.fam AND a1.im=za1.im AND a1.ot=za1.ot AND za1.ou=0;
    update ztmpadr SET adr_id = 0 WHERE ou=0;
    insert into adrbook select * from ztmpadr where ztmpadr.ou=0;
    UPDATE ztmpadr za1,adrbook a1 SET za1.adr_id=a1.adr_id, za1.ou=1 
    WHERE a1.datebirth=za1.datebirth AND a1.fam=za1.fam AND a1.im=za1.im AND a1.ot=za1.ot;
    
    UPDATE ztmpau au SET au.ou=0 ;
    UPDATE ztmpau au,ztmpadr a1 SET au.adr_id=a1.adr_id,au.ou=1 WHERE au.adr_id=a1.ou_id;
    INSERT INTO adruch SELECT adr_id,ut,v_prich_post,dop_sv,v_prichsn,v_dtpost,v_dtsn,text_i,soa FROM ztmpau WHERE ztmpau.ou=0;
                
    UPDATE ztmpxadr x1 SET x1.v_ou=0 ;
    UPDATE ztmpxadr x1,ztmpadr a1 SET x1.v_adr_id=a1.adr_id,v_ou=1 WHERE x1.v_adr_id=a1.ou_id;
    INSERT INTO xadrbook SELECT * FROM ztmpxadr WHERE ztmpxadr.v_ou=0;
    DELETE t1 from tmpvr t1,vr where t1.fwr=vr.fwr and t1.fio=vr.fio AND t1.fwr>0 and vr.adr_name=@_orgkod;
    update t1,vr set vr.fwr=t1.fwr WHERE vr.fwr <=> null AND t1.fio=vr.fio AND t1.fwr>0 AND vr.adr_name=@_orgkod;
    DELETE t1 FROM tmpvr t1,vr WHERE t1.fwr=vr.fwr AND t1.fio=vr.fio AND t1.fwr>0 AND vr.adr_name=@_orgkod;
    select reg_insert_vr(fio,fwr) from tmpvr where 1;
    
    DELETE t1 FROM tmpcomp t1,comp c1 WHERE t1.ree_num=c1.ree_num AND t1.name=c1.name AND t1.ree_num>0;
    UPDATE t1,comp c1 SET c1.ree_num=t1.ree_num WHERE c1.ree_num <=>NULL AND t1.name=c1.name AND t1.ree_num>0;
    DELETE t1 FROM tmpcomp t1,comp c1 WHERE t1.ree_num=c1.ree_num AND t1.name=c1.name AND t1.ree_num>0;
    SELECT reg_insert_comp(name,ree_num) FROM tmpcomp WHERE 1;
    
    DELETE t1 FROM tmpytypetal t1,ytypetal c1 WHERE t1.ytypetal_id=c1.ytypetal_id and t1.ytypetal_id>0;
    insert into ytypetal select * from tmpytypetal;
    
    DELETE t1 FROM tmpyspec t1,yspec c1 WHERE t1.yspec_id=c1.yspec_id AND t1.yspec_id>0;
    INSERT INTO yspec SELECT * FROM tmpyspec;
    
    DELETE t1 FROM tmpykartadv t1,ykartadv c1 WHERE t1.ykartadv_id=c1.ykartadv_id AND t1.ykartadv_id>0;
    INSERT INTO ykartadv SELECT * FROM tmpykartadv;
    UPDATE ztmptal t1,ztmpadr a1 SET t1.adr_id=a1.adr_id WHERE t1.adr_id=a1.ou_id;
    
    update ztmptal set errcontr=0;
    UPDATE ztmptal t1,ytalon y1 SET t1.errcontr=1 WHERE t1.talon_id=y1.talon_id AND t1.talon_pr=y1.talon_pr;
    insert into ytalon select * from ztmptal _kol where errcontr=0;
    
    select count(*) _kol from ztmptal where errcontr=0;
END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_orz_first` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_orz_first` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_orz_first`(in _ye smallint,in _dayskol tinyint, in _who tinyint)
BEGIN
	TRUNCATE zzorz;
	drop table if EXISTS orz;
	if _who=0 then
	begin
		create TEMPORARY TABLE orz
		SELECT * from ytalon where left(dw,4)=_ye and trim(dz) in ('J06.9','J11.1','I21') order by adr_id,dz,dw;
		update ytalon set r_tksg=0 WHERE LEFT(dw,4)=_ye AND trim(dz) IN ('J06.9','J11.1','I21');
		insert into zzorz
		SELECT * FROM ytalon WHERE LEFT(dw,4)=_ye AND trim(dz) IN ('J06.9','J11.1','I21') ORDER BY adr_id,dz,dw;
	end;
	else 
	BEGIN
		CREATE TEMPORARY TABLE orz
		SELECT * FROM ytalon WHERE LEFT(dw,4)=_ye  AND dz BETWEEN 'A00' AND 'T99.99' ORDER BY adr_id,dz,dw;
		UPDATE ytalon SET r_tksg=0 WHERE LEFT(dw,4)=_ye AND dz BETWEEN 'A00' and 'T99.99';
		INSERT INTO zzorz
		SELECT * FROM ytalon WHERE LEFT(dw,4)=_ye and dz BETWEEN 'A00' AND 'T99.99' ORDER BY adr_id,dz,dw;
	END;
	end if;
	set @_ad0=0;
	SET @_dz1='';
	SET @_dw1='0000-00-00';
	select reg_orz(orz.adr_id,orz.talon_id,trim(orz.dz),orz.dw,_dayskol) from orz;
	DROP TABLE IF EXISTS orz;
 	TRUNCATE zzorz;
  END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_pol3_refresh` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_pol3_refresh` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_pol3_refresh`()
BEGIN
	declare _dd date default '2010-01-01';
	set _dd=subdate(curdate(),interval 6 month);
	TRUNCATE TABLE pol.polis;
	INSERT INTO pol.polis
	SELECT  NULL,
	p1.new_policy,p1.fam ,p1.im,p1.ot,p1.datebirth,p1.sex,p1.conditoin,p1.comp,p1.STATUS,p1.street,p1.house,p1.flat,p1.soato,p1.region,p1.idperson,p1.date_chang,p1.policy_ser,p1.policy_num 
	FROM adrbook a1 JOIN ytalon t1 ON t1.adr_id=a1.adr_id JOIN polis.polis p1 ON REPLACE(a1.fam,CHAR(168),CHAR(197))=REPLACE(p1.fam,CHAR(168),CHAR(197)) AND 
	REPLACE(a1.im,CHAR(168),CHAR(197))=REPLACE(p1.im,CHAR(168),CHAR(197)) AND REPLACE(a1.ot,CHAR(168),CHAR(197))=REPLACE(p1.ot,CHAR(168),CHAR(197)) AND a1.datebirth=p1.datebirth
	WHERE dw>_dd
	GROUP BY idperson
	ORDER BY p1.fam,p1.im,p1.ot,p1.datebirth;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_polis_up` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_polis_up` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_polis_up`(IN _st DATE,IN _en DATE,IN _regpol CHAR(2),IN _obl SMALLINT,IN _umer TINYINT)
BEGIN
    UPDATE ytalon t1,adrbook a1,polis.polis p1,comp c1 SET pol_number=new_policy,pol_ser='',comp_cod=c1.ree_num,a1.sex=p1.sex 
    WHERE t1.adr_id=a1.adr_id AND REPLACE(a1.fam,CHAR(168),CHAR(197))=REPLACE(p1.fam,CHAR(168),CHAR(197)) AND REPLACE(a1.im,CHAR(168),CHAR(197))=REPLACE(p1.im,CHAR(168),CHAR(197)) AND REPLACE(a1.ot,CHAR(168),CHAR(197))=REPLACE(p1.ot,CHAR(168),CHAR(197)) AND a1.datebirth=p1.datebirth AND c1.comp_id=p1.comp and och=0 and p1.datebirth>'0000-00-00'
    AND conditoin IN (1,2) AND ((LEFT(dw,7)>=LEFT(date_chang,7) AND t1.dw BETWEEN _st AND _en)  OR (LEFT(dw1,7)>=LEFT(date_chang,7) AND t1.dw1 BETWEEN _st AND _en))  AND (pol_number<>new_policy OR comp_cod<>c1.ree_num); 
    
    UPDATE ytalon t1,adrbook a1,polis.polis p1,comp c1 SET a1.sex=p1.sex 
    WHERE t1.adr_id=a1.adr_id AND REPLACE(a1.fam,CHAR(168),CHAR(197))=REPLACE(p1.fam,CHAR(168),CHAR(197)) AND REPLACE(a1.im,CHAR(168),CHAR(197))=REPLACE(p1.im,CHAR(168),CHAR(197)) AND REPLACE(a1.ot,CHAR(168),CHAR(197))=REPLACE(p1.ot,CHAR(168),CHAR(197)) AND a1.datebirth=p1.datebirth AND c1.comp_id=p1.comp AND och=0 AND p1.datebirth>'0000-00-00'
    AND conditoin IN (1,2) AND ((LEFT(dw,7)>=LEFT(date_chang,7) AND t1.dw BETWEEN _st AND _en)  or (LEFT(dw1,7)>=LEFT(date_chang,7) AND t1.dw1 BETWEEN _st AND _en)) and p1.sex>' '; 
    UPDATE ytalon t1,adrbook a1,polis.polis p1 SET a1.fam=TRIM(p1.fam),a1.im=TRIM(p1.im),a1.ot=TRIM(p1.ot) 
    WHERE t1.adr_id=a1.adr_id AND a1.datebirth=p1.datebirth AND pol_number=new_policy AND p1.datebirth>'0000-00-00'
    AND conditoin IN (1,2) AND ((LEFT(dw,7)>=LEFT(date_chang,7) AND t1.dw BETWEEN _st AND _en)  OR (LEFT(dw1,7)>=LEFT(date_chang,7) AND t1.dw1 BETWEEN _st AND _en)) AND comp_cod<>98; 
      
    UPDATE ytalon t1,adrbook a1,polis.polis p1 SET a1.datebirth=p1.datebirth,t1.date_wz=p1.datebirth 
    WHERE t1.adr_id=a1.adr_id AND REPLACE(a1.fam,CHAR(168),CHAR(197))=REPLACE(p1.fam,CHAR(168),CHAR(197)) AND REPLACE(a1.im,CHAR(168),CHAR(197))=REPLACE(p1.im,CHAR(168),CHAR(197)) AND REPLACE(a1.ot,CHAR(168),CHAR(197))=REPLACE(p1.ot,CHAR(168),CHAR(197)) AND pol_number=new_policy AND p1.datebirth>'0000-00-00'
    AND conditoin IN (1,2) AND ((LEFT(dw,7)>=LEFT(date_chang,7) AND t1.dw BETWEEN _st AND _en)  OR (LEFT(dw1,7)>=LEFT(date_chang,7) AND t1.dw1 BETWEEN _st AND _en)) AND comp_cod<>98; 
  
    UPDATE ytalon t1,adrbook a1,polis.polis p1,comp c1 SET pol_number=new_policy,pol_ser='',comp_cod=c1.ree_num
    WHERE t1.adr_id=a1.adr_id AND REPLACE(a1.fam,CHAR(168),CHAR(197))=REPLACE(p1.fam,CHAR(168),CHAR(197)) AND REPLACE(a1.im,CHAR(168),CHAR(197))=REPLACE(p1.im,CHAR(168),CHAR(197)) AND REPLACE(a1.ot,CHAR(168),CHAR(197))=REPLACE(p1.ot,CHAR(168),CHAR(197)) AND a1.datebirth=p1.datebirth AND c1.comp_id=p1.comp AND och=0 AND p1.datebirth>'0000-00-00'
    AND conditoin IN (1,2) AND ((LEFT(dw,7)>=LEFT(date_chang,7) AND t1.dw BETWEEN _st AND _en)  OR (LEFT(dw1,7)>=LEFT(date_chang,7) AND t1.dw1 BETWEEN _st AND _en)) AND comp_cod<>98; 
    
 
    UPDATE ytalon t1,polis.polis p1,f_stat s1 SET t1.status=s1.sta
    WHERE t1.status=0 AND s1.status_id=p1.status AND t1.pol_number=p1.new_policy AND och=0  AND p1.datebirth>'0000-00-00'
    AND ((LEFT(dw,7)>=LEFT(date_chang,7) AND t1.dw BETWEEN _st AND _en)  OR (LEFT(dw1,7)>=LEFT(date_chang,7) AND t1.dw1 BETWEEN _st AND _en)) ; 
    
    UPDATE ytalon t1,adrbook a1 SET a1.status=t1.status
    WHERE t1.adr_id=a1.adr_id AND t1.status<>0 AND  a1.status<>t1.status  AND och=0 
    AND t1.dw BETWEEN _st AND _en ; 
    UPDATE ytalon SET pol_ser=LEFT(pol_number,4),pol_number=SUBSTRING(pol_number,5,10) 
    WHERE LENGTH(TRIM(pol_ser))<4 AND LENGTH(TRIM(pol_number))=14 AND  dw BETWEEN _st AND _en AND och=0;
    
    UPDATE ytalon t1,(SELECT adr_id FROM ytalon WHERE fss=1  AND dw BETWEEN _st AND _en GROUP BY adr_id) t2
    SET t1.fss=1 WHERE t1.adr_id=t2.adr_id AND t1.fss=0 AND t1.dw BETWEEN _st AND _en  AND och=0;
    UPDATE ytalon t1,(SELECT adr_id FROM ytalon WHERE fl=1  AND dw BETWEEN _st AND _en GROUP BY adr_id) t2
    SET t1.fl=1 WHERE t1.adr_id=t2.adr_id AND t1.fl=0 AND t1.dw BETWEEN _st AND _en  AND och=0;
END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_polis_up_res` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_polis_up_res` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_polis_up_res`(IN _st DATE,IN _en DATE,IN _regpol CHAR(2),IN _obl SMALLINT,IN _umer TINYINT)
BEGIN
    UPDATE ytalon t1,adrbook a1,polis.polis p1,comp c1 SET pol_number=new_policy,pol_ser='',comp_cod=c1.ree_num
    WHERE t1.adr_id=a1.adr_id AND a1.fam=p1.fam AND a1.im=p1.im AND a1.ot=p1.ot AND a1.datebirth=p1.datebirth AND c1.comp_id=p1.comp
    AND conditoin IN (1,2) AND dw>=date_chang AND t1.dw BETWEEN _st AND _en AND isree=1 AND (LEFT(pol_number,2)=_regpol OR LENGTH(TRIM(pol_number))<14); 
    
    UPDATE ytalon t1,adrbook a1,polis.polis p1,comp c1 SET comp_cod=c1.ree_num
    WHERE t1.adr_id=a1.adr_id AND a1.fam=p1.fam AND a1.im=p1.im AND a1.ot=p1.ot AND a1.datebirth=p1.datebirth AND c1.comp_id=p1.comp AND pol_number=new_policy AND comp_cod<>c1.ree_num
    AND conditoin IN (1,2) AND dw>=date_chang AND t1.dw BETWEEN _st AND _en AND isree=1; 
     
    UPDATE ytalon t1,adrbook a1,polis.polis p1 SET a1.fam=TRIM(p1.fam),a1.im=TRIM(p1.im),a1.ot=TRIM(p1.ot) 
    WHERE t1.adr_id=a1.adr_id AND a1.datebirth=p1.datebirth AND pol_number=new_policy
    AND conditoin IN (1,2) AND dw>=date_chang AND t1.dw BETWEEN _st AND _en AND isree=1 AND comp_cod<>98; 
      
    UPDATE ytalon t1,adrbook a1,polis.polis p1 SET a1.datebirth=p1.datebirth,t1.date_wz=p1.datebirth 
    WHERE t1.adr_id=a1.adr_id AND a1.fam=p1.fam AND a1.im=p1.im AND a1.ot=p1.ot AND pol_number=new_policy
    AND conditoin IN (1,2) AND dw>=date_chang AND t1.dw BETWEEN _st AND _en AND isree=1 AND comp_cod<>98; 
  
    UPDATE ytalon t1,adrbook a1,polis.polis p1,comp c1 SET pol_number=new_policy,pol_ser='',comp_cod=c1.ree_num
    WHERE t1.adr_id=a1.adr_id AND a1.fam=p1.fam AND a1.im=p1.im AND a1.ot=p1.ot AND a1.datebirth=p1.datebirth AND c1.comp_id=p1.comp
    AND conditoin IN (1,2) AND dw>=date_chang AND t1.dw BETWEEN _st AND _en AND isree=1 AND comp_cod<>98; 
    
    UPDATE ytalon t1,adrbook a1,polis.polis p1,f_stat s1 SET t1.status=s1.sta,a1.status=s1.sta
    WHERE t1.adr_id=a1.adr_id AND t1.status=0 AND s1.status_id=p1.status AND TRIM(t1.pol_number)=TRIM(p1.new_policy) 
    AND conditoin IN (1,2) AND dw>=date_chang AND t1.dw BETWEEN _st AND _en AND isree=1 AND comp_cod<>98; 
    
    UPDATE ytalon SET pol_ser=LEFT(pol_number,4),pol_number=SUBSTRING(pol_number,5,10) 
    WHERE LENGTH(TRIM(pol_ser))<4 AND LENGTH(TRIM(pol_number))=14 AND LEFT(pol_number,2)=_regpol AND dw BETWEEN _st AND _en AND isree=1;
    
    UPDATE ytalon t1,(SELECT adr_id FROM ytalon WHERE fss=1  AND dw BETWEEN _st AND _en GROUP BY adr_id) t2
    SET t1.fss=1 WHERE t1.adr_id=t2.adr_id AND t1.fss=0 AND t1.dw BETWEEN _st AND _en ;
    UPDATE ytalon t1,(SELECT adr_id FROM ytalon WHERE fl=1  AND dw BETWEEN _st AND _en GROUP BY adr_id) t2
    SET t1.fl=1 WHERE t1.adr_id=t2.adr_id AND t1.fl=0 AND t1.dw BETWEEN _st AND _en ;
END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_ree_calc` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_ree_calc` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_ree_calc`(
    in _ukdl decimal(5,2),
    in _st date,
    IN _en DATE,
    in _stomSpec int,
    IN _vz_child TINYINT,
    in _altlpu varchar(4)
   )
BEGIN
    DECLARE _ye SMALLINT;
    DECLARE _mon TINYINT;
    SET _ye=LEFT(_en,4)+0;
    SET _mon=SUBSTRING(_en,6,2)+0;
    TRUNCATE TABLE zyerrcalc;
    UPDATE ytalon SET sym1=0,sym=0 WHERE dw BETWEEN _st AND _en ;
    
    UPDATE ytalon SET sym1=reg_ree_calc_one(wz,fl,LEFT(dw,4)+0,SUBSTRING(dw,6,2)+0,spec_cod,_vz_child,_altlpu),sym=sym1,srl_ksg=0 
    WHERE dw BETWEEN _st AND _en AND isree=1 AND right(spec_cod,2)+0<>_stomSpec;
    UPDATE ytalon SET sym1=reg_ree_calc_one(wz,fl,LEFT(dw,4)+0,SUBSTRING(dw,6,2)+0,spec_cod,_vz_child,_altlpu),sym=ROUND(_ukdl*srl_ksg,2)*sym1 
    WHERE dw BETWEEN _st AND _en AND isree=1 AND (RIGHT(spec_cod,2)+0=_stomSpec OR srl_ksg>0);
    
    SELECT reg_ree_calc_one(wz,fl,LEFT(dw,4)+0,SUBSTRING(dw,6,2)+0,spec_cod2,_vz_child,_altlpu) FROM ytalon 
    WHERE dw BETWEEN _st AND _en AND isree=1 AND spec_cod2>0 AND fwr2>0 AND dz2>'A';
    SELECT reg_ree_calc_one(wz,fl,LEFT(dw,4)+0,SUBSTRING(dw,6,2)+0,spec_cod3,_vz_child,_altlpu) FROM ytalon 
    WHERE dw BETWEEN _st AND _en AND isree=1 AND spec_cod3>0 AND fwr3>0 AND dz3>'A';
    SELECT reg_ree_calc_one(wz,fl,LEFT(dw,4)+0,SUBSTRING(dw,6,2)+0,spec_cod4,_vz_child,_altlpu) FROM ytalon 
    WHERE dw BETWEEN _st AND _en AND isree=1 AND spec_cod4>0 AND fwr4>0 AND dz4>'A';
    SELECT reg_ree_calc_one(wz,fl,LEFT(dw,4)+0,SUBSTRING(dw,6,2)+0,spec_cod5,_vz_child,_altlpu) FROM ytalon 
    WHERE dw BETWEEN _st AND _en AND isree=1 AND spec_cod5>0 AND fwr5>0 AND dz5>'A';
    SELECT reg_ree_calc_one(wz,fl,LEFT(dw,4)+0,SUBSTRING(dw,6,2)+0,spec_cod6,_vz_child,_altlpu) FROM ytalon 
    WHERE dw BETWEEN _st AND _en AND isree=1 AND spec_cod6>0 AND fwr6>0 AND dz6>'A';
    SELECT reg_ree_calc_one(wz,fl,LEFT(dw,4)+0,SUBSTRING(dw,6,2)+0,spec_cod7,_vz_child,_altlpu) FROM ytalon 
    WHERE dw BETWEEN _st AND _en AND isree=1 AND spec_cod7>0 AND fwr7>0 AND dz7>'A';
    SELECT reg_ree_calc_one(wz,fl,LEFT(dw,4)+0,SUBSTRING(dw,6,2)+0,spec_cod8,_vz_child,_altlpu) FROM ytalon 
    WHERE dw BETWEEN _st AND _en AND isree=1 AND spec_cod8>0 AND fwr8>0 AND dz8>'A';
    SELECT *  FROM zyerrcalc;
END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_ree_exp` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_ree_exp` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_ree_exp`(in _st date,in _en date)
BEGIN
    select concat(upper(trim(fam)),' ',UPPER(TRIM(im)),' ',UPPER(TRIM(ot))) fio,sex ree_pol,t1.* 
    from ytalon t1,adrbook a1 where a1.adr_id=t1.adr_id and dw BETWEEN _st and _en and isree=1 order by dw;
END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_spec_no_one` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_spec_no_one` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_spec_no_one`(in _adr int,in _dw date,in _s1 INT,IN _s2 INT,IN _s3 INT,
    IN _s4 INT,IN _s5 INT,IN _s6 INT,IN _s7 INT,IN _s8 INT)
BEGIN
	    SELECT count(t1.talon_id) _ko FROM ytalon t1 WHERE t1.adr_id=_adr AND t1.dw=_dw and (
	    ((t1.spec_cod=_s1 OR t1.spec_cod2=_s1 OR t1.spec_cod3=_s1 OR t1.spec_cod4=_s1 OR t1.spec_cod5=_s1 OR t1.spec_cod6=_s1 OR t1.spec_cod7=_s1 OR t1.spec_cod8=_s1) AND _s1>0) OR 
	    ((t1.spec_cod=_s2 or t1.spec_cod2=_s2 OR t1.spec_cod3=_s2 OR t1.spec_cod4=_s2 OR t1.spec_cod5=_s2 OR t1.spec_cod6=_s2 OR t1.spec_cod7=_s2 OR t1.spec_cod8=_s2) AND _s2>0) OR 
	    ((t1.spec_cod=_s3 OR t1.spec_cod2=_s3 OR t1.spec_cod3=_s3 OR t1.spec_cod4=_s3 OR t1.spec_cod5=_s3 OR t1.spec_cod6=_s3 OR t1.spec_cod7=_s3 OR t1.spec_cod8=_s3) AND _s3>0) OR 
	    ((t1.spec_cod=_s4 OR t1.spec_cod2=_s4 OR t1.spec_cod3=_s4 OR t1.spec_cod4=_s4 OR t1.spec_cod5=_s4 OR t1.spec_cod6=_s4 OR t1.spec_cod7=_s4 OR t1.spec_cod8=_s4) AND _s4>0) OR 
	    ((t1.spec_cod=_s5 OR t1.spec_cod2=_s5 OR t1.spec_cod3=_s5 OR t1.spec_cod4=_s5 OR t1.spec_cod5=_s5 OR t1.spec_cod6=_s5 OR t1.spec_cod7=_s5 OR t1.spec_cod8=_s5) AND _s5>0) OR 
	    ((t1.spec_cod=_s6 OR t1.spec_cod2=_s6 OR t1.spec_cod3=_s6 OR t1.spec_cod4=_s6 OR t1.spec_cod5=_s6 OR t1.spec_cod6=_s6 OR t1.spec_cod7=_s6 OR t1.spec_cod8=_s6) AND _s6>0) OR 
	    ((t1.spec_cod=_s7 OR t1.spec_cod2=_s7 OR t1.spec_cod3=_s7 OR t1.spec_cod4=_s7 OR t1.spec_cod5=_s7 OR t1.spec_cod6=_s7 OR t1.spec_cod7=_s7 OR t1.spec_cod8=_s7) AND _s7>0) OR 
	    ((t1.spec_cod=_s8 OR t1.spec_cod2=_s8 OR t1.spec_cod3=_s8 OR t1.spec_cod4=_s8 OR t1.spec_cod5=_s8 OR t1.spec_cod6=_s8 OR t1.spec_cod7=_s8 OR t1.spec_cod8=_s8) AND _s8>0)  
	    );
    END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_statist_all` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_statist_all` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_statist_all`(IN _st DATE,IN _en DATE)
BEGIN
	CALL reg_unpack_talon_reg(_st,_en,0,150);
	TRUNCATE table zstall;
	INSERT INTO zstall
	SELECT z2.name NAME,COUNT(talon_id) kol , 1,1,z2.titul FROM ztal,zstalln z2 where z2.typ=1;
	INSERT INTO zstall
	SELECT z2.name NAME,COUNT(talon_id) kol , 1,2,z2.titul FROM ztal,zstalln z2 WHERE z2.typ=2 and talon_pr=char(204);
	INSERT INTO zstall
	SELECT z2.name NAME,COUNT(talon_id) kol , 1,3,z2.titul FROM ztal,zstalln z2 WHERE z2.typ=3 AND talon_pr<>CHAR(204);
	INSERT INTO zstall
	SELECT z2.name NAME,COUNT(talon_id) kol , 1,4,z2.titul FROM ztal,zstalln z2 WHERE z2.typ=4 AND erradd=1;
	INSERT INTO zstall
	SELECT z2.name NAME,COUNT(talon_id) kol , 1,5,z2.titul FROM ztal,zstalln z2 WHERE z2.typ=5 AND LENGTH(TRIM(dz))<3;
	INSERT INTO zstall
	SELECT vr.fio,COUNT(talon_id) kol , 2,6,z2.titul  FROM ztal LEFT JOIN vr ON ztal.fwr=vr.fwr JOIN zstalln z2 ON z2.typ=6 GROUP BY ztal.fwr ORDER BY ztal.spec_cod,vr.fio;
	INSERT INTO zstall
	SELECT vr.fio,COUNT(talon_id) kol , 3,7,z2.titul  FROM ztal LEFT JOIN vr ON ztal.fwr=vr.fwr JOIN zstalln z2 ON z2.typ=7 WHERE LENGTH(trim(dz))<3 GROUP BY ztal.fwr ORDER BY ztal.spec_cod,vr.fio;
	INSERT INTO zstall
	SELECT talon_pr NAME,COUNT(talon_id) kol , 4,8,z2.titul FROM ztal,zstalln z2 WHERE z2.typ=8 and talon_pr<>CHAR(204) GROUP BY ztal.talon_pr ORDER BY talon_pr;
	INSERT INTO zstall
	SELECT yspec.name fio,COUNT(talon_id) kol , 7,11,z2.titul FROM ztal LEFT JOIN yspec ON ztal.spec_cod=yspec.yspec_id JOIN zstalln z2 ON z2.typ=11 GROUP BY ztal.spec_cod ORDER BY yspec.name;
	INSERT INTO zstall
	SELECT yspec.name fio,COUNT(talon_id) kol , 8,12,z2.titul FROM ztal LEFT JOIN yspec ON ztal.spec_cod=yspec.yspec_id JOIN zstalln z2 ON z2.typ=12 WHERE talon_pr=CHAR(204) GROUP BY ztal.spec_cod ORDER BY yspec.name;
	INSERT INTO zstall
	SELECT yspec.name fio,COUNT(talon_id) kol , 9,13,z2.titul FROM ztal LEFT JOIN yspec ON ztal.spec_cod=yspec.yspec_id JOIN zstalln z2 ON z2.typ=13 WHERE talon_pr<>CHAR(204) GROUP BY ztal.spec_cod ORDER BY yspec.name;
	INSERT INTO zstall
	SELECT comp.name NAME,COUNT(talon_id) kol , 10,14,z2.titul FROM ztal LEFT JOIN comp ON ztal.comp_cod=comp.ree_num JOIN zstalln z2 ON z2.typ=14 GROUP BY ztal.comp_cod ORDER BY ztal.comp_cod;
	INSERT INTO zstall
	SELECT comp.name NAME,COUNT(talon_id) kol , 11,15,z2.titul FROM ztal LEFT JOIN comp ON ztal.comp_cod=comp.ree_num join zstalln z2 on z2.typ=15
	WHERE isree=1 AND erradd=0 AND LENGTH(TRIM(dz))>0 GROUP BY ztal.comp_cod ORDER BY ztal.comp_cod;
	SELECT * FROM zstall WHERE typ>0 ;    
END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_statist_all_all` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_statist_all_all` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_statist_all_all`(IN _st DATE,IN _en DATE)
BEGIN
	CALL reg_unpack_talon_all_all(_st,_en,0,150);
	TRUNCATE TABLE zstall;
	INSERT INTO zstall
	SELECT z2.name NAME,COUNT(talon_id) kol , 1,1,z2.titul FROM ztal,zstalln z2 WHERE z2.typ=1;
	INSERT INTO zstall
	SELECT z2.name NAME,COUNT(talon_id) kol , 1,2,z2.titul FROM ztal,zstalln z2 WHERE z2.typ=2 AND talon_pr=CHAR(204);
	INSERT INTO zstall
	SELECT z2.name NAME,COUNT(talon_id) kol , 1,3,z2.titul FROM ztal,zstalln z2 WHERE z2.typ=3 AND talon_pr<>CHAR(204);
	INSERT INTO zstall
	SELECT z2.name NAME,COUNT(talon_id) kol , 1,4,z2.titul FROM ztal,zstalln z2 WHERE z2.typ=4 AND erradd=1;
	INSERT INTO zstall
	SELECT vr.fio,COUNT(talon_id) kol , 2,6,z2.titul  FROM ztal LEFT JOIN vr ON ztal.fwr=vr.fwr JOIN zstalln z2 ON z2.typ=6 GROUP BY ztal.fwr ORDER BY ztal.spec_cod,vr.fio;
	INSERT INTO zstall
	SELECT vr.fio,COUNT(talon_id) kol , 3,7,z2.titul  FROM ztal LEFT JOIN vr ON ztal.fwr=vr.fwr JOIN zstalln z2 ON z2.typ=7 WHERE LENGTH(TRIM(dz))<3 GROUP BY ztal.fwr ORDER BY vr.fio;
	INSERT INTO zstall
	SELECT talon_pr NAME,COUNT(talon_id) kol , 4,8,z2.titul FROM ztal,zstalln z2 WHERE z2.typ=8 AND talon_pr<>CHAR(204) GROUP BY ztal.talon_pr ORDER BY talon_pr;
	INSERT INTO zstall
	SELECT yspec.name fio,COUNT(talon_id) kol , 7,11,z2.titul FROM ztal LEFT JOIN yspec ON ztal.spec_cod=yspec.yspec_id JOIN zstalln z2 ON z2.typ=11 GROUP BY ztal.spec_cod ORDER BY yspec.name;
	INSERT INTO zstall
	SELECT yspec.name fio,COUNT(talon_id) kol , 8,12,z2.titul FROM ztal LEFT JOIN yspec ON ztal.spec_cod=yspec.yspec_id JOIN zstalln z2 ON z2.typ=12 WHERE talon_pr=CHAR(204) GROUP BY ztal.spec_cod ORDER BY yspec.name;
	INSERT INTO zstall
	SELECT yspec.name fio,COUNT(talon_id) kol , 9,13,z2.titul FROM ztal LEFT JOIN yspec ON ztal.spec_cod=yspec.yspec_id JOIN zstalln z2 ON z2.typ=13 WHERE talon_pr<>CHAR(204) GROUP BY ztal.spec_cod ORDER BY yspec.name;
	INSERT INTO zstall
	SELECT comp.name NAME,COUNT(talon_id) kol , 10,14,z2.titul FROM ztal LEFT JOIN comp ON ztal.comp_cod=comp.ree_num JOIN zstalln z2 ON z2.typ=14 GROUP BY ztal.comp_cod ORDER BY ztal.comp_cod;
	SELECT * FROM zstall WHERE typ>0 ;    
END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_test_200_cel` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_test_200_cel` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_test_200_cel`(IN _st DATE,IN _en DATE)
BEGIN
	UPDATE ytalon t1 SET spec_cod=200+RIGHT(TRIM(spec_cod),2)  WHERE (dw BETWEEN _st AND _en AND fl_ksg=2 AND spec_cod> 0)  AND dw>='2013-01-01';
END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_test_200_Z` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_test_200_Z` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_test_200_Z`(IN _st DATE,IN _en DATE)
BEGIN
	update ytalon t1 set spec_cod=200 +right(trim(spec_cod),2)  where dw>='2013-01-01' AND ((dw between _st and _en and left(DZ,1)='Z' and spec_cod> 0) or talon_pr='М');
	UPDATE ytalon t1 SET spec_cod2=200+RIGHT(TRIM(spec_cod2),2) WHERE dw>='2013-01-01' AND ((dw BETWEEN _st AND _en AND LEFT(DZ2,1)='Z' AND spec_cod2>0) OR talon_pr='М');
	UPDATE ytalon t1 SET spec_cod3=200+RIGHT(TRIM(spec_cod3),2) WHERE dw>='2013-01-01' AND ((dw BETWEEN _st AND _en AND LEFT(DZ3,1)='Z' AND spec_cod3>0) OR talon_pr='М');
	UPDATE ytalon t1 SET spec_cod4=200+RIGHT(TRIM(spec_cod4),2) WHERE dw>='2013-01-01' AND ((dw BETWEEN _st AND _en AND LEFT(DZ4,1)='Z' AND spec_cod4>0) OR talon_pr='М');
	UPDATE ytalon t1 SET spec_cod5=200+RIGHT(TRIM(spec_cod5),2) WHERE dw>='2013-01-01' AND ((dw BETWEEN _st AND _en AND LEFT(DZ5,1)='Z' AND spec_cod5>0) OR talon_pr='М');
	UPDATE ytalon t1 SET spec_cod6=200+RIGHT(TRIM(spec_cod6),2) WHERE dw>='2013-01-01' AND ((dw BETWEEN _st AND _en AND LEFT(DZ6,1)='Z' AND spec_cod6>0) OR talon_pr='М');
	UPDATE ytalon t1 SET spec_cod7=200+RIGHT(TRIM(spec_cod7),2) WHERE dw>='2013-01-01' AND ((dw BETWEEN _st AND _en AND LEFT(DZ7,1)='Z' AND spec_cod7>0) OR talon_pr='М');
	UPDATE ytalon t1 SET spec_cod8=200+RIGHT(TRIM(spec_cod8),2) WHERE dw>='2013-01-01' AND ((dw BETWEEN _st AND _en AND LEFT(DZ8,1)='Z' AND spec_cod8>0) OR talon_pr='М');
END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_test_ree` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_test_ree` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_test_ree`(IN _st DATE,IN _en DATE,in _regpol char(2),in _obl SMALLINT,in _umer tinyint)
BEGIN
    TRUNCATE TABLE yprotokol;
    
    UPDATE ytalon SET errcontr=0 WHERE dw BETWEEN _st AND _en AND isree=1;
    
    UPDATE ytalon,comp,f_stat SET errcontr=1 WHERE dw BETWEEN _st AND _en  AND isree=1  AND LENGTH(TRIM(pol_number))=10 AND LEFT(pol_number,2)=_regpol AND och=0 AND 
    reg_find_pol(talon_id,2,pol_ser,pol_number,comp_id,status_id,dw,ytalon.adr_id)=1 AND comp.ree_num=ytalon.comp_cod AND f_stat.sta=ytalon.status;
    
    UPDATE ytalon,comp,f_stat SET errcontr=1 WHERE dw BETWEEN _st AND _en  AND isree=1 AND LENGTH(TRIM(pol_number))=16 AND LEFT(pol_number,2)=_regpol AND och=0 AND 
    reg_find_pol(talon_id,1,pol_ser,pol_number,comp_id,status_id,dw,ytalon.adr_id)=1 AND comp.ree_num=ytalon.comp_cod AND f_stat.sta=ytalon.status;
    
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) SELECT talon_id,adr_id,1 FROM ytalon t1 WHERE t1.soato=_obl AND t1.comp_cod<>98 AND dw BETWEEN _st AND _en AND isree=1;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod,spec_cod,dw)  
    SELECT t1.talon_id,t1.adr_id,2,t1.spec_cod,t1.dw FROM ytalon t1 
    LEFT JOIN ytalon t2 ON t1.dw=t2.dw AND t1.adr_id=t2.adr_id AND t1.talon_id<>t2.talon_id AND 
    (((t1.spec_cod=t2.spec_cod OR t1.spec_cod=t2.spec_cod2 OR t1.spec_cod=t2.spec_cod3 OR t1.spec_cod=t2.spec_cod4 OR t1.spec_cod=t2.spec_cod5 OR t1.spec_cod=t2.spec_cod6 OR 
    t1.spec_cod=t2.spec_cod7 OR t1.spec_cod=t2.spec_cod8) AND t1.spec_cod>0) OR 
    ((t1.spec_cod2=t2.spec_cod OR t1.spec_cod2=t2.spec_cod2 OR t1.spec_cod2=t2.spec_cod3 OR t1.spec_cod2=t2.spec_cod4 OR t1.spec_cod2=t2.spec_cod5 OR t1.spec_cod2=t2.spec_cod6 OR 
    t1.spec_cod2=t2.spec_cod7 OR t1.spec_cod2=t2.spec_cod8) AND t1.spec_cod>0) OR 
    ((t1.spec_cod3=t2.spec_cod OR t1.spec_cod3=t2.spec_cod2 OR t1.spec_cod3=t2.spec_cod3 OR t1.spec_cod3=t2.spec_cod4 OR t1.spec_cod3=t2.spec_cod5 OR t1.spec_cod3=t2.spec_cod6 OR 
    t1.spec_cod3=t2.spec_cod7 OR t1.spec_cod3=t2.spec_cod8) AND t1.spec_cod3>0) OR 
    ((t1.spec_cod4=t2.spec_cod OR t1.spec_cod4=t2.spec_cod2 OR t1.spec_cod4=t2.spec_cod3 OR t1.spec_cod4=t2.spec_cod4 OR t1.spec_cod4=t2.spec_cod5 OR t1.spec_cod4=t2.spec_cod6 OR 
    t1.spec_cod4=t2.spec_cod7 OR t1.spec_cod4=t2.spec_cod8) AND t1.spec_cod4>0) OR 
    ((t1.spec_cod5=t2.spec_cod OR t1.spec_cod5=t2.spec_cod2 OR t1.spec_cod5=t2.spec_cod3 OR t1.spec_cod5=t2.spec_cod4 OR t1.spec_cod5=t2.spec_cod5 OR t1.spec_cod5=t2.spec_cod6 OR 
    t1.spec_cod5=t2.spec_cod7 OR t1.spec_cod5=t2.spec_cod8) AND t1.spec_cod5>0) OR 
    ((t1.spec_cod6=t2.spec_cod OR t1.spec_cod6=t2.spec_cod2 OR t1.spec_cod6=t2.spec_cod3 OR t1.spec_cod6=t2.spec_cod4 OR t1.spec_cod6=t2.spec_cod5 OR t1.spec_cod6=t2.spec_cod6 OR 
    t1.spec_cod6=t2.spec_cod7 OR t1.spec_cod6=t2.spec_cod8) AND t1.spec_cod6>0) OR 
    ((t1.spec_cod7=t2.spec_cod OR t1.spec_cod7=t2.spec_cod2 OR t1.spec_cod7=t2.spec_cod3 OR t1.spec_cod7=t2.spec_cod4 OR t1.spec_cod7=t2.spec_cod5 OR t1.spec_cod7=t2.spec_cod6 OR 
    t1.spec_cod7=t2.spec_cod7 OR t1.spec_cod7=t2.spec_cod8) AND t1.spec_cod7>0) OR 
    ((t1.spec_cod8=t2.spec_cod OR t1.spec_cod8=t2.spec_cod2 OR t1.spec_cod8=t2.spec_cod3 OR t1.spec_cod8=t2.spec_cod4 OR t1.spec_cod8=t2.spec_cod5 OR t1.spec_cod8=t2.spec_cod6 OR 
    t1.spec_cod8=t2.spec_cod7 OR t1.spec_cod8=t2.spec_cod8) AND t1.spec_cod8>0)
    )
    WHERE t1.dw BETWEEN _st AND _en  AND t1.isree=1 AND t2.isree=1  ;  
    
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,3 FROM ytalon t1,yspec s1 WHERE t1.spec_cod=s1.yspec_id AND wz NOT BETWEEN vz_min AND vz_max AND dw BETWEEN _st AND _en AND isree=1 ;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,4 FROM ytalon t1,yspec s1, adrbook a1 
    WHERE a1.adr_id=t1.adr_id AND t1.spec_cod=s1.yspec_id AND dw BETWEEN _st AND _en AND isree=1 AND ((a1.sex='М' AND s1.sex=2) OR (a1.sex='Ж' AND s1.sex=1));
 
    INSERT INTO yprotokol (talon_id,adr_id,err_cod,fam,im,ot) 
    SELECT t1.talon_id,t1.adr_id,5,t1.fam,t1.im,t1.ot FROM 
    (SELECT talon_id,pol_ser,pol_number,y1.adr_id,fam,im,ot,datebirth,comp_cod FROM ytalon y1,adrbook a1 WHERE  dw BETWEEN _st AND _en AND isree=1 AND a1.adr_id=y1.adr_id AND LENGTH(TRIM(pol_number))>3) t1,
    (SELECT talon_id,pol_ser,pol_number,y1.adr_id,fam,im,ot,datebirth,comp_cod FROM ytalon y1,adrbook a1 WHERE  dw BETWEEN _st AND _en AND isree=1 AND a1.adr_id=y1.adr_id AND LENGTH(TRIM(pol_number))>3) t2
    WHERE t1.pol_number=t2.pol_number AND t1.pol_ser=t2.pol_ser AND t1.comp_cod=t2.comp_cod AND NOT (t1.fam=t2.fam AND t1.im=t2.im AND t1.ot=t2.ot AND t1.datebirth=t2.datebirth) GROUP BY t1.talon_id;
    
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) SELECT t1.talon_id,t1.adr_id,7 FROM ytalon t1,mkb 
    WHERE t1.dz=mkb.mkb_id AND (LENGTH(TRIM(t1.dz))<3 OR mkb.pay=0) AND  t1.dw BETWEEN _st AND _en AND isree=1;
    
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,8 FROM ytalon t1, vr 
    WHERE t1.fwr=vr.fwr AND CONCAT(',',TRIM(vr.spec),',') NOT LIKE CONCAT('%,',t1.spec_cod,',%') AND t1.dw BETWEEN _st AND _en AND isree=1 ;
     
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) SELECT talon_id,adr_id,18 FROM ytalon t1 
    WHERE  dw BETWEEN _st AND _en  AND isree=1 AND talon_pr<>'М' AND fl_ksg IN (1,3)  AND RES_G NOT IN (SELECT RES_G_id FROM yRES_G WHERE RES_G_id>0) ;
     
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) SELECT talon_id,adr_id,19 FROM ytalon t1 
    WHERE  dw BETWEEN _st AND _en  AND isree=1 AND talon_pr<>'М' AND fl_ksg IN (1,3) AND Q_Z NOT IN (SELECT Q_Z_id FROM yQ_Z WHERE Q_Z_id>0) ;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,13 FROM ytalon t1 WHERE t1.fwr<=>NULL AND t1.dw BETWEEN _st AND _en AND isree=1 ;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,17 FROM ytalon t1 WHERE (t1.fl_ksg<=>NULL OR t1.fl_ksg=0) AND t1.dw BETWEEN _st AND _en AND isree=1 ;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,14 FROM ytalon t1 WHERE (t1.spec_cod<=>NULL OR t1.spec_cod=0) AND t1.dw BETWEEN _st AND _en AND isree=1 ;
    UPDATE ytalon t1,yprotokol pr SET STATUS=sta WHERE pr.talon_id=t1.talon_id AND pr.err_cod=12 AND STATUS=0;
    DELETE FROM yprotokol WHERE err_cod=12;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,15 FROM ytalon t1, adruch a1 , xcoder c1
    WHERE a1.adr_id=t1.adr_id AND v_prichsn=cod_cod AND scod_cod=11 AND ct_cod=1 AND ((TO_DAYS(dw) - TO_DAYS(v_dtsn))>_umer) AND dw BETWEEN _st AND _en AND isree=1;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod,fam,im,ot) 
    SELECT t1.talon_id,t1.adr_id,6,t1.fam,t1.im,t1.ot FROM 
    (SELECT talon_id,pol_ser,pol_number,y1.adr_id,fam,im,ot,datebirth,comp_cod FROM ytalon y1,adrbook a1 WHERE  dw BETWEEN _st AND _en AND isree=1 AND a1.adr_id=y1.adr_id AND LENGTH(TRIM(pol_number))>3) t1,
    (SELECT talon_id,pol_ser,pol_number,y1.adr_id,fam,im,ot,datebirth,comp_cod FROM ytalon y1,adrbook a1 WHERE  dw BETWEEN _st AND _en AND isree=1 AND a1.adr_id=y1.adr_id AND LENGTH(TRIM(pol_number))>3) t2
    WHERE NOT (t1.pol_number=t2.pol_number AND t1.pol_ser=t2.pol_ser AND t1.comp_cod=t2.comp_cod) AND (t1.fam=t2.fam AND t1.im=t2.im AND t1.ot=t2.ot AND t1.datebirth=t2.datebirth) 
    ORDER BY adr_id;
    
	INSERT INTO yprotokol (talon_id,adr_id,err_cod,fam,im,ot)
	SELECT talon_id,t1.adr_id,20,a1.fam,a1.im,a1.ot  FROM ytalon t1,adrbook a1,polis.polis p1
	WHERE LENGTH(TRIM(pol_ser))=0 AND isree=1 AND t1.adr_id=a1.adr_id AND conditoin IN (1,2) AND t1.dw BETWEEN _st AND _en AND LEFT(dw,7)>=LEFT(date_chang,7)
	AND NOT (a1.fam=p1.fam AND a1.im=p1.im AND a1.ot=p1.ot AND a1.datebirth=p1.datebirth)
	AND pol_number=new_policy AND p1.datebirth>'0000-00-00'; 
	INSERT INTO yprotokol (talon_id,adr_id,err_cod,fam,im,ot)
	SELECT talon_id,t1.adr_id,20,a1.fam,a1.im,a1.ot  FROM ytalon t1,adrbook a1,polis.polis p1
	WHERE LENGTH(TRIM(pol_ser))=4 AND isree=1 AND t1.adr_id=a1.adr_id AND conditoin IN (1,2) AND t1.dw BETWEEN _st AND _en AND LEFT(dw,7)>=LEFT(date_chang,7)
	AND NOT (a1.fam=p1.fam AND a1.im=p1.im AND a1.ot=p1.ot AND a1.datebirth=p1.datebirth)
	AND policy_ser=pol_ser AND policy_num=pol_number AND p1.datebirth>'0000-00-00'; 
   UPDATE ytalon t1 SET errcontr=1 WHERE dw BETWEEN _st AND _en  AND isree=1 AND comp_cod<>98 AND LENGTH(TRIM(pol_number))<4 AND
    NOT EXISTS(SELECT * FROM yprotokol pr1 WHERE pr1.err_cod=9 AND pr1.adr_id=t1.adr_id);
    
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) SELECT talon_id,adr_id,9 FROM ytalon t1 
    WHERE dw BETWEEN _st AND _en  AND isree=1 AND (comp_cod<>98 AND LENGTH(TRIM(pol_number))<4 AND och=0 OR comp_cod<>98 AND LENGTH(TRIM(pol_number))<1 AND och=1) AND
    NOT EXISTS(SELECT * FROM yprotokol pr1 WHERE pr1.err_cod=9 AND pr1.adr_id=t1.adr_id);
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) SELECT talon_id,adr_id,10 FROM ytalon t1 
    WHERE  dw BETWEEN _st AND _en  AND isree=1  AND comp_cod NOT IN (SELECT ree_num FROM comp WHERE ree_num>0) 
    AND NOT EXISTS(SELECT * FROM yprotokol pr1 WHERE pr1.err_cod=9 AND pr1.adr_id=t1.adr_id);
    UPDATE yprotokol pr,adrbook a1 SET pr.fam=a1.fam,pr.im=a1.im,pr.ot=a1.ot WHERE a1.adr_id=pr.adr_id;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,21 FROM ytalon t1,mkb s1 WHERE t1.DZ=s1.mkb_id AND t1.DZ>='A' AND pay=0 AND dw BETWEEN _st AND _en AND isree=1 ;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,21 FROM ytalon t1,mkb s1 WHERE t1.DZ2=s1.mkb_id AND t1.DZ2>='A' AND pay=0 AND dw BETWEEN _st AND _en AND isree=1 ;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,21 FROM ytalon t1,mkb s1 WHERE t1.DZ3=s1.mkb_id AND t1.DZ3>='A' AND pay=0 AND dw BETWEEN _st AND _en AND isree=1 ;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,21 FROM ytalon t1,mkb s1 WHERE t1.DZ4=s1.mkb_id AND t1.DZ4>='A' AND pay=0 AND dw BETWEEN _st AND _en AND isree=1 ;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,21 FROM ytalon t1,mkb s1 WHERE t1.DZ5=s1.mkb_id AND t1.DZ5>='A' AND pay=0 AND dw BETWEEN _st AND _en AND isree=1 ;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,21 FROM ytalon t1,mkb s1 WHERE t1.DZ6=s1.mkb_id AND t1.DZ6>='A' AND pay=0 AND dw BETWEEN _st AND _en AND isree=1 ;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,21 FROM ytalon t1,mkb s1 WHERE t1.DZ7=s1.mkb_id AND t1.DZ7>='A' AND pay=0 AND dw BETWEEN _st AND _en AND isree=1 ;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,21 FROM ytalon t1,mkb s1 WHERE t1.DZ8=s1.mkb_id AND t1.DZ8>='A' AND pay=0 AND dw BETWEEN _st AND _en AND isree=1 ;
   
    SELECT DISTINCT err_cod,e1.name FROM yprotokol p1,yerr e1 WHERE p1.err_cod=e1.err_id ORDER BY err_cod;
END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_test_ree_new` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_test_ree_new` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_test_ree_new`(IN _st DATE,IN _en DATE,in _regpol char(2),in _obl SMALLINT,in _umer tinyint)
BEGIN
    TRUNCATE TABLE yprotokol;
    
	UPDATE ytalon t1,vr SET spec_cod=vr.`kodspec`  WHERE t1.fwr=vr.`fwr`  AND t1.fwr>0  AND dw BETWEEN _st AND _en;
	UPDATE ytalon t1,vr SET spec_cod2=vr.`kodspec` WHERE t1.fwr2=vr.`fwr` AND t1.fwr2>0 AND dw BETWEEN _st AND _en;
	UPDATE ytalon t1,vr SET spec_cod3=vr.`kodspec` WHERE t1.fwr3=vr.`fwr` AND t1.fwr3>0 AND dw BETWEEN _st AND _en;
	UPDATE ytalon t1,vr SET spec_cod4=vr.`kodspec` WHERE t1.fwr4=vr.`fwr` AND t1.fwr4>0 AND dw BETWEEN _st AND _en;
	UPDATE ytalon t1,vr SET spec_cod5=vr.`kodspec` WHERE t1.fwr5=vr.`fwr` AND t1.fwr5>0 AND dw BETWEEN _st AND _en;
	UPDATE ytalon t1,vr SET spec_cod6=vr.`kodspec` WHERE t1.fwr6=vr.`fwr` AND t1.fwr6>0 AND dw BETWEEN _st AND _en;
	UPDATE ytalon t1,vr SET spec_cod7=vr.`kodspec` WHERE t1.fwr7=vr.`fwr` AND t1.fwr7>0 AND dw BETWEEN _st AND _en;
	UPDATE ytalon t1,vr SET spec_cod8=vr.`kodspec` WHERE t1.fwr8=vr.`fwr` AND t1.fwr8>0 AND dw BETWEEN _st AND _en;
	UPDATE ytalon SET res_g=314,q_z=306,fl_ksg=2   WHERE dw BETWEEN _st AND _en AND talon_pr='М';
    UPDATE ytalon SET errcontr=0 WHERE dw BETWEEN _st AND _en AND isree=1;
    
    INSERT INTO yprotokol (talon_id,adr_id,err_cod,spec_cod,dw)  
    SELECT t1.talon_id,t1.adr_id,2,t1.spec_cod,t1.dw FROM ytalon t1 
    LEFT JOIN ytalon t2 ON t1.dw=t2.dw AND t1.adr_id=t2.adr_id AND t1.talon_id<>t2.talon_id AND 
    (((t1.spec_cod=t2.spec_cod OR t1.spec_cod=t2.spec_cod2 OR t1.spec_cod=t2.spec_cod3 OR t1.spec_cod=t2.spec_cod4 OR t1.spec_cod=t2.spec_cod5 OR t1.spec_cod=t2.spec_cod6 OR 
    t1.spec_cod=t2.spec_cod7 OR t1.spec_cod=t2.spec_cod8) AND t1.spec_cod>0) OR 
    ((t1.spec_cod2=t2.spec_cod OR t1.spec_cod2=t2.spec_cod2 OR t1.spec_cod2=t2.spec_cod3 OR t1.spec_cod2=t2.spec_cod4 OR t1.spec_cod2=t2.spec_cod5 OR t1.spec_cod2=t2.spec_cod6 OR 
    t1.spec_cod2=t2.spec_cod7 OR t1.spec_cod2=t2.spec_cod8) AND t1.spec_cod>0) OR 
    ((t1.spec_cod3=t2.spec_cod OR t1.spec_cod3=t2.spec_cod2 OR t1.spec_cod3=t2.spec_cod3 OR t1.spec_cod3=t2.spec_cod4 OR t1.spec_cod3=t2.spec_cod5 OR t1.spec_cod3=t2.spec_cod6 OR 
    t1.spec_cod3=t2.spec_cod7 OR t1.spec_cod3=t2.spec_cod8) AND t1.spec_cod3>0) OR 
    ((t1.spec_cod4=t2.spec_cod OR t1.spec_cod4=t2.spec_cod2 OR t1.spec_cod4=t2.spec_cod3 OR t1.spec_cod4=t2.spec_cod4 OR t1.spec_cod4=t2.spec_cod5 OR t1.spec_cod4=t2.spec_cod6 OR 
    t1.spec_cod4=t2.spec_cod7 OR t1.spec_cod4=t2.spec_cod8) AND t1.spec_cod4>0) OR 
    ((t1.spec_cod5=t2.spec_cod OR t1.spec_cod5=t2.spec_cod2 OR t1.spec_cod5=t2.spec_cod3 OR t1.spec_cod5=t2.spec_cod4 OR t1.spec_cod5=t2.spec_cod5 OR t1.spec_cod5=t2.spec_cod6 OR 
    t1.spec_cod5=t2.spec_cod7 OR t1.spec_cod5=t2.spec_cod8) AND t1.spec_cod5>0) OR 
    ((t1.spec_cod6=t2.spec_cod OR t1.spec_cod6=t2.spec_cod2 OR t1.spec_cod6=t2.spec_cod3 OR t1.spec_cod6=t2.spec_cod4 OR t1.spec_cod6=t2.spec_cod5 OR t1.spec_cod6=t2.spec_cod6 OR 
    t1.spec_cod6=t2.spec_cod7 OR t1.spec_cod6=t2.spec_cod8) AND t1.spec_cod6>0) OR 
    ((t1.spec_cod7=t2.spec_cod OR t1.spec_cod7=t2.spec_cod2 OR t1.spec_cod7=t2.spec_cod3 OR t1.spec_cod7=t2.spec_cod4 OR t1.spec_cod7=t2.spec_cod5 OR t1.spec_cod7=t2.spec_cod6 OR 
    t1.spec_cod7=t2.spec_cod7 OR t1.spec_cod7=t2.spec_cod8) AND t1.spec_cod7>0) OR 
    ((t1.spec_cod8=t2.spec_cod OR t1.spec_cod8=t2.spec_cod2 OR t1.spec_cod8=t2.spec_cod3 OR t1.spec_cod8=t2.spec_cod4 OR t1.spec_cod8=t2.spec_cod5 OR t1.spec_cod8=t2.spec_cod6 OR 
    t1.spec_cod8=t2.spec_cod7 OR t1.spec_cod8=t2.spec_cod8) AND t1.spec_cod8>0)
    )
    WHERE t1.dw BETWEEN _st AND _en  AND t1.isree=1 AND t2.isree=1  ;  
    
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,3 FROM ytalon t1,specnew s1 WHERE t1.spec_cod=s1.id AND wz NOT BETWEEN wz_min AND wz_max AND dw BETWEEN _st AND _en AND isree=1 ;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,4 FROM ytalon t1,specnew s1, adrbook a1 
    WHERE a1.adr_id=t1.adr_id AND t1.spec_cod=s1.id AND dw BETWEEN _st AND _en AND isree=1 AND ((a1.sex='М' AND s1.sex=2) OR (a1.sex='Ж' AND s1.sex=1));
 
    INSERT INTO yprotokol (talon_id,adr_id,err_cod,fam,im,ot) 
    SELECT t1.talon_id,t1.adr_id,5,t1.fam,t1.im,t1.ot FROM 
    (SELECT talon_id,pol_ser,pol_number,y1.adr_id,fam,im,ot,datebirth,comp_cod FROM ytalon y1,adrbook a1 WHERE  dw BETWEEN _st AND _en AND isree=1 AND a1.adr_id=y1.adr_id AND LENGTH(TRIM(pol_number))>3) t1,
    (SELECT talon_id,pol_ser,pol_number,y1.adr_id,fam,im,ot,datebirth,comp_cod FROM ytalon y1,adrbook a1 WHERE  dw BETWEEN _st AND _en AND isree=1 AND a1.adr_id=y1.adr_id AND LENGTH(TRIM(pol_number))>3) t2
    WHERE t1.pol_number=t2.pol_number AND t1.pol_ser=t2.pol_ser AND t1.comp_cod=t2.comp_cod AND NOT (t1.fam=t2.fam AND t1.im=t2.im AND t1.ot=t2.ot AND t1.datebirth=t2.datebirth) GROUP BY t1.talon_id;
    
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) SELECT t1.talon_id,t1.adr_id,7 FROM ytalon t1,mkb 
    WHERE t1.dz=mkb.mkb_id AND (LENGTH(TRIM(t1.dz))<3 OR mkb.pay=0) AND  t1.dw BETWEEN _st AND _en AND isree=1;
    
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) SELECT talon_id,adr_id,18 FROM ytalon t1 
    WHERE  dw BETWEEN _st AND _en  AND isree=1 AND talon_pr<>'М' AND RES_G NOT IN (SELECT RES_G_id FROM yRES_G WHERE RES_G_id>300) ;
     
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) SELECT talon_id,adr_id,19 FROM ytalon t1 
    WHERE  dw BETWEEN _st AND _en  AND isree=1 AND talon_pr<>'М' AND Q_Z NOT IN (SELECT Q_Z_id FROM yQ_Z WHERE Q_Z_id>300) ;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,13 FROM ytalon t1 WHERE t1.fwr<=>NULL AND t1.dw BETWEEN _st AND _en AND isree=1 ;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,17 FROM ytalon t1 WHERE (t1.fl_ksg<=>NULL OR t1.fl_ksg=0) AND t1.dw BETWEEN _st AND _en AND isree=1 ;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,14 FROM ytalon t1 WHERE (t1.spec_cod<=>NULL OR t1.spec_cod=0) AND t1.dw BETWEEN _st AND _en AND isree=1 ;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,15 FROM ytalon t1, adruch a1 , xcoder c1
    WHERE a1.adr_id=t1.adr_id AND v_prichsn=cod_cod AND scod_cod=11 AND ct_cod=1 AND ((TO_DAYS(dw) - TO_DAYS(v_dtsn))>_umer) AND dw BETWEEN _st AND _en AND isree=1;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod,fam,im,ot) 
    SELECT t1.talon_id,t1.adr_id,6,t1.fam,t1.im,t1.ot FROM 
    (SELECT talon_id,pol_ser,pol_number,y1.adr_id,fam,im,ot,datebirth,comp_cod FROM ytalon y1,adrbook a1 WHERE  dw BETWEEN _st AND _en AND isree=1 AND a1.adr_id=y1.adr_id AND LENGTH(TRIM(pol_number))>3) t1,
    (SELECT talon_id,pol_ser,pol_number,y1.adr_id,fam,im,ot,datebirth,comp_cod FROM ytalon y1,adrbook a1 WHERE  dw BETWEEN _st AND _en AND isree=1 AND a1.adr_id=y1.adr_id AND LENGTH(TRIM(pol_number))>3) t2
    WHERE NOT (t1.pol_number=t2.pol_number AND t1.pol_ser=t2.pol_ser AND t1.comp_cod=t2.comp_cod) AND (t1.fam=t2.fam AND t1.im=t2.im AND t1.ot=t2.ot AND t1.datebirth=t2.datebirth) 
    ORDER BY adr_id;
    
	INSERT INTO yprotokol (talon_id,adr_id,err_cod,fam,im,ot)
	SELECT talon_id,t1.adr_id,20,a1.fam,a1.im,a1.ot  FROM ytalon t1,adrbook a1,polis.polis p1
	WHERE LENGTH(TRIM(pol_ser))=0 AND isree=1 AND t1.adr_id=a1.adr_id AND conditoin IN (1,2) AND t1.dw BETWEEN _st AND _en AND LEFT(dw,7)>=LEFT(date_chang,7)
	AND NOT (replace(concat(a1.fam,a1.im,a1.ot),'Ё','Е')=REPLACE(CONCAT(p1.fam,p1.im,p1.ot),'Ё','Е') AND a1.datebirth=p1.datebirth)
	AND pol_number=new_policy AND p1.datebirth>'0000-00-00'; 
	INSERT INTO yprotokol (talon_id,adr_id,err_cod,fam,im,ot)
	SELECT talon_id,t1.adr_id,20,a1.fam,a1.im,a1.ot  FROM ytalon t1,adrbook a1,polis.polis p1
	WHERE LENGTH(TRIM(pol_ser))=4 AND isree=1 AND t1.adr_id=a1.adr_id AND conditoin IN (1,2) AND t1.dw BETWEEN _st AND _en AND LEFT(dw,7)>=LEFT(date_chang,7)
	AND NOT (a1.fam=p1.fam AND a1.im=p1.im AND a1.ot=p1.ot AND a1.datebirth=p1.datebirth)
	AND policy_ser=pol_ser AND policy_num=pol_number AND p1.datebirth>'0000-00-00'; 
    
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) SELECT talon_id,adr_id,9 FROM ytalon t1 
    WHERE dw BETWEEN _st AND _en  AND isree=1 AND (comp_cod<>98 AND LENGTH(TRIM(pol_number))<4 AND och in(1,3)) OR (comp_cod<>98 AND LENGTH(TRIM(pol_number))<1 AND och=2) AND
    NOT EXISTS(SELECT * FROM yprotokol pr1 WHERE pr1.err_cod=9 AND pr1.adr_id=t1.adr_id);
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) SELECT talon_id,adr_id,10 FROM ytalon t1 
    WHERE  dw BETWEEN _st AND _en  AND isree=1  AND comp_cod NOT IN (SELECT ree_num FROM comp WHERE ree_num>0) 
    AND NOT EXISTS(SELECT * FROM yprotokol pr1 WHERE pr1.err_cod=9 AND pr1.adr_id=t1.adr_id);
    UPDATE yprotokol pr,adrbook a1 SET pr.fam=a1.fam,pr.im=a1.im,pr.ot=a1.ot WHERE a1.adr_id=pr.adr_id;
    
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,21 FROM ytalon t1,mkb s1 WHERE t1.DZ=s1.mkb_id AND t1.DZ>='A' AND pay=0 AND dw BETWEEN _st AND _en AND isree=1 ;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,21 FROM ytalon t1,mkb s1 WHERE t1.DZ2=s1.mkb_id AND t1.DZ2>='A' AND pay=0 AND dw BETWEEN _st AND _en AND isree=1 ;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,21 FROM ytalon t1,mkb s1 WHERE t1.DZ3=s1.mkb_id AND t1.DZ3>='A' AND pay=0 AND dw BETWEEN _st AND _en AND isree=1 ;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,21 FROM ytalon t1,mkb s1 WHERE t1.DZ4=s1.mkb_id AND t1.DZ4>='A' AND pay=0 AND dw BETWEEN _st AND _en AND isree=1 ;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,21 FROM ytalon t1,mkb s1 WHERE t1.DZ5=s1.mkb_id AND t1.DZ5>='A' AND pay=0 AND dw BETWEEN _st AND _en AND isree=1 ;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,21 FROM ytalon t1,mkb s1 WHERE t1.DZ6=s1.mkb_id AND t1.DZ6>='A' AND pay=0 AND dw BETWEEN _st AND _en AND isree=1 ;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,21 FROM ytalon t1,mkb s1 WHERE t1.DZ7=s1.mkb_id AND t1.DZ7>='A' AND pay=0 AND dw BETWEEN _st AND _en AND isree=1 ;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,21 FROM ytalon t1,mkb s1 WHERE t1.DZ8=s1.mkb_id AND t1.DZ8>='A' AND pay=0 AND dw BETWEEN _st AND _en AND isree=1 ;
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,22 FROM ytalon t1 WHERE t1.new=0 AND dw BETWEEN _st AND _en AND isree=1 ;
    
 
    INSERT INTO yprotokol (talon_id,adr_id,err_cod) 
    SELECT t1.talon_id,t1.adr_id,23 FROM ytalon t1 LEFT JOIN specnew s1 ON t1.spec_cod=s1.id WHERE s1.`MSPNAME`<=>NULL AND dw BETWEEN _st AND _en AND isree=1 ;
   
   
    SELECT DISTINCT err_cod,e1.name FROM yprotokol p1,yerr e1 WHERE p1.err_cod=e1.err_id ORDER BY err_cod;
END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_umer` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_umer` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_umer`(in _adr int,in _dw date,in _umer TINYINT)
BEGIN
	    SELECT a1.adr_id FROM adruch a1 , xcoder c1
	    WHERE a1.adr_id=_adr and v_prichsn=cod_cod AND scod_cod=11 AND ct_cod=1 AND ((TO_DAYS(_dw) - TO_DAYS(v_dtsn))>_umer);
    END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_unpack_talon` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_unpack_talon` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_unpack_talon`(in _st date,in _en date)
BEGIN
    TRUNCATE table ztal;
    insert into ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    from ytalon 
    WHERE dw BETWEEN _st AND _en AND erradd=0 AND spec_cod>0 AND fwr>0 AND CHAR_LENGTH(TRIM(dz))>2 
    order by dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ2,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD2,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR2,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND erradd=0 
    and spec_cod2>0 AND fwr2>0 AND CHAR_LENGTH(TRIM(dz2))>2 
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ3,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD3,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR3,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND erradd=0 
    AND spec_cod3>0 AND fwr3>0 AND CHAR_LENGTH(TRIM(dz3))>2 
    ORDER BY dw;
 
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ4,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD4,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR4,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND erradd=0 
    AND spec_cod4>0 AND fwr4>0 AND CHAR_LENGTH(TRIM(dz4))>2 
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ5,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD5,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR5,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND erradd=0 
    AND spec_cod5>0 AND fwr5>0 AND CHAR_LENGTH(TRIM(dz5))>2 
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ6,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD6,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR6,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND erradd=0 
    AND spec_cod6>0 AND fwr6>0 AND CHAR_LENGTH(TRIM(dz6))>2 
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ7,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD7,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR7,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND erradd=0 
    AND spec_cod7>0 AND fwr7>0 AND CHAR_LENGTH(TRIM(dz7))>2 
    ORDER BY dw;
 
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ8,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD8,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR8,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND erradd=0 
    AND spec_cod8>0 AND fwr8>0 AND CHAR_LENGTH(TRIM(dz8))>2 
    ORDER BY dw;
    
END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_unpack_talon_all` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_unpack_talon_all` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_unpack_talon_all`(IN _st DATE,IN _en DATE,in wzst tinyint,IN wzen TINYINT)
BEGIN
if wzst = 55 and wzen=0 then 
begin
    TRUNCATE TABLE ztal;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon 
    WHERE dw BETWEEN _st AND _en and ytalon.wz and ytalon.wz >= 55 and LENGTH(trim(DZ))>2
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ2,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD2,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR2,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz >= 55 AND LENGTH(TRIM(DZ2))>2
    AND spec_cod2>0 
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ3,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD3,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR3,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz >= 55 AND LENGTH(TRIM(DZ3))>2
    AND spec_cod3>0 
    ORDER BY dw;
 
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ4,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD4,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR4,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz >= 55 AND LENGTH(TRIM(DZ4))>2
    AND spec_cod4>0 
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ5,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD5,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR5,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz >= 55 AND LENGTH(TRIM(DZ5))>2
    AND spec_cod5>0 
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ6,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD6,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR6,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz >= 55 AND LENGTH(TRIM(DZ6))>2
    AND spec_cod6>0 
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ7,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD7,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR7,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz >= 55 AND LENGTH(TRIM(DZ7))>2
    AND spec_cod7>0 
    ORDER BY dw;
 
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ8,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD8,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR8,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz >= 55 AND LENGTH(TRIM(DZ8))>2
    AND spec_cod8>0 
    ORDER BY dw;
end;    
else 
BEGIN
    TRUNCATE TABLE ztal;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon 
    WHERE dw BETWEEN _st AND _en AND ytalon.wz BETWEEN  wzst AND wzen AND LENGTH(TRIM(DZ))>2
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ2,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD2,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR2,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz BETWEEN  wzst AND wzen AND LENGTH(TRIM(DZ2))>2
    AND spec_cod2>0 
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ3,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD3,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR3,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz BETWEEN  wzst AND wzen AND LENGTH(TRIM(DZ3))>2
    AND spec_cod3>0 
    ORDER BY dw;
 
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ4,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD4,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR4,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz BETWEEN  wzst AND wzen AND LENGTH(TRIM(DZ4))>2
    AND spec_cod4>0 
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ5,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD5,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR5,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz BETWEEN  wzst AND wzen AND LENGTH(TRIM(DZ5))>2
    AND spec_cod5>0 
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ6,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD6,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR6,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz BETWEEN  wzst AND wzen AND LENGTH(TRIM(DZ6))>2
    AND spec_cod6>0 
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ7,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD7,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR7,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz BETWEEN  wzst AND wzen AND LENGTH(TRIM(DZ7))>2
    AND spec_cod7>0 
    ORDER BY dw;
 
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ8,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD8,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR8,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz BETWEEN  wzst AND wzen AND LENGTH(TRIM(DZ8))>2
    AND spec_cod8>0 
    ORDER BY dw;
END;    
end if;
END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_unpack_talon_all_all` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_unpack_talon_all_all` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_unpack_talon_all_all`(IN _st DATE,IN _en DATE,IN wzst TINYINT,IN wzen TINYINT)
BEGIN
    TRUNCATE TABLE ztal;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon 
    WHERE dw BETWEEN _st AND _en AND ytalon.wz BETWEEN  wzst AND wzen 
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ2,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD2,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR2,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz BETWEEN  wzst AND wzen 
    AND spec_cod2>0 
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ3,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD3,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR3,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz BETWEEN  wzst AND wzen 
    AND spec_cod3>0 
    ORDER BY dw;
 
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ4,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD4,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR4,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz BETWEEN  wzst AND wzen 
    AND spec_cod4>0 
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ5,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD5,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR5,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz BETWEEN  wzst AND wzen 
    AND spec_cod5>0 
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ6,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD6,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR6,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz BETWEEN  wzst AND wzen 
    AND spec_cod6>0 
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ7,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD7,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR7,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz BETWEEN  wzst AND wzen 
    AND spec_cod7>0 
    ORDER BY dw;
 
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ8,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD8,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR8,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz BETWEEN  wzst AND wzen 
    AND spec_cod8>0 
    ORDER BY dw;
    
END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_unpack_talon_reg` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_unpack_talon_reg` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_unpack_talon_reg`(IN _st DATE,IN _en DATE,IN wzst TINYINT,IN wzen TINYINT)
BEGIN
    TRUNCATE TABLE ztal;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon 
    WHERE dw BETWEEN _st AND _en AND ytalon.wz BETWEEN  wzst AND wzen and isree=1 and sym>0 and comp_cod>0 and fwr>0 AND LENGTH(TRIM(DZ))>2
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ2,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD2,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR2,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz BETWEEN  wzst AND wzen AND wzen AND isree=1 AND sym>0 and comp_cod>0 AND fwr2>0 AND LENGTH(TRIM(DZ2))>2
    AND spec_cod2>0 
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ3,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD3,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR3,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz BETWEEN  wzst AND wzen  AND isree=1 AND sym>0 AND comp_cod>0 AND fwr3>0 AND LENGTH(TRIM(DZ3))>2
    AND spec_cod3>0 
    ORDER BY dw;
 
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ4,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD4,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR4,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz BETWEEN  wzst AND wzen  AND isree=1 AND sym>0 AND comp_cod>0 AND fwr4>0 AND LENGTH(TRIM(DZ4))>2
    AND spec_cod4>0 
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ5,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD5,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR5,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz BETWEEN  wzst AND wzen  AND isree=1 AND sym>0 AND comp_cod>0 AND fwr5>0 AND LENGTH(TRIM(DZ5))>2
    AND spec_cod5>0 
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ6,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD6,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR6,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz BETWEEN  wzst AND wzen  AND isree=1 AND sym>0 AND comp_cod>0 AND fwr6>0 AND LENGTH(TRIM(DZ6))>2
    AND spec_cod6>0 
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ7,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD7,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR7,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz BETWEEN  wzst AND wzen  AND isree=1 AND sym>0 AND comp_cod>0 AND fwr7>0 AND LENGTH(TRIM(DZ7))>2
    AND spec_cod7>0 
    ORDER BY dw;
 
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ8,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD8,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR8,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon WHERE dw BETWEEN _st AND _en AND ytalon.wz BETWEEN  wzst AND wzen  AND isree=1 AND sym>0 AND comp_cod>0 AND fwr8>0 AND LENGTH(TRIM(DZ8))>2
    AND spec_cod8>0 
    ORDER BY dw;
    
END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_unpack_talon_student` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_unpack_talon_student` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_unpack_talon_student`(IN _st DATE,IN _en DATE,IN _sta TINYINT)
BEGIN
    TRUNCATE TABLE ztal;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,ytalon.adr_name,ytalon.adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,ytalon.lpu,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,a1.status,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon join adrbook a1 on ytalon.`adr_id`=a1.adr_id and a1.status=_sta
    WHERE dw BETWEEN _st AND _en AND LENGTH(TRIM(DZ))>2
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,ytalon.adr_name,ytalon.adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ2,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,ytalon.lpu,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD2,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR2,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,a1.status,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon JOIN adrbook a1 ON ytalon.`adr_id`=a1.adr_id AND a1.status=_sta 
    WHERE dw BETWEEN _st AND _en AND LENGTH(TRIM(DZ2))>2
    AND spec_cod2>0 
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,ytalon.adr_name,ytalon.adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ3,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,ytalon.lpu,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD3,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR3,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,a1.status,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon JOIN adrbook a1 ON ytalon.`adr_id`=a1.adr_id AND a1.status=_sta
    WHERE dw BETWEEN _st AND _en AND LENGTH(TRIM(DZ3))>2
    AND spec_cod3>0 
    ORDER BY dw;
 
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,ytalon.adr_name,ytalon.adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ4,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,ytalon.lpu,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD4,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR4,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,a1.status,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon JOIN adrbook a1 ON ytalon.`adr_id`=a1.adr_id AND a1.status=_sta
    WHERE dw BETWEEN _st AND _en AND LENGTH(TRIM(DZ4))>2
    AND spec_cod4>0 
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,ytalon.adr_name,ytalon.adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ5,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,ytalon.lpu,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD5,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR5,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,a1.status,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon JOIN adrbook a1 ON ytalon.`adr_id`=a1.adr_id AND a1.status=_sta
    WHERE dw BETWEEN _st AND _en AND LENGTH(TRIM(DZ5))>2
    AND spec_cod5>0 
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,ytalon.adr_name,ytalon.adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ6,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,ytalon.lpu,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD6,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR6,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,a1.status,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon JOIN adrbook a1 ON ytalon.`adr_id`=a1.adr_id AND a1.status=_sta
    WHERE dw BETWEEN _st AND _en AND LENGTH(TRIM(DZ6))>2
    AND spec_cod6>0 
    ORDER BY dw;
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,ytalon.adr_name,ytalon.adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ7,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,ytalon.lpu,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD7,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR7,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,a1.status,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon JOIN adrbook a1 ON ytalon.`adr_id`=a1.adr_id AND a1.status=_sta
    WHERE dw BETWEEN _st AND _en AND LENGTH(TRIM(DZ7))>2
    AND spec_cod7>0 
    ORDER BY dw;
 
    INSERT INTO ztal ( 
    ztal_id,talon_pr,talon_id,adr_name,adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,LPU,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,STATUS,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num) 
    SELECT 0,talon_pr,talon_id,ytalon.adr_name,ytalon.adr_id,dt,tim,och,kartadv,pol_number,COMP_COD,Date_wz,wz,DZ8,PD,SRL,SRL_KSG,SYM1,UKDL,`IS`,SYM,SYM_KSG,ytalon.lpu,DW,
    MPR,INKUR,KSG,IPR,SPEC_COD8,MES,FL,FL_KSG,OTKL,OTKL_KSG,S_DAY,S_DAYKSG,S_AVANS,D_AVANS,R_TYPE,SOATO,R_TKSG,FWR8,SZ,OCL,TEXT_INF,REE_POL,
    DN,REE_NSTR,STAT,EKS,COMP_CDP,a1.status,FSS,SS,DS_S,PRVD,Q_Z,RES_G,D_LISTIN,D_LISTOUT,typetal,opregistr,opstatist,dtadd,erradd,zak,tr,trpr,d_travma,
    trway,errcontr,bltype,blsex,blwz,pol_ser,isree,ismo,isdd,ispay,opl,num
    FROM ytalon JOIN adrbook a1 ON ytalon.`adr_id`=a1.adr_id AND a1.status=_sta
    WHERE dw BETWEEN _st AND _en AND LENGTH(TRIM(DZ8))>2
    AND spec_cod8>0 
    ORDER BY dw;
END */$$
DELIMITER ;

/* Procedure structure for procedure `reg_vrrasr` */

/*!50003 DROP PROCEDURE IF EXISTS  `reg_vrrasr` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `reg_vrrasr`(in _vr tinyint,in _dw date)
BEGIN
	set @wd=WEEKDAY(_dw)+1;
	IF EXISTS (SELECT * FROM vrras WHERE vr_id=_vr and dweek=@wd) THEN
		IF not EXISTS (SELECT * FROM vrras WHERE vr_id=_vr AND nowork=1 AND _dw BETWEEN nost AND noend) THEN
			BEGIN 
				select stwork into @_stwork from vrras WHERE vr_id=_vr AND dweek=@wd;
				SELECT ktal INTO @_ktal FROM vrras WHERE vr_id=_vr AND dweek=@wd;
				SELECT kmin INTO @_kmin FROM vrras WHERE vr_id=_vr AND dweek=@wd;
				
				drop table if exists tt;
				DROP TABLE IF EXISTS ttt;
				CREATE TEMPORARY TABLE ttt SELECT tim FROM ytalon y1,vr WHERE vr_id=_vr AND y1.fwr=vr.fwr AND dw=_dw;
				create temporary table tt (`num` TINYINT UNSIGNED NOT NULL AUTO_INCREMENT , 
				`tt` VARCHAR(5) ,`zan` TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
				PRIMARY KEY (`num`)  )  ;
				set @nn=0;				
				while @nn<@_ktal do
					begin
						SELECT LEFT(TIME(TIMESTAMPADD(MINUTE,@_kmin*@nn,concat('1111-11-11 ',@_stwork,':00'))),5) into @_tt;
						SET @nn=@nn+1;
						INSERT INTO tt SET tt=@_tt;
					end;
				end while;
				update tt,ttt set tt.zan=1 where left(tim,5)=tt.tt;
				SELECT * FROM tt;
			END;
		else 
			CREATE TEMPORARY TABLE tt (`num` TINYINT UNSIGNED NOT NULL AUTO_INCREMENT , 
			`tt` VARCHAR(5) ,`zan` TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
			PRIMARY KEY (`num`)  )  ;
		end if;
	else 	
		CREATE TEMPORARY TABLE tt (`num` TINYINT UNSIGNED NOT NULL AUTO_INCREMENT , 
		`tt` VARCHAR(5) ,`zan` TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
		PRIMARY KEY (`num`)  )  ;
	end if;
END */$$
DELIMITER ;

/* Procedure structure for procedure `return_adr_export` */

/*!50003 DROP PROCEDURE IF EXISTS  `return_adr_export` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `return_adr_export`(
    IN _imp TINYINT,
    IN _db DATE,
    IN _de DATE,
    IN _org CHAR(10),
    IN _ispodst TINYINT,
    IN _pcity VARCHAR(40))
BEGIN
    TRUNCATE TABLE zlkarta;
    IF _imp <3 THEN
        INSERT INTO zlkarta 
        SELECT DISTINCT k1.* FROM KARTA k1,adrbook a1 WHERE a1.adr_id=k1.adr_id AND dt BETWEEN _db AND _de AND a1.uch=99 AND k1.adr_name<>_org;
    ELSE 
        INSERT INTO zlkarta 
        SELECT * FROM KARTA WHERE dt BETWEEN _db AND _de AND adr_name<>_org;
    END IF;
    TRUNCATE TABLE zladr;
    INSERT INTO zladr 
    SELECT DISTINCT a1.* FROM adrbook a1,zlKARTA k1 WHERE k1.adr_id=a1.adr_id;
    IF _ispodst=1 THEN 
        UPDATE zladr SET adr_city=_pcity WHERE adr_city<=>NULL OR adr_city<' ';
    END IF;
    IF _imp <3 THEN
      begin
        CALL update_uch_obmen(_imp);
        UPDATE zlkarta k1 SET k1.uch=0 WHERE 1; 
        UPDATE zlkarta k1,zladr a1 SET k1.uch=a1.uch WHERE k1.adr_id=a1.adr_id;
        DELETE FROM zladr WHERE ou=0;
        DELETE FROM zlkarta WHERE uch=0;
      end;
    else 
      BEGIN
        UPDATE zladr SET ou=1;
      END;
    end if ;
    
    UPDATE zladr a1, st SET a1.street=st.name WHERE a1.adr_street=st.street_id;
    UPDATE zladr a1, works SET a1.works_dop=works.name WHERE a1.works=works.works_id AND a1.works_dop='';
    UPDATE zladr SET kato=kat,domestico=domestic,risko=risk,dispmkbo=dispmkb WHERE 1;
    SELECT * FROM zladr WHERE ou=1 order by fam,im,ot;
END */$$
DELIMITER ;

/* Procedure structure for procedure `return_adr_one` */

/*!50003 DROP PROCEDURE IF EXISTS  `return_adr_one` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `return_adr_one`(in _ad int)
BEGIN
	SELECT DISTINCT a1.*, works.name AS worksname, kat.name AS katname, vr.fio AS vruch, st.name AS astr,
	au.v_dtpost,au.v_dtsn,au.v_prichsn,v_GRUP_S,v_GRUP_H,v_obs,r1,r2,r3,r4,r5,r6,r7,r8,r9,r10,r11,r12,v_prich_post,dop_sv,ut 
	FROM adrbook a1 LEFT JOIN works ON a1.works=works.works_id AND a1.lpu=works.lpu 
	LEFT JOIN kat ON a1.kat=kat.kat_id AND a1.lpu=kat.lpu 
	LEFT JOIN (SELECT * FROM vr GROUP BY uch) vr ON a1.uch=vr.uch AND vr.uch>0 
	LEFT JOIN st ON a1.adr_street=st.street_id LEFT JOIN xadrbook x1 ON a1.adr_id=v_adr_id LEFT JOIN adruch au ON a1.adr_id=au.adr_id 
	WHERE a1.adr_id=_ad;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `return_A_karta` */

/*!50003 DROP PROCEDURE IF EXISTS  `return_A_karta` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `return_A_karta`()
BEGIN
    SELECT CONCAT(fam,' ',im,' ',ot) AS fio,k1.vr,vr.fio AS vrach,k1.depart,st.name AS astr,SPACE(125) AS adr,datebirth,a1.last_date ld,
    a1.adr_street,a1.adr_city,adr_home,adr_flat,street_dop,works_dop,street,
    flu_id,k1.adr_id,dt,snimok,stelag,k1.prim,prim.prim primname,doobsled,p_gr,doze,mkb10,k1.orel,k1.orelnew,mkb,k1.lpu,k1.uch,k1.mo,k1.bodypart
    FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
    LEFT JOIN vr ON k1.vr=vr.vr_id
    LEFT JOIN st ON k1.adr_street=st.street_id 
    LEFT JOIN prim ON k1.prim=prim.prim_id 
    WHERE k1.orelnew=1 and k1.adr_name=@_orgkod ORDER BY dt DESC;
END */$$
DELIMITER ;

/* Procedure structure for procedure `return_karta_export` */

/*!50003 DROP PROCEDURE IF EXISTS  `return_karta_export` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `return_karta_export`()
BEGIN
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp SELECT DISTINCT zlkarta.* FROM zlkarta,zladr WHERE zlkarta.adr_id=zladr.adr_id ORDER BY dt DESC;
    UPDATE tmp SET mkb10=find_main_mkb10(mkb10) WHERE SUBSTRING(mkb10,3,8)+0>88;   
    UPDATE tmp k1, zladr a1 SET k1.kato=a1.kat,mkb10o=mkb10,k1.domestico=a1.domestic,k1.risko=a1.risk,bodyparto=bodypart WHERE a1.adr_id=k1.adr_id;
    TRUNCATE TABLE zlkarta;
    INSERT INTO zlkarta SELECT * FROM tmp;
    DROP TABLE IF EXISTS tmp;
    SELECT * FROM zlkarta WHERE 1 ORDER BY dt DESC;
END */$$
DELIMITER ;

/* Procedure structure for procedure `return_karta_import` */

/*!50003 DROP PROCEDURE IF EXISTS  `return_karta_import` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `return_karta_import`()
BEGIN
    SELECT CONCAT(fam,' ',im,' ',ot) AS fio,vr.fio AS vrach,st.name AS astr,
    a1.adr_street,a1.adr_city,adr_home,adr_flat,street_dop,
    dt,snimok,stelag,p_gr,mkb10,k1.lpu,k1.uch,works.name worksname,kat.name katstr, datebirth
    FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
    LEFT JOIN vr ON k1.vr=vr.vr_id
    LEFT JOIN st ON k1.adr_street=st.street_id 
    LEFT JOIN works ON a1.works=works.works_id 
    LEFT JOIN kat ON a1.kat=kat.kat_id 
    WHERE k1.orelnew=1 ORDER BY dt,fio;
END */$$
DELIMITER ;

/* Procedure structure for procedure `return_LPU_karta` */

/*!50003 DROP PROCEDURE IF EXISTS  `return_LPU_karta` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `return_LPU_karta`(
in _lpu int,
in _lpuvr int
)
BEGIN
    SELECT CONCAT(fam,' ',im,' ',ot) AS fio,k1.vr,vr.fio AS vrach,st.name AS astr,SPACE(125) AS adr,datebirth,a1.last_date ld,
    a1.adr_street,a1.adr_city,adr_home,adr_flat,a1.street,street_dop,works_dop,
    flu_id,k1.adr_id,dt,snimok,stelag,k1.prim,prim.prim primname,doobsled,p_gr,doze,mkb10,k1.orel,k1.orelnew,mkb,k1.lpu,k1.uch,k1.mo,k1.bodypart,
    k1.dir2,k1.dir3,k1.reg1,k1.reg2
    FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
    LEFT JOIN vr ON k1.vr=vr.vr_id
    LEFT JOIN st ON k1.adr_street=st.street_id 
    LEFT JOIN prim ON k1.prim=prim.prim_id 
    WHERE k1.orelnew=1 AND k1.lpu=_lpu ORDER BY dt DESC;
END */$$
DELIMITER ;

/* Procedure structure for procedure `return_O_karta` */

/*!50003 DROP PROCEDURE IF EXISTS  `return_O_karta` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `return_O_karta`()
BEGIN
    SELECT CONCAT(fam,' ',im,' ',ot) AS fio,k1.vr,vr.fio AS vrach,st.name AS astr,SPACE(125) AS adr,datebirth,a1.last_date ld,
    a1.adr_street,a1.adr_city,adr_home,adr_flat,a1.street,street_dop,works_dop,
    flu_id,k1.adr_id,dt,snimok,stelag,k1.prim,prim.prim primname,doobsled,p_gr,doze,mkb10,k1.orel,k1.orelnew,mkb,k1.lpu,k1.uch,k1.mo,k1.bodypart,
    k1.dir2,k1.dir3,k1.reg1,k1.reg2
    FROM karta k1 JOIN adrbook a1 ON k1.adr_id=a1.adr_id 
    LEFT JOIN vr ON k1.vr=vr.vr_id
    LEFT JOIN st ON k1.adr_street=st.street_id 
    LEFT JOIN prim ON k1.prim=prim.prim_id 
    WHERE k1.orelnew=1 AND k1.adr_name=@_orgkod ORDER BY dt DESC;
END */$$
DELIMITER ;

/* Procedure structure for procedure `return_O_vr` */

/*!50003 DROP PROCEDURE IF EXISTS  `return_O_vr` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `return_O_vr`()
BEGIN
    SELECT vr_id,fio,uch,flu,mo,z1.id dir1,z2.id dir2,z3.id dir3 
    FROM vr LEFT JOIN zodocd1flu z1 ON vr_id=z1.dir1 AND z1.adr_name=@_orgkod
    LEFT JOIN zodocd2flu z2 ON vr_id=z2.dir2 AND z2.adr_name=@_orgkod
    LEFT JOIN zodocd3flu z3 ON vr_id=z3.dir3 AND z3.adr_name=@_orgkod
    WHERE lpu<1 AND vr_id>0 ORDER BY fio;
END */$$
DELIMITER ;

/* Procedure structure for procedure `street_analiz` */

/*!50003 DROP PROCEDURE IF EXISTS  `street_analiz` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `street_analiz`()
BEGIN
    DROP TABLE IF EXISTS tmp1;
    CREATE TEMPORARY TABLE tmp1 (
    SELECT street_id,COUNT(adr_id) kadr FROM st, adrbook WHERE street_id=adr_street GROUP BY street_id);
    DROP TABLE IF EXISTS tmp2;
    CREATE TEMPORARY TABLE tmp2 (
    SELECT street_id,COUNT(flu_id) kkart FROM st, karta WHERE street_id=adr_street GROUP BY street_id);
    DROP TABLE IF EXISTS tmp3;
    CREATE TEMPORARY TABLE tmp3 (
    SELECT street_id,COUNT(id) kuch FROM st, uch WHERE street_id=st GROUP BY street_id);
    DROP TABLE IF EXISTS tmp4;
    CREATE TEMPORARY TABLE tmp4 (
    SELECT street_id,COUNT(intelst_id) kintel FROM st, intelst WHERE street_id=adr_street GROUP BY street_id);
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp (
    SELECT st.street_id,st.name,tmp1.kadr,tmp2.kkart,tmp3.kuch,tmp4.kintel FROM st LEFT JOIN tmp1 ON st.street_id=tmp1.street_id
    LEFT JOIN tmp2 ON st.street_id=tmp2.street_id
    LEFT JOIN tmp3 ON st.street_id=tmp3.street_id
    LEFT JOIN tmp4 ON st.street_id=tmp4.street_id
    ORDER BY st.name);
    UPDATE st,tmp SET st.kadr=tmp.kadr,st.kkart=tmp.kkart,st.kuch=tmp.kuch,st.kintel=tmp.kintel
    WHERE st.street_id=tmp.street_id;
    DROP TABLE IF EXISTS tmp;
    DROP TABLE IF EXISTS tmp1;
    DROP TABLE IF EXISTS tmp2;
    DROP TABLE IF EXISTS tmp3;
    DROP TABLE IF EXISTS tmp4;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `street_obed` */

/*!50003 DROP PROCEDURE IF EXISTS  `street_obed` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `street_obed`(
    in _old smallint,
    in _new smallint)
BEGIN
    update adrbook,st set adr_street=_new,street=st.name where adr_street=_old and adr_street=st.street_id;
    UPDATE karta SET adr_street=_new WHERE adr_street=_old;
    UPDATE uch SET st=_new WHERE st=_old;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `st_intelst_update` */

/*!50003 DROP PROCEDURE IF EXISTS  `st_intelst_update` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `st_intelst_update`()
BEGIN
    INSERT INTO intelst 
    SELECT NULL intelst_id,street_id adr_street, NAME street, 999 STATUS,TRIM(UPPER(NAME)) u1,'' u2,'' u3,'' u1not,'' u2not,'' formula,'' myformula, 1 err
    FROM st LEFT JOIN intelst i1 ON st.street_id=i1.adr_street 
    WHERE NOT EXISTS (SELECT adr_street FROM intelst WHERE intelst.adr_street=street_id) AND street_id<>9999 GROUP BY NAME ORDER BY NAME;
    
    INSERT INTO intelcity 
    SELECT NULL intelst_id,city_id adr_street, NAME street, 999 STATUS,TRIM(UPPER(NAME)) u1,'' u2,'' u3,'' u1not,'' u2not,'' formula,'' myformula, 1 err
    FROM city LEFT JOIN intelcity i1 ON city.city_id=i1.adr_street 
    WHERE NOT EXISTS (SELECT adr_street FROM intelcity WHERE intelcity.adr_street=city_id) AND city_id<>9999 GROUP BY NAME ORDER BY NAME;
END */$$
DELIMITER ;

/* Procedure structure for procedure `st_z_intelst_update` */

/*!50003 DROP PROCEDURE IF EXISTS  `st_z_intelst_update` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `st_z_intelst_update`()
BEGIN
    INSERT INTO z_intelst 
    SELECT NULL intelst_id,street_id adr_street, NAME street, 999 STATUS,TRIM(UPPER(NAME)) u1,'' u2,'' u3,'' u1not,'' u2not,'' formula,'' myformula, 1 err
    FROM z_st LEFT JOIN z_intelst i1 ON z_st.street_id=i1.adr_street 
    WHERE NOT EXISTS (SELECT adr_street FROM z_intelst WHERE z_intelst.adr_street=street_id) AND street_id<>9999 GROUP BY NAME ORDER BY NAME;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `update_dispmkb_lpu` */

/*!50003 DROP PROCEDURE IF EXISTS  `update_dispmkb_lpu` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `update_dispmkb_lpu`(IN _all TINYINT,IN _lpu SMALLINT)
BEGIN
    IF _all=0 THEN 
      BEGIN
        UPDATE adrbook a1,dispmkb SET a1.dispmkb=dispmkb.main_id 
        WHERE a1.lpu=_lpu AND risk.lpu=_lpu AND a1.dispmkbo=dispmkb.dispmkb_id AND dispmkb.main_id>0 AND a1.orelnew=1;
      END;
    ELSE 
      BEGIN
        UPDATE adrbook a1,dispmkb SET a1.dispmkb=dispmkb.main_id 
        WHERE a1.lpu=_lpu AND risk.lpu=_lpu AND a1.dispmkbo=dispmkb.dispmkb_id AND dispmkb.main_id>0;
      END;
    END IF;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `update_kat_risk_lpu` */

/*!50003 DROP PROCEDURE IF EXISTS  `update_kat_risk_lpu` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `update_kat_risk_lpu`(in _all tinyint,in _lpu smallint)
BEGIN
    if _all=0 then 
      begin
        UPDATE karta k1,risk SET k1.kat=risk.kat    WHERE k1.lpu=_lpu AND risk.lpu=_lpu AND k1.risko=risk.risk_id AND risk.kat>0 AND k1.orelnew=1;
        UPDATE karta k1,kat  SET k1.kat=kat.main_id WHERE k1.lpu=_lpu AND kat.lpu=_lpu AND k1.kato=kat.kat_id AND kat.main_id>0  AND k1.orelnew=1;
        UPDATE adrbook k1,risk SET k1.kat=risk.kat    WHERE k1.lpu=_lpu AND risk.lpu=_lpu AND k1.risko=risk.risk_id AND risk.kat>0 AND k1.orelnew=1;
        UPDATE adrbook k1,kat  SET k1.kat=kat.main_id WHERE k1.lpu=_lpu AND kat.lpu=_lpu AND k1.kato=kat.kat_id AND kat.main_id>0  AND k1.orelnew=1;
      end;
    else 
      BEGIN
        UPDATE karta k1,risk SET k1.kat=risk.kat    WHERE k1.lpu=_lpu AND risk.lpu=_lpu AND k1.risko=risk.risk_id AND risk.kat>0 ;
        UPDATE karta k1,kat  SET k1.kat=kat.main_id WHERE k1.lpu=_lpu AND kat.lpu=_lpu AND k1.kato=kat.kat_id AND kat.main_id>0  ;
        UPDATE adrbook k1,risk SET k1.kat=risk.kat    WHERE k1.lpu=_lpu AND risk.lpu=_lpu AND k1.risko=risk.risk_id AND risk.kat>0 ;
        UPDATE adrbook k1,kat  SET k1.kat=kat.main_id WHERE k1.lpu=_lpu AND kat.lpu=_lpu AND k1.kato=kat.kat_id AND kat.main_id>0  ;
      END;
    end if;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `update_risk_body_lpu` */

/*!50003 DROP PROCEDURE IF EXISTS  `update_risk_body_lpu` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `update_risk_body_lpu`(IN _all TINYINT,IN _lpu SMALLINT)
BEGIN
    IF _all=0 THEN 
      BEGIN
        UPDATE karta k1,risk SET k1.kat=risk.main_id WHERE k1.lpu=_lpu AND risk.lpu=_lpu AND k1.risko=risk.risk_id AND risk.main_id>0 AND k1.orelnew=1;
        UPDATE karta k1,r_type  SET k1.bodypart=r_type.maincode1 WHERE k1.lpu=_lpu AND kat.lpu=_lpu AND k1.bodyparto=r_type.maincode1 AND r_type.maincode1>0  AND k1.orelnew=1;
        UPDATE adrbook k1,risk SET k1.kat=risk.main_id WHERE k1.lpu=_lpu AND risk.lpu=_lpu AND k1.risko=risk.risk_id AND risk.main_id>0 AND k1.orelnew=1;
      END;
    ELSE 
      BEGIN
        UPDATE karta k1,risk SET k1.kat=risk.main_id WHERE k1.lpu=_lpu AND risk.lpu=_lpu AND k1.risko=risk.risk_id AND risk.main_id>0;
        UPDATE karta k1,r_type  SET k1.bodypart=r_type.maincode1 WHERE k1.lpu=_lpu AND kat.lpu=_lpu AND k1.bodyparto=r_type.maincode1 AND r_type.maincode1>0;
        UPDATE adrbook k1,risk SET k1.kat=risk.main_id WHERE k1.lpu=_lpu AND risk.lpu=_lpu AND k1.risko=risk.risk_id AND risk.main_id>0;
      END;
    END IF;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `update_rn_adrbook` */

/*!50003 DROP PROCEDURE IF EXISTS  `update_rn_adrbook` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `update_rn_adrbook`(
    IN  _wh tinyint, in  _u  varchar(40))
BEGIN
    if _wh=1 then
        UPDATE adrbook a1,city SET a1.rnn=city.rn WHERE a1.adr_city=city.name;
    end if;
    IF _wh=2 THEN
        UPDATE adrbook a1,city SET a1.rnn=city.rn WHERE (rnn<1 OR ISNULL(rnn))
         and a1.adr_city=city.name;
    END IF;
    IF _wh=3 THEN
        UPDATE adrbook a1,city SET a1.rnn=city.rn WHERE TRIM(a1.adr_city) like concat('%',_u,'%')
         AND a1.adr_city=city.name;
    END IF;
    IF _wh=4 THEN
        UPDATE adrbook a1,city SET a1.rnn=city.rn WHERE
         a1.adr_city=city.name;
    END IF;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `update_rn_karta` */

/*!50003 DROP PROCEDURE IF EXISTS  `update_rn_karta` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `update_rn_karta`(in _wh tinyint, in _days smallint, in _u varchar(40))
BEGIN
    SET _days=IFNULL(_days,9999);
    IF _wh=1 THEN 
        UPDATE karta,adrbook SET karta.rnn=adrbook.rnn WHERE karta.adr_id=adrbook.adr_id 
        AND dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days DAY);
    END IF;
    IF _wh=2 THEN 
        UPDATE karta,adrbook SET karta.rnn=adrbook.rnn WHERE karta.adr_id=adrbook.adr_id and TRIM(adr_city) LIKE CONCAT('%',_u,'%')
        AND dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days DAY);
    END IF;
    IF _wh=3 THEN 
        UPDATE karta,adrbook SET karta.rnn=adrbook.rnn WHERE karta.adr_id=trim(_u)+0
        AND dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days DAY);
    END IF;
    IF _wh=4 THEN
        UPDATE karta,adrbook SET karta.rnn=adrbook.rnn WHERE karta.adr_id=adrbook.adr_id AND dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days DAY);
    END IF;
END */$$
DELIMITER ;

/* Procedure structure for procedure `update_rn_lpu` */

/*!50003 DROP PROCEDURE IF EXISTS  `update_rn_lpu` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `update_rn_lpu`(IN _all TINYINT,in _lpu smallint)
BEGIN
    IF _all=0 THEN 
      BEGIN
        UPDATE adrbook a1 SET ou=0 WHERE a1.lpu=_lpu AND a1.orelnew=1;
        UPDATE adrbook a1,city c1 SET a1.adr_city=(SELECT c2.name FROM city c2 WHERE c1.main_id=c2.city_id LIMIT 1)
        WHERE a1.adr_city=c1.name AND c1.main_id>0 AND NOT ISNULL(c1.main_id) AND a1.lpu=_lpu AND a1.orelnew=1;
        UPDATE adrbook a1,city SET a1.rnn=city.rn,ou=1 WHERE (rnn<1 OR ISNULL(rnn)) AND a1.adr_city=city.name AND a1.lpu=_lpu AND a1.orelnew=1;
        UPDATE adrbook a1,karta k1 SET k1.rnn=a1.rnn WHERE a1.adr_id=k1.adr_id AND a1.ou=1;
      END;
    ELSE 
      BEGIN
        UPDATE adrbook a1 SET ou=0 WHERE a1.lpu=_lpu;
        UPDATE adrbook a1,city c1 SET a1.adr_city=(SELECT c2.name FROM city c2 WHERE c1.main_id=c2.city_id LIMIT 1)
        WHERE a1.adr_city=c1.name AND c1.main_id>0 AND NOT ISNULL(c1.main_id) AND a1.lpu=_lpu;
        UPDATE adrbook a1,city SET a1.rnn=city.rn,ou=1 WHERE (rnn<1 OR ISNULL(rnn)) AND a1.adr_city=city.name AND a1.lpu=_lpu;
        UPDATE adrbook a1,karta k1 SET k1.rnn=a1.rnn WHERE a1.adr_id=k1.adr_id AND a1.ou=1;
      END;
    END IF;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `update_uch_adrbook_99` */

/*!50003 DROP PROCEDURE IF EXISTS  `update_uch_adrbook_99` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `update_uch_adrbook_99`(IN _days INT, OUT uch99 INT)
BEGIN       
        UPDATE adrbook a1, adruch a2 SET ou=0,ou_id=0  WHERE a1.adr_id=a2.adr_id AND (ISNULL(v_prich_post) OR v_prich_post<>3) and uch NOT BETWEEN 1 AND 98;
        UPDATE adrbook a1, adruch a2 SET ou=1  WHERE a1.adr_id=a2.adr_id AND v_prich_post=3 AND uch NOT BETWEEN 1 AND 98;
        UPDATE adrbook SET ou=1,ou_id=0,uch=99  WHERE nouch=1 and uch NOT BETWEEN 1 AND 98;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND uch NOT BETWEEN 1 AND 98 AND 
        vid=0 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(uch.home)=TRIM(adrbook.adr_home);
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND uch NOT BETWEEN 1 AND 98 AND 
        vid=1 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND uch NOT BETWEEN 1 AND 98 AND 
        vid=5 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(adrbook.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_);
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND uch NOT BETWEEN 1 AND 98 AND 
        vid=3 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(adrbook.adr_home)+0>0 AND 
        MOD(TRIM(adrbook.adr_home)+0,2)=0 AND 
        TRIM(adrbook.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_);
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND uch NOT BETWEEN 1 AND 98 AND 
        vid=4 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(adrbook.adr_home)+0>0 AND 
        MOD(TRIM(adrbook.adr_home)+0,2)=1 AND 
        TRIM(adrbook.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_);
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND uch NOT BETWEEN 1 AND 98 AND 
        vid=3 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(uch.home)='' AND TRIM(uch.home_)='';
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND uch NOT BETWEEN 1 AND 98 AND 
        vid=4 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(uch.home)='' AND TRIM(uch.home_)='';
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND uch NOT BETWEEN 1 AND 98 AND 
        vid=9 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city);
        
        SET _days=IFNULL(_days,9999);
        UPDATE karta,adrbook SET karta.uch=adrbook.uch,karta.adr_street=adrbook.adr_street WHERE karta.adr_id=adrbook.adr_id 
        AND dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days DAY);
        
        SELECT COUNT(*) INTO 'uch99' FROM adrbook WHERE uch=99;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `update_uch_adrbook_99_2` */

/*!50003 DROP PROCEDURE IF EXISTS  `update_uch_adrbook_99_2` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `update_uch_adrbook_99_2`(IN _days INT, OUT uch99 INT)
BEGIN       
        UPDATE adrbook a1, adruch a2 SET ou=0,ou_id=0  WHERE a1.adr_id=a2.adr_id AND (ISNULL(v_prich_post) OR v_prich_post<>3) and uch NOT BETWEEN 1 AND 98;
        UPDATE adrbook a1, adruch a2 SET ou=1  WHERE a1.adr_id=a2.adr_id AND v_prich_post=3 AND uch NOT BETWEEN 1 AND 98;
        UPDATE adrbook SET ou=1,ou_id=0,uch=99  WHERE nouch=1 and uch NOT BETWEEN 1 AND 98;
        
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND uch NOT BETWEEN 1 AND 98 AND 
        uch.lpu<1 AND 
        (st=adrbook.works AND home<'А');
         
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND uch NOT BETWEEN 1 AND 98 AND 
        uch.lpu<1 AND 
        ((st=9999 OR st=adrbook.works OR ISNULL(adrbook.works)) AND fam BETWEEN home AND home_);
       
        
        SET _days=IFNULL(_days,9999);
        UPDATE karta,adrbook SET karta.uch=adrbook.uch,karta.works=adrbook.works WHERE karta.adr_id=adrbook.adr_id 
        AND dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days DAY);
        
        SELECT COUNT(*) INTO 'uch99' FROM adrbook WHERE uch=99;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `update_uch_adrbook_99_deti` */

/*!50003 DROP PROCEDURE IF EXISTS  `update_uch_adrbook_99_deti` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `update_uch_adrbook_99_deti`(IN _days INT, OUT uch99 INT)
BEGIN       
        UPDATE adrbook a1, adruch a2 SET uch=99,a1.deti=IF(DATE_SUB(CURDATE(), INTERVAL 18 YEAR) < datebirth,1,0)  WHERE  a1.adr_id=a2.adr_id AND (ISNULL(v_prich_post) OR v_prich_post<>3);
        UPDATE adrbook a1, adruch a2 SET ou=1  WHERE a1.adr_id=a2.adr_id AND v_prich_post=3 AND uch NOT BETWEEN 1 AND 98;
        UPDATE adrbook SET ou=0,ou_id=0  WHERE uch not BETWEEN 1 and 98;
        UPDATE adrbook SET ou=1,ou_id=0,uch=99  WHERE nouch=1 and uch NOT BETWEEN 1 AND 98;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND uch NOT BETWEEN 1 AND 98 AND 
        vid=0 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(uch.home)=TRIM(adrbook.adr_home);
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND uch NOT BETWEEN 1 AND 98 AND 
        vid=1 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND uch NOT BETWEEN 1 AND 98 AND 
        vid=5 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(adrbook.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_);
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND uch NOT BETWEEN 1 AND 98 AND 
        vid=3 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(adrbook.adr_home)+0>0 AND 
        MOD(TRIM(adrbook.adr_home)+0,2)=0 AND 
        TRIM(adrbook.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_);
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND uch NOT BETWEEN 1 AND 98 AND 
        vid=4 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(adrbook.adr_home)+0>0 AND 
        MOD(TRIM(adrbook.adr_home)+0,2)=1 AND 
        TRIM(adrbook.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_);
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND uch NOT BETWEEN 1 AND 98 AND 
        vid=3 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(uch.home)='' AND TRIM(uch.home_)='';
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND uch NOT BETWEEN 1 AND 98 AND 
        vid=4 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(uch.home)='' AND TRIM(uch.home_)='';
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND uch NOT BETWEEN 1 AND 98 AND 
        vid=9 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city);
        
        SET _days=IFNULL(_days,9999);
        UPDATE karta,adrbook SET karta.uch=adrbook.uch,karta.adr_street=adrbook.adr_street WHERE karta.adr_id=adrbook.adr_id 
        AND dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days DAY);
        
        SELECT COUNT(*) INTO 'uch99' FROM adrbook WHERE uch=99;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `update_uch_adrbook_all` */

/*!50003 DROP PROCEDURE IF EXISTS  `update_uch_adrbook_all` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `update_uch_adrbook_all`(in _days int, OUT uch99 INT)
BEGIN       
        UPDATE adrbook a1, adruch a2 SET ou=0,ou_id=0  WHERE a1.adr_id=a2.adr_id and (ISNULL(v_prich_post) OR v_prich_post<>3);
        UPDATE adrbook a1, adruch a2 SET ou=1  WHERE a1.adr_id=a2.adr_id AND v_prich_post=3;
        UPDATE adrbook SET ou=1,ou_id=0,uch=99  WHERE nouch=1;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=0 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(uch.home)=TRIM(adrbook.adr_home);
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=1 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=5 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(adrbook.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_);
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=3 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(adrbook.adr_home)+0>0 AND 
        MOD(TRIM(adrbook.adr_home)+0,2)=0 AND 
        TRIM(adrbook.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_);
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=4 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(adrbook.adr_home)+0>0 AND 
        MOD(TRIM(adrbook.adr_home)+0,2)=1 AND 
        TRIM(adrbook.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_);
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=3 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(uch.home)='' AND TRIM(uch.home_)='';
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=4 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(uch.home)='' AND TRIM(uch.home_)='';
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=9 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city);
        UPDATE adrbook SET uch=99 WHERE ou=0;
        
        set _days=ifnull(_days,9999);
        UPDATE karta,adrbook SET karta.uch=adrbook.uch,karta.adr_street=adrbook.adr_street WHERE karta.adr_id=adrbook.adr_id 
        and dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days day);
        
        SELECT COUNT(*) into 'uch99' FROM adrbook WHERE uch=99;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `update_uch_adrbook_all_2` */

/*!50003 DROP PROCEDURE IF EXISTS  `update_uch_adrbook_all_2` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `update_uch_adrbook_all_2`(in _days int, OUT uch99 INT)
BEGIN       
        UPDATE adrbook a1, adruch a2 SET ou=0,ou_id=0  WHERE a1.adr_id=a2.adr_id and (ISNULL(v_prich_post) OR v_prich_post<>3);
        UPDATE adrbook a1, adruch a2 SET ou=1  WHERE a1.adr_id=a2.adr_id AND v_prich_post=3;
        UPDATE adrbook SET ou=1,ou_id=0,uch=99  WHERE nouch=1;
        
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        uch.lpu<1 AND 
        (st=adrbook.works and home<'А');
         
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        uch.lpu<1 AND 
        ((st=9999 OR st=adrbook.works OR ISNULL(adrbook.works)) AND fam BETWEEN home AND home_);
       
        
        set _days=ifnull(_days,9999);
        UPDATE karta,adrbook SET karta.uch=adrbook.uch,karta.works=adrbook.works WHERE karta.adr_id=adrbook.adr_id
        and dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days day);
        
        SELECT COUNT(*) into 'uch99' FROM adrbook WHERE uch=99;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `update_uch_adrbook_all_deti` */

/*!50003 DROP PROCEDURE IF EXISTS  `update_uch_adrbook_all_deti` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `update_uch_adrbook_all_deti`(in _days int, OUT uch99 INT)
BEGIN       
        UPDATE adrbook a1, adruch a2 SET uch=99,a1.deti=IF(DATE_SUB(CURDATE(), INTERVAL 18 YEAR) < datebirth,1,0)  WHERE  a1.adr_id=a2.adr_id AND (ISNULL(v_prich_post) OR v_prich_post<>3);
	UPDATE adrbook, adruch a2 SET ou=0,ou_id=0  WHERE  a1.adr_id=a2.adr_id AND (ISNULL(v_prich_post) OR v_prich_post<>3);
        UPDATE adrbook a1, adruch a2 SET ou=1  WHERE a1.adr_id=a2.adr_id AND v_prich_post=3;
        UPDATE adrbook SET ou=1,ou_id=0,uch=99  WHERE nouch=1;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=0 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(uch.home)=TRIM(adrbook.adr_home);
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=1 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=5 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(adrbook.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_);
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=3 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(adrbook.adr_home)+0>0 AND 
        MOD(TRIM(adrbook.adr_home)+0,2)=0 AND 
        TRIM(adrbook.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_);
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=4 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(adrbook.adr_home)+0>0 AND 
        MOD(TRIM(adrbook.adr_home)+0,2)=1 AND 
        TRIM(adrbook.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_);
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=3 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(uch.home)='' AND TRIM(uch.home_)='';
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=4 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(uch.home)='' AND TRIM(uch.home_)='';
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=9 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city);
        UPDATE adrbook SET uch=99 WHERE ou=0;
        
        set _days=ifnull(_days,9999);
        UPDATE karta,adrbook SET karta.uch=adrbook.uch,karta.adr_street=adrbook.adr_street WHERE karta.adr_id=adrbook.adr_id 
        and dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days day);
        
        SELECT COUNT(*) into 'uch99' FROM adrbook WHERE uch=99;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `update_uch_adrbook_one` */

/*!50003 DROP PROCEDURE IF EXISTS  `update_uch_adrbook_one` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `update_uch_adrbook_one`(in _adr int,IN _days INT)
BEGIN
        UPDATE adrbook SET ou=0,ou_id=0  WHERE adr_id=_adr;
        UPDATE adrbook SET ou=1,ou_id=0,uch=99  WHERE adr_id=_adr and nouch=1;
        UPDATE adrbook a1, adruch a2 SET ou=1  WHERE a1.adr_id=_adr AND  a1.adr_id=a2.adr_id AND v_prich_post=3;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE adr_id=_adr AND 
        vid=0 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(uch.home)=TRIM(adrbook.adr_home) and ou=0;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE adr_id=_adr AND 
        vid=1 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND ou=0;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE adr_id=_adr AND 
        vid=5 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(adrbook.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_) AND ou=0;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE adr_id=_adr AND 
        vid=3 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(adrbook.adr_home)+0>0 AND 
        MOD(TRIM(adrbook.adr_home)+0,2)=0 AND 
        TRIM(adrbook.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_) AND ou=0;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE adr_id=_adr AND 
        vid=4 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(adrbook.adr_home)+0>0 AND 
        MOD(TRIM(adrbook.adr_home)+0,2)=1 AND 
        TRIM(adrbook.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_) AND ou=0;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE adr_id=_adr AND 
        vid=3 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(uch.home)='' AND TRIM(uch.home_)='' AND ou=0;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE adr_id=_adr AND 
        vid=4 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(uch.home)='' AND TRIM(uch.home_)='' AND ou=0;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE adr_id=_adr AND 
        vid=9 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND ou=0;
        UPDATE adrbook SET uch=99 WHERE adr_id=_adr and ou=0;
        
        SET _days=IFNULL(_days,9999);
        UPDATE karta,adrbook SET karta.uch=adrbook.uch,karta.adr_street=adrbook.adr_street WHERE karta.adr_id=_adr AND adrbook.adr_id=karta.`adr_id`
        AND dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days DAY);
   END */$$
DELIMITER ;

/* Procedure structure for procedure `update_uch_adrbook_one_2` */

/*!50003 DROP PROCEDURE IF EXISTS  `update_uch_adrbook_one_2` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `update_uch_adrbook_one_2`(in _adr int,IN _days INT)
BEGIN
        UPDATE adrbook a1, adruch a2 SET ou=0,ou_id=0  WHERE a1.adr_id=_adr and a1.adr_id=a2.adr_id AND (ISNULL(v_prich_post) OR (ISNULL(v_prich_post) OR v_prich_post<>3));
        UPDATE adrbook a1, adruch a2 SET ou=1  WHERE a1.adr_id=_adr AND a1.adr_id=a2.adr_id AND v_prich_post=3;
        UPDATE adrbook a1 SET ou=1,ou_id=0,uch=99  WHERE a1.adr_id=_adr and nouch=1;
        
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE adr_id=_adr AND ou=0 AND 
        uch.lpu<1 AND 
        (st=adrbook.works AND home<'А');
         
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE adr_id=_adr AND ou=0 AND 
        uch.lpu<1 AND 
        ((st=9999 OR st=adrbook.works OR ISNULL(adrbook.works)) AND fam BETWEEN home AND home_);
        UPDATE adrbook SET uch=99 WHERE adr_id=_adr and ou=0;
        
        SET _days=IFNULL(_days,9999);
        UPDATE karta,adrbook SET karta.uch=adrbook.uch,karta.works=adrbook.works WHERE karta.adr_id=_adr and adrbook.adr_id=karta.`adr_id`
        AND dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days DAY);
   END */$$
DELIMITER ;

/* Procedure structure for procedure `update_uch_adrbook_one_deti` */

/*!50003 DROP PROCEDURE IF EXISTS  `update_uch_adrbook_one_deti` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `update_uch_adrbook_one_deti`(in _adr int,IN _days INT)
BEGIN
        UPDATE adrbook a1, uch u1 SET uch=99,a1.deti=IF(DATE_SUB(CURDATE(), INTERVAL 18 YEAR) < datebirth,1,0)  WHERE 1;
        UPDATE adrbook SET ou=0,ou_id=0  WHERE adr_id=_adr;
        UPDATE adrbook a1, adruch a2 SET ou=1  WHERE a1.adr_id=_adr AND  a1.adr_id=a2.adr_id AND v_prich_post=3;
        UPDATE adrbook SET ou=1,ou_id=0,uch=99  WHERE adr_id=_adr and nouch=1;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE adr_id=_adr AND 
        vid=0 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(uch.home)=TRIM(adrbook.adr_home) and ou=0;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE adr_id=_adr AND 
        vid=1 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND ou=0;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE adr_id=_adr AND 
        vid=5 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(adrbook.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_) AND ou=0;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE adr_id=_adr AND 
        vid=3 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(adrbook.adr_home)+0>0 AND 
        MOD(TRIM(adrbook.adr_home)+0,2)=0 AND 
        TRIM(adrbook.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_) AND ou=0;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE adr_id=_adr AND 
        vid=4 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(adrbook.adr_home)+0>0 AND 
        MOD(TRIM(adrbook.adr_home)+0,2)=1 AND 
        TRIM(adrbook.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_) AND ou=0;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE adr_id=_adr AND 
        vid=3 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(uch.home)='' AND TRIM(uch.home_)='' AND ou=0;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE adr_id=_adr AND 
        vid=4 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(uch.home)='' AND TRIM(uch.home_)='' AND ou=0;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE adr_id=_adr AND 
        vid=9 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND ou=0;
        UPDATE adrbook SET uch=99 WHERE adr_id=_adr and ou=0;
        
        SET _days=IFNULL(_days,9999);
        UPDATE karta,adrbook SET karta.uch=adrbook.uch,karta.adr_street=adrbook.adr_street WHERE karta.adr_id=_adr 
        AND dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days DAY);
   END */$$
DELIMITER ;

/* Procedure structure for procedure `update_uch_adrbook_orelnew` */

/*!50003 DROP PROCEDURE IF EXISTS  `update_uch_adrbook_orelnew` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `update_uch_adrbook_orelnew`(IN _days INT)
BEGIN       
        UPDATE adrbook SET ou=0,ou_id=0  WHERE orelnew=1;
        UPDATE adrbook SET ou=1,ou_id=0,uch=99  WHERE nouch=1 and orelnew=1;
        UPDATE adrbook a1, adruch a2 SET ou=1  WHERE a1.adr_id=a2.adr_id AND v_prich_post=3 AND orelnew=1;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=0 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(uch.home)=TRIM(adrbook.adr_home) AND orelnew=1;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=1 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND orelnew=1;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=5 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(adrbook.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_) AND orelnew=1;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=3 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(adrbook.adr_home)+0>0 AND 
        MOD(TRIM(adrbook.adr_home)+0,2)=0 AND 
        TRIM(adrbook.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_) AND orelnew=1;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=4 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(adrbook.adr_home)+0>0 AND 
        MOD(TRIM(adrbook.adr_home)+0,2)=1 AND 
        TRIM(adrbook.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_) AND orelnew=1;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=3 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(uch.home)='' AND TRIM(uch.home_)='' AND orelnew=1;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=4 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(uch.home)='' AND TRIM(uch.home_)='' AND orelnew=1;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=9 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND orelnew=1;
        UPDATE adrbook SET uch=99 WHERE ou=0 AND orelnew=1;
        
        SET _days=IFNULL(_days,9999);
        UPDATE karta,adrbook SET karta.uch=adrbook.uch,karta.adr_street=adrbook.adr_street WHERE karta.adr_id=adrbook.adr_id 
        AND dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days DAY) AND karta.orelnew=1;
        
        UPDATE karta,vr SET karta.vr=vr_id WHERE karta.uch=vr.uch and karta.uch BETWEEN 1 and 98  AND karta.depart=0 
        AND dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days DAY) AND karta.orelnew=1;
        UPDATE karta,vr SET karta.vr=vr_id WHERE karta.depart=vr.flu and karta.depart>0 
        AND dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days DAY) AND karta.orelnew=1 and karta.adr_name=@_orgkod;
        SELECT COUNT(*) 'uch99' FROM adrbook WHERE uch=99 and orelnew=1;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `update_uch_adrbook_orelnew_2` */

/*!50003 DROP PROCEDURE IF EXISTS  `update_uch_adrbook_orelnew_2` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `update_uch_adrbook_orelnew_2`(IN _days INT)
BEGIN       
        UPDATE adrbook a1, adruch a2 SET ou=0,ou_id=0  WHERE a1.adr_id=a2.adr_id AND (ISNULL(v_prich_post) OR v_prich_post<>3) AND orelnew=1;
        UPDATE adrbook a1, adruch a2 SET ou=1  WHERE a1.adr_id=a2.adr_id AND v_prich_post=3 AND orelnew=1;
        UPDATE adrbook SET ou=1,ou_id=0,uch=99  WHERE nouch=1 AND orelnew=1;
        
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND uch NOT BETWEEN 1 AND 98 AND 
        uch.lpu<1 AND 
        (st=adrbook.works AND home<'А') AND orelnew=1;
         
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND uch NOT BETWEEN 1 AND 98 AND 
        uch.lpu<1 AND 
        ((st=9999 OR st=adrbook.works OR ISNULL(adrbook.works)) AND fam BETWEEN home AND home_) AND orelnew=1;
        SET _days=IFNULL(_days,9999);
        UPDATE karta,adrbook SET karta.uch=adrbook.uch,karta.works=adrbook.works WHERE karta.adr_id=adrbook.adr_id 
        AND dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days DAY) AND karta.orelnew=1;
        
        UPDATE karta,vr SET karta.vr=vr_id WHERE karta.uch=vr.uch and karta.uch BETWEEN 1 and 98  AND karta.depart=0 
        AND dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days DAY) AND karta.orelnew=1;
        UPDATE karta,vr SET karta.vr=vr_id WHERE karta.depart=vr.flu and karta.depart>0 
        AND dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days DAY) AND karta.orelnew=1 and karta.adr_name=@_orgkod;
        SELECT COUNT(*) 'uch99' FROM adrbook WHERE uch=99 and orelnew=1;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `update_uch_adrbook_orelnew_deti` */

/*!50003 DROP PROCEDURE IF EXISTS  `update_uch_adrbook_orelnew_deti` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `update_uch_adrbook_orelnew_deti`(IN _days INT)
BEGIN       
        UPDATE adrbook a1, uch u1 SET uch=99,a1.deti=IF(DATE_SUB(CURDATE(), INTERVAL 18 YEAR) < datebirth,1,0)  WHERE 1;
        UPDATE adrbook SET ou=0,ou_id=0  WHERE orelnew=1;
        UPDATE adrbook SET ou=1,ou_id=0,uch=99  WHERE nouch=1 and orelnew=1;
        UPDATE adrbook a1, adruch a2 SET ou=1  WHERE a1.adr_id=a2.adr_id AND  a1.adr_id=a2.adr_id AND v_prich_post=3 AND orelnew=1;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=0 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(uch.home)=TRIM(adrbook.adr_home) AND orelnew=1;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=1 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND orelnew=1;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=5 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(adrbook.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_) AND orelnew=1;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=3 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(adrbook.adr_home)+0>0 AND 
        MOD(TRIM(adrbook.adr_home)+0,2)=0 AND 
        TRIM(adrbook.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_) AND orelnew=1;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=4 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(adrbook.adr_home)+0>0 AND 
        MOD(TRIM(adrbook.adr_home)+0,2)=1 AND 
        TRIM(adrbook.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_) AND orelnew=1;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=3 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(uch.home)='' AND TRIM(uch.home_)='' AND orelnew=1;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=4 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND 
        st=adrbook.adr_street AND 
        TRIM(uch.home)='' AND TRIM(uch.home_)='' AND orelnew=1;
        UPDATE adrbook,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=9 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(adrbook.adr_city) AND orelnew=1;
        UPDATE adrbook SET uch=99 WHERE ou=0 AND orelnew=1;
        
        SET _days=IFNULL(_days,9999);
        UPDATE karta,adrbook SET karta.uch=adrbook.uch,karta.adr_street=adrbook.adr_street WHERE karta.adr_id=adrbook.adr_id 
        AND dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days DAY) AND karta.orelnew=1;
        
        UPDATE karta,vr SET karta.vr=vr_id WHERE karta.uch=vr.uch and karta.uch BETWEEN 1 and 98  AND karta.depart=0 
        AND dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days DAY) AND karta.orelnew=1;
        UPDATE karta,vr SET karta.vr=vr_id WHERE karta.depart=vr.flu and karta.depart>0 
        AND dt >= DATE_SUB(CURRENT_DATE,INTERVAL _days DAY) AND karta.orelnew=1 and karta.adr_name=@_orgkod;
        SELECT COUNT(*) 'uch99' FROM adrbook WHERE uch=99 and orelnew=1;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `update_uch_obmen` */

/*!50003 DROP PROCEDURE IF EXISTS  `update_uch_obmen` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `update_uch_obmen`(IN _imp TINYINT)
BEGIN       
    if _imp=1 then
      begin
        UPDATE zladr SET ou=0,ou_id=0 WHERE 1;
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=0 AND zluch.lpu<1 AND 
        TRIM(zluch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street AND 
        TRIM(zluch.home)=TRIM(zladr.adr_home);
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=1 AND zluch.lpu<1 AND 
        TRIM(zluch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street;
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=5 AND zluch.lpu<1 AND 
        TRIM(zluch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street AND 
        TRIM(zladr.adr_home)+0 BETWEEN TRIM(zluch.home) AND TRIM(zluch.home_);
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=3 AND zluch.lpu<1 AND 
        TRIM(zluch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street AND 
        TRIM(zladr.adr_home)+0>0 AND 
        MOD(TRIM(zladr.adr_home)+0,2)=0 AND 
        TRIM(zladr.adr_home)+0 BETWEEN TRIM(zluch.home) AND TRIM(zluch.home_);
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=4 AND zluch.lpu<1 AND 
        TRIM(zluch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street AND 
        TRIM(zladr.adr_home)+0>0 AND 
        MOD(TRIM(zladr.adr_home)+0,2)=1 AND 
        TRIM(zladr.adr_home)+0 BETWEEN TRIM(zluch.home) AND TRIM(zluch.home_);
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=3 AND zluch.lpu<1 AND 
        TRIM(zluch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street AND 
        TRIM(zluch.home)='' AND TRIM(zluch.home_)='';
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=4 AND zluch.lpu<1 AND 
        TRIM(zluch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street AND 
        TRIM(zluch.home)='' AND TRIM(zluch.home_)='';
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=9 AND zluch.lpu<1 AND 
        TRIM(zluch.adr_city)=TRIM(zladr.adr_city);
        UPDATE zladr SET uch=99 WHERE ou=0;
        
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=0 AND zluch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(zluch.adr_city),'%') AND 
        st=zladr.adr_street AND 
        TRIM(zluch.home)=TRIM(zladr.adr_home);
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=1 AND zluch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(zluch.adr_city),'%') AND 
        st=zladr.adr_street;
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=5 AND zluch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(zluch.adr_city),'%') AND 
        st=zladr.adr_street AND 
        TRIM(zladr.adr_home)+0 BETWEEN TRIM(zluch.home) AND TRIM(zluch.home_);
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=3 AND zluch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(zluch.adr_city),'%') AND 
        st=zladr.adr_street AND 
        TRIM(zladr.adr_home)+0>0 AND 
        MOD(TRIM(zladr.adr_home)+0,2)=0 AND 
        TRIM(zladr.adr_home)+0 BETWEEN TRIM(zluch.home) AND TRIM(zluch.home_);
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=4 AND zluch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(zluch.adr_city),'%') AND 
        st=zladr.adr_street AND 
        TRIM(zladr.adr_home)+0>0 AND 
        MOD(TRIM(zladr.adr_home)+0,2)=1 AND 
        TRIM(zladr.adr_home)+0 BETWEEN TRIM(zluch.home) AND TRIM(zluch.home_);
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=3 AND zluch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(zluch.adr_city),'%') AND 
        st=zladr.adr_street AND 
        TRIM(zluch.home)='' AND TRIM(zluch.home_)='';
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=4 AND zluch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(zluch.adr_city),'%') AND 
        st=zladr.adr_street AND 
        TRIM(zluch.home)='' AND TRIM(zluch.home_)='';
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=9 AND zluch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(zluch.adr_city),'%');
        UPDATE zladr SET uch=99 WHERE ou=0;
        UPDATE zlkarta,zladr SET zlkarta.uch=zladr.uch,zlkarta.adr_street=zladr.adr_street WHERE zlkarta.adr_id=zladr.adr_id ;
      end;
    else 
      BEGIN
        UPDATE zladr SET ou=0,ou_id=0 WHERE 1;
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=1 AND zluch.lpu<1 AND 
        TRIM(zluch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street;
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=9 AND zluch.lpu<1 AND 
        TRIM(zluch.adr_city)=TRIM(zladr.adr_city);
        UPDATE zladr SET uch=99 WHERE ou=0;
        
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 and zluch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(zluch.adr_city),'%') AND 
        st=zladr.adr_street;
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=9 AND zluch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(zluch.adr_city),'%');
        UPDATE zladr SET uch=99 WHERE ou=0;
        UPDATE zlkarta,zladr SET zlkarta.uch=zladr.uch,zlkarta.adr_street=zladr.adr_street WHERE zlkarta.adr_id=zladr.adr_id ;
      END;
    end if;
END */$$
DELIMITER ;

/* Procedure structure for procedure `update_uch_obmen_2` */

/*!50003 DROP PROCEDURE IF EXISTS  `update_uch_obmen_2` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `update_uch_obmen_2`(IN _imp TINYINT)
BEGIN       
    if _imp=1 then
      begin
        UPDATE zladr SET ou=0,ou_id=0 WHERE 1;
        
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        zluch.lpu<1 AND 
        (st=zladr.works AND home<'А');
         
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        zluch.lpu<1 AND 
        ((st=9999 OR st=zladr.works OR ISNULL(zladr.works)) AND fam BETWEEN home AND home_);
        
        UPDATE zladr SET uch=99 WHERE ou=0;
        UPDATE zlkarta,zladr SET zlkarta.uch=zladr.uch,zlkarta.works=zladr.works WHERE zlkarta.adr_id=zladr.adr_id ;
      end;
    else 
      BEGIN
        UPDATE zladr SET ou=0,ou_id=0 WHERE 1;
        
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        zluch.lpu<1 AND 
        (st=zladr.works AND home<'А');
         
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        zluch.lpu<1 AND 
        ((st=9999 OR st=zladr.works OR ISNULL(zladr.works)) AND fam BETWEEN home AND home_);
        UPDATE zladr SET uch=99 WHERE ou=0;
        UPDATE zlkarta,zladr SET zlkarta.uch=zladr.uch,zlkarta.works=zladr.works WHERE zlkarta.adr_id=zladr.adr_id ;
      END;
    end if;
END */$$
DELIMITER ;

/* Procedure structure for procedure `update_uch_obmen_deti` */

/*!50003 DROP PROCEDURE IF EXISTS  `update_uch_obmen_deti` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `update_uch_obmen_deti`(IN _imp TINYINT)
BEGIN       
    UPDATE adrbook a1, uch u1 SET uch=99,a1.deti=IF(DATE_SUB(CURDATE(), INTERVAL 18 YEAR) < datebirth,1,0)  WHERE 1;
    if _imp=1 then
      begin
        UPDATE zladr SET ou=0,ou_id=0 WHERE 1;
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=0 AND zluch.lpu<1 AND 
        TRIM(zluch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street AND 
        TRIM(zluch.home)=TRIM(zladr.adr_home);
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=1 AND zluch.lpu<1 AND 
        TRIM(zluch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street;
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=5 AND zluch.lpu<1 AND 
        TRIM(zluch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street AND 
        TRIM(zladr.adr_home)+0 BETWEEN TRIM(zluch.home) AND TRIM(zluch.home_);
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=3 AND zluch.lpu<1 AND 
        TRIM(zluch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street AND 
        TRIM(zladr.adr_home)+0>0 AND 
        MOD(TRIM(zladr.adr_home)+0,2)=0 AND 
        TRIM(zladr.adr_home)+0 BETWEEN TRIM(zluch.home) AND TRIM(zluch.home_);
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=4 AND zluch.lpu<1 AND 
        TRIM(zluch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street AND 
        TRIM(zladr.adr_home)+0>0 AND 
        MOD(TRIM(zladr.adr_home)+0,2)=1 AND 
        TRIM(zladr.adr_home)+0 BETWEEN TRIM(zluch.home) AND TRIM(zluch.home_);
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=3 AND zluch.lpu<1 AND 
        TRIM(zluch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street AND 
        TRIM(zluch.home)='' AND TRIM(zluch.home_)='';
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=4 AND zluch.lpu<1 AND 
        TRIM(zluch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street AND 
        TRIM(zluch.home)='' AND TRIM(zluch.home_)='';
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=9 AND zluch.lpu<1 AND 
        TRIM(zluch.adr_city)=TRIM(zladr.adr_city);
        UPDATE zladr SET uch=99 WHERE ou=0;
        
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=0 AND zluch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(zluch.adr_city),'%') AND 
        st=zladr.adr_street AND 
        TRIM(zluch.home)=TRIM(zladr.adr_home);
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=1 AND zluch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(zluch.adr_city),'%') AND 
        st=zladr.adr_street;
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=5 AND zluch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(zluch.adr_city),'%') AND 
        st=zladr.adr_street AND 
        TRIM(zladr.adr_home)+0 BETWEEN TRIM(zluch.home) AND TRIM(zluch.home_);
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=3 AND zluch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(zluch.adr_city),'%') AND 
        st=zladr.adr_street AND 
        TRIM(zladr.adr_home)+0>0 AND 
        MOD(TRIM(zladr.adr_home)+0,2)=0 AND 
        TRIM(zladr.adr_home)+0 BETWEEN TRIM(zluch.home) AND TRIM(zluch.home_);
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=4 AND zluch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(zluch.adr_city),'%') AND 
        st=zladr.adr_street AND 
        TRIM(zladr.adr_home)+0>0 AND 
        MOD(TRIM(zladr.adr_home)+0,2)=1 AND 
        TRIM(zladr.adr_home)+0 BETWEEN TRIM(zluch.home) AND TRIM(zluch.home_);
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=3 AND zluch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(zluch.adr_city),'%') AND 
        st=zladr.adr_street AND 
        TRIM(zluch.home)='' AND TRIM(zluch.home_)='';
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=4 AND zluch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(zluch.adr_city),'%') AND 
        st=zladr.adr_street AND 
        TRIM(zluch.home)='' AND TRIM(zluch.home_)='';
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=9 AND zluch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(zluch.adr_city),'%');
        UPDATE zladr SET uch=99 WHERE ou=0;
        UPDATE zlkarta,zladr SET zlkarta.uch=zladr.uch,zlkarta.adr_street=zladr.adr_street WHERE zlkarta.adr_id=zladr.adr_id ;
      end;
    else 
      BEGIN
        UPDATE zladr SET ou=0,ou_id=0 WHERE 1;
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=1 AND zluch.lpu<1 AND 
        TRIM(zluch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street;
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=9 AND zluch.lpu<1 AND 
        TRIM(zluch.adr_city)=TRIM(zladr.adr_city);
        UPDATE zladr SET uch=99 WHERE ou=0;
        
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 and zluch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(zluch.adr_city),'%') AND 
        st=zladr.adr_street;
        UPDATE zladr,zluch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=9 AND zluch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(zluch.adr_city),'%');
        UPDATE zladr SET uch=99 WHERE ou=0;
        UPDATE zlkarta,zladr SET zlkarta.uch=zladr.uch,zlkarta.adr_street=zladr.adr_street WHERE zlkarta.adr_id=zladr.adr_id ;
      END;
    end if;
END */$$
DELIMITER ;

/* Procedure structure for procedure `update_uch_obmen_imp` */

/*!50003 DROP PROCEDURE IF EXISTS  `update_uch_obmen_imp` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `update_uch_obmen_imp`()
BEGIN       
        UPDATE zladr SET ou=0,ou_id=0 WHERE 1;
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=0 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street AND 
        TRIM(uch.home)=TRIM(zladr.adr_home);
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=1 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street;
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=5 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street AND 
        TRIM(zladr.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_);
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=3 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street AND 
        TRIM(zladr.adr_home)+0>0 AND 
        MOD(TRIM(zladr.adr_home)+0,2)=0 AND 
        TRIM(zladr.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_);
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=4 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street AND 
        TRIM(zladr.adr_home)+0>0 AND 
        MOD(TRIM(zladr.adr_home)+0,2)=1 AND 
        TRIM(zladr.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_);
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=3 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street AND 
        TRIM(uch.home)='' AND TRIM(uch.home_)='';
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=4 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street AND 
        TRIM(uch.home)='' AND TRIM(uch.home_)='';
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=9 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(zladr.adr_city);
        UPDATE zladr SET uch=99 WHERE ou=0;

        
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=0 AND uch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(uch.adr_city),'%') AND 
        st=zladr.adr_street AND 
        TRIM(uch.home)=TRIM(zladr.adr_home);
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=1 AND uch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(uch.adr_city),'%') AND 
        st=zladr.adr_street;
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=5 AND uch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(uch.adr_city),'%') AND 
        st=zladr.adr_street AND 
        TRIM(zladr.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_);
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=3 AND uch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(uch.adr_city),'%') AND 
        st=zladr.adr_street AND 
        TRIM(zladr.adr_home)+0>0 AND 
        MOD(TRIM(zladr.adr_home)+0,2)=0 AND 
        TRIM(zladr.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_);
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=4 AND uch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(uch.adr_city),'%') AND 
        st=zladr.adr_street AND 
        TRIM(zladr.adr_home)+0>0 AND 
        MOD(TRIM(zladr.adr_home)+0,2)=1 AND 
        TRIM(zladr.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_);
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=3 AND uch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(uch.adr_city),'%') AND 
        st=zladr.adr_street AND 
        TRIM(uch.home)='' AND TRIM(uch.home_)='';
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=4 AND uch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(uch.adr_city),'%') AND 
        st=zladr.adr_street AND 
        TRIM(uch.home)='' AND TRIM(uch.home_)='';
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=9 AND uch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(uch.adr_city),'%');
        UPDATE zladr SET uch=99 WHERE ou=0;
        UPDATE zlkarta,zladr SET zlkarta.uch=zladr.uch,zlkarta.adr_street=zladr.adr_street WHERE zlkarta.adr_id=zladr.adr_id ;
END */$$
DELIMITER ;

/* Procedure structure for procedure `update_uch_obmen_imp_2` */

/*!50003 DROP PROCEDURE IF EXISTS  `update_uch_obmen_imp_2` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `update_uch_obmen_imp_2`()
BEGIN       
        UPDATE zladr SET ou=0,ou_id=0 WHERE 1;
        
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        uch.lpu<1 AND 
        (st=zladr.works AND home<'А');
         
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        uch.lpu<1 AND 
        ((st=9999 OR st=zladr.works OR ISNULL(zladr.works)) AND fam BETWEEN home AND home_);
        
        UPDATE zladr SET uch=99 WHERE ou=0;
        UPDATE zlkarta,zladr SET zlkarta.uch=zladr.uch,zlkarta.works=zladr.works WHERE zlkarta.adr_id=zladr.adr_id ;
END */$$
DELIMITER ;

/* Procedure structure for procedure `update_uch_obmen_imp_deti` */

/*!50003 DROP PROCEDURE IF EXISTS  `update_uch_obmen_imp_deti` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `update_uch_obmen_imp_deti`()
BEGIN       
        UPDATE adrbook a1, uch u1 SET uch=99,a1.deti=IF(DATE_SUB(CURDATE(), INTERVAL 18 YEAR) < datebirth,1,0)  WHERE 1;
        UPDATE zladr SET ou=0,ou_id=0 WHERE 1;
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=0 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street AND 
        TRIM(uch.home)=TRIM(zladr.adr_home);
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=1 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street;
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=5 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street AND 
        TRIM(zladr.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_);
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=3 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street AND 
        TRIM(zladr.adr_home)+0>0 AND 
        MOD(TRIM(zladr.adr_home)+0,2)=0 AND 
        TRIM(zladr.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_);
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=4 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street AND 
        TRIM(zladr.adr_home)+0>0 AND 
        MOD(TRIM(zladr.adr_home)+0,2)=1 AND 
        TRIM(zladr.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_);
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=3 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street AND 
        TRIM(uch.home)='' AND TRIM(uch.home_)='';
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=4 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(zladr.adr_city) AND 
        st=zladr.adr_street AND 
        TRIM(uch.home)='' AND TRIM(uch.home_)='';
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=9 AND uch.lpu<1 AND 
        TRIM(uch.adr_city)=TRIM(zladr.adr_city);
        UPDATE zladr SET uch=99 WHERE ou=0;
        
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=0 AND uch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(uch.adr_city),'%') AND 
        st=zladr.adr_street AND 
        TRIM(uch.home)=TRIM(zladr.adr_home);
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=1 AND uch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(uch.adr_city),'%') AND 
        st=zladr.adr_street;
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=5 AND uch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(uch.adr_city),'%') AND 
        st=zladr.adr_street AND 
        TRIM(zladr.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_);
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=3 AND uch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(uch.adr_city),'%') AND 
        st=zladr.adr_street AND 
        TRIM(zladr.adr_home)+0>0 AND 
        MOD(TRIM(zladr.adr_home)+0,2)=0 AND 
        TRIM(zladr.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_);
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=4 AND uch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(uch.adr_city),'%') AND 
        st=zladr.adr_street AND 
        TRIM(zladr.adr_home)+0>0 AND 
        MOD(TRIM(zladr.adr_home)+0,2)=1 AND 
        TRIM(zladr.adr_home)+0 BETWEEN TRIM(uch.home) AND TRIM(uch.home_);
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=3 AND uch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(uch.adr_city),'%') AND 
        st=zladr.adr_street AND 
        TRIM(uch.home)='' AND TRIM(uch.home_)='';
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=4 AND uch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(uch.adr_city),'%') AND 
        st=zladr.adr_street AND 
        TRIM(uch.home)='' AND TRIM(uch.home_)='';
        UPDATE zladr,uch SET ou=1,uch=uch_id ,ou_id=id 
        WHERE ou=0 AND 
        vid=9 AND uch.lpu<1 AND 
        zladr.adr_city LIKE CONCAT('%',TRIM(uch.adr_city),'%');
        UPDATE zladr SET uch=99 WHERE ou=0;
        UPDATE zlkarta,zladr SET zlkarta.uch=zladr.uch,zlkarta.adr_street=zladr.adr_street WHERE zlkarta.adr_id=zladr.adr_id ;
END */$$
DELIMITER ;

/* Procedure structure for procedure `ytalon_min_max` */

/*!50003 DROP PROCEDURE IF EXISTS  `ytalon_min_max` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `ytalon_min_max`()
BEGIN
    DECLARE _min,_max DATE;
    declare _kol int;
    SELECT dw INTO _min FROM ztmptal ORDER BY dw LIMIT 1;
    SELECT dw INTO _max FROM ztmptal ORDER BY dw DESC LIMIT 1;
    SELECT count(*) INTO _kol FROM ztmptal ;
    SELECT _min,_max,_kol;
END */$$
DELIMITER ;

/* Procedure structure for procedure `zlkarta_min_max` */

/*!50003 DROP PROCEDURE IF EXISTS  `zlkarta_min_max` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `zlkarta_min_max`()
BEGIN
    declare _min,_max DATE;
    SELECT dt into _min from zlkarta ORDER by dt limit 1;
    SELECT dt INTO _max FROM zlkarta ORDER BY dt desc LIMIT 1;
    SELECT _min,_max;
    END */$$
DELIMITER ;

/* Procedure structure for procedure `z_copy_intelst` */

/*!50003 DROP PROCEDURE IF EXISTS  `z_copy_intelst` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `z_copy_intelst`(
    IN _ad      INT
    )
BEGIN
    INSERT INTO z_intelst 
    SELECT NULL AS intelst_id,adr_street,street,999 AS STATUS,u1,u2,u3,u1not,u2not,formula,myformula,0 
    FROM z_intelst WHERE intelst_id=_ad;  
END */$$
DELIMITER ;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
